#include "ppeexexne04.header.cxx"
void ppeexexne04_list_subprocess_born(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexexne04_list_subprocess_born");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "ud~_emepepve";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeexexne04_list_subprocess_C_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexexne04_list_subprocess_C_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "ud~_emepepve";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeexexne04_list_subprocess_V_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexexne04_list_subprocess_V_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "ud~_emepepve";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeexexne04_list_subprocess_R_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexexne04_list_subprocess_R_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "gu_emepepved";
  subprocess[2] = "gd~_emepepveu~";
  subprocess[3] = "ud~_emepepveg";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeexexne04_list_subprocess_RC_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexexne04_list_subprocess_RC_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "gu_emepepved";
  subprocess[2] = "gd~_emepepveu~";
  subprocess[3] = "ud~_emepepveg";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeexexne04_list_subprocess_RV_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexexne04_list_subprocess_RV_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "gu_emepepved";
  subprocess[2] = "gd~_emepepveu~";
  subprocess[3] = "ud~_emepepveg";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeexexne04_list_subprocess_RR_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexexne04_list_subprocess_RR_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(25);
  subprocess[1] = "gg_emepepvedu~";
  subprocess[2] = "gu_emepepvegd";
  subprocess[3] = "gd~_emepepvegu~";
  subprocess[4] = "du_emepepvedd";
  subprocess[5] = "dc_emepepveds";
  subprocess[6] = "dd~_emepepvedu~";
  subprocess[7] = "dd~_emepepvesc~";
  subprocess[8] = "ds~_emepepvedc~";
  subprocess[9] = "uu_emepepvedu";
  subprocess[10] = "uc_emepepvedc";
  subprocess[11] = "ud~_emepepvegg";
  subprocess[12] = "ud~_emepepvedd~";
  subprocess[13] = "ud~_emepepveuu~";
  subprocess[14] = "ud~_emepepvess~";
  subprocess[15] = "ud~_emepepvecc~";
  subprocess[16] = "uu~_emepepvedu~";
  subprocess[17] = "uu~_emepepvesc~";
  subprocess[18] = "us~_emepepveds~";
  subprocess[19] = "us~_emepepveuc~";
  subprocess[20] = "uc~_emepepvedc~";
  subprocess[21] = "d~d~_emepepved~u~";
  subprocess[22] = "d~u~_emepepveu~u~";
  subprocess[23] = "d~s~_emepepved~c~";
  subprocess[24] = "d~c~_emepepveu~c~";
  int member_0[] = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
