void ppeexnenex04_particles(int i_a, observable_set & oset);

void ppeexnenex04_cuts(int i_a, observable_set & oset);
void ppeexnenex04_cuts_test(int i_a, observable_set & oset);

void ppeexnenex04_moments(observable_set & oset);

void ppeexnenex04_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppeexnenex04_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppeexnenex04_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppeexnenex04_optimize_minv_born(phasespace_set & psi);
int ppeexnenex04_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeexnenex04_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_born(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ax_psp_040_ddx_emepvevex(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_040_ddx_emepvevex(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_040_ddx_emepvevex(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_040_uux_emepvevex(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_040_uux_emepvevex(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_040_uux_emepvevex(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_040_bbx_emepvevex(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_040_bbx_emepvevex(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_040_bbx_emepvevex(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_gg_emepvevex(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_gg_emepvevex(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_gg_emepvevex(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_phasespacepoint_born(observable_set & oset);

void ppeexnenex04_phasespacepoint_collinear(observable_set & oset);

void ppeexnenex04_optimize_minv_real(phasespace_set & psi);
int ppeexnenex04_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeexnenex04_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_real(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ax_psp_140_gd_emepvevexd(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_140_gd_emepvevexd(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_140_gd_emepvevexd(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_140_gu_emepvevexu(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_140_gu_emepvevexu(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_140_gu_emepvevexu(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_140_gb_emepvevexb(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_140_gb_emepvevexb(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_140_gb_emepvevexb(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_140_gdx_emepvevexdx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_140_gdx_emepvevexdx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_140_gdx_emepvevexdx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_140_gux_emepvevexux(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_140_gux_emepvevexux(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_140_gux_emepvevexux(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_140_gbx_emepvevexbx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_140_gbx_emepvevexbx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_140_gbx_emepvevexbx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_140_ddx_emepvevexg(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_140_ddx_emepvevexg(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_140_ddx_emepvevexg(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_140_uux_emepvevexg(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_140_uux_emepvevexg(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_140_uux_emepvevexg(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_140_bbx_emepvevexg(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_140_bbx_emepvevexg(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_140_bbx_emepvevexg(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_phasespacepoint_real(observable_set & oset);

void ppeexnenex04_phasespacepoint_realcollinear(observable_set & oset);

void ppeexnenex04_optimize_minv_doublereal(phasespace_set & psi);
int ppeexnenex04_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeexnenex04_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_gg_emepvevexddx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_gg_emepvevexddx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_gg_emepvevexddx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_gg_emepvevexuux(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_gg_emepvevexuux(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_gg_emepvevexuux(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_gg_emepvevexbbx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_gg_emepvevexbbx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_gg_emepvevexbbx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_gd_emepvevexgd(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_gd_emepvevexgd(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_gd_emepvevexgd(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_gu_emepvevexgu(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_gu_emepvevexgu(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_gu_emepvevexgu(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_gb_emepvevexgb(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_gb_emepvevexgb(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_gb_emepvevexgb(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_gdx_emepvevexgdx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_gdx_emepvevexgdx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_gdx_emepvevexgdx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_gux_emepvevexgux(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_gux_emepvevexgux(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_gux_emepvevexgux(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_gbx_emepvevexgbx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_gbx_emepvevexgbx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_gbx_emepvevexgbx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_dd_emepvevexdd(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_dd_emepvevexdd(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_dd_emepvevexdd(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_du_emepvevexdu(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_du_emepvevexdu(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_du_emepvevexdu(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_ds_emepvevexds(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_ds_emepvevexds(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_ds_emepvevexds(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_dc_emepvevexdc(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_dc_emepvevexdc(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_dc_emepvevexdc(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_dc_emepvevexus(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_dc_emepvevexus(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_dc_emepvevexus(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_db_emepvevexdb(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_db_emepvevexdb(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_db_emepvevexdb(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_ddx_emepvevexgg(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_ddx_emepvevexgg(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_ddx_emepvevexgg(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_ddx_emepvevexddx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_ddx_emepvevexddx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_ddx_emepvevexddx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_ddx_emepvevexuux(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_ddx_emepvevexuux(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_ddx_emepvevexuux(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_ddx_emepvevexssx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_ddx_emepvevexssx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_ddx_emepvevexssx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_ddx_emepvevexccx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_ddx_emepvevexccx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_ddx_emepvevexccx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_ddx_emepvevexbbx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_ddx_emepvevexbbx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_ddx_emepvevexbbx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_dux_emepvevexdux(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_dux_emepvevexdux(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_dux_emepvevexdux(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_dux_emepvevexscx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_dux_emepvevexscx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_dux_emepvevexscx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_dsx_emepvevexdsx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_dsx_emepvevexdsx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_dsx_emepvevexdsx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_dsx_emepvevexucx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_dsx_emepvevexucx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_dsx_emepvevexucx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_dcx_emepvevexdcx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_dcx_emepvevexdcx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_dcx_emepvevexdcx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_dbx_emepvevexdbx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_dbx_emepvevexdbx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_dbx_emepvevexdbx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_uu_emepvevexuu(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_uu_emepvevexuu(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_uu_emepvevexuu(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_uc_emepvevexuc(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_uc_emepvevexuc(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_uc_emepvevexuc(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_ub_emepvevexub(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_ub_emepvevexub(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_ub_emepvevexub(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_udx_emepvevexudx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_udx_emepvevexudx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_udx_emepvevexudx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_udx_emepvevexcsx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_udx_emepvevexcsx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_udx_emepvevexcsx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_uux_emepvevexgg(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_uux_emepvevexgg(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_uux_emepvevexgg(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_uux_emepvevexddx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_uux_emepvevexddx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_uux_emepvevexddx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_uux_emepvevexuux(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_uux_emepvevexuux(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_uux_emepvevexuux(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_uux_emepvevexssx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_uux_emepvevexssx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_uux_emepvevexssx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_uux_emepvevexccx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_uux_emepvevexccx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_uux_emepvevexccx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_uux_emepvevexbbx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_uux_emepvevexbbx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_uux_emepvevexbbx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_usx_emepvevexusx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_usx_emepvevexusx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_usx_emepvevexusx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_ucx_emepvevexdsx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_ucx_emepvevexdsx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_ucx_emepvevexdsx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_ucx_emepvevexucx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_ucx_emepvevexucx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_ucx_emepvevexucx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_ubx_emepvevexubx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_ubx_emepvevexubx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_ubx_emepvevexubx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_bb_emepvevexbb(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_bb_emepvevexbb(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_bb_emepvevexbb(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_bdx_emepvevexbdx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_bdx_emepvevexbdx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_bdx_emepvevexbdx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_bux_emepvevexbux(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_bux_emepvevexbux(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_bux_emepvevexbux(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_bbx_emepvevexgg(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_bbx_emepvevexgg(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_bbx_emepvevexgg(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_bbx_emepvevexddx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_bbx_emepvevexddx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_bbx_emepvevexddx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_bbx_emepvevexuux(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_bbx_emepvevexuux(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_bbx_emepvevexuux(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_bbx_emepvevexbbx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_bbx_emepvevexbbx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_bbx_emepvevexbbx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_dxdx_emepvevexdxdx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_dxdx_emepvevexdxdx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_dxdx_emepvevexdxdx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_dxux_emepvevexdxux(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_dxux_emepvevexdxux(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_dxux_emepvevexdxux(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_dxsx_emepvevexdxsx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_dxsx_emepvevexdxsx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_dxsx_emepvevexdxsx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_dxcx_emepvevexdxcx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_dxcx_emepvevexdxcx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_dxcx_emepvevexdxcx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_dxcx_emepvevexuxsx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_dxcx_emepvevexuxsx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_dxcx_emepvevexuxsx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_dxbx_emepvevexdxbx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_dxbx_emepvevexdxbx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_dxbx_emepvevexdxbx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_uxux_emepvevexuxux(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_uxux_emepvevexuxux(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_uxux_emepvevexuxux(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_uxcx_emepvevexuxcx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_uxcx_emepvevexuxcx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_uxcx_emepvevexuxcx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_uxbx_emepvevexuxbx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_uxbx_emepvevexuxbx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_uxbx_emepvevexuxbx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_ax_psp_240_bxbx_emepvevexbxbx(int no_ps, phasespace_set & psi);
void ppeexnenex04_ac_psp_240_bxbx_emepvevexbxbx(int no_ps, int channel, phasespace_set & psi);
void ppeexnenex04_ag_psp_240_bxbx_emepvevexbxbx(int no_ps, int zero, phasespace_set & psi);
void ppeexnenex04_phasespacepoint_doublereal(observable_set & oset);

