void ppemxnmnex04_particles(int i_a, observable_set & oset);

void ppemxnmnex04_cuts(int i_a, observable_set & oset);
void ppemxnmnex04_cuts_test(int i_a, observable_set & oset);

void ppemxnmnex04_moments(observable_set & oset);

void ppemxnmnex04_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppemxnmnex04_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppemxnmnex04_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppemxnmnex04_optimize_minv_born(phasespace_set & psi);
int ppemxnmnex04_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppemxnmnex04_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_born(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ax_psp_040_ddx_emmupvmvex(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_040_ddx_emmupvmvex(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_040_ddx_emmupvmvex(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_040_uux_emmupvmvex(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_040_uux_emmupvmvex(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_040_uux_emmupvmvex(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_040_bbx_emmupvmvex(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_040_bbx_emmupvmvex(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_040_bbx_emmupvmvex(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_gg_emmupvmvex(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_gg_emmupvmvex(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_gg_emmupvmvex(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_phasespacepoint_born(observable_set & oset);

void ppemxnmnex04_phasespacepoint_collinear(observable_set & oset);

void ppemxnmnex04_optimize_minv_real(phasespace_set & psi);
int ppemxnmnex04_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppemxnmnex04_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_real(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ax_psp_140_gd_emmupvmvexd(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_140_gd_emmupvmvexd(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_140_gd_emmupvmvexd(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_140_gu_emmupvmvexu(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_140_gu_emmupvmvexu(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_140_gu_emmupvmvexu(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_140_gb_emmupvmvexb(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_140_gb_emmupvmvexb(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_140_gb_emmupvmvexb(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_140_gdx_emmupvmvexdx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_140_gdx_emmupvmvexdx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_140_gdx_emmupvmvexdx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_140_gux_emmupvmvexux(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_140_gux_emmupvmvexux(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_140_gux_emmupvmvexux(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_140_gbx_emmupvmvexbx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_140_gbx_emmupvmvexbx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_140_gbx_emmupvmvexbx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_140_ddx_emmupvmvexg(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_140_ddx_emmupvmvexg(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_140_ddx_emmupvmvexg(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_140_uux_emmupvmvexg(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_140_uux_emmupvmvexg(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_140_uux_emmupvmvexg(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_140_bbx_emmupvmvexg(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_140_bbx_emmupvmvexg(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_140_bbx_emmupvmvexg(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_phasespacepoint_real(observable_set & oset);

void ppemxnmnex04_phasespacepoint_realcollinear(observable_set & oset);

void ppemxnmnex04_optimize_minv_doublereal(phasespace_set & psi);
int ppemxnmnex04_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppemxnmnex04_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_gg_emmupvmvexddx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_gg_emmupvmvexddx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_gg_emmupvmvexddx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_gg_emmupvmvexuux(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_gg_emmupvmvexuux(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_gg_emmupvmvexuux(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_gg_emmupvmvexbbx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_gg_emmupvmvexbbx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_gg_emmupvmvexbbx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_gd_emmupvmvexgd(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_gd_emmupvmvexgd(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_gd_emmupvmvexgd(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_gu_emmupvmvexgu(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_gu_emmupvmvexgu(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_gu_emmupvmvexgu(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_gb_emmupvmvexgb(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_gb_emmupvmvexgb(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_gb_emmupvmvexgb(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_gdx_emmupvmvexgdx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_gdx_emmupvmvexgdx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_gdx_emmupvmvexgdx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_gux_emmupvmvexgux(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_gux_emmupvmvexgux(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_gux_emmupvmvexgux(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_gbx_emmupvmvexgbx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_gbx_emmupvmvexgbx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_gbx_emmupvmvexgbx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_dd_emmupvmvexdd(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_dd_emmupvmvexdd(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_dd_emmupvmvexdd(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_du_emmupvmvexdu(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_du_emmupvmvexdu(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_du_emmupvmvexdu(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_ds_emmupvmvexds(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_ds_emmupvmvexds(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_ds_emmupvmvexds(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_dc_emmupvmvexdc(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_dc_emmupvmvexdc(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_dc_emmupvmvexdc(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_dc_emmupvmvexus(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_dc_emmupvmvexus(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_dc_emmupvmvexus(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_db_emmupvmvexdb(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_db_emmupvmvexdb(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_db_emmupvmvexdb(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_ddx_emmupvmvexgg(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_ddx_emmupvmvexgg(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_ddx_emmupvmvexgg(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_ddx_emmupvmvexddx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_ddx_emmupvmvexddx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_ddx_emmupvmvexddx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_ddx_emmupvmvexuux(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_ddx_emmupvmvexuux(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_ddx_emmupvmvexuux(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_ddx_emmupvmvexssx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_ddx_emmupvmvexssx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_ddx_emmupvmvexssx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_ddx_emmupvmvexccx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_ddx_emmupvmvexccx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_ddx_emmupvmvexccx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_ddx_emmupvmvexbbx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_ddx_emmupvmvexbbx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_ddx_emmupvmvexbbx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_dux_emmupvmvexdux(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_dux_emmupvmvexdux(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_dux_emmupvmvexdux(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_dux_emmupvmvexscx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_dux_emmupvmvexscx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_dux_emmupvmvexscx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_dsx_emmupvmvexdsx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_dsx_emmupvmvexdsx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_dsx_emmupvmvexdsx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_dsx_emmupvmvexucx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_dsx_emmupvmvexucx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_dsx_emmupvmvexucx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_dcx_emmupvmvexdcx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_dcx_emmupvmvexdcx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_dcx_emmupvmvexdcx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_dbx_emmupvmvexdbx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_dbx_emmupvmvexdbx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_dbx_emmupvmvexdbx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_uu_emmupvmvexuu(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_uu_emmupvmvexuu(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_uu_emmupvmvexuu(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_uc_emmupvmvexuc(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_uc_emmupvmvexuc(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_uc_emmupvmvexuc(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_ub_emmupvmvexub(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_ub_emmupvmvexub(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_ub_emmupvmvexub(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_udx_emmupvmvexudx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_udx_emmupvmvexudx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_udx_emmupvmvexudx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_udx_emmupvmvexcsx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_udx_emmupvmvexcsx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_udx_emmupvmvexcsx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_uux_emmupvmvexgg(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_uux_emmupvmvexgg(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_uux_emmupvmvexgg(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_uux_emmupvmvexddx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_uux_emmupvmvexddx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_uux_emmupvmvexddx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_uux_emmupvmvexuux(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_uux_emmupvmvexuux(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_uux_emmupvmvexuux(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_uux_emmupvmvexssx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_uux_emmupvmvexssx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_uux_emmupvmvexssx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_uux_emmupvmvexccx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_uux_emmupvmvexccx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_uux_emmupvmvexccx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_uux_emmupvmvexbbx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_uux_emmupvmvexbbx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_uux_emmupvmvexbbx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_usx_emmupvmvexusx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_usx_emmupvmvexusx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_usx_emmupvmvexusx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_ucx_emmupvmvexdsx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_ucx_emmupvmvexdsx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_ucx_emmupvmvexdsx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_ucx_emmupvmvexucx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_ucx_emmupvmvexucx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_ucx_emmupvmvexucx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_ubx_emmupvmvexubx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_ubx_emmupvmvexubx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_ubx_emmupvmvexubx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_bb_emmupvmvexbb(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_bb_emmupvmvexbb(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_bb_emmupvmvexbb(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_bdx_emmupvmvexbdx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_bdx_emmupvmvexbdx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_bdx_emmupvmvexbdx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_bux_emmupvmvexbux(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_bux_emmupvmvexbux(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_bux_emmupvmvexbux(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_bbx_emmupvmvexgg(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_bbx_emmupvmvexgg(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_bbx_emmupvmvexgg(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_bbx_emmupvmvexddx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_bbx_emmupvmvexddx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_bbx_emmupvmvexddx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_bbx_emmupvmvexuux(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_bbx_emmupvmvexuux(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_bbx_emmupvmvexuux(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_bbx_emmupvmvexbbx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_bbx_emmupvmvexbbx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_bbx_emmupvmvexbbx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_dxdx_emmupvmvexdxdx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_dxdx_emmupvmvexdxdx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_dxdx_emmupvmvexdxdx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_dxux_emmupvmvexdxux(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_dxux_emmupvmvexdxux(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_dxux_emmupvmvexdxux(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_dxsx_emmupvmvexdxsx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_dxsx_emmupvmvexdxsx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_dxsx_emmupvmvexdxsx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_dxcx_emmupvmvexdxcx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_dxcx_emmupvmvexdxcx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_dxcx_emmupvmvexdxcx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_dxcx_emmupvmvexuxsx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_dxcx_emmupvmvexuxsx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_dxcx_emmupvmvexuxsx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_dxbx_emmupvmvexdxbx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_dxbx_emmupvmvexdxbx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_dxbx_emmupvmvexdxbx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_uxux_emmupvmvexuxux(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_uxux_emmupvmvexuxux(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_uxux_emmupvmvexuxux(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_uxcx_emmupvmvexuxcx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_uxcx_emmupvmvexuxcx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_uxcx_emmupvmvexuxcx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_uxbx_emmupvmvexuxbx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_uxbx_emmupvmvexuxbx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_uxbx_emmupvmvexuxbx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_ax_psp_240_bxbx_emmupvmvexbxbx(int no_ps, phasespace_set & psi);
void ppemxnmnex04_ac_psp_240_bxbx_emmupvmvexbxbx(int no_ps, int channel, phasespace_set & psi);
void ppemxnmnex04_ag_psp_240_bxbx_emmupvmvexbxbx(int no_ps, int zero, phasespace_set & psi);
void ppemxnmnex04_phasespacepoint_doublereal(observable_set & oset);

