#include "ppnenex02.header.cxx"
void ppnenex02_determination_no_subprocess_doublereal(int & no_map, vector<int> & o_map, int & no_prc, vector<int> & o_prc, double & symmetry_factor, vector<int> & tp, int basic_order_alpha_s, int basic_order_alpha_e, int basic_order_interference){
  static Logger logger("ppnenex02_determination_no_subprocess_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  no_map = -1;
  vector<int> out(7);
  for (int i = 0; i < 2; i++){
    if (i == 0){out[1] = 1; out[2] = 2;}
    if (i == 1){out[1] = 2; out[2] = 1;}
    for (int o = 0; o < 2; o++){
      if (o == 0){out[5] = 5; out[6] = 6;}
      if (o == 1){out[5] = 6; out[6] = 5;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){no_map = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){no_map = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){no_map = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){no_map = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){no_map = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   1)){no_map = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   3)){no_map = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   5)){no_map = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   2)){no_map = 5; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   4)){no_map = 5; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -1)){no_map = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -3)){no_map = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -5)){no_map = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -2)){no_map = 7; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -4)){no_map = 7; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==   1)){no_map = 8; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==   3)){no_map = 8; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==   5)){no_map = 8; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==   2)){no_map = 9; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==   4)){no_map = 9; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==   3)){no_map = 10; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==   1)){no_map = 10; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==   1)){no_map = 10; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==   3)){no_map = 10; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==   1)){no_map = 10; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==   3)){no_map = 10; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==   4)){no_map = 11; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==   2)){no_map = 11; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==   2)){no_map = 11; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==   4)){no_map = 11; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){no_map = 13; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){no_map = 13; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){no_map = 13; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){no_map = 14; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){no_map = 14; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){no_map = 14; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){no_map = 15; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){no_map = 15; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){no_map = 16; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){no_map = 16; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){no_map = 16; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){no_map = 16; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){no_map = 16; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){no_map = 16; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){no_map = 17; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){no_map = 17; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){no_map = 17; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){no_map = 17; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -2)){no_map = 18; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -4)){no_map = 18; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -3)){no_map = 20; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -1)){no_map = 20; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -5)){no_map = 20; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -5)){no_map = 20; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -1)){no_map = 20; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -3)){no_map = 20; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -4)){no_map = 22; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -2)){no_map = 22; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -2)){no_map = 22; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -4)){no_map = 22; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==   2)){no_map = 23; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==   4)){no_map = 23; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==   4)){no_map = 24; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==   2)){no_map = 24; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -1)){no_map = 25; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -3)){no_map = 25; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){no_map = 27; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){no_map = 27; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){no_map = 28; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){no_map = 28; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){no_map = 29; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){no_map = 29; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){no_map = 30; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){no_map = 30; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){no_map = 30; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){no_map = 30; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){no_map = 31; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){no_map = 31; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -3)){no_map = 32; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -1)){no_map = 32; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -5)){no_map = 32; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -5)){no_map = 32; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -4)){no_map = 34; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -2)){no_map = 34; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -1) && (tp[out[6]] ==  -1)){no_map = 35; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -3) && (tp[out[6]] ==  -3)){no_map = 35; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -5) && (tp[out[6]] ==  -5)){no_map = 35; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -1) && (tp[out[6]] ==  -2)){no_map = 36; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -3) && (tp[out[6]] ==  -4)){no_map = 36; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -1) && (tp[out[6]] ==  -3)){no_map = 37; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -3) && (tp[out[6]] ==  -1)){no_map = 37; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -5) && (tp[out[6]] ==  -1)){no_map = 37; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -5) && (tp[out[6]] ==  -3)){no_map = 37; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -5) && (tp[out[6]] ==  -1)){no_map = 37; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -5) && (tp[out[6]] ==  -3)){no_map = 37; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -1) && (tp[out[6]] ==  -4)){no_map = 38; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -3) && (tp[out[6]] ==  -2)){no_map = 38; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -5) && (tp[out[6]] ==  -2)){no_map = 38; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -5) && (tp[out[6]] ==  -4)){no_map = 38; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -2) && (tp[out[6]] ==  -2)){no_map = 40; break;}
      if ((tp[out[1]] ==  -4) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -4) && (tp[out[6]] ==  -4)){no_map = 40; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -2) && (tp[out[6]] ==  -4)){no_map = 41; break;}
      if ((tp[out[1]] ==  -4) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -4) && (tp[out[6]] ==  -2)){no_map = 41; break;}
    }
    if (no_map != -1){break;}
  }
  for (int o = 0; o < out.size(); o++){
    if (out[o] == 0){o_map[o] = o;}
    else {o_map[o] = out[o];}
  }
  no_prc = no_map;
  o_prc = o_map;
  if (no_map == 0){}
  else if (no_map == 2){symmetry_factor = 1;}
  else if (no_map == 3){symmetry_factor = 1;}
  else if (no_map == 4){symmetry_factor = 1;}
  else if (no_map == 5){symmetry_factor = 1;}
  else if (no_map == 6){symmetry_factor = 1;}
  else if (no_map == 7){symmetry_factor = 1;}
  else if (no_map == 8){symmetry_factor = 2;}
  else if (no_map == 9){symmetry_factor = 1;}
  else if (no_map == 10){symmetry_factor = 1;}
  else if (no_map == 11){symmetry_factor = 1;}
  else if (no_map == 13){symmetry_factor = 2;}
  else if (no_map == 14){symmetry_factor = 1;}
  else if (no_map == 15){symmetry_factor = 1;}
  else if (no_map == 16){symmetry_factor = 1;}
  else if (no_map == 17){symmetry_factor = 1;}
  else if (no_map == 18){symmetry_factor = 1;}
  else if (no_map == 20){symmetry_factor = 1;}
  else if (no_map == 22){symmetry_factor = 1;}
  else if (no_map == 23){symmetry_factor = 2;}
  else if (no_map == 24){symmetry_factor = 1;}
  else if (no_map == 25){symmetry_factor = 1;}
  else if (no_map == 27){symmetry_factor = 2;}
  else if (no_map == 28){symmetry_factor = 1;}
  else if (no_map == 29){symmetry_factor = 1;}
  else if (no_map == 30){symmetry_factor = 1;}
  else if (no_map == 31){symmetry_factor = 1;}
  else if (no_map == 32){symmetry_factor = 1;}
  else if (no_map == 34){symmetry_factor = 1;}
  else if (no_map == 35){symmetry_factor = 2;}
  else if (no_map == 36){symmetry_factor = 1;}
  else if (no_map == 37){symmetry_factor = 1;}
  else if (no_map == 38){symmetry_factor = 1;}
  else if (no_map == 40){symmetry_factor = 2;}
  else if (no_map == 41){symmetry_factor = 1;}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
void ppnenex02_determination_subprocess_doublereal(int i_a, phasespace_set & psi){
  static Logger logger("ppnenex02_determination_subprocess_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  vector<int> tp = psi.csi->basic_type_parton[i_a];
  //  ppnenex02_determination_no_subprocess_doublereal(psi_no_map[i_a], psi_o_map[i_a], psi_no_prc[i_a], psi_o_prc[i_a], psi_symmetry_factor, tp, psi_phasespace_order_alpha_s[i_a], psi_phasespace_order_alpha_e[i_a], psi_phasespace_order_interference[i_a]);

  psi_no_map[i_a] = -1;
  vector<int> out(7);
  for (int i = 0; i < 2; i++){
    if (i == 0){out[1] = 1; out[2] = 2;}
    if (i == 1){out[1] = 2; out[2] = 1;}
    for (int o = 0; o < 2; o++){
      if (o == 0){out[5] = 5; out[6] = 6;}
      if (o == 1){out[5] = 6; out[6] = 5;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   1)){psi_no_map[i_a] = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   3)){psi_no_map[i_a] = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   5)){psi_no_map[i_a] = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   2)){psi_no_map[i_a] = 5; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   4)){psi_no_map[i_a] = 5; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 7; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 7; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==   1)){psi_no_map[i_a] = 8; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==   3)){psi_no_map[i_a] = 8; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==   5)){psi_no_map[i_a] = 8; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==   2)){psi_no_map[i_a] = 9; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==   4)){psi_no_map[i_a] = 9; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==   3)){psi_no_map[i_a] = 10; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==   1)){psi_no_map[i_a] = 10; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==   1)){psi_no_map[i_a] = 10; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==   3)){psi_no_map[i_a] = 10; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==   1)){psi_no_map[i_a] = 10; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==   3)){psi_no_map[i_a] = 10; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==   4)){psi_no_map[i_a] = 11; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==   2)){psi_no_map[i_a] = 11; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==   2)){psi_no_map[i_a] = 11; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==   4)){psi_no_map[i_a] = 11; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){psi_no_map[i_a] = 13; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){psi_no_map[i_a] = 13; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){psi_no_map[i_a] = 13; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 14; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 14; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 14; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 15; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 15; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 16; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 16; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 16; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 16; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 16; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 16; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 17; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 17; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 17; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 17; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 18; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 18; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 20; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 20; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 20; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 20; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 20; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 20; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 22; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 22; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 22; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 22; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==   2)){psi_no_map[i_a] = 23; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==   4)){psi_no_map[i_a] = 23; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==   4)){psi_no_map[i_a] = 24; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==   2)){psi_no_map[i_a] = 24; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 25; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 25; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){psi_no_map[i_a] = 27; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){psi_no_map[i_a] = 27; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 28; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 28; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 29; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 29; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 30; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 30; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 30; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 30; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 31; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 31; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 32; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 32; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 32; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 32; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 34; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 34; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -1) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 35; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -3) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 35; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -5) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 35; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -1) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 36; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -3) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 36; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -1) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 37; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -3) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 37; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -5) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 37; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -5) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -5) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 37; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -1) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -5) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 37; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -3) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -5) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 37; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -1) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 38; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -3) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 38; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -5) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 38; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -5) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 38; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -2) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 40; break;}
      if ((tp[out[1]] ==  -4) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -4) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 40; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -4) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -2) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 41; break;}
      if ((tp[out[1]] ==  -4) && (tp[out[2]] ==  -2) && (tp[3] ==  12) && (tp[4] == -12) && (tp[out[5]] ==  -4) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 41; break;}
    }
    if (psi_no_map[i_a] != -1){break;}
  }
  for (int o = 0; o < out.size(); o++){
    if (out[o] == 0){psi_o_map[i_a][o] = o;}
    else {psi_o_map[i_a][o] = out[o];}
  }
  psi_no_prc[i_a] = psi_no_map[i_a];
  psi_o_prc[i_a] = psi_o_map[i_a];
  if (psi_no_map[i_a] == 0){}
  else if (psi_no_map[i_a] == 2){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 3){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 4){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 5){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 6){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 7){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 8){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 9){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 10){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 11){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 13){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 14){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 15){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 16){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 17){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 18){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 20){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 22){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 23){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 24){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 25){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 27){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 28){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 29){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 30){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 31){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 32){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 34){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 35){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 36){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 37){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 38){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 40){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 41){psi_symmetry_factor = 1;}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
void ppnenex02_combination_subprocess_doublereal(int i_a, phasespace_set & psi, observable_set & oset){
  static Logger logger("ppnenex02_combination_subprocess_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  if (psi_no_map[i_a] == 0){}
  else if (psi_no_map[i_a] == 2){
    int pdf_1[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  g   -> ne nexd  dx 
    int pdf_2[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  g   -> ne nexs  sx 
    int pdf_3[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // g  g   -> ne nexb  bx 
  }
  else if (psi_no_map[i_a] == 3){
    int pdf_1[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  g   -> ne nexu  ux 
    int pdf_2[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  g   -> ne nexc  cx 
  }
  else if (psi_no_map[i_a] == 4){
    int pdf_1[] = { 1,   0,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  d   -> ne nexg  d  
    int pdf_2[] = { 1,   0,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  s   -> ne nexg  s  
    int pdf_3[] = { 1,   0,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // g  b   -> ne nexg  b  
    int pdf_4[] = {-1,   0,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // d  g   -> ne nexg  d  
    int pdf_5[] = {-1,   0,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // s  g   -> ne nexg  s  
    int pdf_6[] = {-1,   0,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // b  g   -> ne nexg  b  
  }
  else if (psi_no_map[i_a] == 5){
    int pdf_1[] = { 1,   0,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  u   -> ne nexg  u  
    int pdf_2[] = { 1,   0,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  c   -> ne nexg  c  
    int pdf_3[] = {-1,   0,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // u  g   -> ne nexg  u  
    int pdf_4[] = {-1,   0,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // c  g   -> ne nexg  c  
  }
  else if (psi_no_map[i_a] == 6){
    int pdf_1[] = { 1,   0,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  dx  -> ne nexg  dx 
    int pdf_2[] = { 1,   0,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  sx  -> ne nexg  sx 
    int pdf_3[] = { 1,   0,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // g  bx  -> ne nexg  bx 
    int pdf_4[] = {-1,   0,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // dx g   -> ne nexg  dx 
    int pdf_5[] = {-1,   0,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // sx g   -> ne nexg  sx 
    int pdf_6[] = {-1,   0,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // bx g   -> ne nexg  bx 
  }
  else if (psi_no_map[i_a] == 7){
    int pdf_1[] = { 1,   0,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  ux  -> ne nexg  ux 
    int pdf_2[] = { 1,   0,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  cx  -> ne nexg  cx 
    int pdf_3[] = {-1,   0,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux g   -> ne nexg  ux 
    int pdf_4[] = {-1,   0,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx g   -> ne nexg  cx 
  }
  else if (psi_no_map[i_a] == 8){
    int pdf_1[] = { 1,   1,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  d   -> ne nexd  d  
    int pdf_2[] = { 1,   3,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  s   -> ne nexs  s  
    int pdf_3[] = { 1,   5,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // b  b   -> ne nexb  b  
  }
  else if (psi_no_map[i_a] == 9){
    int pdf_1[] = { 1,   1,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  u   -> ne nexd  u  
    int pdf_2[] = { 1,   3,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  c   -> ne nexs  c  
    int pdf_3[] = {-1,   1,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // u  d   -> ne nexd  u  
    int pdf_4[] = {-1,   3,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // c  s   -> ne nexs  c  
  }
  else if (psi_no_map[i_a] == 10){
    int pdf_1[] = { 1,   1,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  s   -> ne nexd  s  
    int pdf_2[] = { 1,   3,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  d   -> ne nexd  s  
    int pdf_3[] = { 1,   1,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // d  b   -> ne nexd  b  
    int pdf_4[] = { 1,   3,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // s  b   -> ne nexs  b  
    int pdf_5[] = { 1,   5,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // b  d   -> ne nexd  b  
    int pdf_6[] = { 1,   5,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // b  s   -> ne nexs  b  
  }
  else if (psi_no_map[i_a] == 11){
    int pdf_1[] = { 1,   1,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  c   -> ne nexd  c  
    int pdf_2[] = { 1,   3,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  u   -> ne nexu  s  
    int pdf_3[] = { 1,   5,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // b  u   -> ne nexu  b  
    int pdf_4[] = { 1,   5,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // b  c   -> ne nexc  b  
    int pdf_5[] = {-1,   3,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // u  s   -> ne nexu  s  
    int pdf_6[] = {-1,   1,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // c  d   -> ne nexd  c  
    int pdf_7[] = {-1,   5,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // u  b   -> ne nexu  b  
    int pdf_8[] = {-1,   5,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // c  b   -> ne nexc  b  
  }
  else if (psi_no_map[i_a] == 13){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> ne nexg  g  
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> ne nexg  g  
    int pdf_3[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // b  bx  -> ne nexg  g  
    int pdf_4[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // dx d   -> ne nexg  g  
    int pdf_5[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // sx s   -> ne nexg  g  
    int pdf_6[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // bx b   -> ne nexg  g  
  }
  else if (psi_no_map[i_a] == 14){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> ne nexd  dx 
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> ne nexs  sx 
    int pdf_3[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // b  bx  -> ne nexb  bx 
    int pdf_4[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // dx d   -> ne nexd  dx 
    int pdf_5[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // sx s   -> ne nexs  sx 
    int pdf_6[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // bx b   -> ne nexb  bx 
  }
  else if (psi_no_map[i_a] == 15){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> ne nexu  ux 
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> ne nexc  cx 
    int pdf_3[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx d   -> ne nexu  ux 
    int pdf_4[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx s   -> ne nexc  cx 
  }
  else if (psi_no_map[i_a] == 16){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> ne nexs  sx 
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> ne nexd  dx 
    int pdf_3[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // d  dx  -> ne nexb  bx 
    int pdf_4[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // s  sx  -> ne nexb  bx 
    int pdf_5[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // b  bx  -> ne nexd  dx 
    int pdf_6[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // b  bx  -> ne nexs  sx 
    int pdf_7[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // dx d   -> ne nexs  sx 
    int pdf_8[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // sx s   -> ne nexd  dx 
    int pdf_9[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_9, 3));   // dx d   -> ne nexb  bx 
    int pdf_10[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_10, 3));   // sx s   -> ne nexb  bx 
    int pdf_11[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_11, 3));   // bx b   -> ne nexd  dx 
    int pdf_12[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_12, 3));   // bx b   -> ne nexs  sx 
  }
  else if (psi_no_map[i_a] == 17){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> ne nexc  cx 
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> ne nexu  ux 
    int pdf_3[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // b  bx  -> ne nexu  ux 
    int pdf_4[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // b  bx  -> ne nexc  cx 
    int pdf_5[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // dx d   -> ne nexc  cx 
    int pdf_6[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // sx s   -> ne nexu  ux 
    int pdf_7[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // bx b   -> ne nexu  ux 
    int pdf_8[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // bx b   -> ne nexc  cx 
  }
  else if (psi_no_map[i_a] == 18){
    int pdf_1[] = { 1,   1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  ux  -> ne nexd  ux 
    int pdf_2[] = { 1,   3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  cx  -> ne nexs  cx 
    int pdf_3[] = {-1,   1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux d   -> ne nexd  ux 
    int pdf_4[] = {-1,   3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx s   -> ne nexs  cx 
  }
  else if (psi_no_map[i_a] == 20){
    int pdf_1[] = { 1,   1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  sx  -> ne nexd  sx 
    int pdf_2[] = { 1,   3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  dx  -> ne nexs  dx 
    int pdf_3[] = { 1,   1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // d  bx  -> ne nexd  bx 
    int pdf_4[] = { 1,   3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // s  bx  -> ne nexs  bx 
    int pdf_5[] = { 1,   5,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // b  dx  -> ne nexb  dx 
    int pdf_6[] = { 1,   5,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // b  sx  -> ne nexb  sx 
    int pdf_7[] = {-1,   3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // dx s   -> ne nexs  dx 
    int pdf_8[] = {-1,   1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // sx d   -> ne nexd  sx 
    int pdf_9[] = {-1,   5,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_9, 3));   // dx b   -> ne nexb  dx 
    int pdf_10[] = {-1,   5,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_10, 3));   // sx b   -> ne nexb  sx 
    int pdf_11[] = {-1,   1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_11, 3));   // bx d   -> ne nexd  bx 
    int pdf_12[] = {-1,   3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_12, 3));   // bx s   -> ne nexs  bx 
  }
  else if (psi_no_map[i_a] == 22){
    int pdf_1[] = { 1,   1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  cx  -> ne nexd  cx 
    int pdf_2[] = { 1,   3,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  ux  -> ne nexs  ux 
    int pdf_3[] = { 1,   5,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // b  ux  -> ne nexb  ux 
    int pdf_4[] = { 1,   5,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // b  cx  -> ne nexb  cx 
    int pdf_5[] = {-1,   3,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // ux s   -> ne nexs  ux 
    int pdf_6[] = {-1,   1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // cx d   -> ne nexd  cx 
    int pdf_7[] = {-1,   5,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // ux b   -> ne nexb  ux 
    int pdf_8[] = {-1,   5,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // cx b   -> ne nexb  cx 
  }
  else if (psi_no_map[i_a] == 23){
    int pdf_1[] = { 1,   2,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  u   -> ne nexu  u  
    int pdf_2[] = { 1,   4,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  c   -> ne nexc  c  
  }
  else if (psi_no_map[i_a] == 24){
    int pdf_1[] = { 1,   2,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  c   -> ne nexu  c  
    int pdf_2[] = { 1,   4,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  u   -> ne nexu  c  
  }
  else if (psi_no_map[i_a] == 25){
    int pdf_1[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  dx  -> ne nexu  dx 
    int pdf_2[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  sx  -> ne nexc  sx 
    int pdf_3[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx u   -> ne nexu  dx 
    int pdf_4[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx c   -> ne nexc  sx 
  }
  else if (psi_no_map[i_a] == 27){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> ne nexg  g  
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> ne nexg  g  
    int pdf_3[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux u   -> ne nexg  g  
    int pdf_4[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx c   -> ne nexg  g  
  }
  else if (psi_no_map[i_a] == 28){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> ne nexd  dx 
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> ne nexs  sx 
    int pdf_3[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux u   -> ne nexd  dx 
    int pdf_4[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx c   -> ne nexs  sx 
  }
  else if (psi_no_map[i_a] == 29){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> ne nexu  ux 
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> ne nexc  cx 
    int pdf_3[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux u   -> ne nexu  ux 
    int pdf_4[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx c   -> ne nexc  cx 
  }
  else if (psi_no_map[i_a] == 30){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> ne nexs  sx 
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> ne nexd  dx 
    int pdf_3[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // u  ux  -> ne nexb  bx 
    int pdf_4[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // c  cx  -> ne nexb  bx 
    int pdf_5[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // ux u   -> ne nexs  sx 
    int pdf_6[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // cx c   -> ne nexd  dx 
    int pdf_7[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // ux u   -> ne nexb  bx 
    int pdf_8[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // cx c   -> ne nexb  bx 
  }
  else if (psi_no_map[i_a] == 31){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> ne nexc  cx 
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> ne nexu  ux 
    int pdf_3[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux u   -> ne nexc  cx 
    int pdf_4[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx c   -> ne nexu  ux 
  }
  else if (psi_no_map[i_a] == 32){
    int pdf_1[] = { 1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  sx  -> ne nexu  sx 
    int pdf_2[] = { 1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  dx  -> ne nexc  dx 
    int pdf_3[] = { 1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // u  bx  -> ne nexu  bx 
    int pdf_4[] = { 1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // c  bx  -> ne nexc  bx 
    int pdf_5[] = {-1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // dx c   -> ne nexc  dx 
    int pdf_6[] = {-1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // sx u   -> ne nexu  sx 
    int pdf_7[] = {-1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // bx u   -> ne nexu  bx 
    int pdf_8[] = {-1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // bx c   -> ne nexc  bx 
  }
  else if (psi_no_map[i_a] == 34){
    int pdf_1[] = { 1,   2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  cx  -> ne nexu  cx 
    int pdf_2[] = { 1,   4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  ux  -> ne nexc  ux 
    int pdf_3[] = {-1,   4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux c   -> ne nexc  ux 
    int pdf_4[] = {-1,   2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx u   -> ne nexu  cx 
  }
  else if (psi_no_map[i_a] == 35){
    int pdf_1[] = { 1,  -1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx dx  -> ne nexdx dx 
    int pdf_2[] = { 1,  -3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx sx  -> ne nexsx sx 
    int pdf_3[] = { 1,  -5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // bx bx  -> ne nexbx bx 
  }
  else if (psi_no_map[i_a] == 36){
    int pdf_1[] = { 1,  -1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx ux  -> ne nexdx ux 
    int pdf_2[] = { 1,  -3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx cx  -> ne nexsx cx 
    int pdf_3[] = {-1,  -1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux dx  -> ne nexdx ux 
    int pdf_4[] = {-1,  -3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx sx  -> ne nexsx cx 
  }
  else if (psi_no_map[i_a] == 37){
    int pdf_1[] = { 1,  -1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx sx  -> ne nexdx sx 
    int pdf_2[] = { 1,  -3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx dx  -> ne nexdx sx 
    int pdf_3[] = { 1,  -1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx bx  -> ne nexdx bx 
    int pdf_4[] = { 1,  -3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx bx  -> ne nexsx bx 
    int pdf_5[] = { 1,  -5,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // bx dx  -> ne nexdx bx 
    int pdf_6[] = { 1,  -5,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // bx sx  -> ne nexsx bx 
  }
  else if (psi_no_map[i_a] == 38){
    int pdf_1[] = { 1,  -1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx cx  -> ne nexdx cx 
    int pdf_2[] = { 1,  -3,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx ux  -> ne nexux sx 
    int pdf_3[] = { 1,  -5,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // bx ux  -> ne nexux bx 
    int pdf_4[] = { 1,  -5,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // bx cx  -> ne nexcx bx 
    int pdf_5[] = {-1,  -3,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_5, 3));   // ux sx  -> ne nexux sx 
    int pdf_6[] = {-1,  -1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_6, 3));   // cx dx  -> ne nexdx cx 
    int pdf_7[] = {-1,  -5,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_7, 3));   // ux bx  -> ne nexux bx 
    int pdf_8[] = {-1,  -5,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_8, 3));   // cx bx  -> ne nexcx bx 
  }
  else if (psi_no_map[i_a] == 40){
    int pdf_1[] = { 1,  -2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // ux ux  -> ne nexux ux 
    int pdf_2[] = { 1,  -4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx cx  -> ne nexcx cx 
  }
  else if (psi_no_map[i_a] == 41){
    int pdf_1[] = { 1,  -2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // ux cx  -> ne nexux cx 
    int pdf_2[] = { 1,  -4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx ux  -> ne nexux cx 
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
