#include "ppwx01.header.cxx"
void ppwx01_determination_no_subprocess_doublereal(int & no_map, vector<int> & o_map, int & no_prc, vector<int> & o_prc, double & symmetry_factor, vector<int> & tp, int basic_order_alpha_s, int basic_order_alpha_e, int basic_order_interference){
  static Logger logger("ppwx01_determination_no_subprocess_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  no_map = -1;
  vector<int> out(6);
  for (int i = 0; i < 2; i++){
    if (i == 0){out[1] = 1; out[2] = 2;}
    if (i == 1){out[1] = 2; out[2] = 1;}
    for (int o = 0; o < 2; o++){
      if (o == 0){out[4] = 4; out[5] = 5;}
      if (o == 1){out[4] = 5; out[5] = 4;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -2)){no_map = 1; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -4)){no_map = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -2)){no_map = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -4)){no_map = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -2)){no_map = 5; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -4)){no_map = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   1)){no_map = 7; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   3)){no_map = 8; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   5)){no_map = 9; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   1)){no_map = 10; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   3)){no_map = 11; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   5)){no_map = 12; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==  -2)){no_map = 13; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==  -4)){no_map = 14; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==  -2)){no_map = 15; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==  -4)){no_map = 16; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==  -2)){no_map = 17; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==  -4)){no_map = 18; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   1)){no_map = 19; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   3)){no_map = 20; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   5)){no_map = 21; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   1)){no_map = 25; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   3)){no_map = 26; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   5)){no_map = 27; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -2)){no_map = 31; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -4)){no_map = 32; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -2)){no_map = 33; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -4)){no_map = 34; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -2)){no_map = 35; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -4)){no_map = 36; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -2)){no_map = 37; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -4)){no_map = 38; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -2)){no_map = 43; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -4)){no_map = 44; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   2)){no_map = 49; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==   3)){no_map = 51; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==   5)){no_map = 52; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   3) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   3)){no_map = 56; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   3) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==   3)){no_map = 58; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   3) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==   5)){no_map = 59; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   2)){no_map = 61; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   4)){no_map = 62; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==   3)){no_map = 63; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==   5)){no_map = 64; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==   4)){no_map = 65; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==   5)){no_map = 66; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   5)){no_map = 69; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==   5)){no_map = 71; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==   5)){no_map = 72; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   0)){no_map = 73; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -1)){no_map = 74; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==  -2)){no_map = 77; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==  -4)){no_map = 78; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -1)){no_map = 79; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -3)){no_map = 80; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==  -4)){no_map = 83; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -1)){no_map = 84; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -5)){no_map = 86; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -2)){no_map = 87; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -4)){no_map = 88; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -2)){no_map = 89; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -4)){no_map = 90; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -2)){no_map = 91; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -4)){no_map = 92; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   0)){no_map = 93; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -1)){no_map = 94; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -3)){no_map = 95; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==  -2)){no_map = 97; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==  -4)){no_map = 98; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -3)){no_map = 100; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==  -4)){no_map = 103; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -3)){no_map = 105; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -5)){no_map = 106; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -4)){no_map = 108; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -4)){no_map = 110; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -4)){no_map = 112; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   0)){no_map = 113; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -1)){no_map = 114; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -5)){no_map = 116; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==  -2)){no_map = 117; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==  -4)){no_map = 118; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -3)){no_map = 120; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -5)){no_map = 121; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==  -4)){no_map = 123; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -5)){no_map = 126; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   3)){no_map = 128; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==   3)){no_map = 130; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==   5)){no_map = 131; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -2)){no_map = 135; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -4)){no_map = 136; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -2)){no_map = 139; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -4)){no_map = 140; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -2)){no_map = 141; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -4)){no_map = 142; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -2)){no_map = 143; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -4)){no_map = 144; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -2)){no_map = 147; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -4)){no_map = 148; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   4)){no_map = 152; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==   4)){no_map = 155; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==   5)){no_map = 156; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   5)){no_map = 159; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==   5)){no_map = 161; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==   5)){no_map = 162; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   0)){no_map = 163; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -1)){no_map = 164; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==  -2)){no_map = 167; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -1)){no_map = 169; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -3)){no_map = 170; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==  -2)){no_map = 172; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==  -4)){no_map = 173; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -1)){no_map = 174; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -5)){no_map = 176; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -2)){no_map = 177; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -2)){no_map = 179; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -2)){no_map = 181; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   0)){no_map = 183; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -1)){no_map = 184; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -3)){no_map = 185; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==  -2)){no_map = 187; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -3)){no_map = 190; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==  -2)){no_map = 192; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==  -4)){no_map = 193; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -3)){no_map = 195; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -5)){no_map = 196; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -2)){no_map = 197; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -4)){no_map = 198; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -2)){no_map = 199; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -4)){no_map = 200; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -2)){no_map = 201; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -4)){no_map = 202; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   0)){no_map = 203; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -1)){no_map = 204; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -5)){no_map = 206; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==  -2)){no_map = 207; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -3)){no_map = 210; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -5)){no_map = 211; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==  -2)){no_map = 212; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==  -4)){no_map = 213; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -5)){no_map = 216; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -2)){no_map = 221; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -4)){no_map = 222; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -2)){no_map = 227; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -4)){no_map = 228; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -2)){no_map = 229; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -4)){no_map = 230; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -2)){no_map = 231; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -4)){no_map = 232; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -2)){no_map = 233; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -4)){no_map = 234; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==  -1) && (tp[out[5]] ==  -2)){no_map = 235; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==  -1) && (tp[out[5]] ==  -4)){no_map = 236; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -2)){no_map = 241; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -4)){no_map = 242; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==  -1) && (tp[out[5]] ==  -2)){no_map = 244; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==  -1) && (tp[out[5]] ==  -4)){no_map = 245; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -3)){no_map = 246; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==  -3) && (tp[out[5]] ==  -4)){no_map = 248; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -4)){no_map = 251; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==  -4) && (tp[out[5]] ==  -4)){no_map = 252; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -1) && (tp[out[5]] ==  -2)){no_map = 253; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -1) && (tp[out[5]] ==  -4)){no_map = 254; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -5)){no_map = 256; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -4) && (tp[out[5]] ==  -5)){no_map = 258; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -2)){no_map = 259; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -4)){no_map = 260; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -2)){no_map = 262; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -4)){no_map = 263; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -3)){no_map = 267; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==  -3) && (tp[out[5]] ==  -4)){no_map = 269; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -4)){no_map = 272; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==  -4) && (tp[out[5]] ==  -4)){no_map = 273; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -3)){no_map = 276; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -5)){no_map = 277; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -3) && (tp[out[5]] ==  -4)){no_map = 278; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -4) && (tp[out[5]] ==  -5)){no_map = 279; break;}
      if ((tp[out[1]] ==  -4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -4)){no_map = 281; break;}
      if ((tp[out[1]] ==  -4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -4) && (tp[out[5]] ==  -4)){no_map = 282; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -5)){no_map = 286; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -4) && (tp[out[5]] ==  -5)){no_map = 288; break;}
    }
    if (no_map != -1){break;}
  }
  for (int o = 0; o < out.size(); o++){
    if (out[o] == 0){o_map[o] = o;}
    else {o_map[o] = out[o];}
  }
  no_prc = no_map;
  o_prc = o_map;
  if (no_map == 0){}
  else if (no_map == 1){symmetry_factor = 1;}
  else if (no_map == 2){symmetry_factor = 1;}
  else if (no_map == 3){symmetry_factor = 1;}
  else if (no_map == 4){symmetry_factor = 1;}
  else if (no_map == 5){symmetry_factor = 1;}
  else if (no_map == 6){symmetry_factor = 1;}
  else if (no_map == 7){symmetry_factor = 1;}
  else if (no_map == 8){symmetry_factor = 1;}
  else if (no_map == 9){symmetry_factor = 1;}
  else if (no_map == 10){symmetry_factor = 1;}
  else if (no_map == 11){symmetry_factor = 1;}
  else if (no_map == 12){symmetry_factor = 1;}
  else if (no_map == 13){symmetry_factor = 1;}
  else if (no_map == 14){symmetry_factor = 1;}
  else if (no_map == 15){symmetry_factor = 1;}
  else if (no_map == 16){symmetry_factor = 1;}
  else if (no_map == 17){symmetry_factor = 1;}
  else if (no_map == 18){symmetry_factor = 1;}
  else if (no_map == 19){symmetry_factor = 2;}
  else if (no_map == 20){symmetry_factor = 1;}
  else if (no_map == 21){symmetry_factor = 1;}
  else if (no_map == 25){symmetry_factor = 2;}
  else if (no_map == 26){symmetry_factor = 1;}
  else if (no_map == 27){symmetry_factor = 1;}
  else if (no_map == 31){symmetry_factor = 1;}
  else if (no_map == 32){symmetry_factor = 1;}
  else if (no_map == 33){symmetry_factor = 1;}
  else if (no_map == 34){symmetry_factor = 1;}
  else if (no_map == 35){symmetry_factor = 1;}
  else if (no_map == 36){symmetry_factor = 1;}
  else if (no_map == 37){symmetry_factor = 1;}
  else if (no_map == 38){symmetry_factor = 1;}
  else if (no_map == 43){symmetry_factor = 1;}
  else if (no_map == 44){symmetry_factor = 1;}
  else if (no_map == 49){symmetry_factor = 1;}
  else if (no_map == 51){symmetry_factor = 1;}
  else if (no_map == 52){symmetry_factor = 1;}
  else if (no_map == 56){symmetry_factor = 1;}
  else if (no_map == 58){symmetry_factor = 2;}
  else if (no_map == 59){symmetry_factor = 1;}
  else if (no_map == 61){symmetry_factor = 1;}
  else if (no_map == 62){symmetry_factor = 1;}
  else if (no_map == 63){symmetry_factor = 1;}
  else if (no_map == 64){symmetry_factor = 1;}
  else if (no_map == 65){symmetry_factor = 1;}
  else if (no_map == 66){symmetry_factor = 1;}
  else if (no_map == 69){symmetry_factor = 1;}
  else if (no_map == 71){symmetry_factor = 1;}
  else if (no_map == 72){symmetry_factor = 2;}
  else if (no_map == 73){symmetry_factor = 2;}
  else if (no_map == 74){symmetry_factor = 1;}
  else if (no_map == 77){symmetry_factor = 1;}
  else if (no_map == 78){symmetry_factor = 1;}
  else if (no_map == 79){symmetry_factor = 1;}
  else if (no_map == 80){symmetry_factor = 1;}
  else if (no_map == 83){symmetry_factor = 1;}
  else if (no_map == 84){symmetry_factor = 1;}
  else if (no_map == 86){symmetry_factor = 1;}
  else if (no_map == 87){symmetry_factor = 1;}
  else if (no_map == 88){symmetry_factor = 1;}
  else if (no_map == 89){symmetry_factor = 1;}
  else if (no_map == 90){symmetry_factor = 1;}
  else if (no_map == 91){symmetry_factor = 1;}
  else if (no_map == 92){symmetry_factor = 1;}
  else if (no_map == 93){symmetry_factor = 2;}
  else if (no_map == 94){symmetry_factor = 1;}
  else if (no_map == 95){symmetry_factor = 1;}
  else if (no_map == 97){symmetry_factor = 1;}
  else if (no_map == 98){symmetry_factor = 1;}
  else if (no_map == 100){symmetry_factor = 1;}
  else if (no_map == 103){symmetry_factor = 1;}
  else if (no_map == 105){symmetry_factor = 1;}
  else if (no_map == 106){symmetry_factor = 1;}
  else if (no_map == 108){symmetry_factor = 1;}
  else if (no_map == 110){symmetry_factor = 1;}
  else if (no_map == 112){symmetry_factor = 1;}
  else if (no_map == 113){symmetry_factor = 2;}
  else if (no_map == 114){symmetry_factor = 1;}
  else if (no_map == 116){symmetry_factor = 1;}
  else if (no_map == 117){symmetry_factor = 1;}
  else if (no_map == 118){symmetry_factor = 1;}
  else if (no_map == 120){symmetry_factor = 1;}
  else if (no_map == 121){symmetry_factor = 1;}
  else if (no_map == 123){symmetry_factor = 1;}
  else if (no_map == 126){symmetry_factor = 1;}
  else if (no_map == 128){symmetry_factor = 1;}
  else if (no_map == 130){symmetry_factor = 2;}
  else if (no_map == 131){symmetry_factor = 1;}
  else if (no_map == 135){symmetry_factor = 1;}
  else if (no_map == 136){symmetry_factor = 1;}
  else if (no_map == 139){symmetry_factor = 1;}
  else if (no_map == 140){symmetry_factor = 1;}
  else if (no_map == 141){symmetry_factor = 1;}
  else if (no_map == 142){symmetry_factor = 1;}
  else if (no_map == 143){symmetry_factor = 1;}
  else if (no_map == 144){symmetry_factor = 1;}
  else if (no_map == 147){symmetry_factor = 1;}
  else if (no_map == 148){symmetry_factor = 1;}
  else if (no_map == 152){symmetry_factor = 1;}
  else if (no_map == 155){symmetry_factor = 1;}
  else if (no_map == 156){symmetry_factor = 1;}
  else if (no_map == 159){symmetry_factor = 1;}
  else if (no_map == 161){symmetry_factor = 1;}
  else if (no_map == 162){symmetry_factor = 2;}
  else if (no_map == 163){symmetry_factor = 2;}
  else if (no_map == 164){symmetry_factor = 1;}
  else if (no_map == 167){symmetry_factor = 1;}
  else if (no_map == 169){symmetry_factor = 1;}
  else if (no_map == 170){symmetry_factor = 1;}
  else if (no_map == 172){symmetry_factor = 1;}
  else if (no_map == 173){symmetry_factor = 1;}
  else if (no_map == 174){symmetry_factor = 1;}
  else if (no_map == 176){symmetry_factor = 1;}
  else if (no_map == 177){symmetry_factor = 1;}
  else if (no_map == 179){symmetry_factor = 1;}
  else if (no_map == 181){symmetry_factor = 1;}
  else if (no_map == 183){symmetry_factor = 2;}
  else if (no_map == 184){symmetry_factor = 1;}
  else if (no_map == 185){symmetry_factor = 1;}
  else if (no_map == 187){symmetry_factor = 1;}
  else if (no_map == 190){symmetry_factor = 1;}
  else if (no_map == 192){symmetry_factor = 1;}
  else if (no_map == 193){symmetry_factor = 1;}
  else if (no_map == 195){symmetry_factor = 1;}
  else if (no_map == 196){symmetry_factor = 1;}
  else if (no_map == 197){symmetry_factor = 1;}
  else if (no_map == 198){symmetry_factor = 1;}
  else if (no_map == 199){symmetry_factor = 1;}
  else if (no_map == 200){symmetry_factor = 1;}
  else if (no_map == 201){symmetry_factor = 1;}
  else if (no_map == 202){symmetry_factor = 1;}
  else if (no_map == 203){symmetry_factor = 2;}
  else if (no_map == 204){symmetry_factor = 1;}
  else if (no_map == 206){symmetry_factor = 1;}
  else if (no_map == 207){symmetry_factor = 1;}
  else if (no_map == 210){symmetry_factor = 1;}
  else if (no_map == 211){symmetry_factor = 1;}
  else if (no_map == 212){symmetry_factor = 1;}
  else if (no_map == 213){symmetry_factor = 1;}
  else if (no_map == 216){symmetry_factor = 1;}
  else if (no_map == 221){symmetry_factor = 1;}
  else if (no_map == 222){symmetry_factor = 1;}
  else if (no_map == 227){symmetry_factor = 1;}
  else if (no_map == 228){symmetry_factor = 1;}
  else if (no_map == 229){symmetry_factor = 1;}
  else if (no_map == 230){symmetry_factor = 1;}
  else if (no_map == 231){symmetry_factor = 1;}
  else if (no_map == 232){symmetry_factor = 1;}
  else if (no_map == 233){symmetry_factor = 1;}
  else if (no_map == 234){symmetry_factor = 1;}
  else if (no_map == 235){symmetry_factor = 1;}
  else if (no_map == 236){symmetry_factor = 1;}
  else if (no_map == 241){symmetry_factor = 2;}
  else if (no_map == 242){symmetry_factor = 1;}
  else if (no_map == 244){symmetry_factor = 1;}
  else if (no_map == 245){symmetry_factor = 1;}
  else if (no_map == 246){symmetry_factor = 1;}
  else if (no_map == 248){symmetry_factor = 1;}
  else if (no_map == 251){symmetry_factor = 1;}
  else if (no_map == 252){symmetry_factor = 2;}
  else if (no_map == 253){symmetry_factor = 1;}
  else if (no_map == 254){symmetry_factor = 1;}
  else if (no_map == 256){symmetry_factor = 1;}
  else if (no_map == 258){symmetry_factor = 1;}
  else if (no_map == 259){symmetry_factor = 2;}
  else if (no_map == 260){symmetry_factor = 1;}
  else if (no_map == 262){symmetry_factor = 2;}
  else if (no_map == 263){symmetry_factor = 1;}
  else if (no_map == 267){symmetry_factor = 1;}
  else if (no_map == 269){symmetry_factor = 1;}
  else if (no_map == 272){symmetry_factor = 1;}
  else if (no_map == 273){symmetry_factor = 2;}
  else if (no_map == 276){symmetry_factor = 1;}
  else if (no_map == 277){symmetry_factor = 1;}
  else if (no_map == 278){symmetry_factor = 1;}
  else if (no_map == 279){symmetry_factor = 1;}
  else if (no_map == 281){symmetry_factor = 1;}
  else if (no_map == 282){symmetry_factor = 2;}
  else if (no_map == 286){symmetry_factor = 1;}
  else if (no_map == 288){symmetry_factor = 1;}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
void ppwx01_determination_subprocess_doublereal(int i_a, phasespace_set & psi){
  static Logger logger("ppwx01_determination_subprocess_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  vector<int> tp = psi.csi->basic_type_parton[i_a];
  //  ppwx01_determination_no_subprocess_doublereal(psi_no_map[i_a], psi_o_map[i_a], psi_no_prc[i_a], psi_o_prc[i_a], psi_symmetry_factor, tp, psi_phasespace_order_alpha_s[i_a], psi_phasespace_order_alpha_e[i_a], psi_phasespace_order_interference[i_a]);

  psi_no_map[i_a] = -1;
  vector<int> out(6);
  for (int i = 0; i < 2; i++){
    if (i == 0){out[1] = 1; out[2] = 2;}
    if (i == 1){out[1] = 2; out[2] = 1;}
    for (int o = 0; o < 2; o++){
      if (o == 0){out[4] = 4; out[5] = 5;}
      if (o == 1){out[4] = 5; out[5] = 4;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 1; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 5; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   1)){psi_no_map[i_a] = 7; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   3)){psi_no_map[i_a] = 8; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   5)){psi_no_map[i_a] = 9; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   1)){psi_no_map[i_a] = 10; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   3)){psi_no_map[i_a] = 11; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   5)){psi_no_map[i_a] = 12; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 13; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 14; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 15; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 16; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 17; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 18; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   1)){psi_no_map[i_a] = 19; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   3)){psi_no_map[i_a] = 20; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   5)){psi_no_map[i_a] = 21; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   1)){psi_no_map[i_a] = 25; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   3)){psi_no_map[i_a] = 26; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   5)){psi_no_map[i_a] = 27; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 31; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 32; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 33; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 34; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 35; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 36; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 37; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 38; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 43; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 44; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   2)){psi_no_map[i_a] = 49; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==   3)){psi_no_map[i_a] = 51; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==   5)){psi_no_map[i_a] = 52; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   3) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   3)){psi_no_map[i_a] = 56; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   3) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==   3)){psi_no_map[i_a] = 58; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   3) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==   5)){psi_no_map[i_a] = 59; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   2)){psi_no_map[i_a] = 61; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   4)){psi_no_map[i_a] = 62; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==   3)){psi_no_map[i_a] = 63; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==   5)){psi_no_map[i_a] = 64; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==   4)){psi_no_map[i_a] = 65; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==   5)){psi_no_map[i_a] = 66; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   5)){psi_no_map[i_a] = 69; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==   5)){psi_no_map[i_a] = 71; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==   5)){psi_no_map[i_a] = 72; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   0)){psi_no_map[i_a] = 73; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -1)){psi_no_map[i_a] = 74; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 77; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 78; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -1)){psi_no_map[i_a] = 79; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -3)){psi_no_map[i_a] = 80; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 83; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -1)){psi_no_map[i_a] = 84; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -5)){psi_no_map[i_a] = 86; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 87; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 88; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 89; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 90; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 91; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 92; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   0)){psi_no_map[i_a] = 93; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -1)){psi_no_map[i_a] = 94; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -3)){psi_no_map[i_a] = 95; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 97; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 98; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -3)){psi_no_map[i_a] = 100; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 103; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -3)){psi_no_map[i_a] = 105; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -5)){psi_no_map[i_a] = 106; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 108; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 110; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 112; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   0)){psi_no_map[i_a] = 113; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -1)){psi_no_map[i_a] = 114; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -5)){psi_no_map[i_a] = 116; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 117; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 118; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -3)){psi_no_map[i_a] = 120; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -5)){psi_no_map[i_a] = 121; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 123; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -5)){psi_no_map[i_a] = 126; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   3)){psi_no_map[i_a] = 128; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==   3)){psi_no_map[i_a] = 130; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==   5)){psi_no_map[i_a] = 131; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 135; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 136; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 139; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 140; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 141; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 142; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 143; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 144; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 147; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 148; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   4)){psi_no_map[i_a] = 152; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==   4)){psi_no_map[i_a] = 155; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==   5)){psi_no_map[i_a] = 156; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==   5)){psi_no_map[i_a] = 159; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==   5)){psi_no_map[i_a] = 161; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==   5)){psi_no_map[i_a] = 162; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   0)){psi_no_map[i_a] = 163; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -1)){psi_no_map[i_a] = 164; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 167; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -1)){psi_no_map[i_a] = 169; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -3)){psi_no_map[i_a] = 170; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 172; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 173; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -1)){psi_no_map[i_a] = 174; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -5)){psi_no_map[i_a] = 176; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 177; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 179; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 181; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   0)){psi_no_map[i_a] = 183; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -1)){psi_no_map[i_a] = 184; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -3)){psi_no_map[i_a] = 185; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 187; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -3)){psi_no_map[i_a] = 190; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 192; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 193; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -3)){psi_no_map[i_a] = 195; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -5)){psi_no_map[i_a] = 196; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 197; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 198; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 199; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 200; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 201; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 202; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   0) && (tp[out[5]] ==   0)){psi_no_map[i_a] = 203; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -1)){psi_no_map[i_a] = 204; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -5)){psi_no_map[i_a] = 206; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   2) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 207; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -3)){psi_no_map[i_a] = 210; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -5)){psi_no_map[i_a] = 211; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 212; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   4) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 213; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -5)){psi_no_map[i_a] = 216; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 221; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 222; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 227; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 228; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 229; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   1) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 230; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 231; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   3) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 232; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 233; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==   5) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 234; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==  -1) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 235; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[out[4]] ==  -1) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 236; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 241; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 242; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==  -1) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 244; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==  -1) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 245; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -3)){psi_no_map[i_a] = 246; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==  -3) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 248; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 251; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==  -4) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 252; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -1) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 253; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -1) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 254; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -5)){psi_no_map[i_a] = 256; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -4) && (tp[out[5]] ==  -5)){psi_no_map[i_a] = 258; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 259; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 260; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -2)){psi_no_map[i_a] = 262; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 263; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -3)){psi_no_map[i_a] = 267; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[out[4]] ==  -3) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 269; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 272; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[out[4]] ==  -4) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 273; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -3)){psi_no_map[i_a] = 276; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -5)){psi_no_map[i_a] = 277; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -3) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 278; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -4) && (tp[out[5]] ==  -5)){psi_no_map[i_a] = 279; break;}
      if ((tp[out[1]] ==  -4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 281; break;}
      if ((tp[out[1]] ==  -4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -4) && (tp[out[5]] ==  -4)){psi_no_map[i_a] = 282; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -2) && (tp[out[5]] ==  -5)){psi_no_map[i_a] = 286; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[out[4]] ==  -4) && (tp[out[5]] ==  -5)){psi_no_map[i_a] = 288; break;}
    }
    if (psi_no_map[i_a] != -1){break;}
  }
  for (int o = 0; o < out.size(); o++){
    if (out[o] == 0){psi_o_map[i_a][o] = o;}
    else {psi_o_map[i_a][o] = out[o];}
  }
  psi_no_prc[i_a] = psi_no_map[i_a];
  psi_o_prc[i_a] = psi_o_map[i_a];
  if (psi_no_map[i_a] == 0){}
  else if (psi_no_map[i_a] == 1){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 2){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 3){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 4){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 5){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 6){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 7){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 8){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 9){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 10){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 11){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 12){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 13){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 14){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 15){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 16){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 17){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 18){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 19){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 20){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 21){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 25){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 26){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 27){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 31){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 32){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 33){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 34){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 35){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 36){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 37){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 38){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 43){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 44){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 49){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 51){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 52){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 56){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 58){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 59){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 61){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 62){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 63){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 64){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 65){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 66){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 69){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 71){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 72){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 73){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 74){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 77){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 78){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 79){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 80){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 83){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 84){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 86){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 87){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 88){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 89){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 90){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 91){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 92){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 93){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 94){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 95){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 97){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 98){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 100){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 103){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 105){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 106){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 108){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 110){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 112){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 113){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 114){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 116){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 117){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 118){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 120){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 121){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 123){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 126){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 128){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 130){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 131){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 135){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 136){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 139){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 140){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 141){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 142){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 143){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 144){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 147){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 148){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 152){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 155){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 156){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 159){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 161){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 162){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 163){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 164){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 167){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 169){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 170){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 172){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 173){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 174){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 176){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 177){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 179){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 181){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 183){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 184){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 185){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 187){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 190){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 192){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 193){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 195){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 196){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 197){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 198){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 199){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 200){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 201){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 202){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 203){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 204){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 206){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 207){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 210){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 211){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 212){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 213){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 216){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 221){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 222){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 227){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 228){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 229){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 230){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 231){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 232){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 233){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 234){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 235){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 236){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 241){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 242){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 244){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 245){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 246){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 248){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 251){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 252){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 253){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 254){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 256){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 258){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 259){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 260){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 262){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 263){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 267){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 269){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 272){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 273){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 276){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 277){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 278){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 279){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 281){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 282){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 286){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 288){psi_symmetry_factor = 1;}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
void ppwx01_combination_subprocess_doublereal(int i_a, phasespace_set & psi, observable_set & oset){
  static Logger logger("ppwx01_combination_subprocess_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  if (psi_no_map[i_a] == 0){}
  else if (psi_no_map[i_a] == 1){
    int pdf_1[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  g   -> wx d  ux 
  }
  else if (psi_no_map[i_a] == 2){
    int pdf_1[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  g   -> wx d  cx 
  }
  else if (psi_no_map[i_a] == 3){
    int pdf_1[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  g   -> wx s  ux 
  }
  else if (psi_no_map[i_a] == 4){
    int pdf_1[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  g   -> wx s  cx 
  }
  else if (psi_no_map[i_a] == 5){
    int pdf_1[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  g   -> wx b  ux 
  }
  else if (psi_no_map[i_a] == 6){
    int pdf_1[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  g   -> wx b  cx 
  }
  else if (psi_no_map[i_a] == 7){
    int pdf_1[] = { 1,   0,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  u   -> wx g  d  
    int pdf_2[] = {-1,   0,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // u  g   -> wx g  d  
  }
  else if (psi_no_map[i_a] == 8){
    int pdf_1[] = { 1,   0,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  u   -> wx g  s  
    int pdf_2[] = {-1,   0,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // u  g   -> wx g  s  
  }
  else if (psi_no_map[i_a] == 9){
    int pdf_1[] = { 1,   0,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  u   -> wx g  b  
    int pdf_2[] = {-1,   0,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // u  g   -> wx g  b  
  }
  else if (psi_no_map[i_a] == 10){
    int pdf_1[] = { 1,   0,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  c   -> wx g  d  
    int pdf_2[] = {-1,   0,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  g   -> wx g  d  
  }
  else if (psi_no_map[i_a] == 11){
    int pdf_1[] = { 1,   0,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  c   -> wx g  s  
    int pdf_2[] = {-1,   0,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  g   -> wx g  s  
  }
  else if (psi_no_map[i_a] == 12){
    int pdf_1[] = { 1,   0,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  c   -> wx g  b  
    int pdf_2[] = {-1,   0,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  g   -> wx g  b  
  }
  else if (psi_no_map[i_a] == 13){
    int pdf_1[] = { 1,   0,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  dx  -> wx g  ux 
    int pdf_2[] = {-1,   0,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx g   -> wx g  ux 
  }
  else if (psi_no_map[i_a] == 14){
    int pdf_1[] = { 1,   0,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  dx  -> wx g  cx 
    int pdf_2[] = {-1,   0,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx g   -> wx g  cx 
  }
  else if (psi_no_map[i_a] == 15){
    int pdf_1[] = { 1,   0,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  sx  -> wx g  ux 
    int pdf_2[] = {-1,   0,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx g   -> wx g  ux 
  }
  else if (psi_no_map[i_a] == 16){
    int pdf_1[] = { 1,   0,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  sx  -> wx g  cx 
    int pdf_2[] = {-1,   0,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx g   -> wx g  cx 
  }
  else if (psi_no_map[i_a] == 17){
    int pdf_1[] = { 1,   0,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  bx  -> wx g  ux 
    int pdf_2[] = {-1,   0,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx g   -> wx g  ux 
  }
  else if (psi_no_map[i_a] == 18){
    int pdf_1[] = { 1,   0,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  bx  -> wx g  cx 
    int pdf_2[] = {-1,   0,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx g   -> wx g  cx 
  }
  else if (psi_no_map[i_a] == 19){
    int pdf_1[] = { 1,   1,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  u   -> wx d  d  
    int pdf_2[] = {-1,   1,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // u  d   -> wx d  d  
  }
  else if (psi_no_map[i_a] == 20){
    int pdf_1[] = { 1,   1,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  u   -> wx d  s  
    int pdf_2[] = {-1,   1,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // u  d   -> wx d  s  
  }
  else if (psi_no_map[i_a] == 21){
    int pdf_1[] = { 1,   1,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  u   -> wx d  b  
    int pdf_2[] = {-1,   1,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // u  d   -> wx d  b  
  }
  else if (psi_no_map[i_a] == 25){
    int pdf_1[] = { 1,   1,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  c   -> wx d  d  
    int pdf_2[] = {-1,   1,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  d   -> wx d  d  
  }
  else if (psi_no_map[i_a] == 26){
    int pdf_1[] = { 1,   1,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  c   -> wx d  s  
    int pdf_2[] = {-1,   1,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  d   -> wx d  s  
  }
  else if (psi_no_map[i_a] == 27){
    int pdf_1[] = { 1,   1,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  c   -> wx d  b  
    int pdf_2[] = {-1,   1,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  d   -> wx d  b  
  }
  else if (psi_no_map[i_a] == 31){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> wx d  ux 
    int pdf_2[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx d   -> wx d  ux 
  }
  else if (psi_no_map[i_a] == 32){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> wx d  cx 
    int pdf_2[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx d   -> wx d  cx 
  }
  else if (psi_no_map[i_a] == 33){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> wx s  ux 
    int pdf_2[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx d   -> wx s  ux 
  }
  else if (psi_no_map[i_a] == 34){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> wx s  cx 
    int pdf_2[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx d   -> wx s  cx 
  }
  else if (psi_no_map[i_a] == 35){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> wx b  ux 
    int pdf_2[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx d   -> wx b  ux 
  }
  else if (psi_no_map[i_a] == 36){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> wx b  cx 
    int pdf_2[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx d   -> wx b  cx 
  }
  else if (psi_no_map[i_a] == 37){
    int pdf_1[] = { 1,   1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  sx  -> wx d  ux 
    int pdf_2[] = {-1,   1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx d   -> wx d  ux 
  }
  else if (psi_no_map[i_a] == 38){
    int pdf_1[] = { 1,   1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  sx  -> wx d  cx 
    int pdf_2[] = {-1,   1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx d   -> wx d  cx 
  }
  else if (psi_no_map[i_a] == 43){
    int pdf_1[] = { 1,   1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  bx  -> wx d  ux 
    int pdf_2[] = {-1,   1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx d   -> wx d  ux 
  }
  else if (psi_no_map[i_a] == 44){
    int pdf_1[] = { 1,   1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  bx  -> wx d  cx 
    int pdf_2[] = {-1,   1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx d   -> wx d  cx 
  }
  else if (psi_no_map[i_a] == 49){
    int pdf_1[] = { 1,   2,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  u   -> wx d  u  
  }
  else if (psi_no_map[i_a] == 51){
    int pdf_1[] = { 1,   2,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  u   -> wx u  s  
  }
  else if (psi_no_map[i_a] == 52){
    int pdf_1[] = { 1,   2,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  u   -> wx u  b  
  }
  else if (psi_no_map[i_a] == 56){
    int pdf_1[] = { 1,   2,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  s   -> wx d  s  
    int pdf_2[] = {-1,   2,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  u   -> wx d  s  
  }
  else if (psi_no_map[i_a] == 58){
    int pdf_1[] = { 1,   2,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  s   -> wx s  s  
    int pdf_2[] = {-1,   2,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  u   -> wx s  s  
  }
  else if (psi_no_map[i_a] == 59){
    int pdf_1[] = { 1,   2,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  s   -> wx s  b  
    int pdf_2[] = {-1,   2,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  u   -> wx s  b  
  }
  else if (psi_no_map[i_a] == 61){
    int pdf_1[] = { 1,   2,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  c   -> wx d  u  
    int pdf_2[] = {-1,   2,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  u   -> wx d  u  
  }
  else if (psi_no_map[i_a] == 62){
    int pdf_1[] = { 1,   2,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  c   -> wx d  c  
    int pdf_2[] = {-1,   2,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  u   -> wx d  c  
  }
  else if (psi_no_map[i_a] == 63){
    int pdf_1[] = { 1,   2,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  c   -> wx u  s  
    int pdf_2[] = {-1,   2,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  u   -> wx u  s  
  }
  else if (psi_no_map[i_a] == 64){
    int pdf_1[] = { 1,   2,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  c   -> wx u  b  
    int pdf_2[] = {-1,   2,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  u   -> wx u  b  
  }
  else if (psi_no_map[i_a] == 65){
    int pdf_1[] = { 1,   2,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  c   -> wx s  c  
    int pdf_2[] = {-1,   2,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  u   -> wx s  c  
  }
  else if (psi_no_map[i_a] == 66){
    int pdf_1[] = { 1,   2,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  c   -> wx c  b  
    int pdf_2[] = {-1,   2,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  u   -> wx c  b  
  }
  else if (psi_no_map[i_a] == 69){
    int pdf_1[] = { 1,   2,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  b   -> wx d  b  
    int pdf_2[] = {-1,   2,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // b  u   -> wx d  b  
  }
  else if (psi_no_map[i_a] == 71){
    int pdf_1[] = { 1,   2,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  b   -> wx s  b  
    int pdf_2[] = {-1,   2,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // b  u   -> wx s  b  
  }
  else if (psi_no_map[i_a] == 72){
    int pdf_1[] = { 1,   2,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  b   -> wx b  b  
    int pdf_2[] = {-1,   2,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // b  u   -> wx b  b  
  }
  else if (psi_no_map[i_a] == 73){
    int pdf_1[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  dx  -> wx g  g  
    int pdf_2[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx u   -> wx g  g  
  }
  else if (psi_no_map[i_a] == 74){
    int pdf_1[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  dx  -> wx d  dx 
    int pdf_2[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx u   -> wx d  dx 
  }
  else if (psi_no_map[i_a] == 77){
    int pdf_1[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  dx  -> wx u  ux 
    int pdf_2[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx u   -> wx u  ux 
  }
  else if (psi_no_map[i_a] == 78){
    int pdf_1[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  dx  -> wx u  cx 
    int pdf_2[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx u   -> wx u  cx 
  }
  else if (psi_no_map[i_a] == 79){
    int pdf_1[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  dx  -> wx s  dx 
    int pdf_2[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx u   -> wx s  dx 
  }
  else if (psi_no_map[i_a] == 80){
    int pdf_1[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  dx  -> wx s  sx 
    int pdf_2[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx u   -> wx s  sx 
  }
  else if (psi_no_map[i_a] == 83){
    int pdf_1[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  dx  -> wx c  cx 
    int pdf_2[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx u   -> wx c  cx 
  }
  else if (psi_no_map[i_a] == 84){
    int pdf_1[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  dx  -> wx b  dx 
    int pdf_2[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx u   -> wx b  dx 
  }
  else if (psi_no_map[i_a] == 86){
    int pdf_1[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  dx  -> wx b  bx 
    int pdf_2[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx u   -> wx b  bx 
  }
  else if (psi_no_map[i_a] == 87){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> wx d  ux 
    int pdf_2[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // ux u   -> wx d  ux 
  }
  else if (psi_no_map[i_a] == 88){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> wx d  cx 
    int pdf_2[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // ux u   -> wx d  cx 
  }
  else if (psi_no_map[i_a] == 89){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> wx s  ux 
    int pdf_2[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // ux u   -> wx s  ux 
  }
  else if (psi_no_map[i_a] == 90){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> wx s  cx 
    int pdf_2[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // ux u   -> wx s  cx 
  }
  else if (psi_no_map[i_a] == 91){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> wx b  ux 
    int pdf_2[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // ux u   -> wx b  ux 
  }
  else if (psi_no_map[i_a] == 92){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> wx b  cx 
    int pdf_2[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // ux u   -> wx b  cx 
  }
  else if (psi_no_map[i_a] == 93){
    int pdf_1[] = { 1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  sx  -> wx g  g  
    int pdf_2[] = {-1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx u   -> wx g  g  
  }
  else if (psi_no_map[i_a] == 94){
    int pdf_1[] = { 1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  sx  -> wx d  dx 
    int pdf_2[] = {-1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx u   -> wx d  dx 
  }
  else if (psi_no_map[i_a] == 95){
    int pdf_1[] = { 1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  sx  -> wx d  sx 
    int pdf_2[] = {-1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx u   -> wx d  sx 
  }
  else if (psi_no_map[i_a] == 97){
    int pdf_1[] = { 1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  sx  -> wx u  ux 
    int pdf_2[] = {-1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx u   -> wx u  ux 
  }
  else if (psi_no_map[i_a] == 98){
    int pdf_1[] = { 1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  sx  -> wx u  cx 
    int pdf_2[] = {-1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx u   -> wx u  cx 
  }
  else if (psi_no_map[i_a] == 100){
    int pdf_1[] = { 1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  sx  -> wx s  sx 
    int pdf_2[] = {-1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx u   -> wx s  sx 
  }
  else if (psi_no_map[i_a] == 103){
    int pdf_1[] = { 1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  sx  -> wx c  cx 
    int pdf_2[] = {-1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx u   -> wx c  cx 
  }
  else if (psi_no_map[i_a] == 105){
    int pdf_1[] = { 1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  sx  -> wx b  sx 
    int pdf_2[] = {-1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx u   -> wx b  sx 
  }
  else if (psi_no_map[i_a] == 106){
    int pdf_1[] = { 1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  sx  -> wx b  bx 
    int pdf_2[] = {-1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx u   -> wx b  bx 
  }
  else if (psi_no_map[i_a] == 108){
    int pdf_1[] = { 1,   2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  cx  -> wx d  cx 
    int pdf_2[] = {-1,   2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx u   -> wx d  cx 
  }
  else if (psi_no_map[i_a] == 110){
    int pdf_1[] = { 1,   2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  cx  -> wx s  cx 
    int pdf_2[] = {-1,   2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx u   -> wx s  cx 
  }
  else if (psi_no_map[i_a] == 112){
    int pdf_1[] = { 1,   2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  cx  -> wx b  cx 
    int pdf_2[] = {-1,   2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx u   -> wx b  cx 
  }
  else if (psi_no_map[i_a] == 113){
    int pdf_1[] = { 1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  bx  -> wx g  g  
    int pdf_2[] = {-1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx u   -> wx g  g  
  }
  else if (psi_no_map[i_a] == 114){
    int pdf_1[] = { 1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  bx  -> wx d  dx 
    int pdf_2[] = {-1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx u   -> wx d  dx 
  }
  else if (psi_no_map[i_a] == 116){
    int pdf_1[] = { 1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  bx  -> wx d  bx 
    int pdf_2[] = {-1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx u   -> wx d  bx 
  }
  else if (psi_no_map[i_a] == 117){
    int pdf_1[] = { 1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  bx  -> wx u  ux 
    int pdf_2[] = {-1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx u   -> wx u  ux 
  }
  else if (psi_no_map[i_a] == 118){
    int pdf_1[] = { 1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  bx  -> wx u  cx 
    int pdf_2[] = {-1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx u   -> wx u  cx 
  }
  else if (psi_no_map[i_a] == 120){
    int pdf_1[] = { 1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  bx  -> wx s  sx 
    int pdf_2[] = {-1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx u   -> wx s  sx 
  }
  else if (psi_no_map[i_a] == 121){
    int pdf_1[] = { 1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  bx  -> wx s  bx 
    int pdf_2[] = {-1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx u   -> wx s  bx 
  }
  else if (psi_no_map[i_a] == 123){
    int pdf_1[] = { 1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  bx  -> wx c  cx 
    int pdf_2[] = {-1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx u   -> wx c  cx 
  }
  else if (psi_no_map[i_a] == 126){
    int pdf_1[] = { 1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  bx  -> wx b  bx 
    int pdf_2[] = {-1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx u   -> wx b  bx 
  }
  else if (psi_no_map[i_a] == 128){
    int pdf_1[] = { 1,   3,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // s  c   -> wx d  s  
    int pdf_2[] = {-1,   3,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  s   -> wx d  s  
  }
  else if (psi_no_map[i_a] == 130){
    int pdf_1[] = { 1,   3,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // s  c   -> wx s  s  
    int pdf_2[] = {-1,   3,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  s   -> wx s  s  
  }
  else if (psi_no_map[i_a] == 131){
    int pdf_1[] = { 1,   3,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // s  c   -> wx s  b  
    int pdf_2[] = {-1,   3,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  s   -> wx s  b  
  }
  else if (psi_no_map[i_a] == 135){
    int pdf_1[] = { 1,   3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // s  dx  -> wx s  ux 
    int pdf_2[] = {-1,   3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx s   -> wx s  ux 
  }
  else if (psi_no_map[i_a] == 136){
    int pdf_1[] = { 1,   3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // s  dx  -> wx s  cx 
    int pdf_2[] = {-1,   3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx s   -> wx s  cx 
  }
  else if (psi_no_map[i_a] == 139){
    int pdf_1[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // s  sx  -> wx d  ux 
    int pdf_2[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx s   -> wx d  ux 
  }
  else if (psi_no_map[i_a] == 140){
    int pdf_1[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // s  sx  -> wx d  cx 
    int pdf_2[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx s   -> wx d  cx 
  }
  else if (psi_no_map[i_a] == 141){
    int pdf_1[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // s  sx  -> wx s  ux 
    int pdf_2[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx s   -> wx s  ux 
  }
  else if (psi_no_map[i_a] == 142){
    int pdf_1[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // s  sx  -> wx s  cx 
    int pdf_2[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx s   -> wx s  cx 
  }
  else if (psi_no_map[i_a] == 143){
    int pdf_1[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // s  sx  -> wx b  ux 
    int pdf_2[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx s   -> wx b  ux 
  }
  else if (psi_no_map[i_a] == 144){
    int pdf_1[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // s  sx  -> wx b  cx 
    int pdf_2[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx s   -> wx b  cx 
  }
  else if (psi_no_map[i_a] == 147){
    int pdf_1[] = { 1,   3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // s  bx  -> wx s  ux 
    int pdf_2[] = {-1,   3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx s   -> wx s  ux 
  }
  else if (psi_no_map[i_a] == 148){
    int pdf_1[] = { 1,   3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // s  bx  -> wx s  cx 
    int pdf_2[] = {-1,   3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx s   -> wx s  cx 
  }
  else if (psi_no_map[i_a] == 152){
    int pdf_1[] = { 1,   4,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  c   -> wx d  c  
  }
  else if (psi_no_map[i_a] == 155){
    int pdf_1[] = { 1,   4,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  c   -> wx s  c  
  }
  else if (psi_no_map[i_a] == 156){
    int pdf_1[] = { 1,   4,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  c   -> wx c  b  
  }
  else if (psi_no_map[i_a] == 159){
    int pdf_1[] = { 1,   4,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  b   -> wx d  b  
    int pdf_2[] = {-1,   4,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // b  c   -> wx d  b  
  }
  else if (psi_no_map[i_a] == 161){
    int pdf_1[] = { 1,   4,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  b   -> wx s  b  
    int pdf_2[] = {-1,   4,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // b  c   -> wx s  b  
  }
  else if (psi_no_map[i_a] == 162){
    int pdf_1[] = { 1,   4,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  b   -> wx b  b  
    int pdf_2[] = {-1,   4,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // b  c   -> wx b  b  
  }
  else if (psi_no_map[i_a] == 163){
    int pdf_1[] = { 1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  dx  -> wx g  g  
    int pdf_2[] = {-1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx c   -> wx g  g  
  }
  else if (psi_no_map[i_a] == 164){
    int pdf_1[] = { 1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  dx  -> wx d  dx 
    int pdf_2[] = {-1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx c   -> wx d  dx 
  }
  else if (psi_no_map[i_a] == 167){
    int pdf_1[] = { 1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  dx  -> wx u  ux 
    int pdf_2[] = {-1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx c   -> wx u  ux 
  }
  else if (psi_no_map[i_a] == 169){
    int pdf_1[] = { 1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  dx  -> wx s  dx 
    int pdf_2[] = {-1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx c   -> wx s  dx 
  }
  else if (psi_no_map[i_a] == 170){
    int pdf_1[] = { 1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  dx  -> wx s  sx 
    int pdf_2[] = {-1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx c   -> wx s  sx 
  }
  else if (psi_no_map[i_a] == 172){
    int pdf_1[] = { 1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  dx  -> wx c  ux 
    int pdf_2[] = {-1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx c   -> wx c  ux 
  }
  else if (psi_no_map[i_a] == 173){
    int pdf_1[] = { 1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  dx  -> wx c  cx 
    int pdf_2[] = {-1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx c   -> wx c  cx 
  }
  else if (psi_no_map[i_a] == 174){
    int pdf_1[] = { 1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  dx  -> wx b  dx 
    int pdf_2[] = {-1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx c   -> wx b  dx 
  }
  else if (psi_no_map[i_a] == 176){
    int pdf_1[] = { 1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  dx  -> wx b  bx 
    int pdf_2[] = {-1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx c   -> wx b  bx 
  }
  else if (psi_no_map[i_a] == 177){
    int pdf_1[] = { 1,   4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  ux  -> wx d  ux 
    int pdf_2[] = {-1,   4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // ux c   -> wx d  ux 
  }
  else if (psi_no_map[i_a] == 179){
    int pdf_1[] = { 1,   4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  ux  -> wx s  ux 
    int pdf_2[] = {-1,   4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // ux c   -> wx s  ux 
  }
  else if (psi_no_map[i_a] == 181){
    int pdf_1[] = { 1,   4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  ux  -> wx b  ux 
    int pdf_2[] = {-1,   4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // ux c   -> wx b  ux 
  }
  else if (psi_no_map[i_a] == 183){
    int pdf_1[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  sx  -> wx g  g  
    int pdf_2[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx c   -> wx g  g  
  }
  else if (psi_no_map[i_a] == 184){
    int pdf_1[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  sx  -> wx d  dx 
    int pdf_2[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx c   -> wx d  dx 
  }
  else if (psi_no_map[i_a] == 185){
    int pdf_1[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  sx  -> wx d  sx 
    int pdf_2[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx c   -> wx d  sx 
  }
  else if (psi_no_map[i_a] == 187){
    int pdf_1[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  sx  -> wx u  ux 
    int pdf_2[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx c   -> wx u  ux 
  }
  else if (psi_no_map[i_a] == 190){
    int pdf_1[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  sx  -> wx s  sx 
    int pdf_2[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx c   -> wx s  sx 
  }
  else if (psi_no_map[i_a] == 192){
    int pdf_1[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  sx  -> wx c  ux 
    int pdf_2[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx c   -> wx c  ux 
  }
  else if (psi_no_map[i_a] == 193){
    int pdf_1[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  sx  -> wx c  cx 
    int pdf_2[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx c   -> wx c  cx 
  }
  else if (psi_no_map[i_a] == 195){
    int pdf_1[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  sx  -> wx b  sx 
    int pdf_2[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx c   -> wx b  sx 
  }
  else if (psi_no_map[i_a] == 196){
    int pdf_1[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  sx  -> wx b  bx 
    int pdf_2[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx c   -> wx b  bx 
  }
  else if (psi_no_map[i_a] == 197){
    int pdf_1[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  cx  -> wx d  ux 
    int pdf_2[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx c   -> wx d  ux 
  }
  else if (psi_no_map[i_a] == 198){
    int pdf_1[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  cx  -> wx d  cx 
    int pdf_2[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx c   -> wx d  cx 
  }
  else if (psi_no_map[i_a] == 199){
    int pdf_1[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  cx  -> wx s  ux 
    int pdf_2[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx c   -> wx s  ux 
  }
  else if (psi_no_map[i_a] == 200){
    int pdf_1[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  cx  -> wx s  cx 
    int pdf_2[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx c   -> wx s  cx 
  }
  else if (psi_no_map[i_a] == 201){
    int pdf_1[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  cx  -> wx b  ux 
    int pdf_2[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx c   -> wx b  ux 
  }
  else if (psi_no_map[i_a] == 202){
    int pdf_1[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  cx  -> wx b  cx 
    int pdf_2[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx c   -> wx b  cx 
  }
  else if (psi_no_map[i_a] == 203){
    int pdf_1[] = { 1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  bx  -> wx g  g  
    int pdf_2[] = {-1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx c   -> wx g  g  
  }
  else if (psi_no_map[i_a] == 204){
    int pdf_1[] = { 1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  bx  -> wx d  dx 
    int pdf_2[] = {-1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx c   -> wx d  dx 
  }
  else if (psi_no_map[i_a] == 206){
    int pdf_1[] = { 1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  bx  -> wx d  bx 
    int pdf_2[] = {-1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx c   -> wx d  bx 
  }
  else if (psi_no_map[i_a] == 207){
    int pdf_1[] = { 1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  bx  -> wx u  ux 
    int pdf_2[] = {-1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx c   -> wx u  ux 
  }
  else if (psi_no_map[i_a] == 210){
    int pdf_1[] = { 1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  bx  -> wx s  sx 
    int pdf_2[] = {-1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx c   -> wx s  sx 
  }
  else if (psi_no_map[i_a] == 211){
    int pdf_1[] = { 1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  bx  -> wx s  bx 
    int pdf_2[] = {-1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx c   -> wx s  bx 
  }
  else if (psi_no_map[i_a] == 212){
    int pdf_1[] = { 1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  bx  -> wx c  ux 
    int pdf_2[] = {-1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx c   -> wx c  ux 
  }
  else if (psi_no_map[i_a] == 213){
    int pdf_1[] = { 1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  bx  -> wx c  cx 
    int pdf_2[] = {-1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx c   -> wx c  cx 
  }
  else if (psi_no_map[i_a] == 216){
    int pdf_1[] = { 1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // c  bx  -> wx b  bx 
    int pdf_2[] = {-1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx c   -> wx b  bx 
  }
  else if (psi_no_map[i_a] == 221){
    int pdf_1[] = { 1,   5,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  dx  -> wx b  ux 
    int pdf_2[] = {-1,   5,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx b   -> wx b  ux 
  }
  else if (psi_no_map[i_a] == 222){
    int pdf_1[] = { 1,   5,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  dx  -> wx b  cx 
    int pdf_2[] = {-1,   5,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // dx b   -> wx b  cx 
  }
  else if (psi_no_map[i_a] == 227){
    int pdf_1[] = { 1,   5,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  sx  -> wx b  ux 
    int pdf_2[] = {-1,   5,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx b   -> wx b  ux 
  }
  else if (psi_no_map[i_a] == 228){
    int pdf_1[] = { 1,   5,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  sx  -> wx b  cx 
    int pdf_2[] = {-1,   5,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx b   -> wx b  cx 
  }
  else if (psi_no_map[i_a] == 229){
    int pdf_1[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  bx  -> wx d  ux 
    int pdf_2[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx b   -> wx d  ux 
  }
  else if (psi_no_map[i_a] == 230){
    int pdf_1[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  bx  -> wx d  cx 
    int pdf_2[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx b   -> wx d  cx 
  }
  else if (psi_no_map[i_a] == 231){
    int pdf_1[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  bx  -> wx s  ux 
    int pdf_2[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx b   -> wx s  ux 
  }
  else if (psi_no_map[i_a] == 232){
    int pdf_1[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  bx  -> wx s  cx 
    int pdf_2[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx b   -> wx s  cx 
  }
  else if (psi_no_map[i_a] == 233){
    int pdf_1[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  bx  -> wx b  ux 
    int pdf_2[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx b   -> wx b  ux 
  }
  else if (psi_no_map[i_a] == 234){
    int pdf_1[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  bx  -> wx b  cx 
    int pdf_2[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx b   -> wx b  cx 
  }
  else if (psi_no_map[i_a] == 235){
    int pdf_1[] = { 1,  -1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx dx  -> wx dx ux 
  }
  else if (psi_no_map[i_a] == 236){
    int pdf_1[] = { 1,  -1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx dx  -> wx dx cx 
  }
  else if (psi_no_map[i_a] == 241){
    int pdf_1[] = { 1,  -1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx ux  -> wx ux ux 
    int pdf_2[] = {-1,  -1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // ux dx  -> wx ux ux 
  }
  else if (psi_no_map[i_a] == 242){
    int pdf_1[] = { 1,  -1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx ux  -> wx ux cx 
    int pdf_2[] = {-1,  -1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // ux dx  -> wx ux cx 
  }
  else if (psi_no_map[i_a] == 244){
    int pdf_1[] = { 1,  -1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx sx  -> wx dx ux 
    int pdf_2[] = {-1,  -1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx dx  -> wx dx ux 
  }
  else if (psi_no_map[i_a] == 245){
    int pdf_1[] = { 1,  -1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx sx  -> wx dx cx 
    int pdf_2[] = {-1,  -1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx dx  -> wx dx cx 
  }
  else if (psi_no_map[i_a] == 246){
    int pdf_1[] = { 1,  -1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx sx  -> wx ux sx 
    int pdf_2[] = {-1,  -1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx dx  -> wx ux sx 
  }
  else if (psi_no_map[i_a] == 248){
    int pdf_1[] = { 1,  -1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx sx  -> wx sx cx 
    int pdf_2[] = {-1,  -1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx dx  -> wx sx cx 
  }
  else if (psi_no_map[i_a] == 251){
    int pdf_1[] = { 1,  -1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx cx  -> wx ux cx 
    int pdf_2[] = {-1,  -1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx dx  -> wx ux cx 
  }
  else if (psi_no_map[i_a] == 252){
    int pdf_1[] = { 1,  -1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx cx  -> wx cx cx 
    int pdf_2[] = {-1,  -1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx dx  -> wx cx cx 
  }
  else if (psi_no_map[i_a] == 253){
    int pdf_1[] = { 1,  -1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx bx  -> wx dx ux 
    int pdf_2[] = {-1,  -1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx dx  -> wx dx ux 
  }
  else if (psi_no_map[i_a] == 254){
    int pdf_1[] = { 1,  -1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx bx  -> wx dx cx 
    int pdf_2[] = {-1,  -1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx dx  -> wx dx cx 
  }
  else if (psi_no_map[i_a] == 256){
    int pdf_1[] = { 1,  -1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx bx  -> wx ux bx 
    int pdf_2[] = {-1,  -1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx dx  -> wx ux bx 
  }
  else if (psi_no_map[i_a] == 258){
    int pdf_1[] = { 1,  -1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx bx  -> wx cx bx 
    int pdf_2[] = {-1,  -1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx dx  -> wx cx bx 
  }
  else if (psi_no_map[i_a] == 259){
    int pdf_1[] = { 1,  -2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // ux sx  -> wx ux ux 
    int pdf_2[] = {-1,  -2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx ux  -> wx ux ux 
  }
  else if (psi_no_map[i_a] == 260){
    int pdf_1[] = { 1,  -2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // ux sx  -> wx ux cx 
    int pdf_2[] = {-1,  -2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx ux  -> wx ux cx 
  }
  else if (psi_no_map[i_a] == 262){
    int pdf_1[] = { 1,  -2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // ux bx  -> wx ux ux 
    int pdf_2[] = {-1,  -2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx ux  -> wx ux ux 
  }
  else if (psi_no_map[i_a] == 263){
    int pdf_1[] = { 1,  -2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // ux bx  -> wx ux cx 
    int pdf_2[] = {-1,  -2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx ux  -> wx ux cx 
  }
  else if (psi_no_map[i_a] == 267){
    int pdf_1[] = { 1,  -3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // sx sx  -> wx ux sx 
  }
  else if (psi_no_map[i_a] == 269){
    int pdf_1[] = { 1,  -3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // sx sx  -> wx sx cx 
  }
  else if (psi_no_map[i_a] == 272){
    int pdf_1[] = { 1,  -3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // sx cx  -> wx ux cx 
    int pdf_2[] = {-1,  -3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx sx  -> wx ux cx 
  }
  else if (psi_no_map[i_a] == 273){
    int pdf_1[] = { 1,  -3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // sx cx  -> wx cx cx 
    int pdf_2[] = {-1,  -3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx sx  -> wx cx cx 
  }
  else if (psi_no_map[i_a] == 276){
    int pdf_1[] = { 1,  -3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // sx bx  -> wx ux sx 
    int pdf_2[] = {-1,  -3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx sx  -> wx ux sx 
  }
  else if (psi_no_map[i_a] == 277){
    int pdf_1[] = { 1,  -3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // sx bx  -> wx ux bx 
    int pdf_2[] = {-1,  -3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx sx  -> wx ux bx 
  }
  else if (psi_no_map[i_a] == 278){
    int pdf_1[] = { 1,  -3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // sx bx  -> wx sx cx 
    int pdf_2[] = {-1,  -3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx sx  -> wx sx cx 
  }
  else if (psi_no_map[i_a] == 279){
    int pdf_1[] = { 1,  -3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // sx bx  -> wx cx bx 
    int pdf_2[] = {-1,  -3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx sx  -> wx cx bx 
  }
  else if (psi_no_map[i_a] == 281){
    int pdf_1[] = { 1,  -4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // cx bx  -> wx ux cx 
    int pdf_2[] = {-1,  -4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx cx  -> wx ux cx 
  }
  else if (psi_no_map[i_a] == 282){
    int pdf_1[] = { 1,  -4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // cx bx  -> wx cx cx 
    int pdf_2[] = {-1,  -4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx cx  -> wx cx cx 
  }
  else if (psi_no_map[i_a] == 286){
    int pdf_1[] = { 1,  -5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // bx bx  -> wx ux bx 
  }
  else if (psi_no_map[i_a] == 288){
    int pdf_1[] = { 1,  -5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // bx bx  -> wx cx bx 
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
