#include "ppwxw02.header.cxx"
void ppwxw02_determination_no_subprocess_doublereal(int & no_map, vector<int> & o_map, int & no_prc, vector<int> & o_prc, double & symmetry_factor, vector<int> & tp, int basic_order_alpha_s, int basic_order_alpha_e, int basic_order_interference){
  static Logger logger("ppwxw02_determination_no_subprocess_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  no_map = -1;
  vector<int> out(7);
  for (int i = 0; i < 2; i++){
    if (i == 0){out[1] = 1; out[2] = 2;}
    if (i == 1){out[1] = 2; out[2] = 1;}
    for (int o = 0; o < 2; o++){
      if (o == 0){out[5] = 5; out[6] = 6;}
      if (o == 1){out[5] = 6; out[6] = 5;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){no_map = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){no_map = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){no_map = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){no_map = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){no_map = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   1)){no_map = 5; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   3)){no_map = 5; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   2)){no_map = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   4)){no_map = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   5)){no_map = 7; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -1)){no_map = 8; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -3)){no_map = 8; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -2)){no_map = 9; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -4)){no_map = 9; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -5)){no_map = 10; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==   1)){no_map = 11; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==   3)){no_map = 11; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==   2)){no_map = 12; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==   4)){no_map = 12; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==   3)){no_map = 13; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==   1)){no_map = 13; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==   4)){no_map = 14; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==   2)){no_map = 14; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==   3)){no_map = 15; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==   1)){no_map = 15; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==   5)){no_map = 16; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==   5)){no_map = 16; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){no_map = 17; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){no_map = 17; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){no_map = 18; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){no_map = 18; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){no_map = 19; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){no_map = 19; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){no_map = 20; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){no_map = 20; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){no_map = 21; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){no_map = 21; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){no_map = 22; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){no_map = 22; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -2)){no_map = 23; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -4)){no_map = 23; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -4)){no_map = 24; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -2)){no_map = 24; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -3)){no_map = 25; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -1)){no_map = 25; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -4)){no_map = 26; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -2)){no_map = 26; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -4)){no_map = 27; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -2)){no_map = 27; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -5)){no_map = 28; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -5)){no_map = 28; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==   2)){no_map = 29; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==   4)){no_map = 29; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==   4)){no_map = 30; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==   2)){no_map = 30; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==   5)){no_map = 31; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==   5)){no_map = 31; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -1)){no_map = 32; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -3)){no_map = 32; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -3)){no_map = 33; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -1)){no_map = 33; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){no_map = 34; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){no_map = 34; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){no_map = 35; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){no_map = 35; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){no_map = 36; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){no_map = 36; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){no_map = 37; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){no_map = 37; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){no_map = 38; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){no_map = 38; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){no_map = 39; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){no_map = 39; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -3)){no_map = 40; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -1)){no_map = 40; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -3)){no_map = 41; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -1)){no_map = 41; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -4)){no_map = 42; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -2)){no_map = 42; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -5)){no_map = 43; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -5)){no_map = 43; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==   5)){no_map = 44; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -1)){no_map = 45; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -3)){no_map = 45; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -2)){no_map = 46; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -4)){no_map = 46; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){no_map = 47; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){no_map = 48; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){no_map = 48; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){no_map = 49; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){no_map = 49; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){no_map = 50; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -1) && (tp[out[6]] ==  -1)){no_map = 51; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -3) && (tp[out[6]] ==  -3)){no_map = 51; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -1) && (tp[out[6]] ==  -2)){no_map = 52; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -3) && (tp[out[6]] ==  -4)){no_map = 52; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -1) && (tp[out[6]] ==  -3)){no_map = 53; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -3) && (tp[out[6]] ==  -1)){no_map = 53; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -1) && (tp[out[6]] ==  -4)){no_map = 54; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -3) && (tp[out[6]] ==  -2)){no_map = 54; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -2) && (tp[out[6]] ==  -3)){no_map = 55; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -4) && (tp[out[6]] ==  -1)){no_map = 55; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -1) && (tp[out[6]] ==  -5)){no_map = 56; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -3) && (tp[out[6]] ==  -5)){no_map = 56; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -2) && (tp[out[6]] ==  -2)){no_map = 57; break;}
      if ((tp[out[1]] ==  -4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -4) && (tp[out[6]] ==  -4)){no_map = 57; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -2) && (tp[out[6]] ==  -4)){no_map = 58; break;}
      if ((tp[out[1]] ==  -4) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -4) && (tp[out[6]] ==  -2)){no_map = 58; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -2) && (tp[out[6]] ==  -5)){no_map = 59; break;}
      if ((tp[out[1]] ==  -4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -4) && (tp[out[6]] ==  -5)){no_map = 59; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -5) && (tp[out[6]] ==  -5)){no_map = 60; break;}
    }
    if (no_map != -1){break;}
  }
  for (int o = 0; o < out.size(); o++){
    if (out[o] == 0){o_map[o] = o;}
    else {o_map[o] = out[o];}
  }
  no_prc = no_map;
  o_prc = o_map;
  if (no_map == 0){}
  else if (no_map == 2){symmetry_factor = 1;}
  else if (no_map == 3){symmetry_factor = 1;}
  else if (no_map == 4){symmetry_factor = 1;}
  else if (no_map == 5){symmetry_factor = 1;}
  else if (no_map == 6){symmetry_factor = 1;}
  else if (no_map == 7){symmetry_factor = 1;}
  else if (no_map == 8){symmetry_factor = 1;}
  else if (no_map == 9){symmetry_factor = 1;}
  else if (no_map == 10){symmetry_factor = 1;}
  else if (no_map == 11){symmetry_factor = 2;}
  else if (no_map == 12){symmetry_factor = 1;}
  else if (no_map == 13){symmetry_factor = 1;}
  else if (no_map == 14){symmetry_factor = 1;}
  else if (no_map == 15){symmetry_factor = 1;}
  else if (no_map == 16){symmetry_factor = 1;}
  else if (no_map == 17){symmetry_factor = 2;}
  else if (no_map == 18){symmetry_factor = 1;}
  else if (no_map == 19){symmetry_factor = 1;}
  else if (no_map == 20){symmetry_factor = 1;}
  else if (no_map == 21){symmetry_factor = 1;}
  else if (no_map == 22){symmetry_factor = 1;}
  else if (no_map == 23){symmetry_factor = 1;}
  else if (no_map == 24){symmetry_factor = 1;}
  else if (no_map == 25){symmetry_factor = 1;}
  else if (no_map == 26){symmetry_factor = 1;}
  else if (no_map == 27){symmetry_factor = 1;}
  else if (no_map == 28){symmetry_factor = 1;}
  else if (no_map == 29){symmetry_factor = 2;}
  else if (no_map == 30){symmetry_factor = 1;}
  else if (no_map == 31){symmetry_factor = 1;}
  else if (no_map == 32){symmetry_factor = 1;}
  else if (no_map == 33){symmetry_factor = 1;}
  else if (no_map == 34){symmetry_factor = 2;}
  else if (no_map == 35){symmetry_factor = 1;}
  else if (no_map == 36){symmetry_factor = 1;}
  else if (no_map == 37){symmetry_factor = 1;}
  else if (no_map == 38){symmetry_factor = 1;}
  else if (no_map == 39){symmetry_factor = 1;}
  else if (no_map == 40){symmetry_factor = 1;}
  else if (no_map == 41){symmetry_factor = 1;}
  else if (no_map == 42){symmetry_factor = 1;}
  else if (no_map == 43){symmetry_factor = 1;}
  else if (no_map == 44){symmetry_factor = 2;}
  else if (no_map == 45){symmetry_factor = 1;}
  else if (no_map == 46){symmetry_factor = 1;}
  else if (no_map == 47){symmetry_factor = 2;}
  else if (no_map == 48){symmetry_factor = 1;}
  else if (no_map == 49){symmetry_factor = 1;}
  else if (no_map == 50){symmetry_factor = 1;}
  else if (no_map == 51){symmetry_factor = 2;}
  else if (no_map == 52){symmetry_factor = 1;}
  else if (no_map == 53){symmetry_factor = 1;}
  else if (no_map == 54){symmetry_factor = 1;}
  else if (no_map == 55){symmetry_factor = 1;}
  else if (no_map == 56){symmetry_factor = 1;}
  else if (no_map == 57){symmetry_factor = 2;}
  else if (no_map == 58){symmetry_factor = 1;}
  else if (no_map == 59){symmetry_factor = 1;}
  else if (no_map == 60){symmetry_factor = 2;}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
void ppwxw02_determination_subprocess_doublereal(int i_a, phasespace_set & psi){
  static Logger logger("ppwxw02_determination_subprocess_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  vector<int> tp = psi.csi->basic_type_parton[i_a];
  //  ppwxw02_determination_no_subprocess_doublereal(psi_no_map[i_a], psi_o_map[i_a], psi_no_prc[i_a], psi_o_prc[i_a], psi_symmetry_factor, tp, psi_phasespace_order_alpha_s[i_a], psi_phasespace_order_alpha_e[i_a], psi_phasespace_order_interference[i_a]);

  psi_no_map[i_a] = -1;
  vector<int> out(7);
  for (int i = 0; i < 2; i++){
    if (i == 0){out[1] = 1; out[2] = 2;}
    if (i == 1){out[1] = 2; out[2] = 1;}
    for (int o = 0; o < 2; o++){
      if (o == 0){out[5] = 5; out[6] = 6;}
      if (o == 1){out[5] = 6; out[6] = 5;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 2; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 3; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   0) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 4; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   1)){psi_no_map[i_a] = 5; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   3)){psi_no_map[i_a] = 5; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   2)){psi_no_map[i_a] = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   4)){psi_no_map[i_a] = 6; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   5)){psi_no_map[i_a] = 7; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 8; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 8; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 9; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 9; break;}
      if ((tp[out[1]] ==   0) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 10; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==   1)){psi_no_map[i_a] = 11; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==   3)){psi_no_map[i_a] = 11; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==   2)){psi_no_map[i_a] = 12; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==   4)){psi_no_map[i_a] = 12; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==   3)){psi_no_map[i_a] = 13; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==   1)){psi_no_map[i_a] = 13; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==   4)){psi_no_map[i_a] = 14; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==   2)){psi_no_map[i_a] = 14; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==   3)){psi_no_map[i_a] = 15; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==   1)){psi_no_map[i_a] = 15; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==   5)){psi_no_map[i_a] = 16; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==   5)){psi_no_map[i_a] = 16; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){psi_no_map[i_a] = 17; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){psi_no_map[i_a] = 17; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 18; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 18; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 19; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 19; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 20; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 20; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 21; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 21; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 22; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 22; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 23; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 23; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 24; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 24; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 25; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 25; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 26; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 26; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 27; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 27; break;}
      if ((tp[out[1]] ==   1) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 28; break;}
      if ((tp[out[1]] ==   3) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 28; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==   2)){psi_no_map[i_a] = 29; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==   4)){psi_no_map[i_a] = 29; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==   4)){psi_no_map[i_a] = 30; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==   2)){psi_no_map[i_a] = 30; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==   5)){psi_no_map[i_a] = 31; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==   5)){psi_no_map[i_a] = 31; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 32; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 32; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 33; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 33; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){psi_no_map[i_a] = 34; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){psi_no_map[i_a] = 34; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 35; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 35; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 36; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 36; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 37; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 37; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 38; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 38; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 39; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 39; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 40; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 40; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 41; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 41; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 42; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 42; break;}
      if ((tp[out[1]] ==   2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 43; break;}
      if ((tp[out[1]] ==   4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 43; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==   5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==   5)){psi_no_map[i_a] = 44; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 45; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 45; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 46; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 46; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   0) && (tp[out[6]] ==   0)){psi_no_map[i_a] = 47; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   1) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 48; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   3) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 48; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   2) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 49; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   4) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 49; break;}
      if ((tp[out[1]] ==   5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==   5) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 50; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -1) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 51; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -3) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 51; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -1) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 52; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -3) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 52; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -3) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -1) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 53; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -1) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -3) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 53; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -1) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 54; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -3) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 54; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -2) && (tp[out[6]] ==  -3)){psi_no_map[i_a] = 55; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -4) && (tp[out[6]] ==  -1)){psi_no_map[i_a] = 55; break;}
      if ((tp[out[1]] ==  -1) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -1) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 56; break;}
      if ((tp[out[1]] ==  -3) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -3) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 56; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -2) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 57; break;}
      if ((tp[out[1]] ==  -4) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -4) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 57; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -4) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -2) && (tp[out[6]] ==  -4)){psi_no_map[i_a] = 58; break;}
      if ((tp[out[1]] ==  -4) && (tp[out[2]] ==  -2) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -4) && (tp[out[6]] ==  -2)){psi_no_map[i_a] = 58; break;}
      if ((tp[out[1]] ==  -2) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -2) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 59; break;}
      if ((tp[out[1]] ==  -4) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -4) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 59; break;}
      if ((tp[out[1]] ==  -5) && (tp[out[2]] ==  -5) && (tp[3] == -24) && (tp[4] ==  24) && (tp[out[5]] ==  -5) && (tp[out[6]] ==  -5)){psi_no_map[i_a] = 60; break;}
    }
    if (psi_no_map[i_a] != -1){break;}
  }
  for (int o = 0; o < out.size(); o++){
    if (out[o] == 0){psi_o_map[i_a][o] = o;}
    else {psi_o_map[i_a][o] = out[o];}
  }
  psi_no_prc[i_a] = psi_no_map[i_a];
  psi_o_prc[i_a] = psi_o_map[i_a];
  if (psi_no_map[i_a] == 0){}
  else if (psi_no_map[i_a] == 2){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 3){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 4){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 5){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 6){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 7){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 8){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 9){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 10){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 11){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 12){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 13){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 14){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 15){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 16){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 17){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 18){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 19){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 20){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 21){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 22){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 23){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 24){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 25){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 26){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 27){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 28){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 29){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 30){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 31){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 32){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 33){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 34){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 35){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 36){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 37){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 38){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 39){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 40){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 41){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 42){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 43){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 44){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 45){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 46){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 47){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 48){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 49){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 50){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 51){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 52){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 53){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 54){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 55){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 56){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 57){psi_symmetry_factor = 2;}
  else if (psi_no_map[i_a] == 58){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 59){psi_symmetry_factor = 1;}
  else if (psi_no_map[i_a] == 60){psi_symmetry_factor = 2;}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
void ppwxw02_combination_subprocess_doublereal(int i_a, phasespace_set & psi, observable_set & oset){
  static Logger logger("ppwxw02_combination_subprocess_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  if (psi_no_map[i_a] == 0){}
  else if (psi_no_map[i_a] == 2){
    int pdf_1[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  g   -> wx w  d  dx 
    int pdf_2[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  g   -> wx w  s  sx 
  }
  else if (psi_no_map[i_a] == 3){
    int pdf_1[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  g   -> wx w  u  ux 
    int pdf_2[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  g   -> wx w  c  cx 
  }
  else if (psi_no_map[i_a] == 4){
    int pdf_1[] = { 1,   0,   0};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  g   -> wx w  b  bx 
  }
  else if (psi_no_map[i_a] == 5){
    int pdf_1[] = { 1,   0,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  d   -> wx w  g  d  
    int pdf_2[] = { 1,   0,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  s   -> wx w  g  s  
    int pdf_3[] = {-1,   0,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // d  g   -> wx w  g  d  
    int pdf_4[] = {-1,   0,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // s  g   -> wx w  g  s  
  }
  else if (psi_no_map[i_a] == 6){
    int pdf_1[] = { 1,   0,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  u   -> wx w  g  u  
    int pdf_2[] = { 1,   0,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  c   -> wx w  g  c  
    int pdf_3[] = {-1,   0,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // u  g   -> wx w  g  u  
    int pdf_4[] = {-1,   0,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // c  g   -> wx w  g  c  
  }
  else if (psi_no_map[i_a] == 7){
    int pdf_1[] = { 1,   0,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  b   -> wx w  g  b  
    int pdf_2[] = {-1,   0,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // b  g   -> wx w  g  b  
  }
  else if (psi_no_map[i_a] == 8){
    int pdf_1[] = { 1,   0,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  dx  -> wx w  g  dx 
    int pdf_2[] = { 1,   0,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  sx  -> wx w  g  sx 
    int pdf_3[] = {-1,   0,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx g   -> wx w  g  dx 
    int pdf_4[] = {-1,   0,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx g   -> wx w  g  sx 
  }
  else if (psi_no_map[i_a] == 9){
    int pdf_1[] = { 1,   0,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  ux  -> wx w  g  ux 
    int pdf_2[] = { 1,   0,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // g  cx  -> wx w  g  cx 
    int pdf_3[] = {-1,   0,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux g   -> wx w  g  ux 
    int pdf_4[] = {-1,   0,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx g   -> wx w  g  cx 
  }
  else if (psi_no_map[i_a] == 10){
    int pdf_1[] = { 1,   0,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // g  bx  -> wx w  g  bx 
    int pdf_2[] = {-1,   0,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx g   -> wx w  g  bx 
  }
  else if (psi_no_map[i_a] == 11){
    int pdf_1[] = { 1,   1,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  d   -> wx w  d  d  
    int pdf_2[] = { 1,   3,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  s   -> wx w  s  s  
  }
  else if (psi_no_map[i_a] == 12){
    int pdf_1[] = { 1,   1,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  u   -> wx w  d  u  
    int pdf_2[] = { 1,   3,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  c   -> wx w  s  c  
    int pdf_3[] = {-1,   1,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // u  d   -> wx w  d  u  
    int pdf_4[] = {-1,   3,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // c  s   -> wx w  s  c  
  }
  else if (psi_no_map[i_a] == 13){
    int pdf_1[] = { 1,   1,   3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  s   -> wx w  d  s  
    int pdf_2[] = { 1,   3,   1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  d   -> wx w  d  s  
  }
  else if (psi_no_map[i_a] == 14){
    int pdf_1[] = { 1,   1,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  c   -> wx w  d  c  
    int pdf_2[] = { 1,   3,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  u   -> wx w  u  s  
    int pdf_3[] = {-1,   3,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // u  s   -> wx w  u  s  
    int pdf_4[] = {-1,   1,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // c  d   -> wx w  d  c  
  }
  else if (psi_no_map[i_a] == 15){
    int pdf_1[] = { 1,   1,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  c   -> wx w  u  s  
    int pdf_2[] = { 1,   3,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  u   -> wx w  d  c  
    int pdf_3[] = {-1,   3,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // u  s   -> wx w  d  c  
    int pdf_4[] = {-1,   1,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // c  d   -> wx w  u  s  
  }
  else if (psi_no_map[i_a] == 16){
    int pdf_1[] = { 1,   1,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  b   -> wx w  d  b  
    int pdf_2[] = { 1,   3,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  b   -> wx w  s  b  
    int pdf_3[] = {-1,   1,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // b  d   -> wx w  d  b  
    int pdf_4[] = {-1,   3,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // b  s   -> wx w  s  b  
  }
  else if (psi_no_map[i_a] == 17){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> wx w  g  g  
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> wx w  g  g  
    int pdf_3[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx d   -> wx w  g  g  
    int pdf_4[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx s   -> wx w  g  g  
  }
  else if (psi_no_map[i_a] == 18){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> wx w  d  dx 
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> wx w  s  sx 
    int pdf_3[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx d   -> wx w  d  dx 
    int pdf_4[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx s   -> wx w  s  sx 
  }
  else if (psi_no_map[i_a] == 19){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> wx w  u  ux 
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> wx w  c  cx 
    int pdf_3[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx d   -> wx w  u  ux 
    int pdf_4[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx s   -> wx w  c  cx 
  }
  else if (psi_no_map[i_a] == 20){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> wx w  s  sx 
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> wx w  d  dx 
    int pdf_3[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx d   -> wx w  s  sx 
    int pdf_4[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx s   -> wx w  d  dx 
  }
  else if (psi_no_map[i_a] == 21){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> wx w  c  cx 
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> wx w  u  ux 
    int pdf_3[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx d   -> wx w  c  cx 
    int pdf_4[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx s   -> wx w  u  ux 
  }
  else if (psi_no_map[i_a] == 22){
    int pdf_1[] = { 1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  dx  -> wx w  b  bx 
    int pdf_2[] = { 1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  sx  -> wx w  b  bx 
    int pdf_3[] = {-1,   1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx d   -> wx w  b  bx 
    int pdf_4[] = {-1,   3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx s   -> wx w  b  bx 
  }
  else if (psi_no_map[i_a] == 23){
    int pdf_1[] = { 1,   1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  ux  -> wx w  d  ux 
    int pdf_2[] = { 1,   3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  cx  -> wx w  s  cx 
    int pdf_3[] = {-1,   1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux d   -> wx w  d  ux 
    int pdf_4[] = {-1,   3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx s   -> wx w  s  cx 
  }
  else if (psi_no_map[i_a] == 24){
    int pdf_1[] = { 1,   1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  ux  -> wx w  s  cx 
    int pdf_2[] = { 1,   3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  cx  -> wx w  d  ux 
    int pdf_3[] = {-1,   1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux d   -> wx w  s  cx 
    int pdf_4[] = {-1,   3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx s   -> wx w  d  ux 
  }
  else if (psi_no_map[i_a] == 25){
    int pdf_1[] = { 1,   1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  sx  -> wx w  d  sx 
    int pdf_2[] = { 1,   3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  dx  -> wx w  s  dx 
    int pdf_3[] = {-1,   3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx s   -> wx w  s  dx 
    int pdf_4[] = {-1,   1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx d   -> wx w  d  sx 
  }
  else if (psi_no_map[i_a] == 26){
    int pdf_1[] = { 1,   1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  sx  -> wx w  u  cx 
    int pdf_2[] = { 1,   3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  dx  -> wx w  c  ux 
    int pdf_3[] = {-1,   3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx s   -> wx w  c  ux 
    int pdf_4[] = {-1,   1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx d   -> wx w  u  cx 
  }
  else if (psi_no_map[i_a] == 27){
    int pdf_1[] = { 1,   1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  cx  -> wx w  d  cx 
    int pdf_2[] = { 1,   3,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  ux  -> wx w  s  ux 
    int pdf_3[] = {-1,   3,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux s   -> wx w  s  ux 
    int pdf_4[] = {-1,   1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx d   -> wx w  d  cx 
  }
  else if (psi_no_map[i_a] == 28){
    int pdf_1[] = { 1,   1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // d  bx  -> wx w  d  bx 
    int pdf_2[] = { 1,   3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // s  bx  -> wx w  s  bx 
    int pdf_3[] = {-1,   1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // bx d   -> wx w  d  bx 
    int pdf_4[] = {-1,   3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // bx s   -> wx w  s  bx 
  }
  else if (psi_no_map[i_a] == 29){
    int pdf_1[] = { 1,   2,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  u   -> wx w  u  u  
    int pdf_2[] = { 1,   4,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  c   -> wx w  c  c  
  }
  else if (psi_no_map[i_a] == 30){
    int pdf_1[] = { 1,   2,   4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  c   -> wx w  u  c  
    int pdf_2[] = { 1,   4,   2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  u   -> wx w  u  c  
  }
  else if (psi_no_map[i_a] == 31){
    int pdf_1[] = { 1,   2,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  b   -> wx w  u  b  
    int pdf_2[] = { 1,   4,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  b   -> wx w  c  b  
    int pdf_3[] = {-1,   2,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // b  u   -> wx w  u  b  
    int pdf_4[] = {-1,   4,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // b  c   -> wx w  c  b  
  }
  else if (psi_no_map[i_a] == 32){
    int pdf_1[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  dx  -> wx w  u  dx 
    int pdf_2[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  sx  -> wx w  c  sx 
    int pdf_3[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx u   -> wx w  u  dx 
    int pdf_4[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx c   -> wx w  c  sx 
  }
  else if (psi_no_map[i_a] == 33){
    int pdf_1[] = { 1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  dx  -> wx w  c  sx 
    int pdf_2[] = { 1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  sx  -> wx w  u  dx 
    int pdf_3[] = {-1,   2,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx u   -> wx w  c  sx 
    int pdf_4[] = {-1,   4,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx c   -> wx w  u  dx 
  }
  else if (psi_no_map[i_a] == 34){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> wx w  g  g  
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> wx w  g  g  
    int pdf_3[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux u   -> wx w  g  g  
    int pdf_4[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx c   -> wx w  g  g  
  }
  else if (psi_no_map[i_a] == 35){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> wx w  d  dx 
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> wx w  s  sx 
    int pdf_3[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux u   -> wx w  d  dx 
    int pdf_4[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx c   -> wx w  s  sx 
  }
  else if (psi_no_map[i_a] == 36){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> wx w  u  ux 
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> wx w  c  cx 
    int pdf_3[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux u   -> wx w  u  ux 
    int pdf_4[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx c   -> wx w  c  cx 
  }
  else if (psi_no_map[i_a] == 37){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> wx w  s  sx 
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> wx w  d  dx 
    int pdf_3[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux u   -> wx w  s  sx 
    int pdf_4[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx c   -> wx w  d  dx 
  }
  else if (psi_no_map[i_a] == 38){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> wx w  c  cx 
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> wx w  u  ux 
    int pdf_3[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux u   -> wx w  c  cx 
    int pdf_4[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx c   -> wx w  u  ux 
  }
  else if (psi_no_map[i_a] == 39){
    int pdf_1[] = { 1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  ux  -> wx w  b  bx 
    int pdf_2[] = { 1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  cx  -> wx w  b  bx 
    int pdf_3[] = {-1,   2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux u   -> wx w  b  bx 
    int pdf_4[] = {-1,   4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx c   -> wx w  b  bx 
  }
  else if (psi_no_map[i_a] == 40){
    int pdf_1[] = { 1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  sx  -> wx w  u  sx 
    int pdf_2[] = { 1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  dx  -> wx w  c  dx 
    int pdf_3[] = {-1,   4,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx c   -> wx w  c  dx 
    int pdf_4[] = {-1,   2,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx u   -> wx w  u  sx 
  }
  else if (psi_no_map[i_a] == 41){
    int pdf_1[] = { 1,   2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  cx  -> wx w  d  sx 
    int pdf_2[] = { 1,   4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  ux  -> wx w  s  dx 
    int pdf_3[] = {-1,   4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux c   -> wx w  s  dx 
    int pdf_4[] = {-1,   2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx u   -> wx w  d  sx 
  }
  else if (psi_no_map[i_a] == 42){
    int pdf_1[] = { 1,   2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  cx  -> wx w  u  cx 
    int pdf_2[] = { 1,   4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  ux  -> wx w  c  ux 
    int pdf_3[] = {-1,   4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux c   -> wx w  c  ux 
    int pdf_4[] = {-1,   2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx u   -> wx w  u  cx 
  }
  else if (psi_no_map[i_a] == 43){
    int pdf_1[] = { 1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // u  bx  -> wx w  u  bx 
    int pdf_2[] = { 1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // c  bx  -> wx w  c  bx 
    int pdf_3[] = {-1,   2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // bx u   -> wx w  u  bx 
    int pdf_4[] = {-1,   4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // bx c   -> wx w  c  bx 
  }
  else if (psi_no_map[i_a] == 44){
    int pdf_1[] = { 1,   5,   5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  b   -> wx w  b  b  
  }
  else if (psi_no_map[i_a] == 45){
    int pdf_1[] = { 1,   5,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  dx  -> wx w  b  dx 
    int pdf_2[] = { 1,   5,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // b  sx  -> wx w  b  sx 
    int pdf_3[] = {-1,   5,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // dx b   -> wx w  b  dx 
    int pdf_4[] = {-1,   5,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // sx b   -> wx w  b  sx 
  }
  else if (psi_no_map[i_a] == 46){
    int pdf_1[] = { 1,   5,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  ux  -> wx w  b  ux 
    int pdf_2[] = { 1,   5,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // b  cx  -> wx w  b  cx 
    int pdf_3[] = {-1,   5,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux b   -> wx w  b  ux 
    int pdf_4[] = {-1,   5,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx b   -> wx w  b  cx 
  }
  else if (psi_no_map[i_a] == 47){
    int pdf_1[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  bx  -> wx w  g  g  
    int pdf_2[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx b   -> wx w  g  g  
  }
  else if (psi_no_map[i_a] == 48){
    int pdf_1[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  bx  -> wx w  d  dx 
    int pdf_2[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // b  bx  -> wx w  s  sx 
    int pdf_3[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // bx b   -> wx w  d  dx 
    int pdf_4[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // bx b   -> wx w  s  sx 
  }
  else if (psi_no_map[i_a] == 49){
    int pdf_1[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  bx  -> wx w  u  ux 
    int pdf_2[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // b  bx  -> wx w  c  cx 
    int pdf_3[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // bx b   -> wx w  u  ux 
    int pdf_4[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // bx b   -> wx w  c  cx 
  }
  else if (psi_no_map[i_a] == 50){
    int pdf_1[] = { 1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // b  bx  -> wx w  b  bx 
    int pdf_2[] = {-1,   5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // bx b   -> wx w  b  bx 
  }
  else if (psi_no_map[i_a] == 51){
    int pdf_1[] = { 1,  -1,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx dx  -> wx w  dx dx 
    int pdf_2[] = { 1,  -3,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx sx  -> wx w  sx sx 
  }
  else if (psi_no_map[i_a] == 52){
    int pdf_1[] = { 1,  -1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx ux  -> wx w  dx ux 
    int pdf_2[] = { 1,  -3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx cx  -> wx w  sx cx 
    int pdf_3[] = {-1,  -1,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux dx  -> wx w  dx ux 
    int pdf_4[] = {-1,  -3,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx sx  -> wx w  sx cx 
  }
  else if (psi_no_map[i_a] == 53){
    int pdf_1[] = { 1,  -1,  -3};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx sx  -> wx w  dx sx 
    int pdf_2[] = { 1,  -3,  -1};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx dx  -> wx w  dx sx 
  }
  else if (psi_no_map[i_a] == 54){
    int pdf_1[] = { 1,  -1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx cx  -> wx w  dx cx 
    int pdf_2[] = { 1,  -3,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx ux  -> wx w  ux sx 
    int pdf_3[] = {-1,  -3,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux sx  -> wx w  ux sx 
    int pdf_4[] = {-1,  -1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx dx  -> wx w  dx cx 
  }
  else if (psi_no_map[i_a] == 55){
    int pdf_1[] = { 1,  -1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx cx  -> wx w  ux sx 
    int pdf_2[] = { 1,  -3,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx ux  -> wx w  dx cx 
    int pdf_3[] = {-1,  -3,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // ux sx  -> wx w  dx cx 
    int pdf_4[] = {-1,  -1,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // cx dx  -> wx w  ux sx 
  }
  else if (psi_no_map[i_a] == 56){
    int pdf_1[] = { 1,  -1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // dx bx  -> wx w  dx bx 
    int pdf_2[] = { 1,  -3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // sx bx  -> wx w  sx bx 
    int pdf_3[] = {-1,  -1,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // bx dx  -> wx w  dx bx 
    int pdf_4[] = {-1,  -3,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // bx sx  -> wx w  sx bx 
  }
  else if (psi_no_map[i_a] == 57){
    int pdf_1[] = { 1,  -2,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // ux ux  -> wx w  ux ux 
    int pdf_2[] = { 1,  -4,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx cx  -> wx w  cx cx 
  }
  else if (psi_no_map[i_a] == 58){
    int pdf_1[] = { 1,  -2,  -4};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // ux cx  -> wx w  ux cx 
    int pdf_2[] = { 1,  -4,  -2};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx ux  -> wx w  ux cx 
  }
  else if (psi_no_map[i_a] == 59){
    int pdf_1[] = { 1,  -2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // ux bx  -> wx w  ux bx 
    int pdf_2[] = { 1,  -4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_2, 3));   // cx bx  -> wx w  cx bx 
    int pdf_3[] = {-1,  -2,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_3, 3));   // bx ux  -> wx w  ux bx 
    int pdf_4[] = {-1,  -4,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_4, 3));   // bx cx  -> wx w  cx bx 
  }
  else if (psi_no_map[i_a] == 60){
    int pdf_1[] = { 1,  -5,  -5};    osi_combination_pdf.push_back(get_vector_from_array_int(pdf_1, 3));   // bx bx  -> wx w  bx bx 
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
