#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppaa02/header/ppaa02.phasespace.h"
void ppaa02_ac_psp_born(int no_ps, int channel, phasespace_set & psi){
  static Logger logger("ppaa02_ac_psp_born");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_phasespace_order_alpha_s[no_ps] == 0 && psi_phasespace_order_alpha_e[no_ps] == 2 && psi_phasespace_order_interference[no_ps] == 0){
    if (psi_no_map[no_ps] == 0){}
    else if (psi_no_map[no_ps] == 2){ppaa02_ac_psp_020_ddx_aa(no_ps, channel, psi);} 
    else if (psi_no_map[no_ps] == 3){ppaa02_ac_psp_020_uux_aa(no_ps, channel, psi);} 
  }
  else if (psi_phasespace_order_alpha_s[no_ps] == 2 && psi_phasespace_order_alpha_e[no_ps] == 2 && psi_phasespace_order_interference[no_ps] == 0){
    if (psi_no_map[no_ps] == 0){}
    else if (psi_no_map[no_ps] == 1){ppaa02_ac_psp_220_gg_aa(no_ps, channel, psi);} 
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
