#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppaa02/header/ppaa02.phasespace.h"
void ppaa02_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi){
  static Logger logger("ppaa02_ac_psp_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] ==  2){ppaa02_ac_psp_220_gg_aaddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  3){ppaa02_ac_psp_220_gg_aauux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  4){ppaa02_ac_psp_220_gd_aagd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  5){ppaa02_ac_psp_220_gu_aagu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  6){ppaa02_ac_psp_220_gdx_aagdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  7){ppaa02_ac_psp_220_gux_aagux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  8){ppaa02_ac_psp_220_dd_aadd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  9){ppaa02_ac_psp_220_du_aadu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 10){ppaa02_ac_psp_220_ds_aads(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 11){ppaa02_ac_psp_220_dc_aadc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 13){ppaa02_ac_psp_220_ddx_aagg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 14){ppaa02_ac_psp_220_ddx_aaddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 15){ppaa02_ac_psp_220_ddx_aauux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 16){ppaa02_ac_psp_220_ddx_aassx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 17){ppaa02_ac_psp_220_ddx_aaccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 18){ppaa02_ac_psp_220_dux_aadux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 20){ppaa02_ac_psp_220_dsx_aadsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 22){ppaa02_ac_psp_220_dcx_aadcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 23){ppaa02_ac_psp_220_uu_aauu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 24){ppaa02_ac_psp_220_uc_aauc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 25){ppaa02_ac_psp_220_udx_aaudx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 27){ppaa02_ac_psp_220_uux_aagg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 28){ppaa02_ac_psp_220_uux_aaddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 29){ppaa02_ac_psp_220_uux_aauux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 30){ppaa02_ac_psp_220_uux_aassx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 31){ppaa02_ac_psp_220_uux_aaccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 32){ppaa02_ac_psp_220_usx_aausx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 34){ppaa02_ac_psp_220_ucx_aaucx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 35){ppaa02_ac_psp_220_dxdx_aadxdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 36){ppaa02_ac_psp_220_dxux_aadxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 37){ppaa02_ac_psp_220_dxsx_aadxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 38){ppaa02_ac_psp_220_dxcx_aadxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 40){ppaa02_ac_psp_220_uxux_aauxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 41){ppaa02_ac_psp_220_uxcx_aauxcx(no_ps, channel, psi);} 

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
