#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeexexne04/header/ppeexexne04.phasespace.h"
void ppeexexne04_ax_psp_240_dxdx_emepepvedxux(int no_ps, phasespace_set & psi){
  static Logger logger("ppeexexne04_ax_psp_240_dxdx_emepepvedxux");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(35);
  psi_needed_v_smin[no_ps].resize(35);
  int needed_v_smin_0[] = {   0,   10,   11,   12,   22,   23,   26,   27,   30,   31,   32,   42,   43,   46,   47,   50,   51,   52,   62,   63,   66,   67,   70,   71,   74,   75,   78,   79,   82,   83,   86,   87,   90,   91,   94,   95,   98,   99,  102,  103,  106,  107,  110,  111,  114,  115,  118,  119,  122,  123,  126,  127}; //  52
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 52);
  int needed_v_smin_1[] = {   0,   12,   32,   52}; //   4
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 4);
  int needed_v_smin_2[] = {   0,    1,   12,   13,   32,   33,   52,   53}; //   8
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 8);
  int needed_v_smin_3[] = {   1,    2,    3,    8,    9,   13,   14,   15,   20,   21,   24,   25,   28,   29,   33,   34,   35,   40,   41,   44,   45,   48,   49,   53,   54,   55,   60,   61,   64,   65,   68,   69,   72,   73,   76,   77,   80,   81,   84,   85,   88,   89,   92,   93,   96,   97,  100,  101,  104,  105,  108,  109,  112,  113,  116,  117,  120,  121,  124,  125}; //  60
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 60);
  int needed_v_smin_4[] = {   1,   13,   33,   53}; //   4
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 4);
  int needed_v_smin_5[] = {   2,    3,   14,   15,   34,   35,   54,   55}; //   8
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 8);
  int needed_v_smin_6[] = {   2,    3,    6,    7,   14,   15,   18,   19,   34,   35,   38,   39,   54,   55,   58,   59}; //  16
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 16);
  int needed_v_smin_7[] = {   4,    8,    9,   16,   20,   21,   24,   25,   28,   29,   36,   40,   41,   44,   45,   48,   49,   56,   60,   61,   64,   65,   68,   69,   72,   73,   76,   77,   80,   81,   84,   85,   88,   89,   92,   93,   96,   97,  100,  101,  104,  105,  108,  109,  112,  113,  116,  117,  120,  121,  124,  125}; //  52
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 52);
  int needed_v_smin_8[] = {   4,   16,   36,   56}; //   4
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 4);
  int needed_v_smin_9[] = {   4,    5,   16,   17,   36,   37,   56,   57}; //   8
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 8);
  int needed_v_smin_10[] = {   5,    6,    7,   10,   11,   17,   18,   19,   22,   23,   26,   27,   30,   31,   37,   38,   39,   42,   43,   46,   47,   50,   51,   57,   58,   59,   62,   63,   66,   67,   70,   71,   74,   75,   78,   79,   82,   83,   86,   87,   90,   91,   94,   95,   98,   99,  102,  103,  106,  107,  110,  111,  114,  115,  118,  119,  122,  123,  126,  127}; //  60
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 60);
  int needed_v_smin_11[] = {   5,   17,   37,   57}; //   4
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 4);
  int needed_v_smin_12[] = {   6,    7,   18,   19,   38,   39,   58,   59}; //   8
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 8);
  int needed_v_smin_13[] = {   8,    9,   20,   21,   40,   41,   60,   61}; //   8
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 8);
  int needed_v_smin_14[] = {  10,   11,   22,   23,   42,   43,   62,   63}; //   8
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 8);
  int needed_v_smin_15[] = {  12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,    0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  48
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 48);
  int needed_v_smin_16[] = {  24,   25,   44,   45,   72,   73,   80,   81,   96,   97,  100,  101,  108,  109,  116,  117,   64,   65,  124,  125}; //  20
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 20);
  int needed_v_smin_17[] = {  24,   25,   44,   45,   64,   65,   72,   73,  116,  117,  124,  125}; //  12
  psi_needed_v_smin[no_ps][ 17] = get_vector_from_array_int(needed_v_smin_17, 12);
  int needed_v_smin_18[] = {  26,   27,   46,   47,   74,   75,   82,   83,   98,   99,  102,  103,  110,  111,  118,  119,   66,   67,  126,  127}; //  20
  psi_needed_v_smin[no_ps][ 18] = get_vector_from_array_int(needed_v_smin_18, 20);
  int needed_v_smin_19[] = {  26,   27,   46,   47,   66,   67,   74,   75,  118,  119,  126,  127}; //  12
  psi_needed_v_smin[no_ps][ 19] = get_vector_from_array_int(needed_v_smin_19, 12);
  int needed_v_smin_20[] = {  28,   29,   48,   49,   76,   77,  112,  113,   68,   69,  120,  121}; //  12
  psi_needed_v_smin[no_ps][ 20] = get_vector_from_array_int(needed_v_smin_20, 12);
  int needed_v_smin_21[] = {  28,   29,   48,   49,   68,   69,   76,   77,  112,  113,  120,  121}; //  12
  psi_needed_v_smin[no_ps][ 21] = get_vector_from_array_int(needed_v_smin_21, 12);
  int needed_v_smin_22[] = {  30,   31,   50,   51,   78,   79,  114,  115,   70,   71,  122,  123}; //  12
  psi_needed_v_smin[no_ps][ 22] = get_vector_from_array_int(needed_v_smin_22, 12);
  int needed_v_smin_23[] = {  30,   31,   50,   51,   70,   71,   78,   79,  114,  115,  122,  123}; //  12
  psi_needed_v_smin[no_ps][ 23] = get_vector_from_array_int(needed_v_smin_23, 12);
  int needed_v_smin_24[] = {  84,   85,   96,   97,  100,  101,  104,  105}; //   8
  psi_needed_v_smin[no_ps][ 24] = get_vector_from_array_int(needed_v_smin_24, 8);
  int needed_v_smin_25[] = {  86,   87,   98,   99,  102,  103,  106,  107}; //   8
  psi_needed_v_smin[no_ps][ 25] = get_vector_from_array_int(needed_v_smin_25, 8);
  int needed_v_smin_26[] = {  80,   81,  108,  109}; //   4
  psi_needed_v_smin[no_ps][ 26] = get_vector_from_array_int(needed_v_smin_26, 4);
  int needed_v_smin_27[] = {  82,   83,  110,  111}; //   4
  psi_needed_v_smin[no_ps][ 27] = get_vector_from_array_int(needed_v_smin_27, 4);
  int needed_v_smin_28[] = {  84,   85,  104,  105}; //   4
  psi_needed_v_smin[no_ps][ 28] = get_vector_from_array_int(needed_v_smin_28, 4);
  int needed_v_smin_29[] = {  86,   87,  106,  107}; //   4
  psi_needed_v_smin[no_ps][ 29] = get_vector_from_array_int(needed_v_smin_29, 4);
  int needed_v_smin_30[] = {  88,   89,   90,   91,   92,   93,   94,   95}; //   8
  psi_needed_v_smin[no_ps][ 30] = get_vector_from_array_int(needed_v_smin_30, 8);
  int needed_v_smin_31[] = {  88,   89}; //   2
  psi_needed_v_smin[no_ps][ 31] = get_vector_from_array_int(needed_v_smin_31, 2);
  int needed_v_smin_32[] = {  90,   91}; //   2
  psi_needed_v_smin[no_ps][ 32] = get_vector_from_array_int(needed_v_smin_32, 2);
  int needed_v_smin_33[] = {  92,   93}; //   2
  psi_needed_v_smin[no_ps][ 33] = get_vector_from_array_int(needed_v_smin_33, 2);
  int needed_v_smin_34[] = {  94,   95}; //   2
  psi_needed_v_smin[no_ps][ 34] = get_vector_from_array_int(needed_v_smin_34, 2);

  psi_v_smax[no_ps].resize(41);
  psi_needed_v_smax[no_ps].resize(41);
  int needed_v_smax_0[] = {   0,   10,   11,   12,   22,   23,   26,   27,   32,   42,   43,   46,   47,   52,   62,   63,   66,   67,   74,   75,   82,   83,   90,   91,   98,   99,  106,  107,  114,  115,  122,  123}; //  32
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 32);
  int needed_v_smax_1[] = {   0,    1,   12,   13,   32,   33,   52,   53}; //   8
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 8);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  48
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 48);
  int needed_v_smax_3[] = {   1,    2,    3,   13,   14,   15,   28,   29,   33,   34,   35,   48,   49,   53,   54,   55,   68,   69,   76,   77,   84,   85,   92,   93,  100,  101,  108,  109,  116,  117,  124,  125}; //  32
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 32);
  int needed_v_smax_4[] = {   2,    3,    6,    7,   14,   15,   18,   19,   34,   35,   38,   39,   54,   55,   58,   59}; //  16
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 16);
  int needed_v_smax_5[] = {   4,    8,    9,   16,   20,   21,   24,   25,   36,   40,   41,   44,   45,   56,   60,   61,   64,   65,   72,   73,   80,   81,   88,   89,   96,   97,  104,  105,  112,  113,  120,  121}; //  32
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 32);
  int needed_v_smax_6[] = {   4,    5,   16,   17,   36,   37,   56,   57}; //   8
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 8);
  int needed_v_smax_7[] = {   5,    6,    7,   17,   18,   19,   30,   31,   37,   38,   39,   50,   51,   57,   58,   59,   70,   71,   78,   79,   86,   87,   94,   95,  102,  103,  110,  111,  118,  119,  126,  127}; //  32
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 32);
  int needed_v_smax_8[] = {   8,    9,   20,   21,   40,   41,   60,   61,   64,   65,   88,   89,  104,  105,  112,  113,  120,  121}; //  18
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 18);
  int needed_v_smax_9[] = {  10,   11,   22,   23,   42,   43,   62,   63,   66,   67,   90,   91,  106,  107,  114,  115,  122,  123}; //  18
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 18);
  int needed_v_smax_10[] = {  12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,    0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127}; //  96
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 96);
  int needed_v_smax_11[] = {  24,   25,   44,   45,   72,   73,   80,   81,   96,   97}; //  10
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 10);
  int needed_v_smax_12[] = {  24,   25,   44,   45,   72,   73,   80,   81,   96,   97}; //  10
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 10);
  int needed_v_smax_13[] = {  26,   27,   46,   47,   74,   75,   82,   83,   98,   99}; //  10
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 10);
  int needed_v_smax_14[] = {  26,   27,   46,   47,   74,   75,   82,   83,   98,   99}; //  10
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 10);
  int needed_v_smax_15[] = {  28,   29,   48,   49,   76,   77}; //   6
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 6);
  int needed_v_smax_16[] = {  28,   29,   48,   49,   76,   77}; //   6
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 6);
  int needed_v_smax_17[] = {  30,   31,   50,   51,   78,   79}; //   6
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 6);
  int needed_v_smax_18[] = {  30,   31,   50,   51,   78,   79}; //   6
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 6);
  int needed_v_smax_19[] = {  68,   69,   92,   93,  108,  109,  116,  117,  124,  125}; //  10
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 10);
  int needed_v_smax_20[] = {  70,   71,   94,   95,  110,  111,  118,  119,  126,  127}; //  10
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 10);
  int needed_v_smax_21[] = {  84,   85,  100,  101}; //   4
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 4);
  int needed_v_smax_22[] = {  84,   85,  100,  101}; //   4
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 4);
  int needed_v_smax_23[] = {  86,   87,  102,  103}; //   4
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 4);
  int needed_v_smax_24[] = {  86,   87,  102,  103}; //   4
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 4);
  int needed_v_smax_25[] = {  96,   97}; //   2
  psi_needed_v_smax[no_ps][ 25] = get_vector_from_array_int(needed_v_smax_25, 2);
  int needed_v_smax_26[] = {  98,   99}; //   2
  psi_needed_v_smax[no_ps][ 26] = get_vector_from_array_int(needed_v_smax_26, 2);
  int needed_v_smax_27[] = { 100,  101}; //   2
  psi_needed_v_smax[no_ps][ 27] = get_vector_from_array_int(needed_v_smax_27, 2);
  int needed_v_smax_28[] = { 102,  103}; //   2
  psi_needed_v_smax[no_ps][ 28] = get_vector_from_array_int(needed_v_smax_28, 2);
  int needed_v_smax_29[] = { 104,  105}; //   2
  psi_needed_v_smax[no_ps][ 29] = get_vector_from_array_int(needed_v_smax_29, 2);
  int needed_v_smax_30[] = { 106,  107}; //   2
  psi_needed_v_smax[no_ps][ 30] = get_vector_from_array_int(needed_v_smax_30, 2);
  int needed_v_smax_31[] = { 108,  109,  116,  117,   64,   65,  124,  125}; //   8
  psi_needed_v_smax[no_ps][ 31] = get_vector_from_array_int(needed_v_smax_31, 8);
  int needed_v_smax_32[] = { 110,  111,  118,  119,   66,   67,  126,  127}; //   8
  psi_needed_v_smax[no_ps][ 32] = get_vector_from_array_int(needed_v_smax_32, 8);
  int needed_v_smax_33[] = { 112,  113,   68,   69,  120,  121}; //   6
  psi_needed_v_smax[no_ps][ 33] = get_vector_from_array_int(needed_v_smax_33, 6);
  int needed_v_smax_34[] = { 114,  115,   70,   71,  122,  123}; //   6
  psi_needed_v_smax[no_ps][ 34] = get_vector_from_array_int(needed_v_smax_34, 6);
  int needed_v_smax_35[] = {  80,   81,   88,   89,  108,  109}; //   6
  psi_needed_v_smax[no_ps][ 35] = get_vector_from_array_int(needed_v_smax_35, 6);
  int needed_v_smax_36[] = {  82,   83,   90,   91,  110,  111}; //   6
  psi_needed_v_smax[no_ps][ 36] = get_vector_from_array_int(needed_v_smax_36, 6);
  int needed_v_smax_37[] = {  84,   85,   92,   93,  104,  105}; //   6
  psi_needed_v_smax[no_ps][ 37] = get_vector_from_array_int(needed_v_smax_37, 6);
  int needed_v_smax_38[] = {  86,   87,   94,   95,  106,  107}; //   6
  psi_needed_v_smax[no_ps][ 38] = get_vector_from_array_int(needed_v_smax_38, 6);
  int needed_v_smax_39[] = {  88,   89,   92,   93}; //   4
  psi_needed_v_smax[no_ps][ 39] = get_vector_from_array_int(needed_v_smax_39, 4);
  int needed_v_smax_40[] = {  90,   91,   94,   95}; //   4
  psi_needed_v_smax[no_ps][ 40] = get_vector_from_array_int(needed_v_smax_40, 4);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(52);
  psi_needed_g_p[no_ps].resize(52);
  int needed_g_p_0[] = {   0,   10,   11,   12,   22,   23,   26,   27,   32,   42,   43,   46,   47,   52,   62,   63,   66,   67,   74,   75,   82,   83,   90,   91,   98,   99,  106,  107,  114,  115,  122,  123}; //  32
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 32);
  psi_container_IS_name.push_back("propagator_24_smin0_smax0");
  int needed_g_p_1[] = {   0,   12,   32,   52}; //   4
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 4);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,    1,   12,   13,   32,   33,   52,   53}; //   8
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 8);
  psi_container_IS_name.push_back("propagator_24_smin2_smax2");
  int needed_g_p_3[] = {   1,    3,   13,   15,   29,   33,   35,   49,   53,   55,   69,   77,   85,   93,  101,  109,  117,  125}; //  18
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 18);
  psi_container_IS_name.push_back("propagator_23_smin3_smax3");
  int needed_g_p_4[] = {   1,   13,   33,   53}; //   4
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 4);
  psi_container_IS_name.push_back("propagator_0_smin4_smax1");
  int needed_g_p_5[] = {   2,   14,   28,   34,   48,   54,   68,   76,   84,   92,  100,  108,  116,  124}; //  14
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 14);
  psi_container_IS_name.push_back("propagator_0_smin3_smax3");
  int needed_g_p_6[] = {   2,    3,   14,   15,   34,   35,   54,   55}; //   8
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 8);
  psi_container_IS_name.push_back("propagator_0_smin5_smax4");
  int needed_g_p_7[] = {   2,    3,    6,    7,   14,   15,   18,   19,   34,   35,   38,   39,   54,   55,   58,   59}; //  16
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 16);
  psi_container_IS_name.push_back("propagator_24_smin6_smax2");
  int needed_g_p_8[] = {   4,    8,    9,   16,   20,   21,   24,   25,   36,   40,   41,   44,   45,   56,   60,   61,   64,   65,   72,   73,   80,   81,   88,   89,   96,   97,  104,  105,  112,  113,  120,  121}; //  32
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 32);
  psi_container_IS_name.push_back("propagator_24_smin7_smax5");
  int needed_g_p_9[] = {   4,   16,   36,   56}; //   4
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 4);
  psi_container_IS_name.push_back("propagator_0_smin8_smax6");
  int needed_g_p_10[] = {   4,    5,   16,   17,   36,   37,   56,   57}; //   8
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 8);
  psi_container_IS_name.push_back("propagator_24_smin9_smax2");
  int needed_g_p_11[] = {   5,    7,   17,   19,   31,   37,   39,   51,   57,   59,   71,   79,   87,   95,  103,  111,  119,  127}; //  18
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 18);
  psi_container_IS_name.push_back("propagator_23_smin10_smax7");
  int needed_g_p_12[] = {   5,   17,   37,   57}; //   4
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 4);
  psi_container_IS_name.push_back("propagator_0_smin11_smax6");
  int needed_g_p_13[] = {   6,   18,   30,   38,   50,   58,   70,   78,   86,   94,  102,  110,  118,  126}; //  14
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 14);
  psi_container_IS_name.push_back("propagator_0_smin10_smax7");
  int needed_g_p_14[] = {   6,    7,   18,   19,   38,   39,   58,   59}; //   8
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 8);
  psi_container_IS_name.push_back("propagator_0_smin12_smax4");
  int needed_g_p_15[] = {   8,   20,   40,   60,   64,   88,  104,  112,  120}; //   9
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 9);
  psi_container_IS_name.push_back("propagator_0_smin3_smax8");
  int needed_g_p_16[] = {   8,    9,   20,   21,   40,   41,   60,   61}; //   8
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 8);
  psi_container_IS_name.push_back("propagator_24_smin13_smax2");
  int needed_g_p_17[] = {   9,   21,   41,   61,   65,   89,  105,  113,  121}; //   9
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 9);
  psi_container_IS_name.push_back("propagator_23_smin3_smax8");
  int needed_g_p_18[] = {  10,   22,   42,   62,   66,   90,  106,  114,  122}; //   9
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 9);
  psi_container_IS_name.push_back("propagator_0_smin10_smax9");
  int needed_g_p_19[] = {  10,   11,   22,   23,   42,   43,   62,   63}; //   8
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 8);
  psi_container_IS_name.push_back("propagator_24_smin14_smax2");
  int needed_g_p_20[] = {  11,   23,   43,   63,   67,   91,  107,  115,  123}; //   9
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 9);
  psi_container_IS_name.push_back("propagator_23_smin10_smax9");
  int needed_g_p_21[] = {  12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43}; //  24
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 24);
  psi_container_IS_name.push_back("propagator_0_smin15_smax10");
  int needed_g_p_22[] = {  24,   25,   44,   45,   72,   73,   80,   81,   96,   97}; //  10
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 10);
  psi_container_IS_name.push_back("propagator_0_smin16_smax11");
  int needed_g_p_23[] = {  24,   44,   72,   80,   96}; //   5
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 5);
  psi_container_IS_name.push_back("propagator_0_smin3_smax12");
  int needed_g_p_24[] = {  24,   25,   44,   45}; //   4
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 4);
  psi_container_IS_name.push_back("propagator_0_smin17_smax10");
  int needed_g_p_25[] = {  25,   45,   73,   81,   97}; //   5
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 5);
  psi_container_IS_name.push_back("propagator_23_smin3_smax12");
  int needed_g_p_26[] = {  26,   27,   46,   47,   74,   75,   82,   83,   98,   99}; //  10
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 10);
  psi_container_IS_name.push_back("propagator_0_smin18_smax13");
  int needed_g_p_27[] = {  26,   46,   74,   82,   98}; //   5
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 5);
  psi_container_IS_name.push_back("propagator_0_smin10_smax14");
  int needed_g_p_28[] = {  26,   27,   46,   47}; //   4
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 4);
  psi_container_IS_name.push_back("propagator_0_smin19_smax10");
  int needed_g_p_29[] = {  27,   47,   75,   83,   99}; //   5
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 5);
  psi_container_IS_name.push_back("propagator_23_smin10_smax14");
  int needed_g_p_30[] = {  28,   29,   48,   49,   76,   77}; //   6
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 6);
  psi_container_IS_name.push_back("propagator_0_smin20_smax15");
  int needed_g_p_31[] = {  28,   29,   48,   49,   76,   77}; //   6
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 6);
  psi_container_IS_name.push_back("propagator_24_smin7_smax16");
  int needed_g_p_32[] = {  28,   29,   48,   49}; //   4
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 4);
  psi_container_IS_name.push_back("propagator_0_smin21_smax10");
  int needed_g_p_33[] = {  30,   31,   50,   51,   78,   79}; //   6
  psi_needed_g_p[no_ps][33] = get_vector_from_array_int(needed_g_p_33, 6);
  psi_container_IS_name.push_back("propagator_0_smin22_smax17");
  int needed_g_p_34[] = {  30,   31,   50,   51,   78,   79}; //   6
  psi_needed_g_p[no_ps][34] = get_vector_from_array_int(needed_g_p_34, 6);
  psi_container_IS_name.push_back("propagator_24_smin0_smax18");
  int needed_g_p_35[] = {  30,   31,   50,   51}; //   4
  psi_needed_g_p[no_ps][35] = get_vector_from_array_int(needed_g_p_35, 4);
  psi_container_IS_name.push_back("propagator_0_smin23_smax10");
  int needed_g_p_36[] = {  68,   69,   92,   93,  108,  109,  116,  117,  124,  125}; //  10
  psi_needed_g_p[no_ps][36] = get_vector_from_array_int(needed_g_p_36, 10);
  psi_container_IS_name.push_back("propagator_24_smin7_smax19");
  int needed_g_p_37[] = {  70,   71,   94,   95,  110,  111,  118,  119,  126,  127}; //  10
  psi_needed_g_p[no_ps][37] = get_vector_from_array_int(needed_g_p_37, 10);
  psi_container_IS_name.push_back("propagator_24_smin0_smax20");
  int needed_g_p_38[] = {  84,   85,  100,  101}; //   4
  psi_needed_g_p[no_ps][38] = get_vector_from_array_int(needed_g_p_38, 4);
  psi_container_IS_name.push_back("propagator_0_smin24_smax21");
  int needed_g_p_39[] = {  84,   85,  100,  101}; //   4
  psi_needed_g_p[no_ps][39] = get_vector_from_array_int(needed_g_p_39, 4);
  psi_container_IS_name.push_back("propagator_24_smin7_smax22");
  int needed_g_p_40[] = {  86,   87,  102,  103}; //   4
  psi_needed_g_p[no_ps][40] = get_vector_from_array_int(needed_g_p_40, 4);
  psi_container_IS_name.push_back("propagator_0_smin25_smax23");
  int needed_g_p_41[] = {  86,   87,  102,  103}; //   4
  psi_needed_g_p[no_ps][41] = get_vector_from_array_int(needed_g_p_41, 4);
  psi_container_IS_name.push_back("propagator_24_smin0_smax24");
  int needed_g_p_42[] = {  96,   97}; //   2
  psi_needed_g_p[no_ps][42] = get_vector_from_array_int(needed_g_p_42, 2);
  psi_container_IS_name.push_back("propagator_0_smin24_smax25");
  int needed_g_p_43[] = {  98,   99}; //   2
  psi_needed_g_p[no_ps][43] = get_vector_from_array_int(needed_g_p_43, 2);
  psi_container_IS_name.push_back("propagator_0_smin25_smax26");
  int needed_g_p_44[] = { 100,  101}; //   2
  psi_needed_g_p[no_ps][44] = get_vector_from_array_int(needed_g_p_44, 2);
  psi_container_IS_name.push_back("propagator_0_smin16_smax27");
  int needed_g_p_45[] = { 102,  103}; //   2
  psi_needed_g_p[no_ps][45] = get_vector_from_array_int(needed_g_p_45, 2);
  psi_container_IS_name.push_back("propagator_0_smin18_smax28");
  int needed_g_p_46[] = { 104,  105}; //   2
  psi_needed_g_p[no_ps][46] = get_vector_from_array_int(needed_g_p_46, 2);
  psi_container_IS_name.push_back("propagator_0_smin24_smax29");
  int needed_g_p_47[] = { 106,  107}; //   2
  psi_needed_g_p[no_ps][47] = get_vector_from_array_int(needed_g_p_47, 2);
  psi_container_IS_name.push_back("propagator_0_smin25_smax30");
  int needed_g_p_48[] = { 108,  109,  116,  117}; //   4
  psi_needed_g_p[no_ps][48] = get_vector_from_array_int(needed_g_p_48, 4);
  psi_container_IS_name.push_back("propagator_0_smin16_smax31");
  int needed_g_p_49[] = { 110,  111,  118,  119}; //   4
  psi_needed_g_p[no_ps][49] = get_vector_from_array_int(needed_g_p_49, 4);
  psi_container_IS_name.push_back("propagator_0_smin18_smax32");
  int needed_g_p_50[] = { 112,  113}; //   2
  psi_needed_g_p[no_ps][50] = get_vector_from_array_int(needed_g_p_50, 2);
  psi_container_IS_name.push_back("propagator_0_smin20_smax33");
  int needed_g_p_51[] = { 114,  115}; //   2
  psi_needed_g_p[no_ps][51] = get_vector_from_array_int(needed_g_p_51, 2);
  psi_container_IS_name.push_back("propagator_0_smin22_smax34");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(19);
  psi_needed_g_f[no_ps].resize(19);
  int needed_g_f_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  24
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 24);
  psi_container_IS_name.push_back("timelikeinvariant_smin15_smax10");
  int needed_g_f_1[] = {  64,   65,  124,  125}; //   4
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin16_smax31");
  int needed_g_f_2[] = {  64,   65,   72,   73,  116,  117,  124,  125}; //   8
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin17_smax10");
  int needed_g_f_3[] = {  66,   67,  126,  127}; //   4
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin18_smax32");
  int needed_g_f_4[] = {  66,   67,   74,   75,  118,  119,  126,  127}; //   8
  psi_needed_g_f[no_ps][4] = get_vector_from_array_int(needed_g_f_4, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin19_smax10");
  int needed_g_f_5[] = {  68,   69,  120,  121}; //   4
  psi_needed_g_f[no_ps][5] = get_vector_from_array_int(needed_g_f_5, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin20_smax33");
  int needed_g_f_6[] = {  68,   69,   76,   77,  112,  113,  120,  121}; //   8
  psi_needed_g_f[no_ps][6] = get_vector_from_array_int(needed_g_f_6, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin21_smax10");
  int needed_g_f_7[] = {  70,   71,  122,  123}; //   4
  psi_needed_g_f[no_ps][7] = get_vector_from_array_int(needed_g_f_7, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin22_smax34");
  int needed_g_f_8[] = {  70,   71,   78,   79,  114,  115,  122,  123}; //   8
  psi_needed_g_f[no_ps][8] = get_vector_from_array_int(needed_g_f_8, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin23_smax10");
  int needed_g_f_9[] = {  80,   81,  108,  109}; //   4
  psi_needed_g_f[no_ps][9] = get_vector_from_array_int(needed_g_f_9, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin26_smax35");
  int needed_g_f_10[] = {  82,   83,  110,  111}; //   4
  psi_needed_g_f[no_ps][10] = get_vector_from_array_int(needed_g_f_10, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin27_smax36");
  int needed_g_f_11[] = {  84,   85,  104,  105}; //   4
  psi_needed_g_f[no_ps][11] = get_vector_from_array_int(needed_g_f_11, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin28_smax37");
  int needed_g_f_12[] = {  86,   87,  106,  107}; //   4
  psi_needed_g_f[no_ps][12] = get_vector_from_array_int(needed_g_f_12, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin29_smax38");
  int needed_g_f_13[] = {  88,   89,   92,   93}; //   4
  psi_needed_g_f[no_ps][13] = get_vector_from_array_int(needed_g_f_13, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin30_smax39");
  int needed_g_f_14[] = {  88,   89}; //   2
  psi_needed_g_f[no_ps][14] = get_vector_from_array_int(needed_g_f_14, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin31_smax35");
  int needed_g_f_15[] = {  90,   91,   94,   95}; //   4
  psi_needed_g_f[no_ps][15] = get_vector_from_array_int(needed_g_f_15, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin30_smax40");
  int needed_g_f_16[] = {  90,   91}; //   2
  psi_needed_g_f[no_ps][16] = get_vector_from_array_int(needed_g_f_16, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin32_smax36");
  int needed_g_f_17[] = {  92,   93}; //   2
  psi_needed_g_f[no_ps][17] = get_vector_from_array_int(needed_g_f_17, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin33_smax37");
  int needed_g_f_18[] = {  94,   95}; //   2
  psi_needed_g_f[no_ps][18] = get_vector_from_array_int(needed_g_f_18, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin34_smax38");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(48);
  psi_needed_g_t[no_ps].resize(48);
  int needed_g_t_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79}; //  48
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 48);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__64_188");
  int needed_g_t_1[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11}; //  12
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 12);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__66_1__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__66_1__128_60");
  int needed_g_t_2[] = {  32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127}; //  48
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 48);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__64_188");
  int needed_g_t_3[] = {  52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  12
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 12);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__65_2__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__65_2__128_60");
  int needed_g_t_4[] = {  64,   65,   72,   73}; //   4
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_66__12_176");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_66__12_176");
  int needed_g_t_5[] = {  64,   65}; //   2
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__66_13__128_48");
  psi_container_IS_name.push_back("phi_of_tchannel_0__66_13__128_48");
  int needed_g_t_6[] = {  66,   67,   74,   75}; //   4
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_66__20_168");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_66__20_168");
  int needed_g_t_7[] = {  66,   67}; //   2
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__66_21__128_40");
  psi_container_IS_name.push_back("phi_of_tchannel_0__66_21__128_40");
  int needed_g_t_8[] = {  68,   69,   76,   77}; //   4
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_66__48_140");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_66__48_140");
  int needed_g_t_9[] = {  68,   69}; //   2
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__66_49__128_12");
  psi_container_IS_name.push_back("phi_of_tchannel_0__66_49__128_12");
  int needed_g_t_10[] = {  70,   71,   78,   79}; //   4
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_66__40_148");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_66__40_148");
  int needed_g_t_11[] = {  70,   71}; //   2
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__66_41__128_20");
  psi_container_IS_name.push_back("phi_of_tchannel_0__66_41__128_20");
  int needed_g_t_12[] = {  80,   81,   88,   89}; //   4
  psi_needed_g_t[no_ps][12] = get_vector_from_array_int(needed_g_t_12, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__12_240");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__12_240");
  int needed_g_t_13[] = {  80,   81}; //   2
  psi_needed_g_t[no_ps][13] = get_vector_from_array_int(needed_g_t_13, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__176_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__176_64");
  int needed_g_t_14[] = {  82,   83,   90,   91}; //   4
  psi_needed_g_t[no_ps][14] = get_vector_from_array_int(needed_g_t_14, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__20_232");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__20_232");
  int needed_g_t_15[] = {  82,   83}; //   2
  psi_needed_g_t[no_ps][15] = get_vector_from_array_int(needed_g_t_15, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_21__168_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_21__168_64");
  int needed_g_t_16[] = {  84,   85,   92,   93}; //   4
  psi_needed_g_t[no_ps][16] = get_vector_from_array_int(needed_g_t_16, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__48_204");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__48_204");
  int needed_g_t_17[] = {  84,   85}; //   2
  psi_needed_g_t[no_ps][17] = get_vector_from_array_int(needed_g_t_17, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_49__76_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_49__76_128");
  int needed_g_t_18[] = {  86,   87,   94,   95}; //   4
  psi_needed_g_t[no_ps][18] = get_vector_from_array_int(needed_g_t_18, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__40_212");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__40_212");
  int needed_g_t_19[] = {  86,   87}; //   2
  psi_needed_g_t[no_ps][19] = get_vector_from_array_int(needed_g_t_19, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_41__84_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_41__84_128");
  int needed_g_t_20[] = {  88,   89}; //   2
  psi_needed_g_t[no_ps][20] = get_vector_from_array_int(needed_g_t_20, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__48_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__48_192");
  int needed_g_t_21[] = {  88,   89}; //   2
  psi_needed_g_t[no_ps][21] = get_vector_from_array_int(needed_g_t_21, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__13_50__64_128");
  psi_container_IS_name.push_back("phi_of_tchannel_0__13_50__64_128");
  int needed_g_t_22[] = {  90,   91}; //   2
  psi_needed_g_t[no_ps][22] = get_vector_from_array_int(needed_g_t_22, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_21__40_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_21__40_192");
  int needed_g_t_23[] = {  90,   91}; //   2
  psi_needed_g_t[no_ps][23] = get_vector_from_array_int(needed_g_t_23, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__21_42__64_128");
  psi_container_IS_name.push_back("phi_of_tchannel_0__21_42__64_128");
  int needed_g_t_24[] = {  92,   93}; //   2
  psi_needed_g_t[no_ps][24] = get_vector_from_array_int(needed_g_t_24, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_49__12_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_49__12_192");
  int needed_g_t_25[] = {  92,   93}; //   2
  psi_needed_g_t[no_ps][25] = get_vector_from_array_int(needed_g_t_25, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__49_14__128_64");
  psi_container_IS_name.push_back("phi_of_tchannel_0__49_14__128_64");
  int needed_g_t_26[] = {  94,   95}; //   2
  psi_needed_g_t[no_ps][26] = get_vector_from_array_int(needed_g_t_26, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_41__20_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_41__20_192");
  int needed_g_t_27[] = {  94,   95}; //   2
  psi_needed_g_t[no_ps][27] = get_vector_from_array_int(needed_g_t_27, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__41_22__128_64");
  psi_container_IS_name.push_back("phi_of_tchannel_0__41_22__128_64");
  int needed_g_t_28[] = {  96,   97}; //   2
  psi_needed_g_t[no_ps][28] = get_vector_from_array_int(needed_g_t_28, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__76_176");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__76_176");
  int needed_g_t_29[] = {  98,   99}; //   2
  psi_needed_g_t[no_ps][29] = get_vector_from_array_int(needed_g_t_29, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__84_168");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__84_168");
  int needed_g_t_30[] = { 100,  101}; //   2
  psi_needed_g_t[no_ps][30] = get_vector_from_array_int(needed_g_t_30, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__176_76");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__176_76");
  int needed_g_t_31[] = { 102,  103}; //   2
  psi_needed_g_t[no_ps][31] = get_vector_from_array_int(needed_g_t_31, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__168_84");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__168_84");
  int needed_g_t_32[] = { 104,  105}; //   2
  psi_needed_g_t[no_ps][32] = get_vector_from_array_int(needed_g_t_32, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__48_204");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__48_204");
  int needed_g_t_33[] = { 104,  105}; //   2
  psi_needed_g_t[no_ps][33] = get_vector_from_array_int(needed_g_t_33, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_50__76_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_50__76_128");
  int needed_g_t_34[] = { 106,  107}; //   2
  psi_needed_g_t[no_ps][34] = get_vector_from_array_int(needed_g_t_34, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__40_212");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__40_212");
  int needed_g_t_35[] = { 106,  107}; //   2
  psi_needed_g_t[no_ps][35] = get_vector_from_array_int(needed_g_t_35, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_42__84_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_42__84_128");
  int needed_g_t_36[] = { 108,  109}; //   2
  psi_needed_g_t[no_ps][36] = get_vector_from_array_int(needed_g_t_36, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__12_240");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__12_240");
  int needed_g_t_37[] = { 108,  109}; //   2
  psi_needed_g_t[no_ps][37] = get_vector_from_array_int(needed_g_t_37, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_14__176_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_14__176_64");
  int needed_g_t_38[] = { 110,  111}; //   2
  psi_needed_g_t[no_ps][38] = get_vector_from_array_int(needed_g_t_38, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__20_232");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__20_232");
  int needed_g_t_39[] = { 110,  111}; //   2
  psi_needed_g_t[no_ps][39] = get_vector_from_array_int(needed_g_t_39, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_22__168_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_22__168_64");
  int needed_g_t_40[] = { 112,  113,  120,  121}; //   4
  psi_needed_g_t[no_ps][40] = get_vector_from_array_int(needed_g_t_40, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__48_140");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__48_140");
  int needed_g_t_41[] = { 114,  115,  122,  123}; //   4
  psi_needed_g_t[no_ps][41] = get_vector_from_array_int(needed_g_t_41, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__40_148");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__40_148");
  int needed_g_t_42[] = { 116,  117,  124,  125}; //   4
  psi_needed_g_t[no_ps][42] = get_vector_from_array_int(needed_g_t_42, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__12_176");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__12_176");
  int needed_g_t_43[] = { 118,  119,  126,  127}; //   4
  psi_needed_g_t[no_ps][43] = get_vector_from_array_int(needed_g_t_43, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__20_168");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__20_168");
  int needed_g_t_44[] = { 120,  121}; //   2
  psi_needed_g_t[no_ps][44] = get_vector_from_array_int(needed_g_t_44, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_50__128_12");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_50__128_12");
  int needed_g_t_45[] = { 122,  123}; //   2
  psi_needed_g_t[no_ps][45] = get_vector_from_array_int(needed_g_t_45, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_42__128_20");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_42__128_20");
  int needed_g_t_46[] = { 124,  125}; //   2
  psi_needed_g_t[no_ps][46] = get_vector_from_array_int(needed_g_t_46, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_14__128_48");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_14__128_48");
  int needed_g_t_47[] = { 126,  127}; //   2
  psi_needed_g_t[no_ps][47] = get_vector_from_array_int(needed_g_t_47, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_22__128_40");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_22__128_40");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(26);
  psi_needed_g_d[no_ps].resize(26);
  int needed_g_d_0[] = {   0,    1,   12,   13,   32,   33,   52,   53}; //   8
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_1[] = {   0,   12,   32,   52}; //   4
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 4);
  psi_container_IS_name.push_back("costheta_of_decay_44__4_40");
  psi_container_IS_name.push_back("phi_of_decay_44__4_40");
  int needed_g_d_2[] = {   0,   10,   11,   12,   22,   23,   26,   27,   30,   31,   32,   42,   43,   46,   47,   50,   51,   52,   62,   63,   66,   67,   70,   71,   74,   75,   78,   79,   82,   83,   86,   87,   90,   91,   94,   95,   98,   99,  102,  103,  106,  107,  110,  111,  114,  115,  118,  119,  122,  123,  126,  127}; //  52
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 52);
  psi_container_IS_name.push_back("costheta_of_decay_40__8_32");
  psi_container_IS_name.push_back("phi_of_decay_40__8_32");
  int needed_g_d_3[] = {   1,   13,   33,   53}; //   4
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 4);
  psi_container_IS_name.push_back("costheta_of_decay_44__32_12");
  psi_container_IS_name.push_back("phi_of_decay_44__32_12");
  int needed_g_d_4[] = {   1,    2,    3,    8,    9,   13,   14,   15,   20,   21,   24,   25,   28,   29,   33,   34,   35,   40,   41,   44,   45,   48,   49,   53,   54,   55,   60,   61,   64,   65,   68,   69,   72,   73,   76,   77,   80,   81,   84,   85,   88,   89,   92,   93,   96,   97,  100,  101,  104,  105,  108,  109,  112,  113,  116,  117,  120,  121,  124,  125}; //  60
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 60);
  psi_container_IS_name.push_back("costheta_of_decay_12__4_8");
  psi_container_IS_name.push_back("phi_of_decay_12__4_8");
  int needed_g_d_5[] = {   2,    3,    6,    7,   14,   15,   18,   19,   34,   35,   38,   39,   54,   55,   58,   59}; //  16
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_6[] = {   2,    3,   14,   15,   34,   35,   54,   55}; //   8
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 8);
  psi_container_IS_name.push_back("costheta_of_decay_28__16_12");
  psi_container_IS_name.push_back("phi_of_decay_28__16_12");
  int needed_g_d_7[] = {   4,    5,   16,   17,   36,   37,   56,   57}; //   8
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_8[] = {   4,   16,   36,   56}; //   4
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 4);
  psi_container_IS_name.push_back("costheta_of_decay_52__4_48");
  psi_container_IS_name.push_back("phi_of_decay_52__4_48");
  int needed_g_d_9[] = {   4,    8,    9,   16,   20,   21,   24,   25,   28,   29,   36,   40,   41,   44,   45,   48,   49,   56,   60,   61,   64,   65,   68,   69,   72,   73,   76,   77,   80,   81,   84,   85,   88,   89,   92,   93,   96,   97,  100,  101,  104,  105,  108,  109,  112,  113,  116,  117,  120,  121,  124,  125}; //  52
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 52);
  psi_container_IS_name.push_back("costheta_of_decay_48__16_32");
  psi_container_IS_name.push_back("phi_of_decay_48__16_32");
  int needed_g_d_10[] = {   5,   17,   37,   57}; //   4
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 4);
  psi_container_IS_name.push_back("costheta_of_decay_52__32_20");
  psi_container_IS_name.push_back("phi_of_decay_52__32_20");
  int needed_g_d_11[] = {   5,    6,    7,   10,   11,   17,   18,   19,   22,   23,   26,   27,   30,   31,   37,   38,   39,   42,   43,   46,   47,   50,   51,   57,   58,   59,   62,   63,   66,   67,   70,   71,   74,   75,   78,   79,   82,   83,   86,   87,   90,   91,   94,   95,   98,   99,  102,  103,  106,  107,  110,  111,  114,  115,  118,  119,  122,  123,  126,  127}; //  60
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 60);
  psi_container_IS_name.push_back("costheta_of_decay_20__4_16");
  psi_container_IS_name.push_back("phi_of_decay_20__4_16");
  int needed_g_d_12[] = {   6,    7,   18,   19,   38,   39,   58,   59}; //   8
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 8);
  psi_container_IS_name.push_back("costheta_of_decay_28__8_20");
  psi_container_IS_name.push_back("phi_of_decay_28__8_20");
  int needed_g_d_13[] = {   8,    9,   20,   21,   40,   41,   60,   61}; //   8
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__12_48");
  psi_container_IS_name.push_back("phi_of_decay_60__12_48");
  int needed_g_d_14[] = {  10,   11,   22,   23,   42,   43,   62,   63}; //   8
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__20_40");
  psi_container_IS_name.push_back("phi_of_decay_60__20_40");
  int needed_g_d_15[] = {  12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43}; //  24
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 24);
  psi_container_IS_name.push_back("costheta_of_decay_188__128_60");
  psi_container_IS_name.push_back("phi_of_decay_188__128_60");
  int needed_g_d_16[] = {  24,   25,   44,   45}; //   4
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 4);
  psi_container_IS_name.push_back("costheta_of_decay_188__12_176");
  psi_container_IS_name.push_back("phi_of_decay_188__12_176");
  int needed_g_d_17[] = {  24,   25,   44,   45,   72,   73,   80,   81,   96,   97,  100,  101,  108,  109,  116,  117}; //  16
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 16);
  psi_container_IS_name.push_back("costheta_of_decay_176__128_48");
  psi_container_IS_name.push_back("phi_of_decay_176__128_48");
  int needed_g_d_18[] = {  26,   27,   46,   47}; //   4
  psi_needed_g_d[no_ps][18] = get_vector_from_array_int(needed_g_d_18, 4);
  psi_container_IS_name.push_back("costheta_of_decay_188__20_168");
  psi_container_IS_name.push_back("phi_of_decay_188__20_168");
  int needed_g_d_19[] = {  26,   27,   46,   47,   74,   75,   82,   83,   98,   99,  102,  103,  110,  111,  118,  119}; //  16
  psi_needed_g_d[no_ps][19] = get_vector_from_array_int(needed_g_d_19, 16);
  psi_container_IS_name.push_back("costheta_of_decay_168__128_40");
  psi_container_IS_name.push_back("phi_of_decay_168__128_40");
  int needed_g_d_20[] = {  28,   29,   48,   49}; //   4
  psi_needed_g_d[no_ps][20] = get_vector_from_array_int(needed_g_d_20, 4);
  psi_container_IS_name.push_back("costheta_of_decay_188__48_140");
  psi_container_IS_name.push_back("phi_of_decay_188__48_140");
  int needed_g_d_21[] = {  28,   29,   48,   49,   76,   77,  112,  113}; //   8
  psi_needed_g_d[no_ps][21] = get_vector_from_array_int(needed_g_d_21, 8);
  psi_container_IS_name.push_back("costheta_of_decay_140__128_12");
  psi_container_IS_name.push_back("phi_of_decay_140__128_12");
  int needed_g_d_22[] = {  30,   31,   50,   51}; //   4
  psi_needed_g_d[no_ps][22] = get_vector_from_array_int(needed_g_d_22, 4);
  psi_container_IS_name.push_back("costheta_of_decay_188__40_148");
  psi_container_IS_name.push_back("phi_of_decay_188__40_148");
  int needed_g_d_23[] = {  30,   31,   50,   51,   78,   79,  114,  115}; //   8
  psi_needed_g_d[no_ps][23] = get_vector_from_array_int(needed_g_d_23, 8);
  psi_container_IS_name.push_back("costheta_of_decay_148__128_20");
  psi_container_IS_name.push_back("phi_of_decay_148__128_20");
  int needed_g_d_24[] = {  84,   85,   96,   97,  100,  101,  104,  105}; //   8
  psi_needed_g_d[no_ps][24] = get_vector_from_array_int(needed_g_d_24, 8);
  psi_container_IS_name.push_back("costheta_of_decay_76__64_12");
  psi_container_IS_name.push_back("phi_of_decay_76__64_12");
  int needed_g_d_25[] = {  86,   87,   98,   99,  102,  103,  106,  107}; //   8
  psi_needed_g_d[no_ps][25] = get_vector_from_array_int(needed_g_d_25, 8);
  psi_container_IS_name.push_back("costheta_of_decay_84__64_20");
  psi_container_IS_name.push_back("phi_of_decay_84__64_20");

  psi_c_p[no_ps].resize(128);
  psi_c_f[no_ps].resize(128);
  psi_c_t[no_ps].resize(128);
  psi_c_d[no_ps].resize(128);

  int c_p_0[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 3);
  int c_f_0[] = {  0}; //   1
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 1);
  int c_t_0[] = {  0,   1}; //   2
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 2);
  int c_d_0[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 3);

  int c_p_1[] = {  3,   4,   2}; //   3
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 3);
  int c_f_1[] = {  0}; //   1
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 1);
  int c_t_1[] = {  0,   1}; //   2
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 2);
  int c_d_1[] = {  0,   3,   4}; //   3
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 3);

  int c_p_2[] = {  5,   6,   7}; //   3
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 3);
  int c_f_2[] = {  0}; //   1
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 1);
  int c_t_2[] = {  0,   1}; //   2
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 2);
  int c_d_2[] = {  5,   6,   4}; //   3
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 3);

  int c_p_3[] = {  3,   6,   7}; //   3
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 3);
  int c_f_3[] = {  0}; //   1
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 1);
  int c_t_3[] = {  0,   1}; //   2
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 2);
  int c_d_3[] = {  5,   6,   4}; //   3
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 3);

  int c_p_4[] = {  8,   9,  10}; //   3
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 3);
  int c_f_4[] = {  0}; //   1
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 1);
  int c_t_4[] = {  0,   1}; //   2
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 2);
  int c_d_4[] = {  7,   8,   9}; //   3
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 3);

  int c_p_5[] = { 11,  12,  10}; //   3
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 3);
  int c_f_5[] = {  0}; //   1
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 1);
  int c_t_5[] = {  0,   1}; //   2
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 2);
  int c_d_5[] = {  7,  10,  11}; //   3
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 3);

  int c_p_6[] = { 13,  14,   7}; //   3
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 3);
  int c_f_6[] = {  0}; //   1
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 1);
  int c_t_6[] = {  0,   1}; //   2
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 2);
  int c_d_6[] = {  5,  12,  11}; //   3
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 3);

  int c_p_7[] = { 11,  14,   7}; //   3
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 3);
  int c_f_7[] = {  0}; //   1
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 1);
  int c_t_7[] = {  0,   1}; //   2
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 2);
  int c_d_7[] = {  5,  12,  11}; //   3
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 3);

  int c_p_8[] = {  8,  15,  16}; //   3
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 3);
  int c_f_8[] = {  0}; //   1
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 1);
  int c_t_8[] = {  0,   1}; //   2
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 2);
  int c_d_8[] = { 13,   4,   9}; //   3
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 3);

  int c_p_9[] = {  8,  17,  16}; //   3
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 3);
  int c_f_9[] = {  0}; //   1
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 1);
  int c_t_9[] = {  0,   1}; //   2
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 2);
  int c_d_9[] = { 13,   4,   9}; //   3
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 3);

  int c_p_10[] = {  0,  18,  19}; //   3
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 3);
  int c_f_10[] = {  0}; //   1
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 1);
  int c_t_10[] = {  0,   1}; //   2
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 2);
  int c_d_10[] = { 14,  11,   2}; //   3
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 3);

  int c_p_11[] = {  0,  20,  19}; //   3
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 3);
  int c_f_11[] = {  0}; //   1
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 1);
  int c_t_11[] = {  0,   1}; //   2
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 2);
  int c_d_11[] = { 14,  11,   2}; //   3
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 3);

  int c_p_12[] = {  0,   1,   2,  21}; //   4
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 4);
  int c_f_12[] = {}; //   0
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 0);
  int c_t_12[] = {  0}; //   1
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 1);
  int c_d_12[] = { 15,   0,   1,   2}; //   4
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 4);

  int c_p_13[] = {  3,   4,   2,  21}; //   4
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 4);
  int c_f_13[] = {}; //   0
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 0);
  int c_t_13[] = {  0}; //   1
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 1);
  int c_d_13[] = { 15,   0,   3,   4}; //   4
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 4);

  int c_p_14[] = {  5,   6,   7,  21}; //   4
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 4);
  int c_f_14[] = {}; //   0
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 0);
  int c_t_14[] = {  0}; //   1
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 1);
  int c_d_14[] = { 15,   5,   6,   4}; //   4
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 4);

  int c_p_15[] = {  3,   6,   7,  21}; //   4
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 4);
  int c_f_15[] = {}; //   0
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 0);
  int c_t_15[] = {  0}; //   1
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 1);
  int c_d_15[] = { 15,   5,   6,   4}; //   4
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 4);

  int c_p_16[] = {  8,   9,  10,  21}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {  0}; //   1
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 1);
  int c_d_16[] = { 15,   7,   8,   9}; //   4
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 4);

  int c_p_17[] = { 11,  12,  10,  21}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {  0}; //   1
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 1);
  int c_d_17[] = { 15,   7,  10,  11}; //   4
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 4);

  int c_p_18[] = { 13,  14,   7,  21}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {  0}; //   1
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 1);
  int c_d_18[] = { 15,   5,  12,  11}; //   4
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 4);

  int c_p_19[] = { 11,  14,   7,  21}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {  0}; //   1
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 1);
  int c_d_19[] = { 15,   5,  12,  11}; //   4
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 4);

  int c_p_20[] = {  8,  15,  16,  21}; //   4
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 4);
  int c_f_20[] = {}; //   0
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 0);
  int c_t_20[] = {  0}; //   1
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 1);
  int c_d_20[] = { 15,  13,   4,   9}; //   4
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 4);

  int c_p_21[] = {  8,  17,  16,  21}; //   4
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 4);
  int c_f_21[] = {}; //   0
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 0);
  int c_t_21[] = {  0}; //   1
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 1);
  int c_d_21[] = { 15,  13,   4,   9}; //   4
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 4);

  int c_p_22[] = {  0,  18,  19,  21}; //   4
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 4);
  int c_f_22[] = {}; //   0
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 0);
  int c_t_22[] = {  0}; //   1
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 1);
  int c_d_22[] = { 15,  14,  11,   2}; //   4
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 4);

  int c_p_23[] = {  0,  20,  19,  21}; //   4
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 4);
  int c_f_23[] = {}; //   0
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 0);
  int c_t_23[] = {  0}; //   1
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 1);
  int c_d_23[] = { 15,  14,  11,   2}; //   4
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 4);

  int c_p_24[] = {  8,  22,  23,  24}; //   4
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 4);
  int c_f_24[] = {}; //   0
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 0);
  int c_t_24[] = {  0}; //   1
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 1);
  int c_d_24[] = { 16,   4,  17,   9}; //   4
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 4);

  int c_p_25[] = {  8,  22,  25,  24}; //   4
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 4);
  int c_f_25[] = {}; //   0
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 0);
  int c_t_25[] = {  0}; //   1
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 1);
  int c_d_25[] = { 16,   4,  17,   9}; //   4
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 4);

  int c_p_26[] = {  0,  26,  27,  28}; //   4
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 4);
  int c_f_26[] = {}; //   0
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 0);
  int c_t_26[] = {  0}; //   1
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 1);
  int c_d_26[] = { 18,  11,  19,   2}; //   4
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 4);

  int c_p_27[] = {  0,  26,  29,  28}; //   4
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 4);
  int c_f_27[] = {}; //   0
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 0);
  int c_t_27[] = {  0}; //   1
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 1);
  int c_d_27[] = { 18,  11,  19,   2}; //   4
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 4);

  int c_p_28[] = {  5,  30,  31,  32}; //   4
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 4);
  int c_f_28[] = {}; //   0
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 0);
  int c_t_28[] = {  0}; //   1
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 1);
  int c_d_28[] = { 20,   9,  21,   4}; //   4
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 4);

  int c_p_29[] = {  3,  30,  31,  32}; //   4
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 4);
  int c_f_29[] = {}; //   0
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 0);
  int c_t_29[] = {  0}; //   1
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 1);
  int c_d_29[] = { 20,   9,  21,   4}; //   4
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 4);

  int c_p_30[] = { 13,  33,  34,  35}; //   4
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 4);
  int c_f_30[] = {}; //   0
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 0);
  int c_t_30[] = {  0}; //   1
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 1);
  int c_d_30[] = { 22,   2,  23,  11}; //   4
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 4);

  int c_p_31[] = { 11,  33,  34,  35}; //   4
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 4);
  int c_f_31[] = {}; //   0
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 0);
  int c_t_31[] = {  0}; //   1
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 1);
  int c_d_31[] = { 22,   2,  23,  11}; //   4
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 4);

  int c_p_32[] = {  0,   1,   2,  21}; //   4
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 4);
  int c_f_32[] = {}; //   0
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 0);
  int c_t_32[] = {  2}; //   1
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 1);
  int c_d_32[] = { 15,   0,   1,   2}; //   4
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 4);

  int c_p_33[] = {  3,   4,   2,  21}; //   4
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 4);
  int c_f_33[] = {}; //   0
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 0);
  int c_t_33[] = {  2}; //   1
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 1);
  int c_d_33[] = { 15,   0,   3,   4}; //   4
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 4);

  int c_p_34[] = {  5,   6,   7,  21}; //   4
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 4);
  int c_f_34[] = {}; //   0
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 0);
  int c_t_34[] = {  2}; //   1
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 1);
  int c_d_34[] = { 15,   5,   6,   4}; //   4
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 4);

  int c_p_35[] = {  3,   6,   7,  21}; //   4
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 4);
  int c_f_35[] = {}; //   0
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 0);
  int c_t_35[] = {  2}; //   1
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 1);
  int c_d_35[] = { 15,   5,   6,   4}; //   4
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 4);

  int c_p_36[] = {  8,   9,  10,  21}; //   4
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 4);
  int c_f_36[] = {}; //   0
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 0);
  int c_t_36[] = {  2}; //   1
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 1);
  int c_d_36[] = { 15,   7,   8,   9}; //   4
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 4);

  int c_p_37[] = { 11,  12,  10,  21}; //   4
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 4);
  int c_f_37[] = {}; //   0
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 0);
  int c_t_37[] = {  2}; //   1
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 1);
  int c_d_37[] = { 15,   7,  10,  11}; //   4
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 4);

  int c_p_38[] = { 13,  14,   7,  21}; //   4
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 4);
  int c_f_38[] = {}; //   0
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 0);
  int c_t_38[] = {  2}; //   1
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 1);
  int c_d_38[] = { 15,   5,  12,  11}; //   4
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 4);

  int c_p_39[] = { 11,  14,   7,  21}; //   4
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 4);
  int c_f_39[] = {}; //   0
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 0);
  int c_t_39[] = {  2}; //   1
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 1);
  int c_d_39[] = { 15,   5,  12,  11}; //   4
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 4);

  int c_p_40[] = {  8,  15,  16,  21}; //   4
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 4);
  int c_f_40[] = {}; //   0
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 0);
  int c_t_40[] = {  2}; //   1
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 1);
  int c_d_40[] = { 15,  13,   4,   9}; //   4
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 4);

  int c_p_41[] = {  8,  17,  16,  21}; //   4
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 4);
  int c_f_41[] = {}; //   0
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 0);
  int c_t_41[] = {  2}; //   1
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 1);
  int c_d_41[] = { 15,  13,   4,   9}; //   4
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 4);

  int c_p_42[] = {  0,  18,  19,  21}; //   4
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 4);
  int c_f_42[] = {}; //   0
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 0);
  int c_t_42[] = {  2}; //   1
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 1);
  int c_d_42[] = { 15,  14,  11,   2}; //   4
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 4);

  int c_p_43[] = {  0,  20,  19,  21}; //   4
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 4);
  int c_f_43[] = {}; //   0
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 0);
  int c_t_43[] = {  2}; //   1
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 1);
  int c_d_43[] = { 15,  14,  11,   2}; //   4
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 4);

  int c_p_44[] = {  8,  22,  23,  24}; //   4
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 4);
  int c_f_44[] = {}; //   0
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 0);
  int c_t_44[] = {  2}; //   1
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 1);
  int c_d_44[] = { 16,   4,  17,   9}; //   4
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 4);

  int c_p_45[] = {  8,  22,  25,  24}; //   4
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 4);
  int c_f_45[] = {}; //   0
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 0);
  int c_t_45[] = {  2}; //   1
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 1);
  int c_d_45[] = { 16,   4,  17,   9}; //   4
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 4);

  int c_p_46[] = {  0,  26,  27,  28}; //   4
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 4);
  int c_f_46[] = {}; //   0
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 0);
  int c_t_46[] = {  2}; //   1
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 1);
  int c_d_46[] = { 18,  11,  19,   2}; //   4
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 4);

  int c_p_47[] = {  0,  26,  29,  28}; //   4
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 4);
  int c_f_47[] = {}; //   0
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 0);
  int c_t_47[] = {  2}; //   1
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 1);
  int c_d_47[] = { 18,  11,  19,   2}; //   4
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 4);

  int c_p_48[] = {  5,  30,  31,  32}; //   4
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 4);
  int c_f_48[] = {}; //   0
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 0);
  int c_t_48[] = {  2}; //   1
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 1);
  int c_d_48[] = { 20,   9,  21,   4}; //   4
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 4);

  int c_p_49[] = {  3,  30,  31,  32}; //   4
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 4);
  int c_f_49[] = {}; //   0
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 0);
  int c_t_49[] = {  2}; //   1
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 1);
  int c_d_49[] = { 20,   9,  21,   4}; //   4
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 4);

  int c_p_50[] = { 13,  33,  34,  35}; //   4
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 4);
  int c_f_50[] = {}; //   0
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 0);
  int c_t_50[] = {  2}; //   1
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 1);
  int c_d_50[] = { 22,   2,  23,  11}; //   4
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 4);

  int c_p_51[] = { 11,  33,  34,  35}; //   4
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 4);
  int c_f_51[] = {}; //   0
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 0);
  int c_t_51[] = {  2}; //   1
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 1);
  int c_d_51[] = { 22,   2,  23,  11}; //   4
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 4);

  int c_p_52[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 3);
  int c_f_52[] = {  0}; //   1
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 1);
  int c_t_52[] = {  2,   3}; //   2
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 2);
  int c_d_52[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 3);

  int c_p_53[] = {  3,   4,   2}; //   3
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 3);
  int c_f_53[] = {  0}; //   1
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 1);
  int c_t_53[] = {  2,   3}; //   2
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 2);
  int c_d_53[] = {  0,   3,   4}; //   3
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 3);

  int c_p_54[] = {  5,   6,   7}; //   3
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 3);
  int c_f_54[] = {  0}; //   1
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 1);
  int c_t_54[] = {  2,   3}; //   2
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 2);
  int c_d_54[] = {  5,   6,   4}; //   3
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 3);

  int c_p_55[] = {  3,   6,   7}; //   3
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 3);
  int c_f_55[] = {  0}; //   1
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 1);
  int c_t_55[] = {  2,   3}; //   2
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 2);
  int c_d_55[] = {  5,   6,   4}; //   3
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 3);

  int c_p_56[] = {  8,   9,  10}; //   3
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 3);
  int c_f_56[] = {  0}; //   1
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 1);
  int c_t_56[] = {  2,   3}; //   2
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 2);
  int c_d_56[] = {  7,   8,   9}; //   3
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 3);

  int c_p_57[] = { 11,  12,  10}; //   3
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 3);
  int c_f_57[] = {  0}; //   1
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 1);
  int c_t_57[] = {  2,   3}; //   2
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 2);
  int c_d_57[] = {  7,  10,  11}; //   3
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 3);

  int c_p_58[] = { 13,  14,   7}; //   3
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 3);
  int c_f_58[] = {  0}; //   1
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 1);
  int c_t_58[] = {  2,   3}; //   2
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 2);
  int c_d_58[] = {  5,  12,  11}; //   3
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 3);

  int c_p_59[] = { 11,  14,   7}; //   3
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 3);
  int c_f_59[] = {  0}; //   1
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 1);
  int c_t_59[] = {  2,   3}; //   2
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 2);
  int c_d_59[] = {  5,  12,  11}; //   3
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 3);

  int c_p_60[] = {  8,  15,  16}; //   3
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 3);
  int c_f_60[] = {  0}; //   1
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 1);
  int c_t_60[] = {  2,   3}; //   2
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 2);
  int c_d_60[] = { 13,   4,   9}; //   3
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 3);

  int c_p_61[] = {  8,  17,  16}; //   3
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 3);
  int c_f_61[] = {  0}; //   1
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 1);
  int c_t_61[] = {  2,   3}; //   2
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 2);
  int c_d_61[] = { 13,   4,   9}; //   3
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 3);

  int c_p_62[] = {  0,  18,  19}; //   3
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 3);
  int c_f_62[] = {  0}; //   1
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 1);
  int c_t_62[] = {  2,   3}; //   2
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 2);
  int c_d_62[] = { 14,  11,   2}; //   3
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 3);

  int c_p_63[] = {  0,  20,  19}; //   3
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 3);
  int c_f_63[] = {  0}; //   1
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 1);
  int c_t_63[] = {  2,   3}; //   2
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 2);
  int c_d_63[] = { 14,  11,   2}; //   3
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 3);

  int c_p_64[] = {  8,  15}; //   2
  psi_c_p[no_ps][64] = get_vector_from_array_int(c_p_64, 2);
  int c_f_64[] = {  1,   2}; //   2
  psi_c_f[no_ps][64] = get_vector_from_array_int(c_f_64, 2);
  int c_t_64[] = {  0,   4,   5}; //   3
  psi_c_t[no_ps][64] = get_vector_from_array_int(c_t_64, 3);
  int c_d_64[] = {  4,   9}; //   2
  psi_c_d[no_ps][64] = get_vector_from_array_int(c_d_64, 2);

  int c_p_65[] = {  8,  17}; //   2
  psi_c_p[no_ps][65] = get_vector_from_array_int(c_p_65, 2);
  int c_f_65[] = {  1,   2}; //   2
  psi_c_f[no_ps][65] = get_vector_from_array_int(c_f_65, 2);
  int c_t_65[] = {  0,   4,   5}; //   3
  psi_c_t[no_ps][65] = get_vector_from_array_int(c_t_65, 3);
  int c_d_65[] = {  4,   9}; //   2
  psi_c_d[no_ps][65] = get_vector_from_array_int(c_d_65, 2);

  int c_p_66[] = {  0,  18}; //   2
  psi_c_p[no_ps][66] = get_vector_from_array_int(c_p_66, 2);
  int c_f_66[] = {  3,   4}; //   2
  psi_c_f[no_ps][66] = get_vector_from_array_int(c_f_66, 2);
  int c_t_66[] = {  0,   6,   7}; //   3
  psi_c_t[no_ps][66] = get_vector_from_array_int(c_t_66, 3);
  int c_d_66[] = { 11,   2}; //   2
  psi_c_d[no_ps][66] = get_vector_from_array_int(c_d_66, 2);

  int c_p_67[] = {  0,  20}; //   2
  psi_c_p[no_ps][67] = get_vector_from_array_int(c_p_67, 2);
  int c_f_67[] = {  3,   4}; //   2
  psi_c_f[no_ps][67] = get_vector_from_array_int(c_f_67, 2);
  int c_t_67[] = {  0,   6,   7}; //   3
  psi_c_t[no_ps][67] = get_vector_from_array_int(c_t_67, 3);
  int c_d_67[] = { 11,   2}; //   2
  psi_c_d[no_ps][67] = get_vector_from_array_int(c_d_67, 2);

  int c_p_68[] = {  5,  36}; //   2
  psi_c_p[no_ps][68] = get_vector_from_array_int(c_p_68, 2);
  int c_f_68[] = {  5,   6}; //   2
  psi_c_f[no_ps][68] = get_vector_from_array_int(c_f_68, 2);
  int c_t_68[] = {  0,   8,   9}; //   3
  psi_c_t[no_ps][68] = get_vector_from_array_int(c_t_68, 3);
  int c_d_68[] = {  9,   4}; //   2
  psi_c_d[no_ps][68] = get_vector_from_array_int(c_d_68, 2);

  int c_p_69[] = {  3,  36}; //   2
  psi_c_p[no_ps][69] = get_vector_from_array_int(c_p_69, 2);
  int c_f_69[] = {  5,   6}; //   2
  psi_c_f[no_ps][69] = get_vector_from_array_int(c_f_69, 2);
  int c_t_69[] = {  0,   8,   9}; //   3
  psi_c_t[no_ps][69] = get_vector_from_array_int(c_t_69, 3);
  int c_d_69[] = {  9,   4}; //   2
  psi_c_d[no_ps][69] = get_vector_from_array_int(c_d_69, 2);

  int c_p_70[] = { 13,  37}; //   2
  psi_c_p[no_ps][70] = get_vector_from_array_int(c_p_70, 2);
  int c_f_70[] = {  7,   8}; //   2
  psi_c_f[no_ps][70] = get_vector_from_array_int(c_f_70, 2);
  int c_t_70[] = {  0,  10,  11}; //   3
  psi_c_t[no_ps][70] = get_vector_from_array_int(c_t_70, 3);
  int c_d_70[] = {  2,  11}; //   2
  psi_c_d[no_ps][70] = get_vector_from_array_int(c_d_70, 2);

  int c_p_71[] = { 11,  37}; //   2
  psi_c_p[no_ps][71] = get_vector_from_array_int(c_p_71, 2);
  int c_f_71[] = {  7,   8}; //   2
  psi_c_f[no_ps][71] = get_vector_from_array_int(c_f_71, 2);
  int c_t_71[] = {  0,  10,  11}; //   3
  psi_c_t[no_ps][71] = get_vector_from_array_int(c_t_71, 3);
  int c_d_71[] = {  2,  11}; //   2
  psi_c_d[no_ps][71] = get_vector_from_array_int(c_d_71, 2);

  int c_p_72[] = {  8,  22,  23}; //   3
  psi_c_p[no_ps][72] = get_vector_from_array_int(c_p_72, 3);
  int c_f_72[] = {  2}; //   1
  psi_c_f[no_ps][72] = get_vector_from_array_int(c_f_72, 1);
  int c_t_72[] = {  0,   4}; //   2
  psi_c_t[no_ps][72] = get_vector_from_array_int(c_t_72, 2);
  int c_d_72[] = {  4,  17,   9}; //   3
  psi_c_d[no_ps][72] = get_vector_from_array_int(c_d_72, 3);

  int c_p_73[] = {  8,  22,  25}; //   3
  psi_c_p[no_ps][73] = get_vector_from_array_int(c_p_73, 3);
  int c_f_73[] = {  2}; //   1
  psi_c_f[no_ps][73] = get_vector_from_array_int(c_f_73, 1);
  int c_t_73[] = {  0,   4}; //   2
  psi_c_t[no_ps][73] = get_vector_from_array_int(c_t_73, 2);
  int c_d_73[] = {  4,  17,   9}; //   3
  psi_c_d[no_ps][73] = get_vector_from_array_int(c_d_73, 3);

  int c_p_74[] = {  0,  26,  27}; //   3
  psi_c_p[no_ps][74] = get_vector_from_array_int(c_p_74, 3);
  int c_f_74[] = {  4}; //   1
  psi_c_f[no_ps][74] = get_vector_from_array_int(c_f_74, 1);
  int c_t_74[] = {  0,   6}; //   2
  psi_c_t[no_ps][74] = get_vector_from_array_int(c_t_74, 2);
  int c_d_74[] = { 11,  19,   2}; //   3
  psi_c_d[no_ps][74] = get_vector_from_array_int(c_d_74, 3);

  int c_p_75[] = {  0,  26,  29}; //   3
  psi_c_p[no_ps][75] = get_vector_from_array_int(c_p_75, 3);
  int c_f_75[] = {  4}; //   1
  psi_c_f[no_ps][75] = get_vector_from_array_int(c_f_75, 1);
  int c_t_75[] = {  0,   6}; //   2
  psi_c_t[no_ps][75] = get_vector_from_array_int(c_t_75, 2);
  int c_d_75[] = { 11,  19,   2}; //   3
  psi_c_d[no_ps][75] = get_vector_from_array_int(c_d_75, 3);

  int c_p_76[] = {  5,  30,  31}; //   3
  psi_c_p[no_ps][76] = get_vector_from_array_int(c_p_76, 3);
  int c_f_76[] = {  6}; //   1
  psi_c_f[no_ps][76] = get_vector_from_array_int(c_f_76, 1);
  int c_t_76[] = {  0,   8}; //   2
  psi_c_t[no_ps][76] = get_vector_from_array_int(c_t_76, 2);
  int c_d_76[] = {  9,  21,   4}; //   3
  psi_c_d[no_ps][76] = get_vector_from_array_int(c_d_76, 3);

  int c_p_77[] = {  3,  30,  31}; //   3
  psi_c_p[no_ps][77] = get_vector_from_array_int(c_p_77, 3);
  int c_f_77[] = {  6}; //   1
  psi_c_f[no_ps][77] = get_vector_from_array_int(c_f_77, 1);
  int c_t_77[] = {  0,   8}; //   2
  psi_c_t[no_ps][77] = get_vector_from_array_int(c_t_77, 2);
  int c_d_77[] = {  9,  21,   4}; //   3
  psi_c_d[no_ps][77] = get_vector_from_array_int(c_d_77, 3);

  int c_p_78[] = { 13,  33,  34}; //   3
  psi_c_p[no_ps][78] = get_vector_from_array_int(c_p_78, 3);
  int c_f_78[] = {  8}; //   1
  psi_c_f[no_ps][78] = get_vector_from_array_int(c_f_78, 1);
  int c_t_78[] = {  0,  10}; //   2
  psi_c_t[no_ps][78] = get_vector_from_array_int(c_t_78, 2);
  int c_d_78[] = {  2,  23,  11}; //   3
  psi_c_d[no_ps][78] = get_vector_from_array_int(c_d_78, 3);

  int c_p_79[] = { 11,  33,  34}; //   3
  psi_c_p[no_ps][79] = get_vector_from_array_int(c_p_79, 3);
  int c_f_79[] = {  8}; //   1
  psi_c_f[no_ps][79] = get_vector_from_array_int(c_f_79, 1);
  int c_t_79[] = {  0,  10}; //   2
  psi_c_t[no_ps][79] = get_vector_from_array_int(c_t_79, 2);
  int c_d_79[] = {  2,  23,  11}; //   3
  psi_c_d[no_ps][79] = get_vector_from_array_int(c_d_79, 3);

  int c_p_80[] = {  8,  22,  23}; //   3
  psi_c_p[no_ps][80] = get_vector_from_array_int(c_p_80, 3);
  int c_f_80[] = {  9}; //   1
  psi_c_f[no_ps][80] = get_vector_from_array_int(c_f_80, 1);
  int c_t_80[] = { 12,  13}; //   2
  psi_c_t[no_ps][80] = get_vector_from_array_int(c_t_80, 2);
  int c_d_80[] = {  4,  17,   9}; //   3
  psi_c_d[no_ps][80] = get_vector_from_array_int(c_d_80, 3);

  int c_p_81[] = {  8,  22,  25}; //   3
  psi_c_p[no_ps][81] = get_vector_from_array_int(c_p_81, 3);
  int c_f_81[] = {  9}; //   1
  psi_c_f[no_ps][81] = get_vector_from_array_int(c_f_81, 1);
  int c_t_81[] = { 12,  13}; //   2
  psi_c_t[no_ps][81] = get_vector_from_array_int(c_t_81, 2);
  int c_d_81[] = {  4,  17,   9}; //   3
  psi_c_d[no_ps][81] = get_vector_from_array_int(c_d_81, 3);

  int c_p_82[] = {  0,  26,  27}; //   3
  psi_c_p[no_ps][82] = get_vector_from_array_int(c_p_82, 3);
  int c_f_82[] = { 10}; //   1
  psi_c_f[no_ps][82] = get_vector_from_array_int(c_f_82, 1);
  int c_t_82[] = { 14,  15}; //   2
  psi_c_t[no_ps][82] = get_vector_from_array_int(c_t_82, 2);
  int c_d_82[] = { 11,  19,   2}; //   3
  psi_c_d[no_ps][82] = get_vector_from_array_int(c_d_82, 3);

  int c_p_83[] = {  0,  26,  29}; //   3
  psi_c_p[no_ps][83] = get_vector_from_array_int(c_p_83, 3);
  int c_f_83[] = { 10}; //   1
  psi_c_f[no_ps][83] = get_vector_from_array_int(c_f_83, 1);
  int c_t_83[] = { 14,  15}; //   2
  psi_c_t[no_ps][83] = get_vector_from_array_int(c_t_83, 2);
  int c_d_83[] = { 11,  19,   2}; //   3
  psi_c_d[no_ps][83] = get_vector_from_array_int(c_d_83, 3);

  int c_p_84[] = {  5,  38,  39}; //   3
  psi_c_p[no_ps][84] = get_vector_from_array_int(c_p_84, 3);
  int c_f_84[] = { 11}; //   1
  psi_c_f[no_ps][84] = get_vector_from_array_int(c_f_84, 1);
  int c_t_84[] = { 16,  17}; //   2
  psi_c_t[no_ps][84] = get_vector_from_array_int(c_t_84, 2);
  int c_d_84[] = {  9,  24,   4}; //   3
  psi_c_d[no_ps][84] = get_vector_from_array_int(c_d_84, 3);

  int c_p_85[] = {  3,  38,  39}; //   3
  psi_c_p[no_ps][85] = get_vector_from_array_int(c_p_85, 3);
  int c_f_85[] = { 11}; //   1
  psi_c_f[no_ps][85] = get_vector_from_array_int(c_f_85, 1);
  int c_t_85[] = { 16,  17}; //   2
  psi_c_t[no_ps][85] = get_vector_from_array_int(c_t_85, 2);
  int c_d_85[] = {  9,  24,   4}; //   3
  psi_c_d[no_ps][85] = get_vector_from_array_int(c_d_85, 3);

  int c_p_86[] = { 13,  40,  41}; //   3
  psi_c_p[no_ps][86] = get_vector_from_array_int(c_p_86, 3);
  int c_f_86[] = { 12}; //   1
  psi_c_f[no_ps][86] = get_vector_from_array_int(c_f_86, 1);
  int c_t_86[] = { 18,  19}; //   2
  psi_c_t[no_ps][86] = get_vector_from_array_int(c_t_86, 2);
  int c_d_86[] = {  2,  25,  11}; //   3
  psi_c_d[no_ps][86] = get_vector_from_array_int(c_d_86, 3);

  int c_p_87[] = { 11,  40,  41}; //   3
  psi_c_p[no_ps][87] = get_vector_from_array_int(c_p_87, 3);
  int c_f_87[] = { 12}; //   1
  psi_c_f[no_ps][87] = get_vector_from_array_int(c_f_87, 1);
  int c_t_87[] = { 18,  19}; //   2
  psi_c_t[no_ps][87] = get_vector_from_array_int(c_t_87, 2);
  int c_d_87[] = {  2,  25,  11}; //   3
  psi_c_d[no_ps][87] = get_vector_from_array_int(c_d_87, 3);

  int c_p_88[] = {  8,  15}; //   2
  psi_c_p[no_ps][88] = get_vector_from_array_int(c_p_88, 2);
  int c_f_88[] = { 13,  14}; //   2
  psi_c_f[no_ps][88] = get_vector_from_array_int(c_f_88, 2);
  int c_t_88[] = { 12,  20,  21}; //   3
  psi_c_t[no_ps][88] = get_vector_from_array_int(c_t_88, 3);
  int c_d_88[] = {  4,   9}; //   2
  psi_c_d[no_ps][88] = get_vector_from_array_int(c_d_88, 2);

  int c_p_89[] = {  8,  17}; //   2
  psi_c_p[no_ps][89] = get_vector_from_array_int(c_p_89, 2);
  int c_f_89[] = { 13,  14}; //   2
  psi_c_f[no_ps][89] = get_vector_from_array_int(c_f_89, 2);
  int c_t_89[] = { 12,  20,  21}; //   3
  psi_c_t[no_ps][89] = get_vector_from_array_int(c_t_89, 3);
  int c_d_89[] = {  4,   9}; //   2
  psi_c_d[no_ps][89] = get_vector_from_array_int(c_d_89, 2);

  int c_p_90[] = {  0,  18}; //   2
  psi_c_p[no_ps][90] = get_vector_from_array_int(c_p_90, 2);
  int c_f_90[] = { 15,  16}; //   2
  psi_c_f[no_ps][90] = get_vector_from_array_int(c_f_90, 2);
  int c_t_90[] = { 14,  22,  23}; //   3
  psi_c_t[no_ps][90] = get_vector_from_array_int(c_t_90, 3);
  int c_d_90[] = { 11,   2}; //   2
  psi_c_d[no_ps][90] = get_vector_from_array_int(c_d_90, 2);

  int c_p_91[] = {  0,  20}; //   2
  psi_c_p[no_ps][91] = get_vector_from_array_int(c_p_91, 2);
  int c_f_91[] = { 15,  16}; //   2
  psi_c_f[no_ps][91] = get_vector_from_array_int(c_f_91, 2);
  int c_t_91[] = { 14,  22,  23}; //   3
  psi_c_t[no_ps][91] = get_vector_from_array_int(c_t_91, 3);
  int c_d_91[] = { 11,   2}; //   2
  psi_c_d[no_ps][91] = get_vector_from_array_int(c_d_91, 2);

  int c_p_92[] = {  5,  36}; //   2
  psi_c_p[no_ps][92] = get_vector_from_array_int(c_p_92, 2);
  int c_f_92[] = { 13,  17}; //   2
  psi_c_f[no_ps][92] = get_vector_from_array_int(c_f_92, 2);
  int c_t_92[] = { 16,  24,  25}; //   3
  psi_c_t[no_ps][92] = get_vector_from_array_int(c_t_92, 3);
  int c_d_92[] = {  9,   4}; //   2
  psi_c_d[no_ps][92] = get_vector_from_array_int(c_d_92, 2);

  int c_p_93[] = {  3,  36}; //   2
  psi_c_p[no_ps][93] = get_vector_from_array_int(c_p_93, 2);
  int c_f_93[] = { 13,  17}; //   2
  psi_c_f[no_ps][93] = get_vector_from_array_int(c_f_93, 2);
  int c_t_93[] = { 16,  24,  25}; //   3
  psi_c_t[no_ps][93] = get_vector_from_array_int(c_t_93, 3);
  int c_d_93[] = {  9,   4}; //   2
  psi_c_d[no_ps][93] = get_vector_from_array_int(c_d_93, 2);

  int c_p_94[] = { 13,  37}; //   2
  psi_c_p[no_ps][94] = get_vector_from_array_int(c_p_94, 2);
  int c_f_94[] = { 15,  18}; //   2
  psi_c_f[no_ps][94] = get_vector_from_array_int(c_f_94, 2);
  int c_t_94[] = { 18,  26,  27}; //   3
  psi_c_t[no_ps][94] = get_vector_from_array_int(c_t_94, 3);
  int c_d_94[] = {  2,  11}; //   2
  psi_c_d[no_ps][94] = get_vector_from_array_int(c_d_94, 2);

  int c_p_95[] = { 11,  37}; //   2
  psi_c_p[no_ps][95] = get_vector_from_array_int(c_p_95, 2);
  int c_f_95[] = { 15,  18}; //   2
  psi_c_f[no_ps][95] = get_vector_from_array_int(c_f_95, 2);
  int c_t_95[] = { 18,  26,  27}; //   3
  psi_c_t[no_ps][95] = get_vector_from_array_int(c_t_95, 3);
  int c_d_95[] = {  2,  11}; //   2
  psi_c_d[no_ps][95] = get_vector_from_array_int(c_d_95, 2);

  int c_p_96[] = {  8,  22,  23,  42}; //   4
  psi_c_p[no_ps][96] = get_vector_from_array_int(c_p_96, 4);
  int c_f_96[] = {}; //   0
  psi_c_f[no_ps][96] = get_vector_from_array_int(c_f_96, 0);
  int c_t_96[] = { 28}; //   1
  psi_c_t[no_ps][96] = get_vector_from_array_int(c_t_96, 1);
  int c_d_96[] = { 24,   4,  17,   9}; //   4
  psi_c_d[no_ps][96] = get_vector_from_array_int(c_d_96, 4);

  int c_p_97[] = {  8,  22,  25,  42}; //   4
  psi_c_p[no_ps][97] = get_vector_from_array_int(c_p_97, 4);
  int c_f_97[] = {}; //   0
  psi_c_f[no_ps][97] = get_vector_from_array_int(c_f_97, 0);
  int c_t_97[] = { 28}; //   1
  psi_c_t[no_ps][97] = get_vector_from_array_int(c_t_97, 1);
  int c_d_97[] = { 24,   4,  17,   9}; //   4
  psi_c_d[no_ps][97] = get_vector_from_array_int(c_d_97, 4);

  int c_p_98[] = {  0,  26,  27,  43}; //   4
  psi_c_p[no_ps][98] = get_vector_from_array_int(c_p_98, 4);
  int c_f_98[] = {}; //   0
  psi_c_f[no_ps][98] = get_vector_from_array_int(c_f_98, 0);
  int c_t_98[] = { 29}; //   1
  psi_c_t[no_ps][98] = get_vector_from_array_int(c_t_98, 1);
  int c_d_98[] = { 25,  11,  19,   2}; //   4
  psi_c_d[no_ps][98] = get_vector_from_array_int(c_d_98, 4);

  int c_p_99[] = {  0,  26,  29,  43}; //   4
  psi_c_p[no_ps][99] = get_vector_from_array_int(c_p_99, 4);
  int c_f_99[] = {}; //   0
  psi_c_f[no_ps][99] = get_vector_from_array_int(c_f_99, 0);
  int c_t_99[] = { 29}; //   1
  psi_c_t[no_ps][99] = get_vector_from_array_int(c_t_99, 1);
  int c_d_99[] = { 25,  11,  19,   2}; //   4
  psi_c_d[no_ps][99] = get_vector_from_array_int(c_d_99, 4);

  int c_p_100[] = {  5,  38,  39,  44}; //   4
  psi_c_p[no_ps][100] = get_vector_from_array_int(c_p_100, 4);
  int c_f_100[] = {}; //   0
  psi_c_f[no_ps][100] = get_vector_from_array_int(c_f_100, 0);
  int c_t_100[] = { 30}; //   1
  psi_c_t[no_ps][100] = get_vector_from_array_int(c_t_100, 1);
  int c_d_100[] = { 17,   9,  24,   4}; //   4
  psi_c_d[no_ps][100] = get_vector_from_array_int(c_d_100, 4);

  int c_p_101[] = {  3,  38,  39,  44}; //   4
  psi_c_p[no_ps][101] = get_vector_from_array_int(c_p_101, 4);
  int c_f_101[] = {}; //   0
  psi_c_f[no_ps][101] = get_vector_from_array_int(c_f_101, 0);
  int c_t_101[] = { 30}; //   1
  psi_c_t[no_ps][101] = get_vector_from_array_int(c_t_101, 1);
  int c_d_101[] = { 17,   9,  24,   4}; //   4
  psi_c_d[no_ps][101] = get_vector_from_array_int(c_d_101, 4);

  int c_p_102[] = { 13,  40,  41,  45}; //   4
  psi_c_p[no_ps][102] = get_vector_from_array_int(c_p_102, 4);
  int c_f_102[] = {}; //   0
  psi_c_f[no_ps][102] = get_vector_from_array_int(c_f_102, 0);
  int c_t_102[] = { 31}; //   1
  psi_c_t[no_ps][102] = get_vector_from_array_int(c_t_102, 1);
  int c_d_102[] = { 19,   2,  25,  11}; //   4
  psi_c_d[no_ps][102] = get_vector_from_array_int(c_d_102, 4);

  int c_p_103[] = { 11,  40,  41,  45}; //   4
  psi_c_p[no_ps][103] = get_vector_from_array_int(c_p_103, 4);
  int c_f_103[] = {}; //   0
  psi_c_f[no_ps][103] = get_vector_from_array_int(c_f_103, 0);
  int c_t_103[] = { 31}; //   1
  psi_c_t[no_ps][103] = get_vector_from_array_int(c_t_103, 1);
  int c_d_103[] = { 19,   2,  25,  11}; //   4
  psi_c_d[no_ps][103] = get_vector_from_array_int(c_d_103, 4);

  int c_p_104[] = {  8,  15,  46}; //   3
  psi_c_p[no_ps][104] = get_vector_from_array_int(c_p_104, 3);
  int c_f_104[] = { 11}; //   1
  psi_c_f[no_ps][104] = get_vector_from_array_int(c_f_104, 1);
  int c_t_104[] = { 32,  33}; //   2
  psi_c_t[no_ps][104] = get_vector_from_array_int(c_t_104, 2);
  int c_d_104[] = { 24,   4,   9}; //   3
  psi_c_d[no_ps][104] = get_vector_from_array_int(c_d_104, 3);

  int c_p_105[] = {  8,  17,  46}; //   3
  psi_c_p[no_ps][105] = get_vector_from_array_int(c_p_105, 3);
  int c_f_105[] = { 11}; //   1
  psi_c_f[no_ps][105] = get_vector_from_array_int(c_f_105, 1);
  int c_t_105[] = { 32,  33}; //   2
  psi_c_t[no_ps][105] = get_vector_from_array_int(c_t_105, 2);
  int c_d_105[] = { 24,   4,   9}; //   3
  psi_c_d[no_ps][105] = get_vector_from_array_int(c_d_105, 3);

  int c_p_106[] = {  0,  18,  47}; //   3
  psi_c_p[no_ps][106] = get_vector_from_array_int(c_p_106, 3);
  int c_f_106[] = { 12}; //   1
  psi_c_f[no_ps][106] = get_vector_from_array_int(c_f_106, 1);
  int c_t_106[] = { 34,  35}; //   2
  psi_c_t[no_ps][106] = get_vector_from_array_int(c_t_106, 2);
  int c_d_106[] = { 25,  11,   2}; //   3
  psi_c_d[no_ps][106] = get_vector_from_array_int(c_d_106, 3);

  int c_p_107[] = {  0,  20,  47}; //   3
  psi_c_p[no_ps][107] = get_vector_from_array_int(c_p_107, 3);
  int c_f_107[] = { 12}; //   1
  psi_c_f[no_ps][107] = get_vector_from_array_int(c_f_107, 1);
  int c_t_107[] = { 34,  35}; //   2
  psi_c_t[no_ps][107] = get_vector_from_array_int(c_t_107, 2);
  int c_d_107[] = { 25,  11,   2}; //   3
  psi_c_d[no_ps][107] = get_vector_from_array_int(c_d_107, 3);

  int c_p_108[] = {  5,  36,  48}; //   3
  psi_c_p[no_ps][108] = get_vector_from_array_int(c_p_108, 3);
  int c_f_108[] = {  9}; //   1
  psi_c_f[no_ps][108] = get_vector_from_array_int(c_f_108, 1);
  int c_t_108[] = { 36,  37}; //   2
  psi_c_t[no_ps][108] = get_vector_from_array_int(c_t_108, 2);
  int c_d_108[] = { 17,   9,   4}; //   3
  psi_c_d[no_ps][108] = get_vector_from_array_int(c_d_108, 3);

  int c_p_109[] = {  3,  36,  48}; //   3
  psi_c_p[no_ps][109] = get_vector_from_array_int(c_p_109, 3);
  int c_f_109[] = {  9}; //   1
  psi_c_f[no_ps][109] = get_vector_from_array_int(c_f_109, 1);
  int c_t_109[] = { 36,  37}; //   2
  psi_c_t[no_ps][109] = get_vector_from_array_int(c_t_109, 2);
  int c_d_109[] = { 17,   9,   4}; //   3
  psi_c_d[no_ps][109] = get_vector_from_array_int(c_d_109, 3);

  int c_p_110[] = { 13,  37,  49}; //   3
  psi_c_p[no_ps][110] = get_vector_from_array_int(c_p_110, 3);
  int c_f_110[] = { 10}; //   1
  psi_c_f[no_ps][110] = get_vector_from_array_int(c_f_110, 1);
  int c_t_110[] = { 38,  39}; //   2
  psi_c_t[no_ps][110] = get_vector_from_array_int(c_t_110, 2);
  int c_d_110[] = { 19,   2,  11}; //   3
  psi_c_d[no_ps][110] = get_vector_from_array_int(c_d_110, 3);

  int c_p_111[] = { 11,  37,  49}; //   3
  psi_c_p[no_ps][111] = get_vector_from_array_int(c_p_111, 3);
  int c_f_111[] = { 10}; //   1
  psi_c_f[no_ps][111] = get_vector_from_array_int(c_f_111, 1);
  int c_t_111[] = { 38,  39}; //   2
  psi_c_t[no_ps][111] = get_vector_from_array_int(c_t_111, 2);
  int c_d_111[] = { 19,   2,  11}; //   3
  psi_c_d[no_ps][111] = get_vector_from_array_int(c_d_111, 3);

  int c_p_112[] = {  8,  15,  50}; //   3
  psi_c_p[no_ps][112] = get_vector_from_array_int(c_p_112, 3);
  int c_f_112[] = {  6}; //   1
  psi_c_f[no_ps][112] = get_vector_from_array_int(c_f_112, 1);
  int c_t_112[] = {  2,  40}; //   2
  psi_c_t[no_ps][112] = get_vector_from_array_int(c_t_112, 2);
  int c_d_112[] = { 21,   4,   9}; //   3
  psi_c_d[no_ps][112] = get_vector_from_array_int(c_d_112, 3);

  int c_p_113[] = {  8,  17,  50}; //   3
  psi_c_p[no_ps][113] = get_vector_from_array_int(c_p_113, 3);
  int c_f_113[] = {  6}; //   1
  psi_c_f[no_ps][113] = get_vector_from_array_int(c_f_113, 1);
  int c_t_113[] = {  2,  40}; //   2
  psi_c_t[no_ps][113] = get_vector_from_array_int(c_t_113, 2);
  int c_d_113[] = { 21,   4,   9}; //   3
  psi_c_d[no_ps][113] = get_vector_from_array_int(c_d_113, 3);

  int c_p_114[] = {  0,  18,  51}; //   3
  psi_c_p[no_ps][114] = get_vector_from_array_int(c_p_114, 3);
  int c_f_114[] = {  8}; //   1
  psi_c_f[no_ps][114] = get_vector_from_array_int(c_f_114, 1);
  int c_t_114[] = {  2,  41}; //   2
  psi_c_t[no_ps][114] = get_vector_from_array_int(c_t_114, 2);
  int c_d_114[] = { 23,  11,   2}; //   3
  psi_c_d[no_ps][114] = get_vector_from_array_int(c_d_114, 3);

  int c_p_115[] = {  0,  20,  51}; //   3
  psi_c_p[no_ps][115] = get_vector_from_array_int(c_p_115, 3);
  int c_f_115[] = {  8}; //   1
  psi_c_f[no_ps][115] = get_vector_from_array_int(c_f_115, 1);
  int c_t_115[] = {  2,  41}; //   2
  psi_c_t[no_ps][115] = get_vector_from_array_int(c_t_115, 2);
  int c_d_115[] = { 23,  11,   2}; //   3
  psi_c_d[no_ps][115] = get_vector_from_array_int(c_d_115, 3);

  int c_p_116[] = {  5,  36,  48}; //   3
  psi_c_p[no_ps][116] = get_vector_from_array_int(c_p_116, 3);
  int c_f_116[] = {  2}; //   1
  psi_c_f[no_ps][116] = get_vector_from_array_int(c_f_116, 1);
  int c_t_116[] = {  2,  42}; //   2
  psi_c_t[no_ps][116] = get_vector_from_array_int(c_t_116, 2);
  int c_d_116[] = { 17,   9,   4}; //   3
  psi_c_d[no_ps][116] = get_vector_from_array_int(c_d_116, 3);

  int c_p_117[] = {  3,  36,  48}; //   3
  psi_c_p[no_ps][117] = get_vector_from_array_int(c_p_117, 3);
  int c_f_117[] = {  2}; //   1
  psi_c_f[no_ps][117] = get_vector_from_array_int(c_f_117, 1);
  int c_t_117[] = {  2,  42}; //   2
  psi_c_t[no_ps][117] = get_vector_from_array_int(c_t_117, 2);
  int c_d_117[] = { 17,   9,   4}; //   3
  psi_c_d[no_ps][117] = get_vector_from_array_int(c_d_117, 3);

  int c_p_118[] = { 13,  37,  49}; //   3
  psi_c_p[no_ps][118] = get_vector_from_array_int(c_p_118, 3);
  int c_f_118[] = {  4}; //   1
  psi_c_f[no_ps][118] = get_vector_from_array_int(c_f_118, 1);
  int c_t_118[] = {  2,  43}; //   2
  psi_c_t[no_ps][118] = get_vector_from_array_int(c_t_118, 2);
  int c_d_118[] = { 19,   2,  11}; //   3
  psi_c_d[no_ps][118] = get_vector_from_array_int(c_d_118, 3);

  int c_p_119[] = { 11,  37,  49}; //   3
  psi_c_p[no_ps][119] = get_vector_from_array_int(c_p_119, 3);
  int c_f_119[] = {  4}; //   1
  psi_c_f[no_ps][119] = get_vector_from_array_int(c_f_119, 1);
  int c_t_119[] = {  2,  43}; //   2
  psi_c_t[no_ps][119] = get_vector_from_array_int(c_t_119, 2);
  int c_d_119[] = { 19,   2,  11}; //   3
  psi_c_d[no_ps][119] = get_vector_from_array_int(c_d_119, 3);

  int c_p_120[] = {  8,  15}; //   2
  psi_c_p[no_ps][120] = get_vector_from_array_int(c_p_120, 2);
  int c_f_120[] = {  5,   6}; //   2
  psi_c_f[no_ps][120] = get_vector_from_array_int(c_f_120, 2);
  int c_t_120[] = {  2,  40,  44}; //   3
  psi_c_t[no_ps][120] = get_vector_from_array_int(c_t_120, 3);
  int c_d_120[] = {  4,   9}; //   2
  psi_c_d[no_ps][120] = get_vector_from_array_int(c_d_120, 2);

  int c_p_121[] = {  8,  17}; //   2
  psi_c_p[no_ps][121] = get_vector_from_array_int(c_p_121, 2);
  int c_f_121[] = {  5,   6}; //   2
  psi_c_f[no_ps][121] = get_vector_from_array_int(c_f_121, 2);
  int c_t_121[] = {  2,  40,  44}; //   3
  psi_c_t[no_ps][121] = get_vector_from_array_int(c_t_121, 3);
  int c_d_121[] = {  4,   9}; //   2
  psi_c_d[no_ps][121] = get_vector_from_array_int(c_d_121, 2);

  int c_p_122[] = {  0,  18}; //   2
  psi_c_p[no_ps][122] = get_vector_from_array_int(c_p_122, 2);
  int c_f_122[] = {  7,   8}; //   2
  psi_c_f[no_ps][122] = get_vector_from_array_int(c_f_122, 2);
  int c_t_122[] = {  2,  41,  45}; //   3
  psi_c_t[no_ps][122] = get_vector_from_array_int(c_t_122, 3);
  int c_d_122[] = { 11,   2}; //   2
  psi_c_d[no_ps][122] = get_vector_from_array_int(c_d_122, 2);

  int c_p_123[] = {  0,  20}; //   2
  psi_c_p[no_ps][123] = get_vector_from_array_int(c_p_123, 2);
  int c_f_123[] = {  7,   8}; //   2
  psi_c_f[no_ps][123] = get_vector_from_array_int(c_f_123, 2);
  int c_t_123[] = {  2,  41,  45}; //   3
  psi_c_t[no_ps][123] = get_vector_from_array_int(c_t_123, 3);
  int c_d_123[] = { 11,   2}; //   2
  psi_c_d[no_ps][123] = get_vector_from_array_int(c_d_123, 2);

  int c_p_124[] = {  5,  36}; //   2
  psi_c_p[no_ps][124] = get_vector_from_array_int(c_p_124, 2);
  int c_f_124[] = {  1,   2}; //   2
  psi_c_f[no_ps][124] = get_vector_from_array_int(c_f_124, 2);
  int c_t_124[] = {  2,  42,  46}; //   3
  psi_c_t[no_ps][124] = get_vector_from_array_int(c_t_124, 3);
  int c_d_124[] = {  9,   4}; //   2
  psi_c_d[no_ps][124] = get_vector_from_array_int(c_d_124, 2);

  int c_p_125[] = {  3,  36}; //   2
  psi_c_p[no_ps][125] = get_vector_from_array_int(c_p_125, 2);
  int c_f_125[] = {  1,   2}; //   2
  psi_c_f[no_ps][125] = get_vector_from_array_int(c_f_125, 2);
  int c_t_125[] = {  2,  42,  46}; //   3
  psi_c_t[no_ps][125] = get_vector_from_array_int(c_t_125, 3);
  int c_d_125[] = {  9,   4}; //   2
  psi_c_d[no_ps][125] = get_vector_from_array_int(c_d_125, 2);

  int c_p_126[] = { 13,  37}; //   2
  psi_c_p[no_ps][126] = get_vector_from_array_int(c_p_126, 2);
  int c_f_126[] = {  3,   4}; //   2
  psi_c_f[no_ps][126] = get_vector_from_array_int(c_f_126, 2);
  int c_t_126[] = {  2,  43,  47}; //   3
  psi_c_t[no_ps][126] = get_vector_from_array_int(c_t_126, 3);
  int c_d_126[] = {  2,  11}; //   2
  psi_c_d[no_ps][126] = get_vector_from_array_int(c_d_126, 2);

  int c_p_127[] = { 11,  37}; //   2
  psi_c_p[no_ps][127] = get_vector_from_array_int(c_p_127, 2);
  int c_f_127[] = {  3,   4}; //   2
  psi_c_f[no_ps][127] = get_vector_from_array_int(c_f_127, 2);
  int c_t_127[] = {  2,  43,  47}; //   3
  psi_c_t[no_ps][127] = get_vector_from_array_int(c_t_127, 3);
  int c_d_127[] = {  2,  11}; //   2
  psi_c_d[no_ps][127] = get_vector_from_array_int(c_d_127, 2);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
