#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemexmx04/header/ppemexmx04.phasespace.h"
void ppemexmx04_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi){
  static Logger logger("ppemexmx04_ac_psp_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] ==  2){ppemexmx04_ac_psp_240_gg_emmumepmupddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  3){ppemexmx04_ac_psp_240_gg_emmumepmupuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  4){ppemexmx04_ac_psp_240_gd_emmumepmupgd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  5){ppemexmx04_ac_psp_240_gu_emmumepmupgu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  6){ppemexmx04_ac_psp_240_gdx_emmumepmupgdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  7){ppemexmx04_ac_psp_240_gux_emmumepmupgux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  8){ppemexmx04_ac_psp_240_dd_emmumepmupdd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  9){ppemexmx04_ac_psp_240_du_emmumepmupdu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 10){ppemexmx04_ac_psp_240_ds_emmumepmupds(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 11){ppemexmx04_ac_psp_240_dc_emmumepmupdc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 13){ppemexmx04_ac_psp_240_ddx_emmumepmupgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 14){ppemexmx04_ac_psp_240_ddx_emmumepmupddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 15){ppemexmx04_ac_psp_240_ddx_emmumepmupuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 16){ppemexmx04_ac_psp_240_ddx_emmumepmupssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 17){ppemexmx04_ac_psp_240_ddx_emmumepmupccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 18){ppemexmx04_ac_psp_240_dux_emmumepmupdux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 20){ppemexmx04_ac_psp_240_dsx_emmumepmupdsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 22){ppemexmx04_ac_psp_240_dcx_emmumepmupdcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 23){ppemexmx04_ac_psp_240_uu_emmumepmupuu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 24){ppemexmx04_ac_psp_240_uc_emmumepmupuc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 25){ppemexmx04_ac_psp_240_udx_emmumepmupudx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 27){ppemexmx04_ac_psp_240_uux_emmumepmupgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 28){ppemexmx04_ac_psp_240_uux_emmumepmupddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 29){ppemexmx04_ac_psp_240_uux_emmumepmupuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 30){ppemexmx04_ac_psp_240_uux_emmumepmupssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 31){ppemexmx04_ac_psp_240_uux_emmumepmupccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 32){ppemexmx04_ac_psp_240_usx_emmumepmupusx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 34){ppemexmx04_ac_psp_240_ucx_emmumepmupucx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 35){ppemexmx04_ac_psp_240_dxdx_emmumepmupdxdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 36){ppemexmx04_ac_psp_240_dxux_emmumepmupdxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 37){ppemexmx04_ac_psp_240_dxsx_emmumepmupdxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 38){ppemexmx04_ac_psp_240_dxcx_emmumepmupdxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 40){ppemexmx04_ac_psp_240_uxux_emmumepmupuxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 41){ppemexmx04_ac_psp_240_uxcx_emmumepmupuxcx(no_ps, channel, psi);} 

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
