#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemexmx04/header/ppemexmx04.phasespace.h"
void ppemexmx04_ax_psp_240_udx_emmumepmupudx(int no_ps, phasespace_set & psi){
  static Logger logger("ppemexmx04_ax_psp_240_udx_emmumepmupudx");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(27);
  psi_needed_v_smin[no_ps].resize(27);
  int needed_v_smin_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,   16,   17,   18,   19,   20,   21,   22,   23,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,  107,  108,  109,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127,  128,  129,  130,  131,  132,  133,  134,  135,  136,  137,  138,  139,  140,  141,  142,  143}; // 112
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 112);
  int needed_v_smin_1[] = {   0,    1,    2,    3,   16,   17,   18,   19,   40,   41,   42,   43,   64,   65,   66,   67}; //  16
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 16);
  int needed_v_smin_2[] = {   0,    1,    2,    3,   16,   17,   18,   19,   40,   41,   42,   43,   64,   65,   66,   67}; //  16
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 16);
  int needed_v_smin_3[] = {   4,    5,    6,    7,   20,   21,   22,   23,   44,   45,   46,   47,   68,   69,   70,   71}; //  16
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 16);
  int needed_v_smin_4[] = {   4,    5,    6,    7,   20,   21,   22,   23,   44,   45,   46,   47,   68,   69,   70,   71}; //  16
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 16);
  int needed_v_smin_5[] = {   8,    9,   10,   11,   12,   13,   14,   15,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,  107,  108,  109,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127,  128,  129,  130,  131,  132,  133,  134,  135,  136,  137,  138,  139,  140,  141,  142,  143}; // 112
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 112);
  int needed_v_smin_6[] = {   8,    9,   10,   11,   24,   25,   26,   27,   48,   49,   50,   51,   72,   73,   74,   75}; //  16
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 16);
  int needed_v_smin_7[] = {   8,    9,   10,   11,   24,   25,   26,   27,   48,   49,   50,   51,   72,   73,   74,   75}; //  16
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 16);
  int needed_v_smin_8[] = {  12,   13,   14,   15,   28,   29,   30,   31,   52,   53,   54,   55,   76,   77,   78,   79}; //  16
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 16);
  int needed_v_smin_9[] = {  12,   13,   14,   15,   28,   29,   30,   31,   52,   53,   54,   55,   76,   77,   78,   79}; //  16
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 16);
  int needed_v_smin_10[] = {  16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,    0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15}; //  32
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 32);
  int needed_v_smin_11[] = {  32,   33,   34,   35,   88,   89,   90,   91,  116,  117,  118,  119,  124,  125,  126,  127,   80,   81,   82,   83}; //  20
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 20);
  int needed_v_smin_12[] = {  32,   33,   34,   35,   80,   81,   82,   83,   88,   89,   90,   91}; //  12
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 12);
  int needed_v_smin_13[] = {  36,   37,   38,   39,   92,   93,   94,   95,  112,  113,  114,  115,  120,  121,  122,  123,   84,   85,   86,   87}; //  20
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 20);
  int needed_v_smin_14[] = {  36,   37,   38,   39,   84,   85,   86,   87,   92,   93,   94,   95}; //  12
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 12);
  int needed_v_smin_15[] = {  40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79}; //  32
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 32);
  int needed_v_smin_16[] = {  56,   57,   58,   59,   96,   97,   98,   99,  112,  113,  114,  115,  132,  133,  134,  135,  140,  141,  142,  143}; //  20
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 20);
  int needed_v_smin_17[] = {  56,   57,   58,   59,  132,  133,  134,  135,  140,  141,  142,  143}; //  12
  psi_needed_v_smin[no_ps][ 17] = get_vector_from_array_int(needed_v_smin_17, 12);
  int needed_v_smin_18[] = {  60,   61,   62,   63,  100,  101,  102,  103,  116,  117,  118,  119,  128,  129,  130,  131,  136,  137,  138,  139}; //  20
  psi_needed_v_smin[no_ps][ 18] = get_vector_from_array_int(needed_v_smin_18, 20);
  int needed_v_smin_19[] = {  60,   61,   62,   63,  128,  129,  130,  131,  136,  137,  138,  139}; //  12
  psi_needed_v_smin[no_ps][ 19] = get_vector_from_array_int(needed_v_smin_19, 12);
  int needed_v_smin_20[] = {  96,   97,   98,   99}; //   4
  psi_needed_v_smin[no_ps][ 20] = get_vector_from_array_int(needed_v_smin_20, 4);
  int needed_v_smin_21[] = { 100,  101,  102,  103}; //   4
  psi_needed_v_smin[no_ps][ 21] = get_vector_from_array_int(needed_v_smin_21, 4);
  int needed_v_smin_22[] = { 104,  105,  106,  107,  108,  109,  110,  111}; //   8
  psi_needed_v_smin[no_ps][ 22] = get_vector_from_array_int(needed_v_smin_22, 8);
  int needed_v_smin_23[] = { 104,  105,  106,  107}; //   4
  psi_needed_v_smin[no_ps][ 23] = get_vector_from_array_int(needed_v_smin_23, 4);
  int needed_v_smin_24[] = { 108,  109,  110,  111}; //   4
  psi_needed_v_smin[no_ps][ 24] = get_vector_from_array_int(needed_v_smin_24, 4);
  int needed_v_smin_25[] = { 120,  121,  122,  123}; //   4
  psi_needed_v_smin[no_ps][ 25] = get_vector_from_array_int(needed_v_smin_25, 4);
  int needed_v_smin_26[] = { 124,  125,  126,  127}; //   4
  psi_needed_v_smin[no_ps][ 26] = get_vector_from_array_int(needed_v_smin_26, 4);

  psi_v_smax[no_ps].resize(28);
  psi_needed_v_smax[no_ps].resize(28);
  int needed_v_smax_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,   16,   17,   18,   19,   20,   21,   22,   23,   32,   33,   34,   35,   40,   41,   42,   43,   44,   45,   46,   47,   56,   57,   58,   59,   64,   65,   66,   67,   68,   69,   70,   71,   80,   81,   82,   83,   88,   89,   90,   91,   96,   97,   98,   99,  104,  105,  106,  107,  112,  113,  114,  115,  120,  121,  122,  123,  128,  129,  130,  131,  136,  137,  138,  139}; //  72
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 72);
  int needed_v_smax_1[] = {   0,    1,    2,    3,   16,   17,   18,   19,   40,   41,   42,   43,   64,   65,   66,   67}; //  16
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 16);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79}; //  64
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 64);
  int needed_v_smax_3[] = {   4,    5,    6,    7,   20,   21,   22,   23,   44,   45,   46,   47,   68,   69,   70,   71}; //  16
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 16);
  int needed_v_smax_4[] = {   8,    9,   10,   11,   12,   13,   14,   15,   24,   25,   26,   27,   28,   29,   30,   31,   36,   37,   38,   39,   48,   49,   50,   51,   52,   53,   54,   55,   60,   61,   62,   63,   72,   73,   74,   75,   76,   77,   78,   79,   84,   85,   86,   87,   92,   93,   94,   95,  100,  101,  102,  103,  108,  109,  110,  111,  116,  117,  118,  119,  124,  125,  126,  127,  132,  133,  134,  135,  140,  141,  142,  143}; //  72
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 72);
  int needed_v_smax_5[] = {   8,    9,   10,   11,   24,   25,   26,   27,   48,   49,   50,   51,   72,   73,   74,   75}; //  16
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 16);
  int needed_v_smax_6[] = {  12,   13,   14,   15,   28,   29,   30,   31,   52,   53,   54,   55,   76,   77,   78,   79}; //  16
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 16);
  int needed_v_smax_7[] = {  16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,    0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95}; //  56
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 56);
  int needed_v_smax_8[] = {  32,   33,   34,   35,   88,   89,   90,   91}; //   8
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 8);
  int needed_v_smax_9[] = {  32,   33,   34,   35,   88,   89,   90,   91}; //   8
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 8);
  int needed_v_smax_10[] = {  36,   37,   38,   39,   92,   93,   94,   95}; //   8
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 8);
  int needed_v_smax_11[] = {  36,   37,   38,   39,   92,   93,   94,   95}; //   8
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 8);
  int needed_v_smax_12[] = {  40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,  128,  129,  130,  131,  132,  133,  134,  135,  136,  137,  138,  139,  140,  141,  142,  143}; //  56
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 56);
  int needed_v_smax_13[] = {  56,   57,   58,   59,   96,   97,   98,   99,  112,  113,  114,  115}; //  12
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 12);
  int needed_v_smax_14[] = {  56,   57,   58,   59,   96,   97,   98,   99,  112,  113,  114,  115}; //  12
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 12);
  int needed_v_smax_15[] = {  60,   61,   62,   63,  100,  101,  102,  103,  116,  117,  118,  119}; //  12
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 12);
  int needed_v_smax_16[] = {  60,   61,   62,   63,  100,  101,  102,  103,  116,  117,  118,  119}; //  12
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 12);
  int needed_v_smax_17[] = {  80,   81,   82,   83,  104,  105,  106,  107,  120,  121,  122,  123,  128,  129,  130,  131,  136,  137,  138,  139}; //  20
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 20);
  int needed_v_smax_18[] = {  84,   85,   86,   87,  108,  109,  110,  111,  124,  125,  126,  127,  132,  133,  134,  135,  140,  141,  142,  143}; //  20
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 20);
  int needed_v_smax_19[] = { 112,  113,  114,  115}; //   4
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 4);
  int needed_v_smax_20[] = { 116,  117,  118,  119}; //   4
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 4);
  int needed_v_smax_21[] = { 120,  121,  122,  123,   84,   85,   86,   87}; //   8
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 8);
  int needed_v_smax_22[] = { 124,  125,  126,  127,   80,   81,   82,   83}; //   8
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 8);
  int needed_v_smax_23[] = { 128,  129,  130,  131,  136,  137,  138,  139}; //   8
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 8);
  int needed_v_smax_24[] = { 132,  133,  134,  135,  140,  141,  142,  143}; //   8
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 8);
  int needed_v_smax_25[] = {  96,   97,   98,   99,  104,  105,  106,  107,  124,  125,  126,  127}; //  12
  psi_needed_v_smax[no_ps][ 25] = get_vector_from_array_int(needed_v_smax_25, 12);
  int needed_v_smax_26[] = { 100,  101,  102,  103,  108,  109,  110,  111,  120,  121,  122,  123}; //  12
  psi_needed_v_smax[no_ps][ 26] = get_vector_from_array_int(needed_v_smax_26, 12);
  int needed_v_smax_27[] = { 104,  105,  106,  107,  108,  109,  110,  111}; //   8
  psi_needed_v_smax[no_ps][ 27] = get_vector_from_array_int(needed_v_smax_27, 8);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(44);
  psi_needed_g_p[no_ps].resize(44);
  int needed_g_p_0[] = {   0,    1,    4,    5,   16,   17,   20,   21,   32,   33,   40,   41,   44,   45,   56,   57,   64,   65,   68,   69,   80,   81,   88,   89,   96,   97,  104,  105,  112,  113,  120,  121,  128,  129,  136,  137}; //  36
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 36);
  psi_container_IS_name.push_back("propagator_0_smin0_smax0");
  int needed_g_p_1[] = {   0,    1,    2,    3,   16,   17,   18,   19,   40,   41,   42,   43,   64,   65,   66,   67}; //  16
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 16);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,    2,   16,   18,   40,   42,   64,   66}; //   8
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 8);
  psi_container_IS_name.push_back("propagator_0_smin2_smax2");
  int needed_g_p_3[] = {   1,    3,   17,   19,   41,   43,   65,   67}; //   8
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 8);
  psi_container_IS_name.push_back("propagator_23_smin2_smax2");
  int needed_g_p_4[] = {   2,    3,    6,    7,   18,   19,   22,   23,   34,   35,   42,   43,   46,   47,   58,   59,   66,   67,   70,   71,   82,   83,   90,   91,   98,   99,  106,  107,  114,  115,  122,  123,  130,  131,  138,  139}; //  36
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 36);
  psi_container_IS_name.push_back("propagator_23_smin0_smax0");
  int needed_g_p_5[] = {   4,    5,    6,    7,   20,   21,   22,   23,   44,   45,   46,   47,   68,   69,   70,   71}; //  16
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 16);
  psi_container_IS_name.push_back("propagator_0_smin3_smax3");
  int needed_g_p_6[] = {   4,    6,   20,   22,   44,   46,   68,   70}; //   8
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 8);
  psi_container_IS_name.push_back("propagator_0_smin4_smax2");
  int needed_g_p_7[] = {   5,    7,   21,   23,   45,   47,   69,   71}; //   8
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 8);
  psi_container_IS_name.push_back("propagator_23_smin4_smax2");
  int needed_g_p_8[] = {   8,    9,   12,   13,   24,   25,   28,   29,   36,   37,   48,   49,   52,   53,   60,   61,   72,   73,   76,   77,   84,   85,   92,   93,  100,  101,  108,  109,  116,  117,  124,  125,  132,  133,  140,  141}; //  36
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 36);
  psi_container_IS_name.push_back("propagator_0_smin5_smax4");
  int needed_g_p_9[] = {   8,    9,   10,   11,   24,   25,   26,   27,   48,   49,   50,   51,   72,   73,   74,   75}; //  16
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 16);
  psi_container_IS_name.push_back("propagator_0_smin6_smax5");
  int needed_g_p_10[] = {   8,   10,   24,   26,   48,   50,   72,   74}; //   8
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 8);
  psi_container_IS_name.push_back("propagator_0_smin7_smax2");
  int needed_g_p_11[] = {   9,   11,   25,   27,   49,   51,   73,   75}; //   8
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 8);
  psi_container_IS_name.push_back("propagator_23_smin7_smax2");
  int needed_g_p_12[] = {  10,   11,   14,   15,   26,   27,   30,   31,   38,   39,   50,   51,   54,   55,   62,   63,   74,   75,   78,   79,   86,   87,   94,   95,  102,  103,  110,  111,  118,  119,  126,  127,  134,  135,  142,  143}; //  36
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 36);
  psi_container_IS_name.push_back("propagator_23_smin5_smax4");
  int needed_g_p_13[] = {  12,   13,   14,   15,   28,   29,   30,   31,   52,   53,   54,   55,   76,   77,   78,   79}; //  16
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 16);
  psi_container_IS_name.push_back("propagator_0_smin8_smax6");
  int needed_g_p_14[] = {  12,   14,   28,   30,   52,   54,   76,   78}; //   8
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 8);
  psi_container_IS_name.push_back("propagator_0_smin9_smax2");
  int needed_g_p_15[] = {  13,   15,   29,   31,   53,   55,   77,   79}; //   8
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 8);
  psi_container_IS_name.push_back("propagator_23_smin9_smax2");
  int needed_g_p_16[] = {  16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31}; //  16
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 16);
  psi_container_IS_name.push_back("propagator_0_smin10_smax7");
  int needed_g_p_17[] = {  32,   33,   34,   35,   88,   89,   90,   91}; //   8
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 8);
  psi_container_IS_name.push_back("propagator_0_smin11_smax8");
  int needed_g_p_18[] = {  32,   34,   88,   90}; //   4
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 4);
  psi_container_IS_name.push_back("propagator_0_smin5_smax9");
  int needed_g_p_19[] = {  32,   33,   34,   35}; //   4
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 4);
  psi_container_IS_name.push_back("propagator_0_smin12_smax7");
  int needed_g_p_20[] = {  33,   35,   89,   91}; //   4
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 4);
  psi_container_IS_name.push_back("propagator_23_smin5_smax9");
  int needed_g_p_21[] = {  36,   37,   38,   39,   92,   93,   94,   95}; //   8
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 8);
  psi_container_IS_name.push_back("propagator_0_smin13_smax10");
  int needed_g_p_22[] = {  36,   38,   92,   94}; //   4
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 4);
  psi_container_IS_name.push_back("propagator_0_smin0_smax11");
  int needed_g_p_23[] = {  36,   37,   38,   39}; //   4
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 4);
  psi_container_IS_name.push_back("propagator_0_smin14_smax7");
  int needed_g_p_24[] = {  37,   39,   93,   95}; //   4
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 4);
  psi_container_IS_name.push_back("propagator_23_smin0_smax11");
  int needed_g_p_25[] = {  40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55}; //  16
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 16);
  psi_container_IS_name.push_back("propagator_0_smin15_smax12");
  int needed_g_p_26[] = {  56,   57,   58,   59,   96,   97,   98,   99,  112,  113,  114,  115}; //  12
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 12);
  psi_container_IS_name.push_back("propagator_0_smin16_smax13");
  int needed_g_p_27[] = {  56,   58,   96,   98,  112,  114}; //   6
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 6);
  psi_container_IS_name.push_back("propagator_0_smin5_smax14");
  int needed_g_p_28[] = {  56,   57,   58,   59}; //   4
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 4);
  psi_container_IS_name.push_back("propagator_0_smin17_smax12");
  int needed_g_p_29[] = {  57,   59,   97,   99,  113,  115}; //   6
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 6);
  psi_container_IS_name.push_back("propagator_23_smin5_smax14");
  int needed_g_p_30[] = {  60,   61,   62,   63,  100,  101,  102,  103,  116,  117,  118,  119}; //  12
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 12);
  psi_container_IS_name.push_back("propagator_0_smin18_smax15");
  int needed_g_p_31[] = {  60,   62,  100,  102,  116,  118}; //   6
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 6);
  psi_container_IS_name.push_back("propagator_0_smin0_smax16");
  int needed_g_p_32[] = {  60,   61,   62,   63}; //   4
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 4);
  psi_container_IS_name.push_back("propagator_0_smin19_smax12");
  int needed_g_p_33[] = {  61,   63,  101,  103,  117,  119}; //   6
  psi_needed_g_p[no_ps][33] = get_vector_from_array_int(needed_g_p_33, 6);
  psi_container_IS_name.push_back("propagator_23_smin0_smax16");
  int needed_g_p_34[] = {  80,   82,  104,  106,  120,  122,  128,  130,  136,  138}; //  10
  psi_needed_g_p[no_ps][34] = get_vector_from_array_int(needed_g_p_34, 10);
  psi_container_IS_name.push_back("propagator_0_smin5_smax17");
  int needed_g_p_35[] = {  81,   83,  105,  107,  121,  123,  129,  131,  137,  139}; //  10
  psi_needed_g_p[no_ps][35] = get_vector_from_array_int(needed_g_p_35, 10);
  psi_container_IS_name.push_back("propagator_23_smin5_smax17");
  int needed_g_p_36[] = {  84,   86,  108,  110,  124,  126,  132,  134,  140,  142}; //  10
  psi_needed_g_p[no_ps][36] = get_vector_from_array_int(needed_g_p_36, 10);
  psi_container_IS_name.push_back("propagator_0_smin0_smax18");
  int needed_g_p_37[] = {  85,   87,  109,  111,  125,  127,  133,  135,  141,  143}; //  10
  psi_needed_g_p[no_ps][37] = get_vector_from_array_int(needed_g_p_37, 10);
  psi_container_IS_name.push_back("propagator_23_smin0_smax18");
  int needed_g_p_38[] = { 112,  113,  114,  115}; //   4
  psi_needed_g_p[no_ps][38] = get_vector_from_array_int(needed_g_p_38, 4);
  psi_container_IS_name.push_back("propagator_0_smin13_smax19");
  int needed_g_p_39[] = { 116,  117,  118,  119}; //   4
  psi_needed_g_p[no_ps][39] = get_vector_from_array_int(needed_g_p_39, 4);
  psi_container_IS_name.push_back("propagator_0_smin11_smax20");
  int needed_g_p_40[] = { 120,  121,  122,  123}; //   4
  psi_needed_g_p[no_ps][40] = get_vector_from_array_int(needed_g_p_40, 4);
  psi_container_IS_name.push_back("propagator_0_smin13_smax21");
  int needed_g_p_41[] = { 124,  125,  126,  127}; //   4
  psi_needed_g_p[no_ps][41] = get_vector_from_array_int(needed_g_p_41, 4);
  psi_container_IS_name.push_back("propagator_0_smin11_smax22");
  int needed_g_p_42[] = { 128,  129,  130,  131}; //   4
  psi_needed_g_p[no_ps][42] = get_vector_from_array_int(needed_g_p_42, 4);
  psi_container_IS_name.push_back("propagator_0_smin18_smax23");
  int needed_g_p_43[] = { 132,  133,  134,  135}; //   4
  psi_needed_g_p[no_ps][43] = get_vector_from_array_int(needed_g_p_43, 4);
  psi_container_IS_name.push_back("propagator_0_smin16_smax24");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(17);
  psi_needed_g_f[no_ps].resize(17);
  int needed_g_f_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15}; //  16
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 16);
  psi_container_IS_name.push_back("timelikeinvariant_smin10_smax7");
  int needed_g_f_1[] = {  64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79}; //  16
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 16);
  psi_container_IS_name.push_back("timelikeinvariant_smin15_smax12");
  int needed_g_f_2[] = {  80,   81,   82,   83}; //   4
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin11_smax22");
  int needed_g_f_3[] = {  80,   81,   82,   83,   88,   89,   90,   91}; //   8
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin12_smax7");
  int needed_g_f_4[] = {  84,   85,   86,   87}; //   4
  psi_needed_g_f[no_ps][4] = get_vector_from_array_int(needed_g_f_4, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin13_smax21");
  int needed_g_f_5[] = {  84,   85,   86,   87,   92,   93,   94,   95}; //   8
  psi_needed_g_f[no_ps][5] = get_vector_from_array_int(needed_g_f_5, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin14_smax7");
  int needed_g_f_6[] = {  96,   97,   98,   99}; //   4
  psi_needed_g_f[no_ps][6] = get_vector_from_array_int(needed_g_f_6, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin20_smax25");
  int needed_g_f_7[] = { 100,  101,  102,  103}; //   4
  psi_needed_g_f[no_ps][7] = get_vector_from_array_int(needed_g_f_7, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin21_smax26");
  int needed_g_f_8[] = { 104,  105,  106,  107,  108,  109,  110,  111}; //   8
  psi_needed_g_f[no_ps][8] = get_vector_from_array_int(needed_g_f_8, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin22_smax27");
  int needed_g_f_9[] = { 104,  105,  106,  107}; //   4
  psi_needed_g_f[no_ps][9] = get_vector_from_array_int(needed_g_f_9, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin23_smax25");
  int needed_g_f_10[] = { 108,  109,  110,  111}; //   4
  psi_needed_g_f[no_ps][10] = get_vector_from_array_int(needed_g_f_10, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin24_smax26");
  int needed_g_f_11[] = { 120,  121,  122,  123}; //   4
  psi_needed_g_f[no_ps][11] = get_vector_from_array_int(needed_g_f_11, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin25_smax26");
  int needed_g_f_12[] = { 124,  125,  126,  127}; //   4
  psi_needed_g_f[no_ps][12] = get_vector_from_array_int(needed_g_f_12, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin26_smax25");
  int needed_g_f_13[] = { 128,  129,  130,  131,  136,  137,  138,  139}; //   8
  psi_needed_g_f[no_ps][13] = get_vector_from_array_int(needed_g_f_13, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin19_smax12");
  int needed_g_f_14[] = { 132,  133,  134,  135,  140,  141,  142,  143}; //   8
  psi_needed_g_f[no_ps][14] = get_vector_from_array_int(needed_g_f_14, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin17_smax12");
  int needed_g_f_15[] = { 136,  137,  138,  139}; //   4
  psi_needed_g_f[no_ps][15] = get_vector_from_array_int(needed_g_f_15, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin18_smax23");
  int needed_g_f_16[] = { 140,  141,  142,  143}; //   4
  psi_needed_g_f[no_ps][16] = get_vector_from_array_int(needed_g_f_16, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin16_smax24");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(26);
  psi_needed_g_t[no_ps].resize(26);
  int needed_g_t_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95}; //  56
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 56);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__128_124");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__128_124");
  int needed_g_t_1[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15}; //  16
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 16);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__130_1__64_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__130_1__64_60");
  int needed_g_t_2[] = {  40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,  128,  129,  130,  131,  132,  133,  134,  135,  136,  137,  138,  139,  140,  141,  142,  143}; //  56
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 56);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__64_188");
  int needed_g_t_3[] = {  64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79}; //  16
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 16);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__65_2__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__65_2__128_60");
  int needed_g_t_4[] = {  80,   81,   82,   83,   88,   89,   90,   91}; //   8
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_130__20_104");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_130__20_104");
  int needed_g_t_5[] = {  80,   81,   82,   83}; //   4
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 4);
  psi_container_IS_name.push_back("t_of_tchannel_0__130_21__64_40");
  psi_container_IS_name.push_back("phi_of_tchannel_0__130_21__64_40");
  int needed_g_t_6[] = {  84,   85,   86,   87,   92,   93,   94,   95}; //   8
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_130__40_84");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_130__40_84");
  int needed_g_t_7[] = {  84,   85,   86,   87}; //   4
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 4);
  psi_container_IS_name.push_back("t_of_tchannel_0__130_41__64_20");
  psi_container_IS_name.push_back("phi_of_tchannel_0__130_41__64_20");
  int needed_g_t_8[] = {  96,   97,   98,   99,  104,  105,  106,  107}; //   8
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__20_232");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__20_232");
  int needed_g_t_9[] = {  96,   97,   98,   99}; //   4
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_21__168_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_21__168_64");
  int needed_g_t_10[] = { 100,  101,  102,  103,  108,  109,  110,  111}; //   8
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__40_212");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__40_212");
  int needed_g_t_11[] = { 100,  101,  102,  103}; //   4
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_41__148_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_41__148_64");
  int needed_g_t_12[] = { 104,  105,  106,  107}; //   4
  psi_needed_g_t[no_ps][12] = get_vector_from_array_int(needed_g_t_12, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_21__40_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_21__40_192");
  int needed_g_t_13[] = { 104,  105,  106,  107}; //   4
  psi_needed_g_t[no_ps][13] = get_vector_from_array_int(needed_g_t_13, 4);
  psi_container_IS_name.push_back("t_of_tchannel_0__21_42__64_128");
  psi_container_IS_name.push_back("phi_of_tchannel_0__21_42__64_128");
  int needed_g_t_14[] = { 108,  109,  110,  111}; //   4
  psi_needed_g_t[no_ps][14] = get_vector_from_array_int(needed_g_t_14, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_41__20_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_41__20_192");
  int needed_g_t_15[] = { 108,  109,  110,  111}; //   4
  psi_needed_g_t[no_ps][15] = get_vector_from_array_int(needed_g_t_15, 4);
  psi_container_IS_name.push_back("t_of_tchannel_0__41_22__64_128");
  psi_container_IS_name.push_back("phi_of_tchannel_0__41_22__64_128");
  int needed_g_t_16[] = { 112,  113,  114,  115}; //   4
  psi_needed_g_t[no_ps][16] = get_vector_from_array_int(needed_g_t_16, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__84_168");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__84_168");
  int needed_g_t_17[] = { 116,  117,  118,  119}; //   4
  psi_needed_g_t[no_ps][17] = get_vector_from_array_int(needed_g_t_17, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__104_148");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__104_148");
  int needed_g_t_18[] = { 120,  121,  122,  123}; //   4
  psi_needed_g_t[no_ps][18] = get_vector_from_array_int(needed_g_t_18, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__40_212");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__40_212");
  int needed_g_t_19[] = { 120,  121,  122,  123}; //   4
  psi_needed_g_t[no_ps][19] = get_vector_from_array_int(needed_g_t_19, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_42__84_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_42__84_128");
  int needed_g_t_20[] = { 124,  125,  126,  127}; //   4
  psi_needed_g_t[no_ps][20] = get_vector_from_array_int(needed_g_t_20, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__20_232");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__20_232");
  int needed_g_t_21[] = { 124,  125,  126,  127}; //   4
  psi_needed_g_t[no_ps][21] = get_vector_from_array_int(needed_g_t_21, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_22__104_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_22__104_128");
  int needed_g_t_22[] = { 128,  129,  130,  131,  136,  137,  138,  139}; //   8
  psi_needed_g_t[no_ps][22] = get_vector_from_array_int(needed_g_t_22, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__40_148");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__40_148");
  int needed_g_t_23[] = { 132,  133,  134,  135,  140,  141,  142,  143}; //   8
  psi_needed_g_t[no_ps][23] = get_vector_from_array_int(needed_g_t_23, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__20_168");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__20_168");
  int needed_g_t_24[] = { 136,  137,  138,  139}; //   4
  psi_needed_g_t[no_ps][24] = get_vector_from_array_int(needed_g_t_24, 4);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_42__128_20");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_42__128_20");
  int needed_g_t_25[] = { 140,  141,  142,  143}; //   4
  psi_needed_g_t[no_ps][25] = get_vector_from_array_int(needed_g_t_25, 4);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_22__128_40");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_22__128_40");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(20);
  psi_needed_g_d[no_ps].resize(20);
  int needed_g_d_0[] = {   0,    1,    2,    3,   16,   17,   18,   19,   40,   41,   42,   43,   64,   65,   66,   67}; //  16
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__4_56");
  psi_container_IS_name.push_back("phi_of_decay_60__4_56");
  int needed_g_d_1[] = {   0,    1,    2,    3,   16,   17,   18,   19,   40,   41,   42,   43,   64,   65,   66,   67}; //  16
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 16);
  psi_container_IS_name.push_back("costheta_of_decay_56__16_40");
  psi_container_IS_name.push_back("phi_of_decay_56__16_40");
  int needed_g_d_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,   16,   17,   18,   19,   20,   21,   22,   23,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,  107,  108,  109,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127,  128,  129,  130,  131,  132,  133,  134,  135,  136,  137,  138,  139,  140,  141,  142,  143}; // 112
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 112);
  psi_container_IS_name.push_back("costheta_of_decay_40__8_32");
  psi_container_IS_name.push_back("phi_of_decay_40__8_32");
  int needed_g_d_3[] = {   4,    5,    6,    7,   20,   21,   22,   23,   44,   45,   46,   47,   68,   69,   70,   71}; //  16
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_4[] = {   4,    5,    6,    7,   20,   21,   22,   23,   44,   45,   46,   47,   68,   69,   70,   71}; //  16
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 16);
  psi_container_IS_name.push_back("costheta_of_decay_44__4_40");
  psi_container_IS_name.push_back("phi_of_decay_44__4_40");
  int needed_g_d_5[] = {   8,    9,   10,   11,   24,   25,   26,   27,   48,   49,   50,   51,   72,   73,   74,   75}; //  16
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_6[] = {   8,    9,   10,   11,   24,   25,   26,   27,   48,   49,   50,   51,   72,   73,   74,   75}; //  16
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 16);
  psi_container_IS_name.push_back("costheta_of_decay_52__32_20");
  psi_container_IS_name.push_back("phi_of_decay_52__32_20");
  int needed_g_d_7[] = {   8,    9,   10,   11,   12,   13,   14,   15,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,  107,  108,  109,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127,  128,  129,  130,  131,  132,  133,  134,  135,  136,  137,  138,  139,  140,  141,  142,  143}; // 112
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 112);
  psi_container_IS_name.push_back("costheta_of_decay_20__4_16");
  psi_container_IS_name.push_back("phi_of_decay_20__4_16");
  int needed_g_d_8[] = {  12,   13,   14,   15,   28,   29,   30,   31,   52,   53,   54,   55,   76,   77,   78,   79}; //  16
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_9[] = {  12,   13,   14,   15,   28,   29,   30,   31,   52,   53,   54,   55,   76,   77,   78,   79}; //  16
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 16);
  psi_container_IS_name.push_back("costheta_of_decay_28__8_20");
  psi_container_IS_name.push_back("phi_of_decay_28__8_20");
  int needed_g_d_10[] = {  16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31}; //  16
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 16);
  psi_container_IS_name.push_back("costheta_of_decay_124__64_60");
  psi_container_IS_name.push_back("phi_of_decay_124__64_60");
  int needed_g_d_11[] = {  32,   33,   34,   35}; //   4
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 4);
  psi_container_IS_name.push_back("costheta_of_decay_124__20_104");
  psi_container_IS_name.push_back("phi_of_decay_124__20_104");
  int needed_g_d_12[] = {  32,   33,   34,   35,   88,   89,   90,   91,  116,  117,  118,  119,  124,  125,  126,  127}; //  16
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 16);
  psi_container_IS_name.push_back("costheta_of_decay_104__64_40");
  psi_container_IS_name.push_back("phi_of_decay_104__64_40");
  int needed_g_d_13[] = {  36,   37,   38,   39}; //   4
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 4);
  psi_container_IS_name.push_back("costheta_of_decay_124__40_84");
  psi_container_IS_name.push_back("phi_of_decay_124__40_84");
  int needed_g_d_14[] = {  36,   37,   38,   39,   92,   93,   94,   95,  112,  113,  114,  115,  120,  121,  122,  123}; //  16
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 16);
  psi_container_IS_name.push_back("costheta_of_decay_84__64_20");
  psi_container_IS_name.push_back("phi_of_decay_84__64_20");
  int needed_g_d_15[] = {  40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55}; //  16
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 16);
  psi_container_IS_name.push_back("costheta_of_decay_188__128_60");
  psi_container_IS_name.push_back("phi_of_decay_188__128_60");
  int needed_g_d_16[] = {  56,   57,   58,   59}; //   4
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 4);
  psi_container_IS_name.push_back("costheta_of_decay_188__20_168");
  psi_container_IS_name.push_back("phi_of_decay_188__20_168");
  int needed_g_d_17[] = {  56,   57,   58,   59,   96,   97,   98,   99,  112,  113,  114,  115,  132,  133,  134,  135}; //  16
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 16);
  psi_container_IS_name.push_back("costheta_of_decay_168__128_40");
  psi_container_IS_name.push_back("phi_of_decay_168__128_40");
  int needed_g_d_18[] = {  60,   61,   62,   63}; //   4
  psi_needed_g_d[no_ps][18] = get_vector_from_array_int(needed_g_d_18, 4);
  psi_container_IS_name.push_back("costheta_of_decay_188__40_148");
  psi_container_IS_name.push_back("phi_of_decay_188__40_148");
  int needed_g_d_19[] = {  60,   61,   62,   63,  100,  101,  102,  103,  116,  117,  118,  119,  128,  129,  130,  131}; //  16
  psi_needed_g_d[no_ps][19] = get_vector_from_array_int(needed_g_d_19, 16);
  psi_container_IS_name.push_back("costheta_of_decay_148__128_20");
  psi_container_IS_name.push_back("phi_of_decay_148__128_20");

  psi_c_p[no_ps].resize(144);
  psi_c_f[no_ps].resize(144);
  psi_c_t[no_ps].resize(144);
  psi_c_d[no_ps].resize(144);

  int c_p_0[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 3);
  int c_f_0[] = {  0}; //   1
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 1);
  int c_t_0[] = {  0,   1}; //   2
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 2);
  int c_d_0[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 3);

  int c_p_1[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 3);
  int c_f_1[] = {  0}; //   1
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 1);
  int c_t_1[] = {  0,   1}; //   2
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 2);
  int c_d_1[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 3);

  int c_p_2[] = {  4,   1,   2}; //   3
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 3);
  int c_f_2[] = {  0}; //   1
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 1);
  int c_t_2[] = {  0,   1}; //   2
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 2);
  int c_d_2[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 3);

  int c_p_3[] = {  4,   1,   3}; //   3
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 3);
  int c_f_3[] = {  0}; //   1
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 1);
  int c_t_3[] = {  0,   1}; //   2
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 2);
  int c_d_3[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 3);

  int c_p_4[] = {  0,   5,   6}; //   3
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 3);
  int c_f_4[] = {  0}; //   1
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 1);
  int c_t_4[] = {  0,   1}; //   2
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 2);
  int c_d_4[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 3);

  int c_p_5[] = {  0,   5,   7}; //   3
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 3);
  int c_f_5[] = {  0}; //   1
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 1);
  int c_t_5[] = {  0,   1}; //   2
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 2);
  int c_d_5[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 3);

  int c_p_6[] = {  4,   5,   6}; //   3
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 3);
  int c_f_6[] = {  0}; //   1
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 1);
  int c_t_6[] = {  0,   1}; //   2
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 2);
  int c_d_6[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 3);

  int c_p_7[] = {  4,   5,   7}; //   3
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 3);
  int c_f_7[] = {  0}; //   1
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 1);
  int c_t_7[] = {  0,   1}; //   2
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 2);
  int c_d_7[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 3);

  int c_p_8[] = {  8,   9,  10}; //   3
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 3);
  int c_f_8[] = {  0}; //   1
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 1);
  int c_t_8[] = {  0,   1}; //   2
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 2);
  int c_d_8[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 3);

  int c_p_9[] = {  8,   9,  11}; //   3
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 3);
  int c_f_9[] = {  0}; //   1
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 1);
  int c_t_9[] = {  0,   1}; //   2
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 2);
  int c_d_9[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 3);

  int c_p_10[] = { 12,   9,  10}; //   3
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 3);
  int c_f_10[] = {  0}; //   1
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 1);
  int c_t_10[] = {  0,   1}; //   2
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 2);
  int c_d_10[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 3);

  int c_p_11[] = { 12,   9,  11}; //   3
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 3);
  int c_f_11[] = {  0}; //   1
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 1);
  int c_t_11[] = {  0,   1}; //   2
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 2);
  int c_d_11[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 3);

  int c_p_12[] = {  8,  13,  14}; //   3
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 3);
  int c_f_12[] = {  0}; //   1
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 1);
  int c_t_12[] = {  0,   1}; //   2
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 2);
  int c_d_12[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 3);

  int c_p_13[] = {  8,  13,  15}; //   3
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 3);
  int c_f_13[] = {  0}; //   1
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 1);
  int c_t_13[] = {  0,   1}; //   2
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 2);
  int c_d_13[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 3);

  int c_p_14[] = { 12,  13,  14}; //   3
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 3);
  int c_f_14[] = {  0}; //   1
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 1);
  int c_t_14[] = {  0,   1}; //   2
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 2);
  int c_d_14[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 3);

  int c_p_15[] = { 12,  13,  15}; //   3
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 3);
  int c_f_15[] = {  0}; //   1
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 1);
  int c_t_15[] = {  0,   1}; //   2
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 2);
  int c_d_15[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 3);

  int c_p_16[] = {  0,   1,   2,  16}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {  0}; //   1
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 1);
  int c_d_16[] = { 10,   0,   1,   2}; //   4
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 4);

  int c_p_17[] = {  0,   1,   3,  16}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {  0}; //   1
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 1);
  int c_d_17[] = { 10,   0,   1,   2}; //   4
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 4);

  int c_p_18[] = {  4,   1,   2,  16}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {  0}; //   1
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 1);
  int c_d_18[] = { 10,   0,   1,   2}; //   4
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 4);

  int c_p_19[] = {  4,   1,   3,  16}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {  0}; //   1
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 1);
  int c_d_19[] = { 10,   0,   1,   2}; //   4
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 4);

  int c_p_20[] = {  0,   5,   6,  16}; //   4
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 4);
  int c_f_20[] = {}; //   0
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 0);
  int c_t_20[] = {  0}; //   1
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 1);
  int c_d_20[] = { 10,   3,   4,   2}; //   4
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 4);

  int c_p_21[] = {  0,   5,   7,  16}; //   4
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 4);
  int c_f_21[] = {}; //   0
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 0);
  int c_t_21[] = {  0}; //   1
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 1);
  int c_d_21[] = { 10,   3,   4,   2}; //   4
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 4);

  int c_p_22[] = {  4,   5,   6,  16}; //   4
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 4);
  int c_f_22[] = {}; //   0
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 0);
  int c_t_22[] = {  0}; //   1
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 1);
  int c_d_22[] = { 10,   3,   4,   2}; //   4
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 4);

  int c_p_23[] = {  4,   5,   7,  16}; //   4
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 4);
  int c_f_23[] = {}; //   0
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 0);
  int c_t_23[] = {  0}; //   1
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 1);
  int c_d_23[] = { 10,   3,   4,   2}; //   4
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 4);

  int c_p_24[] = {  8,   9,  10,  16}; //   4
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 4);
  int c_f_24[] = {}; //   0
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 0);
  int c_t_24[] = {  0}; //   1
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 1);
  int c_d_24[] = { 10,   5,   6,   7}; //   4
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 4);

  int c_p_25[] = {  8,   9,  11,  16}; //   4
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 4);
  int c_f_25[] = {}; //   0
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 0);
  int c_t_25[] = {  0}; //   1
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 1);
  int c_d_25[] = { 10,   5,   6,   7}; //   4
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 4);

  int c_p_26[] = { 12,   9,  10,  16}; //   4
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 4);
  int c_f_26[] = {}; //   0
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 0);
  int c_t_26[] = {  0}; //   1
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 1);
  int c_d_26[] = { 10,   5,   6,   7}; //   4
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 4);

  int c_p_27[] = { 12,   9,  11,  16}; //   4
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 4);
  int c_f_27[] = {}; //   0
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 0);
  int c_t_27[] = {  0}; //   1
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 1);
  int c_d_27[] = { 10,   5,   6,   7}; //   4
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 4);

  int c_p_28[] = {  8,  13,  14,  16}; //   4
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 4);
  int c_f_28[] = {}; //   0
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 0);
  int c_t_28[] = {  0}; //   1
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 1);
  int c_d_28[] = { 10,   8,   9,   7}; //   4
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 4);

  int c_p_29[] = {  8,  13,  15,  16}; //   4
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 4);
  int c_f_29[] = {}; //   0
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 0);
  int c_t_29[] = {  0}; //   1
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 1);
  int c_d_29[] = { 10,   8,   9,   7}; //   4
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 4);

  int c_p_30[] = { 12,  13,  14,  16}; //   4
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 4);
  int c_f_30[] = {}; //   0
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 0);
  int c_t_30[] = {  0}; //   1
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 1);
  int c_d_30[] = { 10,   8,   9,   7}; //   4
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 4);

  int c_p_31[] = { 12,  13,  15,  16}; //   4
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 4);
  int c_f_31[] = {}; //   0
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 0);
  int c_t_31[] = {  0}; //   1
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 1);
  int c_d_31[] = { 10,   8,   9,   7}; //   4
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 4);

  int c_p_32[] = {  0,  17,  18,  19}; //   4
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 4);
  int c_f_32[] = {}; //   0
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 0);
  int c_t_32[] = {  0}; //   1
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 1);
  int c_d_32[] = { 11,   7,  12,   2}; //   4
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 4);

  int c_p_33[] = {  0,  17,  20,  19}; //   4
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 4);
  int c_f_33[] = {}; //   0
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 0);
  int c_t_33[] = {  0}; //   1
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 1);
  int c_d_33[] = { 11,   7,  12,   2}; //   4
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 4);

  int c_p_34[] = {  4,  17,  18,  19}; //   4
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 4);
  int c_f_34[] = {}; //   0
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 0);
  int c_t_34[] = {  0}; //   1
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 1);
  int c_d_34[] = { 11,   7,  12,   2}; //   4
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 4);

  int c_p_35[] = {  4,  17,  20,  19}; //   4
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 4);
  int c_f_35[] = {}; //   0
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 0);
  int c_t_35[] = {  0}; //   1
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 1);
  int c_d_35[] = { 11,   7,  12,   2}; //   4
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 4);

  int c_p_36[] = {  8,  21,  22,  23}; //   4
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 4);
  int c_f_36[] = {}; //   0
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 0);
  int c_t_36[] = {  0}; //   1
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 1);
  int c_d_36[] = { 13,   2,  14,   7}; //   4
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 4);

  int c_p_37[] = {  8,  21,  24,  23}; //   4
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 4);
  int c_f_37[] = {}; //   0
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 0);
  int c_t_37[] = {  0}; //   1
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 1);
  int c_d_37[] = { 13,   2,  14,   7}; //   4
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 4);

  int c_p_38[] = { 12,  21,  22,  23}; //   4
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 4);
  int c_f_38[] = {}; //   0
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 0);
  int c_t_38[] = {  0}; //   1
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 1);
  int c_d_38[] = { 13,   2,  14,   7}; //   4
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 4);

  int c_p_39[] = { 12,  21,  24,  23}; //   4
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 4);
  int c_f_39[] = {}; //   0
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 0);
  int c_t_39[] = {  0}; //   1
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 1);
  int c_d_39[] = { 13,   2,  14,   7}; //   4
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 4);

  int c_p_40[] = {  0,   1,   2,  25}; //   4
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 4);
  int c_f_40[] = {}; //   0
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 0);
  int c_t_40[] = {  2}; //   1
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 1);
  int c_d_40[] = { 15,   0,   1,   2}; //   4
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 4);

  int c_p_41[] = {  0,   1,   3,  25}; //   4
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 4);
  int c_f_41[] = {}; //   0
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 0);
  int c_t_41[] = {  2}; //   1
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 1);
  int c_d_41[] = { 15,   0,   1,   2}; //   4
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 4);

  int c_p_42[] = {  4,   1,   2,  25}; //   4
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 4);
  int c_f_42[] = {}; //   0
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 0);
  int c_t_42[] = {  2}; //   1
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 1);
  int c_d_42[] = { 15,   0,   1,   2}; //   4
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 4);

  int c_p_43[] = {  4,   1,   3,  25}; //   4
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 4);
  int c_f_43[] = {}; //   0
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 0);
  int c_t_43[] = {  2}; //   1
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 1);
  int c_d_43[] = { 15,   0,   1,   2}; //   4
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 4);

  int c_p_44[] = {  0,   5,   6,  25}; //   4
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 4);
  int c_f_44[] = {}; //   0
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 0);
  int c_t_44[] = {  2}; //   1
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 1);
  int c_d_44[] = { 15,   3,   4,   2}; //   4
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 4);

  int c_p_45[] = {  0,   5,   7,  25}; //   4
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 4);
  int c_f_45[] = {}; //   0
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 0);
  int c_t_45[] = {  2}; //   1
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 1);
  int c_d_45[] = { 15,   3,   4,   2}; //   4
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 4);

  int c_p_46[] = {  4,   5,   6,  25}; //   4
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 4);
  int c_f_46[] = {}; //   0
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 0);
  int c_t_46[] = {  2}; //   1
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 1);
  int c_d_46[] = { 15,   3,   4,   2}; //   4
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 4);

  int c_p_47[] = {  4,   5,   7,  25}; //   4
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 4);
  int c_f_47[] = {}; //   0
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 0);
  int c_t_47[] = {  2}; //   1
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 1);
  int c_d_47[] = { 15,   3,   4,   2}; //   4
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 4);

  int c_p_48[] = {  8,   9,  10,  25}; //   4
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 4);
  int c_f_48[] = {}; //   0
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 0);
  int c_t_48[] = {  2}; //   1
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 1);
  int c_d_48[] = { 15,   5,   6,   7}; //   4
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 4);

  int c_p_49[] = {  8,   9,  11,  25}; //   4
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 4);
  int c_f_49[] = {}; //   0
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 0);
  int c_t_49[] = {  2}; //   1
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 1);
  int c_d_49[] = { 15,   5,   6,   7}; //   4
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 4);

  int c_p_50[] = { 12,   9,  10,  25}; //   4
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 4);
  int c_f_50[] = {}; //   0
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 0);
  int c_t_50[] = {  2}; //   1
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 1);
  int c_d_50[] = { 15,   5,   6,   7}; //   4
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 4);

  int c_p_51[] = { 12,   9,  11,  25}; //   4
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 4);
  int c_f_51[] = {}; //   0
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 0);
  int c_t_51[] = {  2}; //   1
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 1);
  int c_d_51[] = { 15,   5,   6,   7}; //   4
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 4);

  int c_p_52[] = {  8,  13,  14,  25}; //   4
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 4);
  int c_f_52[] = {}; //   0
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 0);
  int c_t_52[] = {  2}; //   1
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 1);
  int c_d_52[] = { 15,   8,   9,   7}; //   4
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 4);

  int c_p_53[] = {  8,  13,  15,  25}; //   4
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 4);
  int c_f_53[] = {}; //   0
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 0);
  int c_t_53[] = {  2}; //   1
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 1);
  int c_d_53[] = { 15,   8,   9,   7}; //   4
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 4);

  int c_p_54[] = { 12,  13,  14,  25}; //   4
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 4);
  int c_f_54[] = {}; //   0
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 0);
  int c_t_54[] = {  2}; //   1
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 1);
  int c_d_54[] = { 15,   8,   9,   7}; //   4
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 4);

  int c_p_55[] = { 12,  13,  15,  25}; //   4
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 4);
  int c_f_55[] = {}; //   0
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 0);
  int c_t_55[] = {  2}; //   1
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 1);
  int c_d_55[] = { 15,   8,   9,   7}; //   4
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 4);

  int c_p_56[] = {  0,  26,  27,  28}; //   4
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 4);
  int c_f_56[] = {}; //   0
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 0);
  int c_t_56[] = {  2}; //   1
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 1);
  int c_d_56[] = { 16,   7,  17,   2}; //   4
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 4);

  int c_p_57[] = {  0,  26,  29,  28}; //   4
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 4);
  int c_f_57[] = {}; //   0
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 0);
  int c_t_57[] = {  2}; //   1
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 1);
  int c_d_57[] = { 16,   7,  17,   2}; //   4
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 4);

  int c_p_58[] = {  4,  26,  27,  28}; //   4
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 4);
  int c_f_58[] = {}; //   0
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 0);
  int c_t_58[] = {  2}; //   1
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 1);
  int c_d_58[] = { 16,   7,  17,   2}; //   4
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 4);

  int c_p_59[] = {  4,  26,  29,  28}; //   4
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 4);
  int c_f_59[] = {}; //   0
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 0);
  int c_t_59[] = {  2}; //   1
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 1);
  int c_d_59[] = { 16,   7,  17,   2}; //   4
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 4);

  int c_p_60[] = {  8,  30,  31,  32}; //   4
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 4);
  int c_f_60[] = {}; //   0
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 0);
  int c_t_60[] = {  2}; //   1
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 1);
  int c_d_60[] = { 18,   2,  19,   7}; //   4
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 4);

  int c_p_61[] = {  8,  30,  33,  32}; //   4
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 4);
  int c_f_61[] = {}; //   0
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 0);
  int c_t_61[] = {  2}; //   1
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 1);
  int c_d_61[] = { 18,   2,  19,   7}; //   4
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 4);

  int c_p_62[] = { 12,  30,  31,  32}; //   4
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 4);
  int c_f_62[] = {}; //   0
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 0);
  int c_t_62[] = {  2}; //   1
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 1);
  int c_d_62[] = { 18,   2,  19,   7}; //   4
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 4);

  int c_p_63[] = { 12,  30,  33,  32}; //   4
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 4);
  int c_f_63[] = {}; //   0
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 0);
  int c_t_63[] = {  2}; //   1
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 1);
  int c_d_63[] = { 18,   2,  19,   7}; //   4
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 4);

  int c_p_64[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][64] = get_vector_from_array_int(c_p_64, 3);
  int c_f_64[] = {  1}; //   1
  psi_c_f[no_ps][64] = get_vector_from_array_int(c_f_64, 1);
  int c_t_64[] = {  2,   3}; //   2
  psi_c_t[no_ps][64] = get_vector_from_array_int(c_t_64, 2);
  int c_d_64[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][64] = get_vector_from_array_int(c_d_64, 3);

  int c_p_65[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][65] = get_vector_from_array_int(c_p_65, 3);
  int c_f_65[] = {  1}; //   1
  psi_c_f[no_ps][65] = get_vector_from_array_int(c_f_65, 1);
  int c_t_65[] = {  2,   3}; //   2
  psi_c_t[no_ps][65] = get_vector_from_array_int(c_t_65, 2);
  int c_d_65[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][65] = get_vector_from_array_int(c_d_65, 3);

  int c_p_66[] = {  4,   1,   2}; //   3
  psi_c_p[no_ps][66] = get_vector_from_array_int(c_p_66, 3);
  int c_f_66[] = {  1}; //   1
  psi_c_f[no_ps][66] = get_vector_from_array_int(c_f_66, 1);
  int c_t_66[] = {  2,   3}; //   2
  psi_c_t[no_ps][66] = get_vector_from_array_int(c_t_66, 2);
  int c_d_66[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][66] = get_vector_from_array_int(c_d_66, 3);

  int c_p_67[] = {  4,   1,   3}; //   3
  psi_c_p[no_ps][67] = get_vector_from_array_int(c_p_67, 3);
  int c_f_67[] = {  1}; //   1
  psi_c_f[no_ps][67] = get_vector_from_array_int(c_f_67, 1);
  int c_t_67[] = {  2,   3}; //   2
  psi_c_t[no_ps][67] = get_vector_from_array_int(c_t_67, 2);
  int c_d_67[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][67] = get_vector_from_array_int(c_d_67, 3);

  int c_p_68[] = {  0,   5,   6}; //   3
  psi_c_p[no_ps][68] = get_vector_from_array_int(c_p_68, 3);
  int c_f_68[] = {  1}; //   1
  psi_c_f[no_ps][68] = get_vector_from_array_int(c_f_68, 1);
  int c_t_68[] = {  2,   3}; //   2
  psi_c_t[no_ps][68] = get_vector_from_array_int(c_t_68, 2);
  int c_d_68[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][68] = get_vector_from_array_int(c_d_68, 3);

  int c_p_69[] = {  0,   5,   7}; //   3
  psi_c_p[no_ps][69] = get_vector_from_array_int(c_p_69, 3);
  int c_f_69[] = {  1}; //   1
  psi_c_f[no_ps][69] = get_vector_from_array_int(c_f_69, 1);
  int c_t_69[] = {  2,   3}; //   2
  psi_c_t[no_ps][69] = get_vector_from_array_int(c_t_69, 2);
  int c_d_69[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][69] = get_vector_from_array_int(c_d_69, 3);

  int c_p_70[] = {  4,   5,   6}; //   3
  psi_c_p[no_ps][70] = get_vector_from_array_int(c_p_70, 3);
  int c_f_70[] = {  1}; //   1
  psi_c_f[no_ps][70] = get_vector_from_array_int(c_f_70, 1);
  int c_t_70[] = {  2,   3}; //   2
  psi_c_t[no_ps][70] = get_vector_from_array_int(c_t_70, 2);
  int c_d_70[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][70] = get_vector_from_array_int(c_d_70, 3);

  int c_p_71[] = {  4,   5,   7}; //   3
  psi_c_p[no_ps][71] = get_vector_from_array_int(c_p_71, 3);
  int c_f_71[] = {  1}; //   1
  psi_c_f[no_ps][71] = get_vector_from_array_int(c_f_71, 1);
  int c_t_71[] = {  2,   3}; //   2
  psi_c_t[no_ps][71] = get_vector_from_array_int(c_t_71, 2);
  int c_d_71[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][71] = get_vector_from_array_int(c_d_71, 3);

  int c_p_72[] = {  8,   9,  10}; //   3
  psi_c_p[no_ps][72] = get_vector_from_array_int(c_p_72, 3);
  int c_f_72[] = {  1}; //   1
  psi_c_f[no_ps][72] = get_vector_from_array_int(c_f_72, 1);
  int c_t_72[] = {  2,   3}; //   2
  psi_c_t[no_ps][72] = get_vector_from_array_int(c_t_72, 2);
  int c_d_72[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][72] = get_vector_from_array_int(c_d_72, 3);

  int c_p_73[] = {  8,   9,  11}; //   3
  psi_c_p[no_ps][73] = get_vector_from_array_int(c_p_73, 3);
  int c_f_73[] = {  1}; //   1
  psi_c_f[no_ps][73] = get_vector_from_array_int(c_f_73, 1);
  int c_t_73[] = {  2,   3}; //   2
  psi_c_t[no_ps][73] = get_vector_from_array_int(c_t_73, 2);
  int c_d_73[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][73] = get_vector_from_array_int(c_d_73, 3);

  int c_p_74[] = { 12,   9,  10}; //   3
  psi_c_p[no_ps][74] = get_vector_from_array_int(c_p_74, 3);
  int c_f_74[] = {  1}; //   1
  psi_c_f[no_ps][74] = get_vector_from_array_int(c_f_74, 1);
  int c_t_74[] = {  2,   3}; //   2
  psi_c_t[no_ps][74] = get_vector_from_array_int(c_t_74, 2);
  int c_d_74[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][74] = get_vector_from_array_int(c_d_74, 3);

  int c_p_75[] = { 12,   9,  11}; //   3
  psi_c_p[no_ps][75] = get_vector_from_array_int(c_p_75, 3);
  int c_f_75[] = {  1}; //   1
  psi_c_f[no_ps][75] = get_vector_from_array_int(c_f_75, 1);
  int c_t_75[] = {  2,   3}; //   2
  psi_c_t[no_ps][75] = get_vector_from_array_int(c_t_75, 2);
  int c_d_75[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][75] = get_vector_from_array_int(c_d_75, 3);

  int c_p_76[] = {  8,  13,  14}; //   3
  psi_c_p[no_ps][76] = get_vector_from_array_int(c_p_76, 3);
  int c_f_76[] = {  1}; //   1
  psi_c_f[no_ps][76] = get_vector_from_array_int(c_f_76, 1);
  int c_t_76[] = {  2,   3}; //   2
  psi_c_t[no_ps][76] = get_vector_from_array_int(c_t_76, 2);
  int c_d_76[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][76] = get_vector_from_array_int(c_d_76, 3);

  int c_p_77[] = {  8,  13,  15}; //   3
  psi_c_p[no_ps][77] = get_vector_from_array_int(c_p_77, 3);
  int c_f_77[] = {  1}; //   1
  psi_c_f[no_ps][77] = get_vector_from_array_int(c_f_77, 1);
  int c_t_77[] = {  2,   3}; //   2
  psi_c_t[no_ps][77] = get_vector_from_array_int(c_t_77, 2);
  int c_d_77[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][77] = get_vector_from_array_int(c_d_77, 3);

  int c_p_78[] = { 12,  13,  14}; //   3
  psi_c_p[no_ps][78] = get_vector_from_array_int(c_p_78, 3);
  int c_f_78[] = {  1}; //   1
  psi_c_f[no_ps][78] = get_vector_from_array_int(c_f_78, 1);
  int c_t_78[] = {  2,   3}; //   2
  psi_c_t[no_ps][78] = get_vector_from_array_int(c_t_78, 2);
  int c_d_78[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][78] = get_vector_from_array_int(c_d_78, 3);

  int c_p_79[] = { 12,  13,  15}; //   3
  psi_c_p[no_ps][79] = get_vector_from_array_int(c_p_79, 3);
  int c_f_79[] = {  1}; //   1
  psi_c_f[no_ps][79] = get_vector_from_array_int(c_f_79, 1);
  int c_t_79[] = {  2,   3}; //   2
  psi_c_t[no_ps][79] = get_vector_from_array_int(c_t_79, 2);
  int c_d_79[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][79] = get_vector_from_array_int(c_d_79, 3);

  int c_p_80[] = {  0,  34}; //   2
  psi_c_p[no_ps][80] = get_vector_from_array_int(c_p_80, 2);
  int c_f_80[] = {  2,   3}; //   2
  psi_c_f[no_ps][80] = get_vector_from_array_int(c_f_80, 2);
  int c_t_80[] = {  0,   4,   5}; //   3
  psi_c_t[no_ps][80] = get_vector_from_array_int(c_t_80, 3);
  int c_d_80[] = {  7,   2}; //   2
  psi_c_d[no_ps][80] = get_vector_from_array_int(c_d_80, 2);

  int c_p_81[] = {  0,  35}; //   2
  psi_c_p[no_ps][81] = get_vector_from_array_int(c_p_81, 2);
  int c_f_81[] = {  2,   3}; //   2
  psi_c_f[no_ps][81] = get_vector_from_array_int(c_f_81, 2);
  int c_t_81[] = {  0,   4,   5}; //   3
  psi_c_t[no_ps][81] = get_vector_from_array_int(c_t_81, 3);
  int c_d_81[] = {  7,   2}; //   2
  psi_c_d[no_ps][81] = get_vector_from_array_int(c_d_81, 2);

  int c_p_82[] = {  4,  34}; //   2
  psi_c_p[no_ps][82] = get_vector_from_array_int(c_p_82, 2);
  int c_f_82[] = {  2,   3}; //   2
  psi_c_f[no_ps][82] = get_vector_from_array_int(c_f_82, 2);
  int c_t_82[] = {  0,   4,   5}; //   3
  psi_c_t[no_ps][82] = get_vector_from_array_int(c_t_82, 3);
  int c_d_82[] = {  7,   2}; //   2
  psi_c_d[no_ps][82] = get_vector_from_array_int(c_d_82, 2);

  int c_p_83[] = {  4,  35}; //   2
  psi_c_p[no_ps][83] = get_vector_from_array_int(c_p_83, 2);
  int c_f_83[] = {  2,   3}; //   2
  psi_c_f[no_ps][83] = get_vector_from_array_int(c_f_83, 2);
  int c_t_83[] = {  0,   4,   5}; //   3
  psi_c_t[no_ps][83] = get_vector_from_array_int(c_t_83, 3);
  int c_d_83[] = {  7,   2}; //   2
  psi_c_d[no_ps][83] = get_vector_from_array_int(c_d_83, 2);

  int c_p_84[] = {  8,  36}; //   2
  psi_c_p[no_ps][84] = get_vector_from_array_int(c_p_84, 2);
  int c_f_84[] = {  4,   5}; //   2
  psi_c_f[no_ps][84] = get_vector_from_array_int(c_f_84, 2);
  int c_t_84[] = {  0,   6,   7}; //   3
  psi_c_t[no_ps][84] = get_vector_from_array_int(c_t_84, 3);
  int c_d_84[] = {  2,   7}; //   2
  psi_c_d[no_ps][84] = get_vector_from_array_int(c_d_84, 2);

  int c_p_85[] = {  8,  37}; //   2
  psi_c_p[no_ps][85] = get_vector_from_array_int(c_p_85, 2);
  int c_f_85[] = {  4,   5}; //   2
  psi_c_f[no_ps][85] = get_vector_from_array_int(c_f_85, 2);
  int c_t_85[] = {  0,   6,   7}; //   3
  psi_c_t[no_ps][85] = get_vector_from_array_int(c_t_85, 3);
  int c_d_85[] = {  2,   7}; //   2
  psi_c_d[no_ps][85] = get_vector_from_array_int(c_d_85, 2);

  int c_p_86[] = { 12,  36}; //   2
  psi_c_p[no_ps][86] = get_vector_from_array_int(c_p_86, 2);
  int c_f_86[] = {  4,   5}; //   2
  psi_c_f[no_ps][86] = get_vector_from_array_int(c_f_86, 2);
  int c_t_86[] = {  0,   6,   7}; //   3
  psi_c_t[no_ps][86] = get_vector_from_array_int(c_t_86, 3);
  int c_d_86[] = {  2,   7}; //   2
  psi_c_d[no_ps][86] = get_vector_from_array_int(c_d_86, 2);

  int c_p_87[] = { 12,  37}; //   2
  psi_c_p[no_ps][87] = get_vector_from_array_int(c_p_87, 2);
  int c_f_87[] = {  4,   5}; //   2
  psi_c_f[no_ps][87] = get_vector_from_array_int(c_f_87, 2);
  int c_t_87[] = {  0,   6,   7}; //   3
  psi_c_t[no_ps][87] = get_vector_from_array_int(c_t_87, 3);
  int c_d_87[] = {  2,   7}; //   2
  psi_c_d[no_ps][87] = get_vector_from_array_int(c_d_87, 2);

  int c_p_88[] = {  0,  17,  18}; //   3
  psi_c_p[no_ps][88] = get_vector_from_array_int(c_p_88, 3);
  int c_f_88[] = {  3}; //   1
  psi_c_f[no_ps][88] = get_vector_from_array_int(c_f_88, 1);
  int c_t_88[] = {  0,   4}; //   2
  psi_c_t[no_ps][88] = get_vector_from_array_int(c_t_88, 2);
  int c_d_88[] = {  7,  12,   2}; //   3
  psi_c_d[no_ps][88] = get_vector_from_array_int(c_d_88, 3);

  int c_p_89[] = {  0,  17,  20}; //   3
  psi_c_p[no_ps][89] = get_vector_from_array_int(c_p_89, 3);
  int c_f_89[] = {  3}; //   1
  psi_c_f[no_ps][89] = get_vector_from_array_int(c_f_89, 1);
  int c_t_89[] = {  0,   4}; //   2
  psi_c_t[no_ps][89] = get_vector_from_array_int(c_t_89, 2);
  int c_d_89[] = {  7,  12,   2}; //   3
  psi_c_d[no_ps][89] = get_vector_from_array_int(c_d_89, 3);

  int c_p_90[] = {  4,  17,  18}; //   3
  psi_c_p[no_ps][90] = get_vector_from_array_int(c_p_90, 3);
  int c_f_90[] = {  3}; //   1
  psi_c_f[no_ps][90] = get_vector_from_array_int(c_f_90, 1);
  int c_t_90[] = {  0,   4}; //   2
  psi_c_t[no_ps][90] = get_vector_from_array_int(c_t_90, 2);
  int c_d_90[] = {  7,  12,   2}; //   3
  psi_c_d[no_ps][90] = get_vector_from_array_int(c_d_90, 3);

  int c_p_91[] = {  4,  17,  20}; //   3
  psi_c_p[no_ps][91] = get_vector_from_array_int(c_p_91, 3);
  int c_f_91[] = {  3}; //   1
  psi_c_f[no_ps][91] = get_vector_from_array_int(c_f_91, 1);
  int c_t_91[] = {  0,   4}; //   2
  psi_c_t[no_ps][91] = get_vector_from_array_int(c_t_91, 2);
  int c_d_91[] = {  7,  12,   2}; //   3
  psi_c_d[no_ps][91] = get_vector_from_array_int(c_d_91, 3);

  int c_p_92[] = {  8,  21,  22}; //   3
  psi_c_p[no_ps][92] = get_vector_from_array_int(c_p_92, 3);
  int c_f_92[] = {  5}; //   1
  psi_c_f[no_ps][92] = get_vector_from_array_int(c_f_92, 1);
  int c_t_92[] = {  0,   6}; //   2
  psi_c_t[no_ps][92] = get_vector_from_array_int(c_t_92, 2);
  int c_d_92[] = {  2,  14,   7}; //   3
  psi_c_d[no_ps][92] = get_vector_from_array_int(c_d_92, 3);

  int c_p_93[] = {  8,  21,  24}; //   3
  psi_c_p[no_ps][93] = get_vector_from_array_int(c_p_93, 3);
  int c_f_93[] = {  5}; //   1
  psi_c_f[no_ps][93] = get_vector_from_array_int(c_f_93, 1);
  int c_t_93[] = {  0,   6}; //   2
  psi_c_t[no_ps][93] = get_vector_from_array_int(c_t_93, 2);
  int c_d_93[] = {  2,  14,   7}; //   3
  psi_c_d[no_ps][93] = get_vector_from_array_int(c_d_93, 3);

  int c_p_94[] = { 12,  21,  22}; //   3
  psi_c_p[no_ps][94] = get_vector_from_array_int(c_p_94, 3);
  int c_f_94[] = {  5}; //   1
  psi_c_f[no_ps][94] = get_vector_from_array_int(c_f_94, 1);
  int c_t_94[] = {  0,   6}; //   2
  psi_c_t[no_ps][94] = get_vector_from_array_int(c_t_94, 2);
  int c_d_94[] = {  2,  14,   7}; //   3
  psi_c_d[no_ps][94] = get_vector_from_array_int(c_d_94, 3);

  int c_p_95[] = { 12,  21,  24}; //   3
  psi_c_p[no_ps][95] = get_vector_from_array_int(c_p_95, 3);
  int c_f_95[] = {  5}; //   1
  psi_c_f[no_ps][95] = get_vector_from_array_int(c_f_95, 1);
  int c_t_95[] = {  0,   6}; //   2
  psi_c_t[no_ps][95] = get_vector_from_array_int(c_t_95, 2);
  int c_d_95[] = {  2,  14,   7}; //   3
  psi_c_d[no_ps][95] = get_vector_from_array_int(c_d_95, 3);

  int c_p_96[] = {  0,  26,  27}; //   3
  psi_c_p[no_ps][96] = get_vector_from_array_int(c_p_96, 3);
  int c_f_96[] = {  6}; //   1
  psi_c_f[no_ps][96] = get_vector_from_array_int(c_f_96, 1);
  int c_t_96[] = {  8,   9}; //   2
  psi_c_t[no_ps][96] = get_vector_from_array_int(c_t_96, 2);
  int c_d_96[] = {  7,  17,   2}; //   3
  psi_c_d[no_ps][96] = get_vector_from_array_int(c_d_96, 3);

  int c_p_97[] = {  0,  26,  29}; //   3
  psi_c_p[no_ps][97] = get_vector_from_array_int(c_p_97, 3);
  int c_f_97[] = {  6}; //   1
  psi_c_f[no_ps][97] = get_vector_from_array_int(c_f_97, 1);
  int c_t_97[] = {  8,   9}; //   2
  psi_c_t[no_ps][97] = get_vector_from_array_int(c_t_97, 2);
  int c_d_97[] = {  7,  17,   2}; //   3
  psi_c_d[no_ps][97] = get_vector_from_array_int(c_d_97, 3);

  int c_p_98[] = {  4,  26,  27}; //   3
  psi_c_p[no_ps][98] = get_vector_from_array_int(c_p_98, 3);
  int c_f_98[] = {  6}; //   1
  psi_c_f[no_ps][98] = get_vector_from_array_int(c_f_98, 1);
  int c_t_98[] = {  8,   9}; //   2
  psi_c_t[no_ps][98] = get_vector_from_array_int(c_t_98, 2);
  int c_d_98[] = {  7,  17,   2}; //   3
  psi_c_d[no_ps][98] = get_vector_from_array_int(c_d_98, 3);

  int c_p_99[] = {  4,  26,  29}; //   3
  psi_c_p[no_ps][99] = get_vector_from_array_int(c_p_99, 3);
  int c_f_99[] = {  6}; //   1
  psi_c_f[no_ps][99] = get_vector_from_array_int(c_f_99, 1);
  int c_t_99[] = {  8,   9}; //   2
  psi_c_t[no_ps][99] = get_vector_from_array_int(c_t_99, 2);
  int c_d_99[] = {  7,  17,   2}; //   3
  psi_c_d[no_ps][99] = get_vector_from_array_int(c_d_99, 3);

  int c_p_100[] = {  8,  30,  31}; //   3
  psi_c_p[no_ps][100] = get_vector_from_array_int(c_p_100, 3);
  int c_f_100[] = {  7}; //   1
  psi_c_f[no_ps][100] = get_vector_from_array_int(c_f_100, 1);
  int c_t_100[] = { 10,  11}; //   2
  psi_c_t[no_ps][100] = get_vector_from_array_int(c_t_100, 2);
  int c_d_100[] = {  2,  19,   7}; //   3
  psi_c_d[no_ps][100] = get_vector_from_array_int(c_d_100, 3);

  int c_p_101[] = {  8,  30,  33}; //   3
  psi_c_p[no_ps][101] = get_vector_from_array_int(c_p_101, 3);
  int c_f_101[] = {  7}; //   1
  psi_c_f[no_ps][101] = get_vector_from_array_int(c_f_101, 1);
  int c_t_101[] = { 10,  11}; //   2
  psi_c_t[no_ps][101] = get_vector_from_array_int(c_t_101, 2);
  int c_d_101[] = {  2,  19,   7}; //   3
  psi_c_d[no_ps][101] = get_vector_from_array_int(c_d_101, 3);

  int c_p_102[] = { 12,  30,  31}; //   3
  psi_c_p[no_ps][102] = get_vector_from_array_int(c_p_102, 3);
  int c_f_102[] = {  7}; //   1
  psi_c_f[no_ps][102] = get_vector_from_array_int(c_f_102, 1);
  int c_t_102[] = { 10,  11}; //   2
  psi_c_t[no_ps][102] = get_vector_from_array_int(c_t_102, 2);
  int c_d_102[] = {  2,  19,   7}; //   3
  psi_c_d[no_ps][102] = get_vector_from_array_int(c_d_102, 3);

  int c_p_103[] = { 12,  30,  33}; //   3
  psi_c_p[no_ps][103] = get_vector_from_array_int(c_p_103, 3);
  int c_f_103[] = {  7}; //   1
  psi_c_f[no_ps][103] = get_vector_from_array_int(c_f_103, 1);
  int c_t_103[] = { 10,  11}; //   2
  psi_c_t[no_ps][103] = get_vector_from_array_int(c_t_103, 2);
  int c_d_103[] = {  2,  19,   7}; //   3
  psi_c_d[no_ps][103] = get_vector_from_array_int(c_d_103, 3);

  int c_p_104[] = {  0,  34}; //   2
  psi_c_p[no_ps][104] = get_vector_from_array_int(c_p_104, 2);
  int c_f_104[] = {  8,   9}; //   2
  psi_c_f[no_ps][104] = get_vector_from_array_int(c_f_104, 2);
  int c_t_104[] = {  8,  12,  13}; //   3
  psi_c_t[no_ps][104] = get_vector_from_array_int(c_t_104, 3);
  int c_d_104[] = {  7,   2}; //   2
  psi_c_d[no_ps][104] = get_vector_from_array_int(c_d_104, 2);

  int c_p_105[] = {  0,  35}; //   2
  psi_c_p[no_ps][105] = get_vector_from_array_int(c_p_105, 2);
  int c_f_105[] = {  8,   9}; //   2
  psi_c_f[no_ps][105] = get_vector_from_array_int(c_f_105, 2);
  int c_t_105[] = {  8,  12,  13}; //   3
  psi_c_t[no_ps][105] = get_vector_from_array_int(c_t_105, 3);
  int c_d_105[] = {  7,   2}; //   2
  psi_c_d[no_ps][105] = get_vector_from_array_int(c_d_105, 2);

  int c_p_106[] = {  4,  34}; //   2
  psi_c_p[no_ps][106] = get_vector_from_array_int(c_p_106, 2);
  int c_f_106[] = {  8,   9}; //   2
  psi_c_f[no_ps][106] = get_vector_from_array_int(c_f_106, 2);
  int c_t_106[] = {  8,  12,  13}; //   3
  psi_c_t[no_ps][106] = get_vector_from_array_int(c_t_106, 3);
  int c_d_106[] = {  7,   2}; //   2
  psi_c_d[no_ps][106] = get_vector_from_array_int(c_d_106, 2);

  int c_p_107[] = {  4,  35}; //   2
  psi_c_p[no_ps][107] = get_vector_from_array_int(c_p_107, 2);
  int c_f_107[] = {  8,   9}; //   2
  psi_c_f[no_ps][107] = get_vector_from_array_int(c_f_107, 2);
  int c_t_107[] = {  8,  12,  13}; //   3
  psi_c_t[no_ps][107] = get_vector_from_array_int(c_t_107, 3);
  int c_d_107[] = {  7,   2}; //   2
  psi_c_d[no_ps][107] = get_vector_from_array_int(c_d_107, 2);

  int c_p_108[] = {  8,  36}; //   2
  psi_c_p[no_ps][108] = get_vector_from_array_int(c_p_108, 2);
  int c_f_108[] = {  8,  10}; //   2
  psi_c_f[no_ps][108] = get_vector_from_array_int(c_f_108, 2);
  int c_t_108[] = { 10,  14,  15}; //   3
  psi_c_t[no_ps][108] = get_vector_from_array_int(c_t_108, 3);
  int c_d_108[] = {  2,   7}; //   2
  psi_c_d[no_ps][108] = get_vector_from_array_int(c_d_108, 2);

  int c_p_109[] = {  8,  37}; //   2
  psi_c_p[no_ps][109] = get_vector_from_array_int(c_p_109, 2);
  int c_f_109[] = {  8,  10}; //   2
  psi_c_f[no_ps][109] = get_vector_from_array_int(c_f_109, 2);
  int c_t_109[] = { 10,  14,  15}; //   3
  psi_c_t[no_ps][109] = get_vector_from_array_int(c_t_109, 3);
  int c_d_109[] = {  2,   7}; //   2
  psi_c_d[no_ps][109] = get_vector_from_array_int(c_d_109, 2);

  int c_p_110[] = { 12,  36}; //   2
  psi_c_p[no_ps][110] = get_vector_from_array_int(c_p_110, 2);
  int c_f_110[] = {  8,  10}; //   2
  psi_c_f[no_ps][110] = get_vector_from_array_int(c_f_110, 2);
  int c_t_110[] = { 10,  14,  15}; //   3
  psi_c_t[no_ps][110] = get_vector_from_array_int(c_t_110, 3);
  int c_d_110[] = {  2,   7}; //   2
  psi_c_d[no_ps][110] = get_vector_from_array_int(c_d_110, 2);

  int c_p_111[] = { 12,  37}; //   2
  psi_c_p[no_ps][111] = get_vector_from_array_int(c_p_111, 2);
  int c_f_111[] = {  8,  10}; //   2
  psi_c_f[no_ps][111] = get_vector_from_array_int(c_f_111, 2);
  int c_t_111[] = { 10,  14,  15}; //   3
  psi_c_t[no_ps][111] = get_vector_from_array_int(c_t_111, 3);
  int c_d_111[] = {  2,   7}; //   2
  psi_c_d[no_ps][111] = get_vector_from_array_int(c_d_111, 2);

  int c_p_112[] = {  0,  26,  27,  38}; //   4
  psi_c_p[no_ps][112] = get_vector_from_array_int(c_p_112, 4);
  int c_f_112[] = {}; //   0
  psi_c_f[no_ps][112] = get_vector_from_array_int(c_f_112, 0);
  int c_t_112[] = { 16}; //   1
  psi_c_t[no_ps][112] = get_vector_from_array_int(c_t_112, 1);
  int c_d_112[] = { 14,   7,  17,   2}; //   4
  psi_c_d[no_ps][112] = get_vector_from_array_int(c_d_112, 4);

  int c_p_113[] = {  0,  26,  29,  38}; //   4
  psi_c_p[no_ps][113] = get_vector_from_array_int(c_p_113, 4);
  int c_f_113[] = {}; //   0
  psi_c_f[no_ps][113] = get_vector_from_array_int(c_f_113, 0);
  int c_t_113[] = { 16}; //   1
  psi_c_t[no_ps][113] = get_vector_from_array_int(c_t_113, 1);
  int c_d_113[] = { 14,   7,  17,   2}; //   4
  psi_c_d[no_ps][113] = get_vector_from_array_int(c_d_113, 4);

  int c_p_114[] = {  4,  26,  27,  38}; //   4
  psi_c_p[no_ps][114] = get_vector_from_array_int(c_p_114, 4);
  int c_f_114[] = {}; //   0
  psi_c_f[no_ps][114] = get_vector_from_array_int(c_f_114, 0);
  int c_t_114[] = { 16}; //   1
  psi_c_t[no_ps][114] = get_vector_from_array_int(c_t_114, 1);
  int c_d_114[] = { 14,   7,  17,   2}; //   4
  psi_c_d[no_ps][114] = get_vector_from_array_int(c_d_114, 4);

  int c_p_115[] = {  4,  26,  29,  38}; //   4
  psi_c_p[no_ps][115] = get_vector_from_array_int(c_p_115, 4);
  int c_f_115[] = {}; //   0
  psi_c_f[no_ps][115] = get_vector_from_array_int(c_f_115, 0);
  int c_t_115[] = { 16}; //   1
  psi_c_t[no_ps][115] = get_vector_from_array_int(c_t_115, 1);
  int c_d_115[] = { 14,   7,  17,   2}; //   4
  psi_c_d[no_ps][115] = get_vector_from_array_int(c_d_115, 4);

  int c_p_116[] = {  8,  30,  31,  39}; //   4
  psi_c_p[no_ps][116] = get_vector_from_array_int(c_p_116, 4);
  int c_f_116[] = {}; //   0
  psi_c_f[no_ps][116] = get_vector_from_array_int(c_f_116, 0);
  int c_t_116[] = { 17}; //   1
  psi_c_t[no_ps][116] = get_vector_from_array_int(c_t_116, 1);
  int c_d_116[] = { 12,   2,  19,   7}; //   4
  psi_c_d[no_ps][116] = get_vector_from_array_int(c_d_116, 4);

  int c_p_117[] = {  8,  30,  33,  39}; //   4
  psi_c_p[no_ps][117] = get_vector_from_array_int(c_p_117, 4);
  int c_f_117[] = {}; //   0
  psi_c_f[no_ps][117] = get_vector_from_array_int(c_f_117, 0);
  int c_t_117[] = { 17}; //   1
  psi_c_t[no_ps][117] = get_vector_from_array_int(c_t_117, 1);
  int c_d_117[] = { 12,   2,  19,   7}; //   4
  psi_c_d[no_ps][117] = get_vector_from_array_int(c_d_117, 4);

  int c_p_118[] = { 12,  30,  31,  39}; //   4
  psi_c_p[no_ps][118] = get_vector_from_array_int(c_p_118, 4);
  int c_f_118[] = {}; //   0
  psi_c_f[no_ps][118] = get_vector_from_array_int(c_f_118, 0);
  int c_t_118[] = { 17}; //   1
  psi_c_t[no_ps][118] = get_vector_from_array_int(c_t_118, 1);
  int c_d_118[] = { 12,   2,  19,   7}; //   4
  psi_c_d[no_ps][118] = get_vector_from_array_int(c_d_118, 4);

  int c_p_119[] = { 12,  30,  33,  39}; //   4
  psi_c_p[no_ps][119] = get_vector_from_array_int(c_p_119, 4);
  int c_f_119[] = {}; //   0
  psi_c_f[no_ps][119] = get_vector_from_array_int(c_f_119, 0);
  int c_t_119[] = { 17}; //   1
  psi_c_t[no_ps][119] = get_vector_from_array_int(c_t_119, 1);
  int c_d_119[] = { 12,   2,  19,   7}; //   4
  psi_c_d[no_ps][119] = get_vector_from_array_int(c_d_119, 4);

  int c_p_120[] = {  0,  34,  40}; //   3
  psi_c_p[no_ps][120] = get_vector_from_array_int(c_p_120, 3);
  int c_f_120[] = { 11}; //   1
  psi_c_f[no_ps][120] = get_vector_from_array_int(c_f_120, 1);
  int c_t_120[] = { 18,  19}; //   2
  psi_c_t[no_ps][120] = get_vector_from_array_int(c_t_120, 2);
  int c_d_120[] = { 14,   7,   2}; //   3
  psi_c_d[no_ps][120] = get_vector_from_array_int(c_d_120, 3);

  int c_p_121[] = {  0,  35,  40}; //   3
  psi_c_p[no_ps][121] = get_vector_from_array_int(c_p_121, 3);
  int c_f_121[] = { 11}; //   1
  psi_c_f[no_ps][121] = get_vector_from_array_int(c_f_121, 1);
  int c_t_121[] = { 18,  19}; //   2
  psi_c_t[no_ps][121] = get_vector_from_array_int(c_t_121, 2);
  int c_d_121[] = { 14,   7,   2}; //   3
  psi_c_d[no_ps][121] = get_vector_from_array_int(c_d_121, 3);

  int c_p_122[] = {  4,  34,  40}; //   3
  psi_c_p[no_ps][122] = get_vector_from_array_int(c_p_122, 3);
  int c_f_122[] = { 11}; //   1
  psi_c_f[no_ps][122] = get_vector_from_array_int(c_f_122, 1);
  int c_t_122[] = { 18,  19}; //   2
  psi_c_t[no_ps][122] = get_vector_from_array_int(c_t_122, 2);
  int c_d_122[] = { 14,   7,   2}; //   3
  psi_c_d[no_ps][122] = get_vector_from_array_int(c_d_122, 3);

  int c_p_123[] = {  4,  35,  40}; //   3
  psi_c_p[no_ps][123] = get_vector_from_array_int(c_p_123, 3);
  int c_f_123[] = { 11}; //   1
  psi_c_f[no_ps][123] = get_vector_from_array_int(c_f_123, 1);
  int c_t_123[] = { 18,  19}; //   2
  psi_c_t[no_ps][123] = get_vector_from_array_int(c_t_123, 2);
  int c_d_123[] = { 14,   7,   2}; //   3
  psi_c_d[no_ps][123] = get_vector_from_array_int(c_d_123, 3);

  int c_p_124[] = {  8,  36,  41}; //   3
  psi_c_p[no_ps][124] = get_vector_from_array_int(c_p_124, 3);
  int c_f_124[] = { 12}; //   1
  psi_c_f[no_ps][124] = get_vector_from_array_int(c_f_124, 1);
  int c_t_124[] = { 20,  21}; //   2
  psi_c_t[no_ps][124] = get_vector_from_array_int(c_t_124, 2);
  int c_d_124[] = { 12,   2,   7}; //   3
  psi_c_d[no_ps][124] = get_vector_from_array_int(c_d_124, 3);

  int c_p_125[] = {  8,  37,  41}; //   3
  psi_c_p[no_ps][125] = get_vector_from_array_int(c_p_125, 3);
  int c_f_125[] = { 12}; //   1
  psi_c_f[no_ps][125] = get_vector_from_array_int(c_f_125, 1);
  int c_t_125[] = { 20,  21}; //   2
  psi_c_t[no_ps][125] = get_vector_from_array_int(c_t_125, 2);
  int c_d_125[] = { 12,   2,   7}; //   3
  psi_c_d[no_ps][125] = get_vector_from_array_int(c_d_125, 3);

  int c_p_126[] = { 12,  36,  41}; //   3
  psi_c_p[no_ps][126] = get_vector_from_array_int(c_p_126, 3);
  int c_f_126[] = { 12}; //   1
  psi_c_f[no_ps][126] = get_vector_from_array_int(c_f_126, 1);
  int c_t_126[] = { 20,  21}; //   2
  psi_c_t[no_ps][126] = get_vector_from_array_int(c_t_126, 2);
  int c_d_126[] = { 12,   2,   7}; //   3
  psi_c_d[no_ps][126] = get_vector_from_array_int(c_d_126, 3);

  int c_p_127[] = { 12,  37,  41}; //   3
  psi_c_p[no_ps][127] = get_vector_from_array_int(c_p_127, 3);
  int c_f_127[] = { 12}; //   1
  psi_c_f[no_ps][127] = get_vector_from_array_int(c_f_127, 1);
  int c_t_127[] = { 20,  21}; //   2
  psi_c_t[no_ps][127] = get_vector_from_array_int(c_t_127, 2);
  int c_d_127[] = { 12,   2,   7}; //   3
  psi_c_d[no_ps][127] = get_vector_from_array_int(c_d_127, 3);

  int c_p_128[] = {  0,  34,  42}; //   3
  psi_c_p[no_ps][128] = get_vector_from_array_int(c_p_128, 3);
  int c_f_128[] = { 13}; //   1
  psi_c_f[no_ps][128] = get_vector_from_array_int(c_f_128, 1);
  int c_t_128[] = {  2,  22}; //   2
  psi_c_t[no_ps][128] = get_vector_from_array_int(c_t_128, 2);
  int c_d_128[] = { 19,   7,   2}; //   3
  psi_c_d[no_ps][128] = get_vector_from_array_int(c_d_128, 3);

  int c_p_129[] = {  0,  35,  42}; //   3
  psi_c_p[no_ps][129] = get_vector_from_array_int(c_p_129, 3);
  int c_f_129[] = { 13}; //   1
  psi_c_f[no_ps][129] = get_vector_from_array_int(c_f_129, 1);
  int c_t_129[] = {  2,  22}; //   2
  psi_c_t[no_ps][129] = get_vector_from_array_int(c_t_129, 2);
  int c_d_129[] = { 19,   7,   2}; //   3
  psi_c_d[no_ps][129] = get_vector_from_array_int(c_d_129, 3);

  int c_p_130[] = {  4,  34,  42}; //   3
  psi_c_p[no_ps][130] = get_vector_from_array_int(c_p_130, 3);
  int c_f_130[] = { 13}; //   1
  psi_c_f[no_ps][130] = get_vector_from_array_int(c_f_130, 1);
  int c_t_130[] = {  2,  22}; //   2
  psi_c_t[no_ps][130] = get_vector_from_array_int(c_t_130, 2);
  int c_d_130[] = { 19,   7,   2}; //   3
  psi_c_d[no_ps][130] = get_vector_from_array_int(c_d_130, 3);

  int c_p_131[] = {  4,  35,  42}; //   3
  psi_c_p[no_ps][131] = get_vector_from_array_int(c_p_131, 3);
  int c_f_131[] = { 13}; //   1
  psi_c_f[no_ps][131] = get_vector_from_array_int(c_f_131, 1);
  int c_t_131[] = {  2,  22}; //   2
  psi_c_t[no_ps][131] = get_vector_from_array_int(c_t_131, 2);
  int c_d_131[] = { 19,   7,   2}; //   3
  psi_c_d[no_ps][131] = get_vector_from_array_int(c_d_131, 3);

  int c_p_132[] = {  8,  36,  43}; //   3
  psi_c_p[no_ps][132] = get_vector_from_array_int(c_p_132, 3);
  int c_f_132[] = { 14}; //   1
  psi_c_f[no_ps][132] = get_vector_from_array_int(c_f_132, 1);
  int c_t_132[] = {  2,  23}; //   2
  psi_c_t[no_ps][132] = get_vector_from_array_int(c_t_132, 2);
  int c_d_132[] = { 17,   2,   7}; //   3
  psi_c_d[no_ps][132] = get_vector_from_array_int(c_d_132, 3);

  int c_p_133[] = {  8,  37,  43}; //   3
  psi_c_p[no_ps][133] = get_vector_from_array_int(c_p_133, 3);
  int c_f_133[] = { 14}; //   1
  psi_c_f[no_ps][133] = get_vector_from_array_int(c_f_133, 1);
  int c_t_133[] = {  2,  23}; //   2
  psi_c_t[no_ps][133] = get_vector_from_array_int(c_t_133, 2);
  int c_d_133[] = { 17,   2,   7}; //   3
  psi_c_d[no_ps][133] = get_vector_from_array_int(c_d_133, 3);

  int c_p_134[] = { 12,  36,  43}; //   3
  psi_c_p[no_ps][134] = get_vector_from_array_int(c_p_134, 3);
  int c_f_134[] = { 14}; //   1
  psi_c_f[no_ps][134] = get_vector_from_array_int(c_f_134, 1);
  int c_t_134[] = {  2,  23}; //   2
  psi_c_t[no_ps][134] = get_vector_from_array_int(c_t_134, 2);
  int c_d_134[] = { 17,   2,   7}; //   3
  psi_c_d[no_ps][134] = get_vector_from_array_int(c_d_134, 3);

  int c_p_135[] = { 12,  37,  43}; //   3
  psi_c_p[no_ps][135] = get_vector_from_array_int(c_p_135, 3);
  int c_f_135[] = { 14}; //   1
  psi_c_f[no_ps][135] = get_vector_from_array_int(c_f_135, 1);
  int c_t_135[] = {  2,  23}; //   2
  psi_c_t[no_ps][135] = get_vector_from_array_int(c_t_135, 2);
  int c_d_135[] = { 17,   2,   7}; //   3
  psi_c_d[no_ps][135] = get_vector_from_array_int(c_d_135, 3);

  int c_p_136[] = {  0,  34}; //   2
  psi_c_p[no_ps][136] = get_vector_from_array_int(c_p_136, 2);
  int c_f_136[] = { 15,  13}; //   2
  psi_c_f[no_ps][136] = get_vector_from_array_int(c_f_136, 2);
  int c_t_136[] = {  2,  22,  24}; //   3
  psi_c_t[no_ps][136] = get_vector_from_array_int(c_t_136, 3);
  int c_d_136[] = {  7,   2}; //   2
  psi_c_d[no_ps][136] = get_vector_from_array_int(c_d_136, 2);

  int c_p_137[] = {  0,  35}; //   2
  psi_c_p[no_ps][137] = get_vector_from_array_int(c_p_137, 2);
  int c_f_137[] = { 15,  13}; //   2
  psi_c_f[no_ps][137] = get_vector_from_array_int(c_f_137, 2);
  int c_t_137[] = {  2,  22,  24}; //   3
  psi_c_t[no_ps][137] = get_vector_from_array_int(c_t_137, 3);
  int c_d_137[] = {  7,   2}; //   2
  psi_c_d[no_ps][137] = get_vector_from_array_int(c_d_137, 2);

  int c_p_138[] = {  4,  34}; //   2
  psi_c_p[no_ps][138] = get_vector_from_array_int(c_p_138, 2);
  int c_f_138[] = { 15,  13}; //   2
  psi_c_f[no_ps][138] = get_vector_from_array_int(c_f_138, 2);
  int c_t_138[] = {  2,  22,  24}; //   3
  psi_c_t[no_ps][138] = get_vector_from_array_int(c_t_138, 3);
  int c_d_138[] = {  7,   2}; //   2
  psi_c_d[no_ps][138] = get_vector_from_array_int(c_d_138, 2);

  int c_p_139[] = {  4,  35}; //   2
  psi_c_p[no_ps][139] = get_vector_from_array_int(c_p_139, 2);
  int c_f_139[] = { 15,  13}; //   2
  psi_c_f[no_ps][139] = get_vector_from_array_int(c_f_139, 2);
  int c_t_139[] = {  2,  22,  24}; //   3
  psi_c_t[no_ps][139] = get_vector_from_array_int(c_t_139, 3);
  int c_d_139[] = {  7,   2}; //   2
  psi_c_d[no_ps][139] = get_vector_from_array_int(c_d_139, 2);

  int c_p_140[] = {  8,  36}; //   2
  psi_c_p[no_ps][140] = get_vector_from_array_int(c_p_140, 2);
  int c_f_140[] = { 16,  14}; //   2
  psi_c_f[no_ps][140] = get_vector_from_array_int(c_f_140, 2);
  int c_t_140[] = {  2,  23,  25}; //   3
  psi_c_t[no_ps][140] = get_vector_from_array_int(c_t_140, 3);
  int c_d_140[] = {  2,   7}; //   2
  psi_c_d[no_ps][140] = get_vector_from_array_int(c_d_140, 2);

  int c_p_141[] = {  8,  37}; //   2
  psi_c_p[no_ps][141] = get_vector_from_array_int(c_p_141, 2);
  int c_f_141[] = { 16,  14}; //   2
  psi_c_f[no_ps][141] = get_vector_from_array_int(c_f_141, 2);
  int c_t_141[] = {  2,  23,  25}; //   3
  psi_c_t[no_ps][141] = get_vector_from_array_int(c_t_141, 3);
  int c_d_141[] = {  2,   7}; //   2
  psi_c_d[no_ps][141] = get_vector_from_array_int(c_d_141, 2);

  int c_p_142[] = { 12,  36}; //   2
  psi_c_p[no_ps][142] = get_vector_from_array_int(c_p_142, 2);
  int c_f_142[] = { 16,  14}; //   2
  psi_c_f[no_ps][142] = get_vector_from_array_int(c_f_142, 2);
  int c_t_142[] = {  2,  23,  25}; //   3
  psi_c_t[no_ps][142] = get_vector_from_array_int(c_t_142, 3);
  int c_d_142[] = {  2,   7}; //   2
  psi_c_d[no_ps][142] = get_vector_from_array_int(c_d_142, 2);

  int c_p_143[] = { 12,  37}; //   2
  psi_c_p[no_ps][143] = get_vector_from_array_int(c_p_143, 2);
  int c_f_143[] = { 16,  14}; //   2
  psi_c_f[no_ps][143] = get_vector_from_array_int(c_f_143, 2);
  int c_t_143[] = {  2,  23,  25}; //   3
  psi_c_t[no_ps][143] = get_vector_from_array_int(c_t_143, 3);
  int c_d_143[] = {  2,   7}; //   2
  psi_c_d[no_ps][143] = get_vector_from_array_int(c_d_143, 2);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
