#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemxnmnex04/header/ppemxnmnex04.phasespace.h"
void ppemxnmnex04_ax_psp_240_bbx_emmupvmvexbbx(int no_ps, phasespace_set & psi){
  static Logger logger("ppemxnmnex04_ax_psp_240_bbx_emmupvmvexbbx");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(19);
  psi_needed_v_smin[no_ps].resize(19);
  int needed_v_smin_0[] = {   0,    1,    2,    6,    7,    8,    9,   10,   11,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   46,   47,   48,   49,   50,   51,   52,   56,   57,   58,   59,   60,   61,   62,   63,   67,   68,   69,   70,   71,   72,   76,   77,   78,   79,   80,   81,   82,   83}; //  60
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 60);
  int needed_v_smin_1[] = {   0,    1,    9,   10,   19,   20,   21,   22,   40,   41,   50,   51,   61,   62,   70,   71}; //  16
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 16);
  int needed_v_smin_2[] = {   0,    1,    9,   10,   19,   20,   21,   22,   40,   41,   50,   51,   61,   62,   70,   71}; //  16
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 16);
  int needed_v_smin_3[] = {   2,   11,   23,   24,   42,   52,   63,   72}; //   8
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 8);
  int needed_v_smin_4[] = {   2,   11,   23,   24,   42,   52,   63,   72}; //   8
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 8);
  int needed_v_smin_5[] = {   3,    4,    5,    6,    7,    8,   12,   13,   14,   15,   16,   17,   18,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   43,   44,   45,   46,   47,   48,   49,   53,   54,   55,   56,   57,   58,   59,   60,   64,   65,   66,   67,   68,   69,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83}; //  60
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 60);
  int needed_v_smin_6[] = {   3,    4,   12,   13,   25,   26,   27,   28,   43,   44,   53,   54,   64,   65,   73,   74}; //  16
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 16);
  int needed_v_smin_7[] = {   3,    4,   12,   13,   25,   26,   27,   28,   43,   44,   53,   54,   64,   65,   73,   74}; //  16
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 16);
  int needed_v_smin_8[] = {   5,   14,   29,   30,   45,   55,   66,   75}; //   8
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 8);
  int needed_v_smin_9[] = {   5,   14,   29,   30,   45,   55,   66,   75}; //   8
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 8);
  int needed_v_smin_10[] = {   6,    7,    8,   15,   16,   17,   31,   32,   33,   34,   35,   36,   46,   47,   48,   56,   57,   58,   67,   68,   69,   76,   77,   78,   83}; //  25
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 25);
  int needed_v_smin_11[] = {   9,   10,   11,   12,   13,   14,   15,   16,   17,   21,   22,   24,   27,   28,   30,   34,   35,   36,    0,    1,    2,    3,    4,    5,    6,    7,    8}; //  27
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 27);
  int needed_v_smin_12[] = {  18,   37,   39,   60,   59}; //   5
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 5);
  int needed_v_smin_13[] = {  18,   37,   59,   60}; //   4
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 4);
  int needed_v_smin_14[] = {  19,   20,   23,   25,   26,   29,   31,   32,   33,   40,   41,   42,   43,   44,   45,   46,   47,   48,   50,   51,   52,   53,   54,   55,   56,   57,   58}; //  27
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 27);
  int needed_v_smin_15[] = {  38,   39,   49,   79,   80}; //   5
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 5);
  int needed_v_smin_16[] = {  38,   49,   79,   80}; //   4
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 4);
  int needed_v_smin_17[] = {  61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   81,   82,   83}; //  21
  psi_needed_v_smin[no_ps][ 17] = get_vector_from_array_int(needed_v_smin_17, 21);
  int needed_v_smin_18[] = {  81,   82}; //   2
  psi_needed_v_smin[no_ps][ 18] = get_vector_from_array_int(needed_v_smin_18, 2);

  psi_v_smax[no_ps].resize(31);
  psi_needed_v_smax[no_ps].resize(31);
  int needed_v_smax_0[] = {   0,    1,    2,    6,    7,    8,    9,   10,   11,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   31,   32,   33,   34,   35,   36,   37,   40,   41,   42,   46,   47,   48,   50,   51,   52,   56,   57,   58,   59,   60,   61,   62,   63,   67,   68,   69,   79,   80,   82,   83}; //  50
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 50);
  int needed_v_smax_1[] = {   0,    1,    9,   10,   19,   20,   21,   22,   40,   41,   50,   51,   61,   62}; //  14
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 14);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   40,   41,   42,   43,   44,   45,   46,   47,   48,   50,   51,   52,   53,   54,   55,   56,   57,   58,   61,   62,   63,   64,   65,   66,   67,   68,   69}; //  63
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 63);
  int needed_v_smax_3[] = {   2,   11,   23,   24,   42,   52,   63}; //   7
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 7);
  int needed_v_smax_4[] = {   3,    4,    5,   12,   13,   14,   25,   26,   27,   28,   29,   30,   38,   39,   43,   44,   45,   49,   53,   54,   55,   64,   65,   66}; //  24
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 24);
  int needed_v_smax_5[] = {   3,    4,   12,   13,   25,   26,   27,   28,   43,   44,   53,   54,   64,   65}; //  14
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 14);
  int needed_v_smax_6[] = {   5,   14,   29,   30,   45,   55,   66}; //   7
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 7);
  int needed_v_smax_7[] = {   6,    7,    8,   15,   16,   17,   31,   32,   33,   34,   35,   36,   46,   47,   48,   56,   57,   58,   59,   67,   68,   69,   79,   80,   83}; //  25
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 25);
  int needed_v_smax_8[] = {   9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   21,   22,   24,   27,   28,   30,   34,   35,   36,   37,    0,    1,    2,    3,    4,    5,    6,    7,    8,   59,   60}; //  31
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 31);
  int needed_v_smax_9[] = {  18,   37,   60}; //   3
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 3);
  int needed_v_smax_10[] = {  18,   37,   60}; //   3
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 3);
  int needed_v_smax_11[] = {  19,   20,   23,   25,   26,   29,   31,   32,   33,   38,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   79,   80}; //  31
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 31);
  int needed_v_smax_12[] = {  38,   49}; //   2
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 2);
  int needed_v_smax_13[] = {  38,   49}; //   2
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 2);
  int needed_v_smax_14[] = {  39}; //   1
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 1);
  int needed_v_smax_15[] = {  39,   79,   80}; //   3
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 3);
  int needed_v_smax_16[] = {  39}; //   1
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 1);
  int needed_v_smax_17[] = {  61,   62,   63,   64,   65,   66,   67,   68,   69}; //   9
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 9);
  int needed_v_smax_18[] = {  70,   71,   72,   73,   74,   75,   76,   77,   78,   81}; //  10
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 10);
  int needed_v_smax_19[] = {  70,   71,   72,   76,   77,   78,   81}; //   7
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 7);
  int needed_v_smax_20[] = {  70,   71}; //   2
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 2);
  int needed_v_smax_21[] = {  70,   71,   72,   73,   74,   75,   76,   77,   78,   83}; //  10
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 10);
  int needed_v_smax_22[] = {  72}; //   1
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 1);
  int needed_v_smax_23[] = {  73,   74,   75}; //   3
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 3);
  int needed_v_smax_24[] = {  73,   74}; //   2
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 2);
  int needed_v_smax_25[] = {  75}; //   1
  psi_needed_v_smax[no_ps][ 25] = get_vector_from_array_int(needed_v_smax_25, 1);
  int needed_v_smax_26[] = {  76,   77,   78,   81,   82}; //   5
  psi_needed_v_smax[no_ps][ 26] = get_vector_from_array_int(needed_v_smax_26, 5);
  int needed_v_smax_27[] = {  82}; //   1
  psi_needed_v_smax[no_ps][ 27] = get_vector_from_array_int(needed_v_smax_27, 1);
  int needed_v_smax_28[] = {  83}; //   1
  psi_needed_v_smax[no_ps][ 28] = get_vector_from_array_int(needed_v_smax_28, 1);
  int needed_v_smax_29[] = {  59}; //   1
  psi_needed_v_smax[no_ps][ 29] = get_vector_from_array_int(needed_v_smax_29, 1);
  int needed_v_smax_30[] = {  81,   82}; //   2
  psi_needed_v_smax[no_ps][ 30] = get_vector_from_array_int(needed_v_smax_30, 2);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(47);
  psi_needed_g_p[no_ps].resize(47);
  int needed_g_p_0[] = {   0,    1,    2,    6,    7,    8,    9,   10,   11,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   31,   32,   33,   34,   35,   36,   37,   40,   41,   42,   46,   47,   48,   50,   51,   52,   56,   57,   58,   59,   60,   61,   62,   63,   67,   68,   69,   79,   80,   82,   83}; //  50
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 50);
  psi_container_IS_name.push_back("propagator_24_smin0_smax0");
  int needed_g_p_1[] = {   0,    1,    9,   10,   19,   20,   21,   22,   40,   41,   50,   51,   61,   62}; //  14
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 14);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,    9,   19,   21,   40,   50,   61}; //   7
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 7);
  psi_container_IS_name.push_back("propagator_0_smin2_smax2");
  int needed_g_p_3[] = {   1,   10,   20,   22,   41,   51,   62}; //   7
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 7);
  psi_container_IS_name.push_back("propagator_23_smin2_smax2");
  int needed_g_p_4[] = {   2,   11,   23,   24,   42,   52,   63}; //   7
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 7);
  psi_container_IS_name.push_back("propagator_0_smin3_smax3");
  int needed_g_p_5[] = {   2,   11,   23,   24,   42,   52,   63}; //   7
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 7);
  psi_container_IS_name.push_back("propagator_23_smin4_smax2");
  int needed_g_p_6[] = {   3,    4,    5,   12,   13,   14,   25,   26,   27,   28,   29,   30,   38,   39,   43,   44,   45,   49,   53,   54,   55,   64,   65,   66}; //  24
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 24);
  psi_container_IS_name.push_back("propagator_24_smin5_smax4");
  int needed_g_p_7[] = {   3,    4,   12,   13,   25,   26,   27,   28,   43,   44,   53,   54,   64,   65}; //  14
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 14);
  psi_container_IS_name.push_back("propagator_0_smin6_smax5");
  int needed_g_p_8[] = {   3,   12,   25,   27,   43,   53,   64}; //   7
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 7);
  psi_container_IS_name.push_back("propagator_0_smin7_smax2");
  int needed_g_p_9[] = {   4,   13,   26,   28,   44,   54,   65}; //   7
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 7);
  psi_container_IS_name.push_back("propagator_23_smin7_smax2");
  int needed_g_p_10[] = {   5,   14,   29,   30,   45,   55,   66}; //   7
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 7);
  psi_container_IS_name.push_back("propagator_0_smin8_smax6");
  int needed_g_p_11[] = {   5,   14,   29,   30,   45,   55,   66}; //   7
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 7);
  psi_container_IS_name.push_back("propagator_23_smin9_smax2");
  int needed_g_p_12[] = {   6,    7,    8,   15,   16,   17,   31,   32,   33,   34,   35,   36,   46,   47,   48,   56,   57,   58,   59,   67,   68,   69,   79,   80,   83}; //  25
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 25);
  psi_container_IS_name.push_back("propagator_24_smin5_smax7");
  int needed_g_p_13[] = {   6,   15,   31,   34,   46,   56,   67}; //   7
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 7);
  psi_container_IS_name.push_back("propagator_0_smin10_smax2");
  int needed_g_p_14[] = {   7,   16,   32,   35,   47,   57,   68}; //   7
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 7);
  psi_container_IS_name.push_back("propagator_23_smin10_smax2");
  int needed_g_p_15[] = {   8,   17,   33,   36,   48,   58,   69}; //   7
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 7);
  psi_container_IS_name.push_back("propagator_25_smin10_smax2");
  int needed_g_p_16[] = {   9,   10,   11,   12,   13,   14,   15,   16,   17,   21,   22,   24,   27,   28,   30,   34,   35,   36}; //  18
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 18);
  psi_container_IS_name.push_back("propagator_5_smin11_smax8");
  int needed_g_p_17[] = {  18,   37,   60}; //   3
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 3);
  psi_container_IS_name.push_back("propagator_6_smin12_smax9");
  int needed_g_p_18[] = {  18,   37,   60}; //   3
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 3);
  psi_container_IS_name.push_back("propagator_24_smin5_smax10");
  int needed_g_p_19[] = {  18,   37}; //   2
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 2);
  psi_container_IS_name.push_back("propagator_5_smin13_smax8");
  int needed_g_p_20[] = {  19,   20,   23,   25,   26,   29,   31,   32,   33,   40,   41,   42,   43,   44,   45,   46,   47,   48}; //  18
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 18);
  psi_container_IS_name.push_back("propagator_5_smin14_smax11");
  int needed_g_p_21[] = {  38,   49}; //   2
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 2);
  psi_container_IS_name.push_back("propagator_6_smin15_smax12");
  int needed_g_p_22[] = {  38,   49}; //   2
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 2);
  psi_container_IS_name.push_back("propagator_24_smin0_smax13");
  int needed_g_p_23[] = {  38,   49}; //   2
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 2);
  psi_container_IS_name.push_back("propagator_5_smin16_smax11");
  int needed_g_p_24[] = {  39}; //   1
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 1);
  psi_container_IS_name.push_back("propagator_24_smin0_smax14");
  int needed_g_p_25[] = {  39,   79}; //   2
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 2);
  psi_container_IS_name.push_back("propagator_6_smin15_smax15");
  int needed_g_p_26[] = {  39}; //   1
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 1);
  psi_container_IS_name.push_back("propagator_6_smin12_smax16");
  int needed_g_p_27[] = {  61,   62,   63,   64,   65,   66,   67,   68,   69}; //   9
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 9);
  psi_container_IS_name.push_back("propagator_0_smin17_smax17");
  int needed_g_p_28[] = {  70,   71,   72,   73,   74,   75,   76,   77,   78,   81}; //  10
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 10);
  psi_container_IS_name.push_back("propagator_0_smin17_smax18");
  int needed_g_p_29[] = {  70,   71,   72,   76,   77,   78,   81}; //   7
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 7);
  psi_container_IS_name.push_back("propagator_24_smin0_smax19");
  int needed_g_p_30[] = {  70,   71}; //   2
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 2);
  psi_container_IS_name.push_back("propagator_0_smin1_smax20");
  int needed_g_p_31[] = {  70}; //   1
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 1);
  psi_container_IS_name.push_back("propagator_0_smin2_smax21");
  int needed_g_p_32[] = {  71}; //   1
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 1);
  psi_container_IS_name.push_back("propagator_23_smin2_smax21");
  int needed_g_p_33[] = {  72}; //   1
  psi_needed_g_p[no_ps][33] = get_vector_from_array_int(needed_g_p_33, 1);
  psi_container_IS_name.push_back("propagator_0_smin3_smax22");
  int needed_g_p_34[] = {  72}; //   1
  psi_needed_g_p[no_ps][34] = get_vector_from_array_int(needed_g_p_34, 1);
  psi_container_IS_name.push_back("propagator_23_smin4_smax21");
  int needed_g_p_35[] = {  73,   74,   75}; //   3
  psi_needed_g_p[no_ps][35] = get_vector_from_array_int(needed_g_p_35, 3);
  psi_container_IS_name.push_back("propagator_24_smin5_smax23");
  int needed_g_p_36[] = {  73,   74}; //   2
  psi_needed_g_p[no_ps][36] = get_vector_from_array_int(needed_g_p_36, 2);
  psi_container_IS_name.push_back("propagator_0_smin6_smax24");
  int needed_g_p_37[] = {  73}; //   1
  psi_needed_g_p[no_ps][37] = get_vector_from_array_int(needed_g_p_37, 1);
  psi_container_IS_name.push_back("propagator_0_smin7_smax21");
  int needed_g_p_38[] = {  74}; //   1
  psi_needed_g_p[no_ps][38] = get_vector_from_array_int(needed_g_p_38, 1);
  psi_container_IS_name.push_back("propagator_23_smin7_smax21");
  int needed_g_p_39[] = {  75}; //   1
  psi_needed_g_p[no_ps][39] = get_vector_from_array_int(needed_g_p_39, 1);
  psi_container_IS_name.push_back("propagator_0_smin8_smax25");
  int needed_g_p_40[] = {  75}; //   1
  psi_needed_g_p[no_ps][40] = get_vector_from_array_int(needed_g_p_40, 1);
  psi_container_IS_name.push_back("propagator_23_smin9_smax21");
  int needed_g_p_41[] = {  76,   77,   78,   81,   82}; //   5
  psi_needed_g_p[no_ps][41] = get_vector_from_array_int(needed_g_p_41, 5);
  psi_container_IS_name.push_back("propagator_24_smin5_smax26");
  int needed_g_p_42[] = {  76}; //   1
  psi_needed_g_p[no_ps][42] = get_vector_from_array_int(needed_g_p_42, 1);
  psi_container_IS_name.push_back("propagator_0_smin10_smax21");
  int needed_g_p_43[] = {  77}; //   1
  psi_needed_g_p[no_ps][43] = get_vector_from_array_int(needed_g_p_43, 1);
  psi_container_IS_name.push_back("propagator_23_smin10_smax21");
  int needed_g_p_44[] = {  78}; //   1
  psi_needed_g_p[no_ps][44] = get_vector_from_array_int(needed_g_p_44, 1);
  psi_container_IS_name.push_back("propagator_25_smin10_smax21");
  int needed_g_p_45[] = {  82}; //   1
  psi_needed_g_p[no_ps][45] = get_vector_from_array_int(needed_g_p_45, 1);
  psi_container_IS_name.push_back("propagator_0_smin17_smax27");
  int needed_g_p_46[] = {  83}; //   1
  psi_needed_g_p[no_ps][46] = get_vector_from_array_int(needed_g_p_46, 1);
  psi_container_IS_name.push_back("propagator_0_smin17_smax28");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(8);
  psi_needed_g_f[no_ps].resize(8);
  int needed_g_f_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8}; //   9
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 9);
  psi_container_IS_name.push_back("timelikeinvariant_smin11_smax8");
  int needed_g_f_1[] = {  50,   51,   52,   53,   54,   55,   56,   57,   58}; //   9
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 9);
  psi_container_IS_name.push_back("timelikeinvariant_smin14_smax11");
  int needed_g_f_2[] = {  59}; //   1
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin12_smax29");
  int needed_g_f_3[] = {  59,   60}; //   2
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin13_smax8");
  int needed_g_f_4[] = {  79,   80}; //   2
  psi_needed_g_f[no_ps][4] = get_vector_from_array_int(needed_g_f_4, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin16_smax11");
  int needed_g_f_5[] = {  80}; //   1
  psi_needed_g_f[no_ps][5] = get_vector_from_array_int(needed_g_f_5, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin15_smax15");
  int needed_g_f_6[] = {  81,   82}; //   2
  psi_needed_g_f[no_ps][6] = get_vector_from_array_int(needed_g_f_6, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin18_smax30");
  int needed_g_f_7[] = {  83}; //   1
  psi_needed_g_f[no_ps][7] = get_vector_from_array_int(needed_g_f_7, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin10_smax21");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(14);
  psi_needed_g_t[no_ps].resize(14);
  int needed_g_t_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   59,   60}; //  21
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 21);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__128_124");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__128_124");
  int needed_g_t_1[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8}; //   9
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 9);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__130_1__64_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__130_1__64_60");
  int needed_g_t_2[] = {  40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   79,   80}; //  21
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 21);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__64_188");
  int needed_g_t_3[] = {  50,   51,   52,   53,   54,   55,   56,   57,   58}; //   9
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 9);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__65_2__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__65_2__128_60");
  int needed_g_t_4[] = {  59,   60}; //   2
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__1_130__36_88");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__1_130__36_88");
  int needed_g_t_5[] = {  59}; //   1
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 1);
  psi_container_IS_name.push_back("t_of_tchannel_5__130_37__64_24");
  psi_container_IS_name.push_back("phi_of_tchannel_5__130_37__64_24");
  int needed_g_t_6[] = {  61,   62,   63,   64,   65,   66,   67,   68,   69,   83}; //  10
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 10);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__1_2__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__1_2__192_60");
  int needed_g_t_7[] = {  70,   71,   72,   73,   74,   75,   76,   77,   78}; //   9
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 9);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__2_1__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__2_1__192_60");
  int needed_g_t_8[] = {  79,   80}; //   2
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__2_65__24_164");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__2_65__24_164");
  int needed_g_t_9[] = {  80}; //   1
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 1);
  psi_container_IS_name.push_back("t_of_tchannel_5__65_26__128_36");
  psi_container_IS_name.push_back("phi_of_tchannel_5__65_26__128_36");
  int needed_g_t_10[] = {  81,   82}; //   2
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__1_2__36_216");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__1_2__36_216");
  int needed_g_t_11[] = {  81}; //   1
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__2_37__192_24");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__2_37__192_24");
  int needed_g_t_12[] = {  82}; //   1
  psi_needed_g_t[no_ps][12] = get_vector_from_array_int(needed_g_t_12, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__2_37__24_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__2_37__24_192");
  int needed_g_t_13[] = {  83}; //   1
  psi_needed_g_t[no_ps][13] = get_vector_from_array_int(needed_g_t_13, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__2_193__24_36");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__2_193__24_36");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(21);
  psi_needed_g_d[no_ps].resize(21);
  int needed_g_d_0[] = {   0,    1,    9,   10,   19,   20,   21,   22,   40,   41,   50,   51,   61,   62,   70,   71}; //  16
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__4_56");
  psi_container_IS_name.push_back("phi_of_decay_60__4_56");
  int needed_g_d_1[] = {   0,    1,    9,   10,   19,   20,   21,   22,   40,   41,   50,   51,   61,   62,   70,   71}; //  16
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 16);
  psi_container_IS_name.push_back("costheta_of_decay_56__32_24");
  psi_container_IS_name.push_back("phi_of_decay_56__32_24");
  int needed_g_d_2[] = {   0,    1,    2,    6,    7,    8,    9,   10,   11,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   46,   47,   48,   49,   50,   51,   52,   56,   57,   58,   59,   60,   61,   62,   63,   67,   68,   69,   70,   71,   72,   76,   77,   78,   79,   80,   81,   82,   83}; //  60
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 60);
  psi_container_IS_name.push_back("costheta_of_decay_24__8_16");
  psi_container_IS_name.push_back("phi_of_decay_24__8_16");
  int needed_g_d_3[] = {   2,   11,   23,   24,   42,   52,   63,   72}; //   8
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_4[] = {   2,   11,   23,   24,   42,   52,   63,   72}; //   8
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 8);
  psi_container_IS_name.push_back("costheta_of_decay_28__4_24");
  psi_container_IS_name.push_back("phi_of_decay_28__4_24");
  int needed_g_d_5[] = {   3,    4,   12,   13,   25,   26,   27,   28,   43,   44,   53,   54,   64,   65,   73,   74}; //  16
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_6[] = {   3,    4,   12,   13,   25,   26,   27,   28,   43,   44,   53,   54,   64,   65,   73,   74}; //  16
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 16);
  psi_container_IS_name.push_back("costheta_of_decay_52__16_36");
  psi_container_IS_name.push_back("phi_of_decay_52__16_36");
  int needed_g_d_7[] = {   3,    4,    5,    6,    7,    8,   12,   13,   14,   15,   16,   17,   18,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   43,   44,   45,   46,   47,   48,   49,   53,   54,   55,   56,   57,   58,   59,   60,   64,   65,   66,   67,   68,   69,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83}; //  60
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 60);
  psi_container_IS_name.push_back("costheta_of_decay_36__4_32");
  psi_container_IS_name.push_back("phi_of_decay_36__4_32");
  int needed_g_d_8[] = {   5,   14,   29,   30,   45,   55,   66,   75}; //   8
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_9[] = {   5,   14,   29,   30,   45,   55,   66,   75}; //   8
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 8);
  psi_container_IS_name.push_back("costheta_of_decay_44__8_36");
  psi_container_IS_name.push_back("phi_of_decay_44__8_36");
  int needed_g_d_10[] = {   6,    7,    8,   15,   16,   17,   31,   32,   33,   34,   35,   36,   46,   47,   48,   56,   57,   58,   67,   68,   69,   76,   77,   78}; //  24
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 24);
  psi_container_IS_name.push_back("costheta_of_decay_60__36_24");
  psi_container_IS_name.push_back("phi_of_decay_60__36_24");
  int needed_g_d_11[] = {   9,   10,   11,   12,   13,   14,   15,   16,   17,   21,   22,   24,   27,   28,   30,   34,   35,   36}; //  18
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 18);
  psi_container_IS_name.push_back("costheta_of_decay_124__64_60");
  psi_container_IS_name.push_back("phi_of_decay_124__64_60");
  int needed_g_d_12[] = {  18,   37}; //   2
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 2);
  psi_container_IS_name.push_back("costheta_of_decay_124__36_88");
  psi_container_IS_name.push_back("phi_of_decay_124__36_88");
  int needed_g_d_13[] = {  18,   37,   39,   60}; //   4
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 4);
  psi_container_IS_name.push_back("costheta_of_decay_88__64_24");
  psi_container_IS_name.push_back("phi_of_decay_88__64_24");
  int needed_g_d_14[] = {  19,   20,   23,   25,   26,   29,   31,   32,   33,   38}; //  10
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 10);
  psi_container_IS_name.push_back("costheta_of_decay_252__64_188");
  psi_container_IS_name.push_back("phi_of_decay_252__64_188");
  int needed_g_d_15[] = {  19,   20,   23,   25,   26,   29,   31,   32,   33,   40,   41,   42,   43,   44,   45,   46,   47,   48}; //  18
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 18);
  psi_container_IS_name.push_back("costheta_of_decay_188__128_60");
  psi_container_IS_name.push_back("phi_of_decay_188__128_60");
  int needed_g_d_16[] = {  21,   22,   24,   27,   28,   30,   34,   35,   36,   37}; //  10
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 10);
  psi_container_IS_name.push_back("costheta_of_decay_252__128_124");
  psi_container_IS_name.push_back("phi_of_decay_252__128_124");
  int needed_g_d_17[] = {  38,   49}; //   2
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 2);
  psi_container_IS_name.push_back("costheta_of_decay_188__24_164");
  psi_container_IS_name.push_back("phi_of_decay_188__24_164");
  int needed_g_d_18[] = {  38,   39,   49,   79}; //   4
  psi_needed_g_d[no_ps][18] = get_vector_from_array_int(needed_g_d_18, 4);
  psi_container_IS_name.push_back("costheta_of_decay_164__128_36");
  psi_container_IS_name.push_back("phi_of_decay_164__128_36");
  int needed_g_d_19[] = {  39}; //   1
  psi_needed_g_d[no_ps][19] = get_vector_from_array_int(needed_g_d_19, 1);
  psi_container_IS_name.push_back("costheta_of_decay_252__88_164");
  psi_container_IS_name.push_back("phi_of_decay_252__88_164");
  int needed_g_d_20[] = {  61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   81,   82,   83}; //  21
  psi_needed_g_d[no_ps][20] = get_vector_from_array_int(needed_g_d_20, 21);
  psi_container_IS_name.push_back("costheta_of_decay_192__64_128");
  psi_container_IS_name.push_back("phi_of_decay_192__64_128");

  psi_c_p[no_ps].resize(84);
  psi_c_f[no_ps].resize(84);
  psi_c_t[no_ps].resize(84);
  psi_c_d[no_ps].resize(84);

  int c_p_0[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 3);
  int c_f_0[] = {  0}; //   1
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 1);
  int c_t_0[] = {  0,   1}; //   2
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 2);
  int c_d_0[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 3);

  int c_p_1[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 3);
  int c_f_1[] = {  0}; //   1
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 1);
  int c_t_1[] = {  0,   1}; //   2
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 2);
  int c_d_1[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 3);

  int c_p_2[] = {  0,   4,   5}; //   3
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 3);
  int c_f_2[] = {  0}; //   1
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 1);
  int c_t_2[] = {  0,   1}; //   2
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 2);
  int c_d_2[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 3);

  int c_p_3[] = {  6,   7,   8}; //   3
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 3);
  int c_f_3[] = {  0}; //   1
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 1);
  int c_t_3[] = {  0,   1}; //   2
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 2);
  int c_d_3[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 3);

  int c_p_4[] = {  6,   7,   9}; //   3
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 3);
  int c_f_4[] = {  0}; //   1
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 1);
  int c_t_4[] = {  0,   1}; //   2
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 2);
  int c_d_4[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 3);

  int c_p_5[] = {  6,  10,  11}; //   3
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 3);
  int c_f_5[] = {  0}; //   1
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 1);
  int c_t_5[] = {  0,   1}; //   2
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 2);
  int c_d_5[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 3);

  int c_p_6[] = {  0,  12,  13}; //   3
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 3);
  int c_f_6[] = {  0}; //   1
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 1);
  int c_t_6[] = {  0,   1}; //   2
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 2);
  int c_d_6[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 3);

  int c_p_7[] = {  0,  12,  14}; //   3
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 3);
  int c_f_7[] = {  0}; //   1
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 1);
  int c_t_7[] = {  0,   1}; //   2
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 2);
  int c_d_7[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 3);

  int c_p_8[] = {  0,  12,  15}; //   3
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 3);
  int c_f_8[] = {  0}; //   1
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 1);
  int c_t_8[] = {  0,   1}; //   2
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 2);
  int c_d_8[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 3);

  int c_p_9[] = {  0,   1,   2,  16}; //   4
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 4);
  int c_f_9[] = {}; //   0
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 0);
  int c_t_9[] = {  0}; //   1
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 1);
  int c_d_9[] = { 11,   0,   1,   2}; //   4
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 4);

  int c_p_10[] = {  0,   1,   3,  16}; //   4
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 4);
  int c_f_10[] = {}; //   0
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 0);
  int c_t_10[] = {  0}; //   1
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 1);
  int c_d_10[] = { 11,   0,   1,   2}; //   4
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 4);

  int c_p_11[] = {  0,   4,   5,  16}; //   4
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 4);
  int c_f_11[] = {}; //   0
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 0);
  int c_t_11[] = {  0}; //   1
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 1);
  int c_d_11[] = { 11,   3,   4,   2}; //   4
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 4);

  int c_p_12[] = {  6,   7,   8,  16}; //   4
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 4);
  int c_f_12[] = {}; //   0
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 0);
  int c_t_12[] = {  0}; //   1
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 1);
  int c_d_12[] = { 11,   5,   6,   7}; //   4
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 4);

  int c_p_13[] = {  6,   7,   9,  16}; //   4
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 4);
  int c_f_13[] = {}; //   0
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 0);
  int c_t_13[] = {  0}; //   1
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 1);
  int c_d_13[] = { 11,   5,   6,   7}; //   4
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 4);

  int c_p_14[] = {  6,  10,  11,  16}; //   4
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 4);
  int c_f_14[] = {}; //   0
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 0);
  int c_t_14[] = {  0}; //   1
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 1);
  int c_d_14[] = { 11,   8,   9,   7}; //   4
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 4);

  int c_p_15[] = {  0,  12,  13,  16}; //   4
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 4);
  int c_f_15[] = {}; //   0
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 0);
  int c_t_15[] = {  0}; //   1
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 1);
  int c_d_15[] = { 11,  10,   7,   2}; //   4
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 4);

  int c_p_16[] = {  0,  12,  14,  16}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {  0}; //   1
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 1);
  int c_d_16[] = { 11,  10,   7,   2}; //   4
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 4);

  int c_p_17[] = {  0,  12,  15,  16}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {  0}; //   1
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 1);
  int c_d_17[] = { 11,  10,   7,   2}; //   4
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 4);

  int c_p_18[] = {  0,  17,  18,  19}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {  0}; //   1
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 1);
  int c_d_18[] = { 12,   7,  13,   2}; //   4
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 4);

  int c_p_19[] = {  0,   1,   2,  20}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {}; //   0
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 0);
  int c_d_19[] = { 14,  15,   0,   1,   2}; //   5
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 5);

  int c_p_20[] = {  0,   1,   3,  20}; //   4
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 4);
  int c_f_20[] = {}; //   0
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 0);
  int c_t_20[] = {}; //   0
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 0);
  int c_d_20[] = { 14,  15,   0,   1,   2}; //   5
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 5);

  int c_p_21[] = {  0,   1,   2,  16}; //   4
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 4);
  int c_f_21[] = {}; //   0
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 0);
  int c_t_21[] = {}; //   0
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 0);
  int c_d_21[] = { 16,  11,   0,   1,   2}; //   5
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 5);

  int c_p_22[] = {  0,   1,   3,  16}; //   4
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 4);
  int c_f_22[] = {}; //   0
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 0);
  int c_t_22[] = {}; //   0
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 0);
  int c_d_22[] = { 16,  11,   0,   1,   2}; //   5
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 5);

  int c_p_23[] = {  0,   4,   5,  20}; //   4
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 4);
  int c_f_23[] = {}; //   0
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 0);
  int c_t_23[] = {}; //   0
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 0);
  int c_d_23[] = { 14,  15,   3,   4,   2}; //   5
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 5);

  int c_p_24[] = {  0,   4,   5,  16}; //   4
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 4);
  int c_f_24[] = {}; //   0
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 0);
  int c_t_24[] = {}; //   0
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 0);
  int c_d_24[] = { 16,  11,   3,   4,   2}; //   5
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 5);

  int c_p_25[] = {  6,   7,   8,  20}; //   4
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 4);
  int c_f_25[] = {}; //   0
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 0);
  int c_t_25[] = {}; //   0
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 0);
  int c_d_25[] = { 14,  15,   5,   6,   7}; //   5
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 5);

  int c_p_26[] = {  6,   7,   9,  20}; //   4
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 4);
  int c_f_26[] = {}; //   0
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 0);
  int c_t_26[] = {}; //   0
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 0);
  int c_d_26[] = { 14,  15,   5,   6,   7}; //   5
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 5);

  int c_p_27[] = {  6,   7,   8,  16}; //   4
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 4);
  int c_f_27[] = {}; //   0
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 0);
  int c_t_27[] = {}; //   0
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 0);
  int c_d_27[] = { 16,  11,   5,   6,   7}; //   5
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 5);

  int c_p_28[] = {  6,   7,   9,  16}; //   4
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 4);
  int c_f_28[] = {}; //   0
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 0);
  int c_t_28[] = {}; //   0
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 0);
  int c_d_28[] = { 16,  11,   5,   6,   7}; //   5
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 5);

  int c_p_29[] = {  6,  10,  11,  20}; //   4
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 4);
  int c_f_29[] = {}; //   0
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 0);
  int c_t_29[] = {}; //   0
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 0);
  int c_d_29[] = { 14,  15,   8,   9,   7}; //   5
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 5);

  int c_p_30[] = {  6,  10,  11,  16}; //   4
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 4);
  int c_f_30[] = {}; //   0
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 0);
  int c_t_30[] = {}; //   0
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 0);
  int c_d_30[] = { 16,  11,   8,   9,   7}; //   5
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 5);

  int c_p_31[] = {  0,  12,  13,  20}; //   4
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 4);
  int c_f_31[] = {}; //   0
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 0);
  int c_t_31[] = {}; //   0
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 0);
  int c_d_31[] = { 14,  15,  10,   7,   2}; //   5
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 5);

  int c_p_32[] = {  0,  12,  14,  20}; //   4
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 4);
  int c_f_32[] = {}; //   0
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 0);
  int c_t_32[] = {}; //   0
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 0);
  int c_d_32[] = { 14,  15,  10,   7,   2}; //   5
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 5);

  int c_p_33[] = {  0,  12,  15,  20}; //   4
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 4);
  int c_f_33[] = {}; //   0
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 0);
  int c_t_33[] = {}; //   0
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 0);
  int c_d_33[] = { 14,  15,  10,   7,   2}; //   5
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 5);

  int c_p_34[] = {  0,  12,  13,  16}; //   4
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 4);
  int c_f_34[] = {}; //   0
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 0);
  int c_t_34[] = {}; //   0
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 0);
  int c_d_34[] = { 16,  11,  10,   7,   2}; //   5
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 5);

  int c_p_35[] = {  0,  12,  14,  16}; //   4
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 4);
  int c_f_35[] = {}; //   0
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 0);
  int c_t_35[] = {}; //   0
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 0);
  int c_d_35[] = { 16,  11,  10,   7,   2}; //   5
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 5);

  int c_p_36[] = {  0,  12,  15,  16}; //   4
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 4);
  int c_f_36[] = {}; //   0
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 0);
  int c_t_36[] = {}; //   0
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 0);
  int c_d_36[] = { 16,  11,  10,   7,   2}; //   5
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 5);

  int c_p_37[] = {  0,  17,  18,  19}; //   4
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 4);
  int c_f_37[] = {}; //   0
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 0);
  int c_t_37[] = {}; //   0
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 0);
  int c_d_37[] = { 16,  12,   7,  13,   2}; //   5
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 5);

  int c_p_38[] = {  6,  21,  22,  23}; //   4
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 4);
  int c_f_38[] = {}; //   0
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 0);
  int c_t_38[] = {}; //   0
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 0);
  int c_d_38[] = { 14,  17,   2,  18,   7}; //   5
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 5);

  int c_p_39[] = {  6,  24,  25,  26}; //   4
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 4);
  int c_f_39[] = {}; //   0
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 0);
  int c_t_39[] = {}; //   0
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 0);
  int c_d_39[] = { 19,  13,  18,   2,   7}; //   5
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 5);

  int c_p_40[] = {  0,   1,   2,  20}; //   4
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 4);
  int c_f_40[] = {}; //   0
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 0);
  int c_t_40[] = {  2}; //   1
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 1);
  int c_d_40[] = { 15,   0,   1,   2}; //   4
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 4);

  int c_p_41[] = {  0,   1,   3,  20}; //   4
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 4);
  int c_f_41[] = {}; //   0
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 0);
  int c_t_41[] = {  2}; //   1
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 1);
  int c_d_41[] = { 15,   0,   1,   2}; //   4
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 4);

  int c_p_42[] = {  0,   4,   5,  20}; //   4
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 4);
  int c_f_42[] = {}; //   0
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 0);
  int c_t_42[] = {  2}; //   1
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 1);
  int c_d_42[] = { 15,   3,   4,   2}; //   4
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 4);

  int c_p_43[] = {  6,   7,   8,  20}; //   4
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 4);
  int c_f_43[] = {}; //   0
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 0);
  int c_t_43[] = {  2}; //   1
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 1);
  int c_d_43[] = { 15,   5,   6,   7}; //   4
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 4);

  int c_p_44[] = {  6,   7,   9,  20}; //   4
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 4);
  int c_f_44[] = {}; //   0
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 0);
  int c_t_44[] = {  2}; //   1
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 1);
  int c_d_44[] = { 15,   5,   6,   7}; //   4
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 4);

  int c_p_45[] = {  6,  10,  11,  20}; //   4
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 4);
  int c_f_45[] = {}; //   0
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 0);
  int c_t_45[] = {  2}; //   1
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 1);
  int c_d_45[] = { 15,   8,   9,   7}; //   4
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 4);

  int c_p_46[] = {  0,  12,  13,  20}; //   4
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 4);
  int c_f_46[] = {}; //   0
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 0);
  int c_t_46[] = {  2}; //   1
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 1);
  int c_d_46[] = { 15,  10,   7,   2}; //   4
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 4);

  int c_p_47[] = {  0,  12,  14,  20}; //   4
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 4);
  int c_f_47[] = {}; //   0
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 0);
  int c_t_47[] = {  2}; //   1
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 1);
  int c_d_47[] = { 15,  10,   7,   2}; //   4
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 4);

  int c_p_48[] = {  0,  12,  15,  20}; //   4
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 4);
  int c_f_48[] = {}; //   0
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 0);
  int c_t_48[] = {  2}; //   1
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 1);
  int c_d_48[] = { 15,  10,   7,   2}; //   4
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 4);

  int c_p_49[] = {  6,  21,  22,  23}; //   4
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 4);
  int c_f_49[] = {}; //   0
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 0);
  int c_t_49[] = {  2}; //   1
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 1);
  int c_d_49[] = { 17,   2,  18,   7}; //   4
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 4);

  int c_p_50[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 3);
  int c_f_50[] = {  1}; //   1
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 1);
  int c_t_50[] = {  2,   3}; //   2
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 2);
  int c_d_50[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 3);

  int c_p_51[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 3);
  int c_f_51[] = {  1}; //   1
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 1);
  int c_t_51[] = {  2,   3}; //   2
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 2);
  int c_d_51[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 3);

  int c_p_52[] = {  0,   4,   5}; //   3
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 3);
  int c_f_52[] = {  1}; //   1
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 1);
  int c_t_52[] = {  2,   3}; //   2
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 2);
  int c_d_52[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 3);

  int c_p_53[] = {  6,   7,   8}; //   3
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 3);
  int c_f_53[] = {  1}; //   1
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 1);
  int c_t_53[] = {  2,   3}; //   2
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 2);
  int c_d_53[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 3);

  int c_p_54[] = {  6,   7,   9}; //   3
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 3);
  int c_f_54[] = {  1}; //   1
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 1);
  int c_t_54[] = {  2,   3}; //   2
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 2);
  int c_d_54[] = {  5,   6,   7}; //   3
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 3);

  int c_p_55[] = {  6,  10,  11}; //   3
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 3);
  int c_f_55[] = {  1}; //   1
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 1);
  int c_t_55[] = {  2,   3}; //   2
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 2);
  int c_d_55[] = {  8,   9,   7}; //   3
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 3);

  int c_p_56[] = {  0,  12,  13}; //   3
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 3);
  int c_f_56[] = {  1}; //   1
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 1);
  int c_t_56[] = {  2,   3}; //   2
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 2);
  int c_d_56[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 3);

  int c_p_57[] = {  0,  12,  14}; //   3
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 3);
  int c_f_57[] = {  1}; //   1
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 1);
  int c_t_57[] = {  2,   3}; //   2
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 2);
  int c_d_57[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 3);

  int c_p_58[] = {  0,  12,  15}; //   3
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 3);
  int c_f_58[] = {  1}; //   1
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 1);
  int c_t_58[] = {  2,   3}; //   2
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 2);
  int c_d_58[] = { 10,   7,   2}; //   3
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 3);

  int c_p_59[] = {  0,  12}; //   2
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 2);
  int c_f_59[] = {  2,   3}; //   2
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 2);
  int c_t_59[] = {  0,   4,   5}; //   3
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 3);
  int c_d_59[] = {  7,   2}; //   2
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 2);

  int c_p_60[] = {  0,  17,  18}; //   3
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 3);
  int c_f_60[] = {  3}; //   1
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 1);
  int c_t_60[] = {  0,   4}; //   2
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 2);
  int c_d_60[] = {  7,  13,   2}; //   3
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 3);

  int c_p_61[] = {  0,   1,   2,  27}; //   4
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 4);
  int c_f_61[] = {}; //   0
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 0);
  int c_t_61[] = {  6}; //   1
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 1);
  int c_d_61[] = { 20,   0,   1,   2}; //   4
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 4);

  int c_p_62[] = {  0,   1,   3,  27}; //   4
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 4);
  int c_f_62[] = {}; //   0
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 0);
  int c_t_62[] = {  6}; //   1
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 1);
  int c_d_62[] = { 20,   0,   1,   2}; //   4
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 4);

  int c_p_63[] = {  0,   4,   5,  27}; //   4
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 4);
  int c_f_63[] = {}; //   0
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 0);
  int c_t_63[] = {  6}; //   1
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 1);
  int c_d_63[] = { 20,   3,   4,   2}; //   4
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 4);

  int c_p_64[] = {  6,   7,   8,  27}; //   4
  psi_c_p[no_ps][64] = get_vector_from_array_int(c_p_64, 4);
  int c_f_64[] = {}; //   0
  psi_c_f[no_ps][64] = get_vector_from_array_int(c_f_64, 0);
  int c_t_64[] = {  6}; //   1
  psi_c_t[no_ps][64] = get_vector_from_array_int(c_t_64, 1);
  int c_d_64[] = { 20,   5,   6,   7}; //   4
  psi_c_d[no_ps][64] = get_vector_from_array_int(c_d_64, 4);

  int c_p_65[] = {  6,   7,   9,  27}; //   4
  psi_c_p[no_ps][65] = get_vector_from_array_int(c_p_65, 4);
  int c_f_65[] = {}; //   0
  psi_c_f[no_ps][65] = get_vector_from_array_int(c_f_65, 0);
  int c_t_65[] = {  6}; //   1
  psi_c_t[no_ps][65] = get_vector_from_array_int(c_t_65, 1);
  int c_d_65[] = { 20,   5,   6,   7}; //   4
  psi_c_d[no_ps][65] = get_vector_from_array_int(c_d_65, 4);

  int c_p_66[] = {  6,  10,  11,  27}; //   4
  psi_c_p[no_ps][66] = get_vector_from_array_int(c_p_66, 4);
  int c_f_66[] = {}; //   0
  psi_c_f[no_ps][66] = get_vector_from_array_int(c_f_66, 0);
  int c_t_66[] = {  6}; //   1
  psi_c_t[no_ps][66] = get_vector_from_array_int(c_t_66, 1);
  int c_d_66[] = { 20,   8,   9,   7}; //   4
  psi_c_d[no_ps][66] = get_vector_from_array_int(c_d_66, 4);

  int c_p_67[] = {  0,  12,  13,  27}; //   4
  psi_c_p[no_ps][67] = get_vector_from_array_int(c_p_67, 4);
  int c_f_67[] = {}; //   0
  psi_c_f[no_ps][67] = get_vector_from_array_int(c_f_67, 0);
  int c_t_67[] = {  6}; //   1
  psi_c_t[no_ps][67] = get_vector_from_array_int(c_t_67, 1);
  int c_d_67[] = { 20,  10,   7,   2}; //   4
  psi_c_d[no_ps][67] = get_vector_from_array_int(c_d_67, 4);

  int c_p_68[] = {  0,  12,  14,  27}; //   4
  psi_c_p[no_ps][68] = get_vector_from_array_int(c_p_68, 4);
  int c_f_68[] = {}; //   0
  psi_c_f[no_ps][68] = get_vector_from_array_int(c_f_68, 0);
  int c_t_68[] = {  6}; //   1
  psi_c_t[no_ps][68] = get_vector_from_array_int(c_t_68, 1);
  int c_d_68[] = { 20,  10,   7,   2}; //   4
  psi_c_d[no_ps][68] = get_vector_from_array_int(c_d_68, 4);

  int c_p_69[] = {  0,  12,  15,  27}; //   4
  psi_c_p[no_ps][69] = get_vector_from_array_int(c_p_69, 4);
  int c_f_69[] = {}; //   0
  psi_c_f[no_ps][69] = get_vector_from_array_int(c_f_69, 0);
  int c_t_69[] = {  6}; //   1
  psi_c_t[no_ps][69] = get_vector_from_array_int(c_t_69, 1);
  int c_d_69[] = { 20,  10,   7,   2}; //   4
  psi_c_d[no_ps][69] = get_vector_from_array_int(c_d_69, 4);

  int c_p_70[] = { 28,  29,  30,  31}; //   4
  psi_c_p[no_ps][70] = get_vector_from_array_int(c_p_70, 4);
  int c_f_70[] = {}; //   0
  psi_c_f[no_ps][70] = get_vector_from_array_int(c_f_70, 0);
  int c_t_70[] = {  7}; //   1
  psi_c_t[no_ps][70] = get_vector_from_array_int(c_t_70, 1);
  int c_d_70[] = {  0,   1,   2,  20}; //   4
  psi_c_d[no_ps][70] = get_vector_from_array_int(c_d_70, 4);

  int c_p_71[] = { 28,  29,  30,  32}; //   4
  psi_c_p[no_ps][71] = get_vector_from_array_int(c_p_71, 4);
  int c_f_71[] = {}; //   0
  psi_c_f[no_ps][71] = get_vector_from_array_int(c_f_71, 0);
  int c_t_71[] = {  7}; //   1
  psi_c_t[no_ps][71] = get_vector_from_array_int(c_t_71, 1);
  int c_d_71[] = {  0,   1,   2,  20}; //   4
  psi_c_d[no_ps][71] = get_vector_from_array_int(c_d_71, 4);

  int c_p_72[] = { 28,  29,  33,  34}; //   4
  psi_c_p[no_ps][72] = get_vector_from_array_int(c_p_72, 4);
  int c_f_72[] = {}; //   0
  psi_c_f[no_ps][72] = get_vector_from_array_int(c_f_72, 0);
  int c_t_72[] = {  7}; //   1
  psi_c_t[no_ps][72] = get_vector_from_array_int(c_t_72, 1);
  int c_d_72[] = {  3,   4,   2,  20}; //   4
  psi_c_d[no_ps][72] = get_vector_from_array_int(c_d_72, 4);

  int c_p_73[] = { 28,  35,  36,  37}; //   4
  psi_c_p[no_ps][73] = get_vector_from_array_int(c_p_73, 4);
  int c_f_73[] = {}; //   0
  psi_c_f[no_ps][73] = get_vector_from_array_int(c_f_73, 0);
  int c_t_73[] = {  7}; //   1
  psi_c_t[no_ps][73] = get_vector_from_array_int(c_t_73, 1);
  int c_d_73[] = {  5,   6,   7,  20}; //   4
  psi_c_d[no_ps][73] = get_vector_from_array_int(c_d_73, 4);

  int c_p_74[] = { 28,  35,  36,  38}; //   4
  psi_c_p[no_ps][74] = get_vector_from_array_int(c_p_74, 4);
  int c_f_74[] = {}; //   0
  psi_c_f[no_ps][74] = get_vector_from_array_int(c_f_74, 0);
  int c_t_74[] = {  7}; //   1
  psi_c_t[no_ps][74] = get_vector_from_array_int(c_t_74, 1);
  int c_d_74[] = {  5,   6,   7,  20}; //   4
  psi_c_d[no_ps][74] = get_vector_from_array_int(c_d_74, 4);

  int c_p_75[] = { 28,  35,  39,  40}; //   4
  psi_c_p[no_ps][75] = get_vector_from_array_int(c_p_75, 4);
  int c_f_75[] = {}; //   0
  psi_c_f[no_ps][75] = get_vector_from_array_int(c_f_75, 0);
  int c_t_75[] = {  7}; //   1
  psi_c_t[no_ps][75] = get_vector_from_array_int(c_t_75, 1);
  int c_d_75[] = {  8,   9,   7,  20}; //   4
  psi_c_d[no_ps][75] = get_vector_from_array_int(c_d_75, 4);

  int c_p_76[] = { 28,  29,  41,  42}; //   4
  psi_c_p[no_ps][76] = get_vector_from_array_int(c_p_76, 4);
  int c_f_76[] = {}; //   0
  psi_c_f[no_ps][76] = get_vector_from_array_int(c_f_76, 0);
  int c_t_76[] = {  7}; //   1
  psi_c_t[no_ps][76] = get_vector_from_array_int(c_t_76, 1);
  int c_d_76[] = { 10,   7,   2,  20}; //   4
  psi_c_d[no_ps][76] = get_vector_from_array_int(c_d_76, 4);

  int c_p_77[] = { 28,  29,  41,  43}; //   4
  psi_c_p[no_ps][77] = get_vector_from_array_int(c_p_77, 4);
  int c_f_77[] = {}; //   0
  psi_c_f[no_ps][77] = get_vector_from_array_int(c_f_77, 0);
  int c_t_77[] = {  7}; //   1
  psi_c_t[no_ps][77] = get_vector_from_array_int(c_t_77, 1);
  int c_d_77[] = { 10,   7,   2,  20}; //   4
  psi_c_d[no_ps][77] = get_vector_from_array_int(c_d_77, 4);

  int c_p_78[] = { 28,  29,  41,  44}; //   4
  psi_c_p[no_ps][78] = get_vector_from_array_int(c_p_78, 4);
  int c_f_78[] = {}; //   0
  psi_c_f[no_ps][78] = get_vector_from_array_int(c_f_78, 0);
  int c_t_78[] = {  7}; //   1
  psi_c_t[no_ps][78] = get_vector_from_array_int(c_t_78, 1);
  int c_d_78[] = { 10,   7,   2,  20}; //   4
  psi_c_d[no_ps][78] = get_vector_from_array_int(c_d_78, 4);

  int c_p_79[] = {  0,  12,  25}; //   3
  psi_c_p[no_ps][79] = get_vector_from_array_int(c_p_79, 3);
  int c_f_79[] = {  4}; //   1
  psi_c_f[no_ps][79] = get_vector_from_array_int(c_f_79, 1);
  int c_t_79[] = {  2,   8}; //   2
  psi_c_t[no_ps][79] = get_vector_from_array_int(c_t_79, 2);
  int c_d_79[] = { 18,   7,   2}; //   3
  psi_c_d[no_ps][79] = get_vector_from_array_int(c_d_79, 3);

  int c_p_80[] = {  0,  12}; //   2
  psi_c_p[no_ps][80] = get_vector_from_array_int(c_p_80, 2);
  int c_f_80[] = {  5,   4}; //   2
  psi_c_f[no_ps][80] = get_vector_from_array_int(c_f_80, 2);
  int c_t_80[] = {  2,   8,   9}; //   3
  psi_c_t[no_ps][80] = get_vector_from_array_int(c_t_80, 3);
  int c_d_80[] = {  7,   2}; //   2
  psi_c_d[no_ps][80] = get_vector_from_array_int(c_d_80, 2);

  int c_p_81[] = { 28,  29,  41}; //   3
  psi_c_p[no_ps][81] = get_vector_from_array_int(c_p_81, 3);
  int c_f_81[] = {  6}; //   1
  psi_c_f[no_ps][81] = get_vector_from_array_int(c_f_81, 1);
  int c_t_81[] = { 10,  11}; //   2
  psi_c_t[no_ps][81] = get_vector_from_array_int(c_t_81, 2);
  int c_d_81[] = {  7,   2,  20}; //   3
  psi_c_d[no_ps][81] = get_vector_from_array_int(c_d_81, 3);

  int c_p_82[] = {  0,  45,  41}; //   3
  psi_c_p[no_ps][82] = get_vector_from_array_int(c_p_82, 3);
  int c_f_82[] = {  6}; //   1
  psi_c_f[no_ps][82] = get_vector_from_array_int(c_f_82, 1);
  int c_t_82[] = { 10,  12}; //   2
  psi_c_t[no_ps][82] = get_vector_from_array_int(c_t_82, 2);
  int c_d_82[] = {  7,  20,   2}; //   3
  psi_c_d[no_ps][82] = get_vector_from_array_int(c_d_82, 3);

  int c_p_83[] = {  0,  12,  46}; //   3
  psi_c_p[no_ps][83] = get_vector_from_array_int(c_p_83, 3);
  int c_f_83[] = {  7}; //   1
  psi_c_f[no_ps][83] = get_vector_from_array_int(c_f_83, 1);
  int c_t_83[] = {  6,  13}; //   2
  psi_c_t[no_ps][83] = get_vector_from_array_int(c_t_83, 2);
  int c_d_83[] = { 20,   7,   2}; //   3
  psi_c_d[no_ps][83] = get_vector_from_array_int(c_d_83, 3);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
