#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemxnmnex04/header/ppemxnmnex04.phasespace.h"
void ppemxnmnex04_ax_psp_240_dc_emmupvmvexus(int no_ps, phasespace_set & psi){
  static Logger logger("ppemxnmnex04_ax_psp_240_dc_emmupvmvexus");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(8);
  psi_needed_v_smin[no_ps].resize(8);
  int needed_v_smin_0[] = {   0,    1,    2,    3}; //   4
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 4);
  int needed_v_smin_1[] = {   0,    2}; //   2
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 2);
  int needed_v_smin_2[] = {   0,    1,    2,    3}; //   4
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 4);
  int needed_v_smin_3[] = {   2,    3}; //   2
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 2);
  int needed_v_smin_4[] = {   0}; //   1
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 1);
  int needed_v_smin_5[] = {   1}; //   1
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 1);
  int needed_v_smin_6[] = {   1}; //   1
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 1);
  int needed_v_smin_7[] = {   3}; //   1
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 1);

  psi_v_smax[no_ps].resize(9);
  psi_needed_v_smax[no_ps].resize(9);
  int needed_v_smax_0[] = {   0,    1,    2,    3}; //   4
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 4);
  int needed_v_smax_1[] = {   0,    2}; //   2
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 2);
  int needed_v_smax_2[] = {   0,    2}; //   2
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 2);
  int needed_v_smax_3[] = {   1,    3}; //   2
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 2);
  int needed_v_smax_4[] = {   2}; //   1
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 1);
  int needed_v_smax_5[] = {   3}; //   1
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 1);
  int needed_v_smax_6[] = {   0,    1}; //   2
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 2);
  int needed_v_smax_7[] = {   1}; //   1
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 1);
  int needed_v_smax_8[] = {   3}; //   1
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 1);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(6);
  psi_needed_g_p[no_ps].resize(6);
  int needed_g_p_0[] = {   0,    1,    2,    3}; //   4
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 4);
  psi_container_IS_name.push_back("propagator_24_smin0_smax0");
  int needed_g_p_1[] = {   0,    2}; //   2
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 2);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,    2}; //   2
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 2);
  psi_container_IS_name.push_back("propagator_24_smin2_smax2");
  int needed_g_p_3[] = {   1,    3}; //   2
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 2);
  psi_container_IS_name.push_back("propagator_24_smin2_smax3");
  int needed_g_p_4[] = {   2}; //   1
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 1);
  psi_container_IS_name.push_back("propagator_0_smin3_smax4");
  int needed_g_p_5[] = {   3}; //   1
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 1);
  psi_container_IS_name.push_back("propagator_0_smin3_smax5");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(4);
  psi_needed_g_f[no_ps].resize(4);
  int needed_g_f_0[] = {   0}; //   1
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin4_smax6");
  int needed_g_f_1[] = {   1}; //   1
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin5_smax7");
  int needed_g_f_2[] = {   1}; //   1
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin6_smax6");
  int needed_g_f_3[] = {   3}; //   1
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin7_smax8");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(7);
  psi_needed_g_t[no_ps].resize(7);
  int needed_g_t_0[] = {   0,    1}; //   2
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__36_216");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__36_216");
  int needed_g_t_1[] = {   0}; //   1
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_37__152_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_37__152_64");
  int needed_g_t_2[] = {   1}; //   1
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_37__24_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_37__24_192");
  int needed_g_t_3[] = {   1}; //   1
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 1);
  psi_container_IS_name.push_back("t_of_tchannel_0__37_26__64_128");
  psi_container_IS_name.push_back("phi_of_tchannel_0__37_26__64_128");
  int needed_g_t_4[] = {   2}; //   1
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__100_152");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__100_152");
  int needed_g_t_5[] = {   3}; //   1
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__24_228");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__24_228");
  int needed_g_t_6[] = {   3}; //   1
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_26__100_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_26__100_128");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(4);
  psi_needed_g_d[no_ps].resize(4);
  int needed_g_d_0[] = {   0,    1,    2,    3}; //   4
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 4);
  psi_container_IS_name.push_back("costheta_of_decay_36__4_32");
  psi_container_IS_name.push_back("phi_of_decay_36__4_32");
  int needed_g_d_1[] = {   0,    2}; //   2
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 2);
  psi_container_IS_name.push_back("costheta_of_decay_152__128_24");
  psi_container_IS_name.push_back("phi_of_decay_152__128_24");
  int needed_g_d_2[] = {   0,    1,    2,    3}; //   4
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 4);
  psi_container_IS_name.push_back("costheta_of_decay_24__8_16");
  psi_container_IS_name.push_back("phi_of_decay_24__8_16");
  int needed_g_d_3[] = {   2,    3}; //   2
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 2);
  psi_container_IS_name.push_back("costheta_of_decay_100__64_36");
  psi_container_IS_name.push_back("phi_of_decay_100__64_36");

  psi_c_p[no_ps].resize(4);
  psi_c_f[no_ps].resize(4);
  psi_c_t[no_ps].resize(4);
  psi_c_d[no_ps].resize(4);

  int c_p_0[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 3);
  int c_f_0[] = {  0}; //   1
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 1);
  int c_t_0[] = {  0,   1}; //   2
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 2);
  int c_d_0[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 3);

  int c_p_1[] = {  0,   3}; //   2
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 2);
  int c_f_1[] = {  1,   2}; //   2
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 2);
  int c_t_1[] = {  0,   2,   3}; //   3
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 3);
  int c_d_1[] = {  0,   2}; //   2
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 2);

  int c_p_2[] = {  0,   1,   2,   4}; //   4
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 4);
  int c_f_2[] = {}; //   0
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 0);
  int c_t_2[] = {  4}; //   1
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 1);
  int c_d_2[] = {  3,   0,   1,   2}; //   4
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 4);

  int c_p_3[] = {  0,   3,   5}; //   3
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 3);
  int c_f_3[] = {  3}; //   1
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 1);
  int c_t_3[] = {  5,   6}; //   2
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 2);
  int c_d_3[] = {  3,   0,   2}; //   3
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 3);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
