#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppenexa03/header/ppenexa03.phasespace.h"
void ppenexa03_ax_psp_230_dux_emvexassx(int no_ps, phasespace_set & psi){
  static Logger logger("ppenexa03_ax_psp_230_dux_emvexassx");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(11);
  psi_needed_v_smin[no_ps].resize(11);
  int needed_v_smin_0[] = {   0,    1,    4,    5,    6,    7,    8,   11,   12,   13}; //  10
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 10);
  int needed_v_smin_1[] = {   0,    1,    2,    3,    4,    6,    7,    8,    9,   10,   12,   13}; //  12
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 12);
  int needed_v_smin_2[] = {   2,    9}; //   2
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 2);
  int needed_v_smin_3[] = {   2,    9}; //   2
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 2);
  int needed_v_smin_4[] = {   3,   10}; //   2
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 2);
  int needed_v_smin_5[] = {   3,   10}; //   2
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 2);
  int needed_v_smin_6[] = {   4,    8,    7}; //   3
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 3);
  int needed_v_smin_7[] = {   5,   11}; //   2
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 2);
  int needed_v_smin_8[] = {   5,   11}; //   2
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 2);
  int needed_v_smin_9[] = {   0,    1,   12,   13}; //   4
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 4);
  int needed_v_smin_10[] = {   6}; //   1
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 1);

  psi_v_smax[no_ps].resize(17);
  psi_needed_v_smax[no_ps].resize(17);
  int needed_v_smax_0[] = {   0,    6,    8,   11,   12}; //   5
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 5);
  int needed_v_smax_1[] = {   0,    6,    8,   12}; //   4
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 4);
  int needed_v_smax_2[] = {   1,    4,    7,    9,   10,   13}; //   6
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 6);
  int needed_v_smax_3[] = {   1,    7,   13}; //   3
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 3);
  int needed_v_smax_4[] = {   2}; //   1
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 1);
  int needed_v_smax_5[] = {   2,    3}; //   2
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 2);
  int needed_v_smax_6[] = {   2,    3}; //   2
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 2);
  int needed_v_smax_7[] = {   3}; //   1
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 1);
  int needed_v_smax_8[] = {   4,    5}; //   2
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 2);
  int needed_v_smax_9[] = {   4,    5}; //   2
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 2);
  int needed_v_smax_10[] = {   5}; //   1
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 1);
  int needed_v_smax_11[] = {   8,   11,    7}; //   3
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 3);
  int needed_v_smax_12[] = {   9}; //   1
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 1);
  int needed_v_smax_13[] = {   9,   10,    6}; //   3
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 3);
  int needed_v_smax_14[] = {  10}; //   1
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 1);
  int needed_v_smax_15[] = {  11}; //   1
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 1);
  int needed_v_smax_16[] = {   0,    1,   12,   13}; //   4
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 4);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(20);
  psi_needed_g_p[no_ps].resize(20);
  int needed_g_p_0[] = {   0,    6,    8,   11,   12}; //   5
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 5);
  psi_container_IS_name.push_back("propagator_0_smin0_smax0");
  int needed_g_p_1[] = {   0,    6,    8,   12}; //   4
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 4);
  psi_container_IS_name.push_back("propagator_24_smin1_smax1");
  int needed_g_p_2[] = {   1,    4,    7,    9,   10,   13}; //   6
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 6);
  psi_container_IS_name.push_back("propagator_24_smin1_smax2");
  int needed_g_p_3[] = {   1,    7,   13}; //   3
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 3);
  psi_container_IS_name.push_back("propagator_0_smin0_smax3");
  int needed_g_p_4[] = {   2}; //   1
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 1);
  psi_container_IS_name.push_back("propagator_0_smin2_smax4");
  int needed_g_p_5[] = {   2}; //   1
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 1);
  psi_container_IS_name.push_back("propagator_0_smin3_smax5");
  int needed_g_p_6[] = {   2,    3}; //   2
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 2);
  psi_container_IS_name.push_back("propagator_24_smin1_smax6");
  int needed_g_p_7[] = {   3}; //   1
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 1);
  psi_container_IS_name.push_back("propagator_0_smin4_smax7");
  int needed_g_p_8[] = {   3}; //   1
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 1);
  psi_container_IS_name.push_back("propagator_0_smin5_smax5");
  int needed_g_p_9[] = {   4}; //   1
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 1);
  psi_container_IS_name.push_back("propagator_24_smin6_smax8");
  int needed_g_p_10[] = {   4,    5}; //   2
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 2);
  psi_container_IS_name.push_back("propagator_0_smin0_smax9");
  int needed_g_p_11[] = {   5}; //   1
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 1);
  psi_container_IS_name.push_back("propagator_0_smin7_smax10");
  int needed_g_p_12[] = {   5}; //   1
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 1);
  psi_container_IS_name.push_back("propagator_24_smin8_smax8");
  int needed_g_p_13[] = {   8}; //   1
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 1);
  psi_container_IS_name.push_back("propagator_24_smin6_smax11");
  int needed_g_p_14[] = {   9}; //   1
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 1);
  psi_container_IS_name.push_back("propagator_0_smin2_smax12");
  int needed_g_p_15[] = {   9}; //   1
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 1);
  psi_container_IS_name.push_back("propagator_0_smin3_smax13");
  int needed_g_p_16[] = {  10}; //   1
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 1);
  psi_container_IS_name.push_back("propagator_0_smin4_smax14");
  int needed_g_p_17[] = {  10}; //   1
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 1);
  psi_container_IS_name.push_back("propagator_0_smin5_smax13");
  int needed_g_p_18[] = {  11}; //   1
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 1);
  psi_container_IS_name.push_back("propagator_0_smin7_smax15");
  int needed_g_p_19[] = {  11}; //   1
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 1);
  psi_container_IS_name.push_back("propagator_24_smin8_smax11");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(3);
  psi_needed_g_f[no_ps].resize(3);
  int needed_g_f_0[] = {   0,    1,   12,   13}; //   4
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin9_smax16");
  int needed_g_f_1[] = {   6}; //   1
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin10_smax13");
  int needed_g_f_2[] = {   7}; //   1
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin6_smax11");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(12);
  psi_needed_g_t[no_ps].resize(12);
  int needed_g_t_0[] = {   0,    1}; //   2
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__16_108");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__16_108");
  int needed_g_t_1[] = {   0}; //   1
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_18__12_96");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_18__12_96");
  int needed_g_t_2[] = {   1}; //   1
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_18__96_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_18__96_12");
  int needed_g_t_3[] = {   2,    3,    6}; //   3
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 3);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__12_112");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__12_112");
  int needed_g_t_4[] = {   4,    5,    7}; //   3
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 3);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__96_28");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__96_28");
  int needed_g_t_5[] = {   6}; //   1
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__96_16");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__96_16");
  int needed_g_t_6[] = {   7}; //   1
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_97__12_16");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_97__12_16");
  int needed_g_t_7[] = {   8,   11}; //   2
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__96_28");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__96_28");
  int needed_g_t_8[] = {   9,   10}; //   2
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__12_112");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__12_112");
  int needed_g_t_9[] = {  12,   13}; //   2
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__16_108");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__16_108");
  int needed_g_t_10[] = {  12}; //   1
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_17__96_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_17__96_12");
  int needed_g_t_11[] = {  13}; //   1
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_17__12_96");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_17__12_96");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(9);
  psi_needed_g_d[no_ps].resize(9);
  int needed_g_d_0[] = {   0,    1,    2,    3,    4,    6,    7,    8,    9,   10,   12,   13}; //  12
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 12);
  psi_container_IS_name.push_back("costheta_of_decay_12__4_8");
  psi_container_IS_name.push_back("phi_of_decay_12__4_8");
  int needed_g_d_1[] = {   0,    1,    4,    5,    6,    7,    8,   11,   12,   13}; //  10
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 10);
  psi_container_IS_name.push_back("costheta_of_decay_96__32_64");
  psi_container_IS_name.push_back("phi_of_decay_96__32_64");
  int needed_g_d_2[] = {   2,    9}; //   2
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 2);
  psi_container_IS_name.push_back("costheta_of_decay_112__64_48");
  psi_container_IS_name.push_back("phi_of_decay_112__64_48");
  int needed_g_d_3[] = {   2,    9}; //   2
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 2);
  psi_container_IS_name.push_back("costheta_of_decay_48__16_32");
  psi_container_IS_name.push_back("phi_of_decay_48__16_32");
  int needed_g_d_4[] = {   3,   10}; //   2
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 2);
  psi_container_IS_name.push_back("costheta_of_decay_112__32_80");
  psi_container_IS_name.push_back("phi_of_decay_112__32_80");
  int needed_g_d_5[] = {   3,   10}; //   2
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 2);
  psi_container_IS_name.push_back("costheta_of_decay_80__16_64");
  psi_container_IS_name.push_back("phi_of_decay_80__16_64");
  int needed_g_d_6[] = {   4,    8}; //   2
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 2);
  psi_container_IS_name.push_back("costheta_of_decay_28__16_12");
  psi_container_IS_name.push_back("phi_of_decay_28__16_12");
  int needed_g_d_7[] = {   5,   11}; //   2
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 2);
  psi_container_IS_name.push_back("costheta_of_decay_28__8_20");
  psi_container_IS_name.push_back("phi_of_decay_28__8_20");
  int needed_g_d_8[] = {   5,   11}; //   2
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 2);
  psi_container_IS_name.push_back("costheta_of_decay_20__4_16");
  psi_container_IS_name.push_back("phi_of_decay_20__4_16");

  psi_c_p[no_ps].resize(14);
  psi_c_f[no_ps].resize(14);
  psi_c_t[no_ps].resize(14);
  psi_c_d[no_ps].resize(14);

  int c_p_0[] = {  0,   1}; //   2
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 2);
  int c_f_0[] = {  0}; //   1
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 1);
  int c_t_0[] = {  0,   1}; //   2
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 2);
  int c_d_0[] = {  0,   1}; //   2
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 2);

  int c_p_1[] = {  2,   3}; //   2
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 2);
  int c_f_1[] = {  0}; //   1
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 1);
  int c_t_1[] = {  0,   2}; //   2
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 2);
  int c_d_1[] = {  1,   0}; //   2
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 2);

  int c_p_2[] = {  4,   5,   6}; //   3
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 3);
  int c_f_2[] = {}; //   0
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 0);
  int c_t_2[] = {  3}; //   1
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 1);
  int c_d_2[] = {  0,   2,   3}; //   3
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 3);

  int c_p_3[] = {  7,   8,   6}; //   3
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 3);
  int c_f_3[] = {}; //   0
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 0);
  int c_t_3[] = {  3}; //   1
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 1);
  int c_d_3[] = {  0,   4,   5}; //   3
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 3);

  int c_p_4[] = {  2,   9,  10}; //   3
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 3);
  int c_f_4[] = {}; //   0
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 0);
  int c_t_4[] = {  4}; //   1
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 1);
  int c_d_4[] = {  1,   6,   0}; //   3
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 3);

  int c_p_5[] = { 11,  12,  10}; //   3
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 3);
  int c_f_5[] = {}; //   0
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 0);
  int c_t_5[] = {  4}; //   1
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 1);
  int c_d_5[] = {  1,   7,   8}; //   3
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 3);

  int c_p_6[] = {  0,   1}; //   2
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 2);
  int c_f_6[] = {  1}; //   1
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 1);
  int c_t_6[] = {  3,   5}; //   2
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 2);
  int c_d_6[] = {  0,   1}; //   2
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 2);

  int c_p_7[] = {  2,   3}; //   2
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 2);
  int c_f_7[] = {  2}; //   1
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 1);
  int c_t_7[] = {  4,   6}; //   2
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 2);
  int c_d_7[] = {  1,   0}; //   2
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 2);

  int c_p_8[] = {  0,   1,  13}; //   3
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 3);
  int c_f_8[] = {}; //   0
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 0);
  int c_t_8[] = {  7}; //   1
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 1);
  int c_d_8[] = {  6,   0,   1}; //   3
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 3);

  int c_p_9[] = {  2,  14,  15}; //   3
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 3);
  int c_f_9[] = {}; //   0
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 0);
  int c_t_9[] = {  8}; //   1
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 1);
  int c_d_9[] = {  2,   3,   0}; //   3
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 3);

  int c_p_10[] = {  2,  16,  17}; //   3
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 3);
  int c_f_10[] = {}; //   0
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 0);
  int c_t_10[] = {  8}; //   1
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 1);
  int c_d_10[] = {  4,   5,   0}; //   3
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 3);

  int c_p_11[] = {  0,  18,  19}; //   3
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 3);
  int c_f_11[] = {}; //   0
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 0);
  int c_t_11[] = {  7}; //   1
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 1);
  int c_d_11[] = {  7,   8,   1}; //   3
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 3);

  int c_p_12[] = {  0,   1}; //   2
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 2);
  int c_f_12[] = {  0}; //   1
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 1);
  int c_t_12[] = {  9,  10}; //   2
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 2);
  int c_d_12[] = {  0,   1}; //   2
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 2);

  int c_p_13[] = {  2,   3}; //   2
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 2);
  int c_f_13[] = {  0}; //   1
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 1);
  int c_t_13[] = {  9,  11}; //   2
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 2);
  int c_d_13[] = {  1,   0}; //   2
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 2);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
