#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../pph21/header/pph21.phasespace.h"
void pph21_optimize_minv_born(phasespace_set & psi){
  static Logger logger("pph21_optimize_minv_born");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

#include "user/specify.optimize.phasespace.minv.born.cxx"

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}

int pph21_determination_MCchannels_born(int no_ps, phasespace_set & psi){
  static Logger logger("pph21_determination_MCchannels_born");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  int n_channel = 0;
  if      (psi_no_map[no_ps] == 0){n_channel = 1;}
  else if (psi_no_map[no_ps] == 1){n_channel = 1;}
  return n_channel;

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}

void pph21_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi){
  static Logger logger("pph21_ac_tau_psp_born");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  if      (psi.no_map[no_ps] == 0){}
  else if (psi.no_map[no_ps] == 1){
    tau_MC_map.push_back(0);
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}

void pph21_ax_psp_born(int no_ps, phasespace_set & psi){
  static Logger logger("pph21_ax_psp_born");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] == 1){pph21_ax_psp_210_gg_h(no_ps, psi);}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
