#include "ppeexmxnm04.header.cxx"
void ppeexmxnm04_list_subprocess_born(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexmxnm04_list_subprocess_born");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "ud~_emepmupvm";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeexmxnm04_list_subprocess_C_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexmxnm04_list_subprocess_C_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "ud~_emepmupvm";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeexmxnm04_list_subprocess_V_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexmxnm04_list_subprocess_V_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "ud~_emepmupvm";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeexmxnm04_list_subprocess_R_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexmxnm04_list_subprocess_R_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "gu_emepmupvmd";
  subprocess[2] = "gd~_emepmupvmu~";
  subprocess[3] = "ud~_emepmupvmg";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeexmxnm04_list_subprocess_RC_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexmxnm04_list_subprocess_RC_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "gu_emepmupvmd";
  subprocess[2] = "gd~_emepmupvmu~";
  subprocess[3] = "ud~_emepmupvmg";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeexmxnm04_list_subprocess_RV_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexmxnm04_list_subprocess_RV_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(4);
  subprocess[1] = "gu_emepmupvmd";
  subprocess[2] = "gd~_emepmupvmu~";
  subprocess[3] = "ud~_emepmupvmg";
  int member_0[] = {1, 2, 3};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void ppeexmxnm04_list_subprocess_RR_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("ppeexmxnm04_list_subprocess_RR_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(25);
  subprocess[1] = "gg_emepmupvmdu~";
  subprocess[2] = "gu_emepmupvmgd";
  subprocess[3] = "gd~_emepmupvmgu~";
  subprocess[4] = "du_emepmupvmdd";
  subprocess[5] = "dc_emepmupvmds";
  subprocess[6] = "dd~_emepmupvmdu~";
  subprocess[7] = "dd~_emepmupvmsc~";
  subprocess[8] = "ds~_emepmupvmdc~";
  subprocess[9] = "uu_emepmupvmdu";
  subprocess[10] = "uc_emepmupvmdc";
  subprocess[11] = "ud~_emepmupvmgg";
  subprocess[12] = "ud~_emepmupvmdd~";
  subprocess[13] = "ud~_emepmupvmuu~";
  subprocess[14] = "ud~_emepmupvmss~";
  subprocess[15] = "ud~_emepmupvmcc~";
  subprocess[16] = "uu~_emepmupvmdu~";
  subprocess[17] = "uu~_emepmupvmsc~";
  subprocess[18] = "us~_emepmupvmds~";
  subprocess[19] = "us~_emepmupvmuc~";
  subprocess[20] = "uc~_emepmupvmdc~";
  subprocess[21] = "d~d~_emepmupvmd~u~";
  subprocess[22] = "d~u~_emepmupvmu~u~";
  subprocess[23] = "d~s~_emepmupvmd~c~";
  subprocess[24] = "d~c~_emepmupvmu~c~";
  int member_0[] = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
