{
  // can we remove this ??? >>>
  //  static int switch_info_cut = 1;
  static stringstream info_cut;
  if (osi_switch_output_cutinfo){
    info_cut.clear();
    info_cut.str("");
    for (int i_o = 0; i_o < osi_esi.object_list_selection.size(); i_o++){
      int j_o = osi_equivalent_no_object[i_o]; 
      // i_o -> number in relevant_object_list
      // j_o -> number in object_list
      info_cut << "[" << setw(2) << i_a << "]   osi_esi.object_list_selection[" << setw(2) << i_o << "] = " << setw(6) << osi_esi.object_list_selection[i_o] << "   osi_n_object[" << setw(2) << j_o << "][" << setw(2) << i_a << "] = " << osi_n_object[j_o][i_a] << "   osi_particle_event[" << setw(2) << j_o << "][" << setw(2) << i_a << "].size() = " << osi_particle_event[j_o][i_a].size() << endl;
      for (int i_p = 0; i_p < osi_n_object[j_o][i_a]; i_p++){
      info_cut << "       osi_particle_event[" << setw(2) << j_o << "][" << setw(2) << i_a << "][" << setw(2) << i_p << "] = " << osi_particle_event[j_o][i_a][i_p].momentum << endl;
      }
    }
  }
  // <<<
  
  static int switch_cut_M_leplep = USERSWITCH("M_leplep");
  static double cut_min_M_leplep = USERCUT("min_M_leplep");
  static double cut_min_M2_leplep = pow(cut_min_M_leplep, 2);
  static double cut_max_M_leplep = USERCUT("max_M_leplep");
  static double cut_max_M2_leplep = pow(cut_max_M_leplep, 2);

  static int switch_cut_R_leplep = USERSWITCH("R_leplep");
  static double cut_min_R_leplep = USERCUT("min_R_leplep");
  static double cut_min_R2_leplep = pow(cut_min_R_leplep, 2);
  
  static int switch_cut_R_ejet = USERSWITCH("R_ejet");
  static double cut_min_R_ejet = USERCUT("min_R_ejet");
  static double cut_min_R2_ejet = pow(cut_min_R_ejet, 2);  

  static int switch_n_jet_modified = USERSWITCH("n_jet_modified");
  static int cut_n_jet_min_modified = USERINT("n_jet_min_modified");
  static int cut_n_jet_max_modified = USERINT("n_jet_max_modified");

  static int switch_cut_M_4lep = USERSWITCH("M_leplepnunu");
  static double cut_min_M_4lep = USERCUT("min_M_leplepnunu");
  static double cut_min_M2_4lep = pow(cut_min_M_4lep, 2);
  static double cut_max_M_4lep = USERCUT("max_M_leplepnunu");
  static double cut_max_M2_4lep = pow(cut_max_M_4lep, 2);
  static double cut_min_deltaZ_M_4lep = USERCUT("min_delta_M_leplepnunu");
  static double cut_max_deltaZ_M_4lep = USERCUT("max_delta_M_leplepnunu");

  static int switch_axial_ETmiss = USERSWITCH("axial_ETmiss");
  static double cut_min_axial_ETmiss = USERCUT("min_axial_ETmiss");

  static int switch_pT_balance_Zs = USERSWITCH("pT_balance_Zs");
  static double cut_max_pT_balance_Zs = USERCUT("max_pT_balance_Zs");

  // lepton--lepton invariant-mass cut
  if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]" << "   switch_cut_M_leplep = " << switch_cut_M_leplep << endl;}
  if (switch_cut_M_leplep == 1){
    double M2_leplep = (PARTICLE("lep")[0].momentum + PARTICLE("lep")[1].momentum).m2();
    if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   PARTICLE(lep)[0] = " << PARTICLE("lep")[0].momentum << endl;}
    if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   PARTICLE(lep)[1] = " << PARTICLE("lep")[1].momentum << endl;}
    if (cut_min_M2_leplep != 0.){
      if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   M2_leplep = " << M2_leplep << " > " << cut_min_M2_leplep << endl;}

      if (M2_leplep < cut_min_M2_leplep){
	osi_cut_ps[i_a] = -1; 
	if (osi_switch_output_cutinfo){
	  info_cut << "[" << setw(2) << i_a << "]" << "   individual cut after cut_min_M_leplep" << endl;
	  logger << LOG_DEBUG << endl << info_cut.str();
	}
	logger << LOG_DEBUG_VERBOSE << "switch_cut_M_leplep min cut applied" << endl; 
	return;
      }
      if (cut_max_M2_leplep != 0 && M2_leplep > cut_max_M2_leplep){
	osi_cut_ps[i_a] = -1; 
	if (osi_switch_output_cutinfo){
	  info_cut << "[" << setw(2) << i_a << "]" << "   individual cut after cut_max_M_leplep" << endl;
	  logger << LOG_DEBUG << endl << info_cut.str();
	}
	logger << LOG_DEBUG_VERBOSE << "switch_cut_M_leplep max cut applied" << endl; 
	return;
      }
    }
  }

  // lepton--lepton pseudo-rapidity--azimuthal-angle-plane (dR) isolation cut
  if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]" << "   switch_cut_R_leplep = " << switch_cut_R_leplep << endl; }
  if (switch_cut_R_leplep){
    double R2_eta_leplep = R2_eta(PARTICLE("lep")[0], PARTICLE("lep")[1]);
    if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   PARTICLE(lep)[0] = " << PARTICLE("lep")[0].momentum << endl;}
    if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   PARTICLE(lep)[1] = " << PARTICLE("lep")[1].momentum << endl;}
    if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   R2_eta_leplep = " << R2_eta_leplep << " > " << cut_min_R2_leplep << endl;}
    if (R2_eta_leplep < cut_min_R2_leplep){
      osi_cut_ps[i_a] = -1; 
      if (osi_switch_output_cutinfo){
	info_cut << "[" << setw(2) << i_a << "]" << "   individual cut after cut_R_leplep" << endl; 
	logger << LOG_DEBUG << endl << info_cut.str(); 
      }
      logger << LOG_DEBUG_VERBOSE << "switch_cut_R_leplep cut applied" << endl; 
      return;
    }
  }


  // electron--jet isolation cut
  // removes jets which are too close to electrons (and reduced jet number); the electrons are not affected.
  if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]" << "   switch_cut_R_ejet = " << switch_cut_R_ejet << endl;}
  if (switch_cut_R_ejet){
    for (int i_j = 0; i_j < NUMBER("jet"); i_j++){
    //  for (int i_j = 0; i_j < PARTICLE("jet").size(); i_j++){ // separation wrt. jets below pT/ET-threshold included
      if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]" << "   switch_cut_R_ejet = " << switch_cut_R_ejet << "   i_j = " << i_j << endl;}
      // lepton--jet pseudo-rapidity isolation cuts
      for (int i_l = 0; i_l < PARTICLE("e").size(); i_l++){
	double R2_eta_ejet = R2_eta(PARTICLE("e")[i_l], PARTICLE("jet")[i_j]);
	if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   PARTICLE(e)[" << i_l << "] = " << PARTICLE("e")[i_l].momentum << endl;}
	if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   PARTICLE(jet)[" << i_j << "] = " << PARTICLE("jet")[i_j].momentum << endl;}
	if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   R2_eta_ejet = " << R2_eta_ejet << " > " << cut_min_R2_ejet << endl;}
	if (R2_eta_ejet < cut_min_R2_ejet){
	  // R2_eta_ejet should only "unidentify" jets, cut not cut events !!!
	  if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   PARTICLE(jet)[" << i_j << "] = " << PARTICLE("jet")[i_j].momentum << " is removed due to R2_eta_ejet = " << R2_eta_ejet << " > " << cut_min_R2_ejet << endl;}
	  for (int j_j = 0; j_j < NUMBER("jet"); j_j++){
	    if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   before removal:  PARTICLE(jet)[" << j_j << "] = " << PARTICLE("jet")[j_j].momentum << endl;}
	  }
	  if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   before removal:  NUMBER(jet) = " << NUMBER("jet") << endl;}
	  PARTICLE("jet").erase(PARTICLE("jet").begin() + i_j);
	  NUMBER("jet")--;
	  i_j--;
	  for (int j_j = 0; j_j < NUMBER("jet"); j_j++){
	    if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   after removal:   PARTICLE(jet)[" << j_j << "] = " << PARTICLE("jet")[j_j].momentum << endl;}
	  }
	  if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   after removal:   NUMBER(jet) = " << NUMBER("jet") << endl;}
	  break;
	}
      }
    }
  }


  // cut on the modified number of jets (must be after modifying jet content, ie, after R_ejet cut!)
  if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]" << "   switch_n_jet_modified = " << switch_n_jet_modified << endl;}
  if (switch_n_jet_modified){
    //    if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   NUMBER(jet) = " << NUMBER("jet") << endl;}
    if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   " << cut_n_jet_min_modified << " <= n_jet_modified = " << NUMBER("jet") << " <= " << cut_n_jet_max_modified << endl;}
    if (NUMBER("jet") < cut_n_jet_min_modified || NUMBER("jet") > cut_n_jet_max_modified){
      osi_cut_ps[i_a] = -1;
      if (osi_switch_output_cutinfo){
	info_cut << "[" << setw(2) << i_a << "]" << "   individual cut after n_jet_modified" << endl; 
	logger << LOG_DEBUG << endl << info_cut.str(); 
      }
      logger << LOG_DEBUG_VERBOSE << " cut applied" << endl; 
      return;
    }
  }


  // lepton-lepton + neutrino-neutrino invariant-mass cut
  if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]" << "   switch_cut_M_4lep = " << switch_cut_M_4lep << endl;}
  if (switch_cut_M_4lep){
    double M2_4lep = (PARTICLE("lep")[0].momentum + PARTICLE("lep")[1].momentum + PARTICLE("nua")[0].momentum + PARTICLE("nua")[1].momentum).m2();
    if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   PARTICLE(lep)[0] = " << PARTICLE("lep")[0].momentum << endl;}
    if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   PARTICLE(lep)[1] = " << PARTICLE("lep")[1].momentum << endl;}
    if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   PARTICLE(nua)[0] = " << PARTICLE("nua")[0].momentum << endl;}
    if (osi_switch_output_cutinfo){info_cut << "[" << setw(2) << i_a << "]   PARTICLE(nua)[1] = " << PARTICLE("nua")[1].momentum << endl;}
    if (osi_switch_output_cutinfo){if (cut_min_M_4lep != 0.){info_cut << "[" << setw(2) << i_a << "]   M2_4lep = " << M2_4lep << " > " << cut_min_M2_4lep << endl;}}
    if (osi_switch_output_cutinfo){if (cut_max_M_4lep != 0.){info_cut << "[" << setw(2) << i_a << "]   M2_4lep = " << M2_4lep << " < " << cut_max_M2_4lep << endl;}}
    if (osi_switch_output_cutinfo){if (cut_min_deltaZ_M_4lep != 0.){info_cut << "[" << setw(2) << i_a << "]   |M_4lep - M_Z| = " << abs(sqrt(M2_4lep) - osi_msi.M_Z) << " > " << cut_min_deltaZ_M_4lep << endl;}}
    if (osi_switch_output_cutinfo){if (cut_max_deltaZ_M_4lep != 0.){info_cut << "[" << setw(2) << i_a << "]   |M_4lep - M_Z| = " << abs(sqrt(M2_4lep) - osi_msi.M_Z) << " < " << cut_max_deltaZ_M_4lep << endl;}}

    if (cut_min_M2_4lep != 0 && M2_4lep < cut_min_M2_4lep){
      osi_cut_ps[i_a] = -1; 
      if (osi_switch_output_cutinfo){
	info_cut << "[" << setw(2) << i_a << "]" << "   individual cut after cut_min_M_4lep" << endl; 
	logger << LOG_DEBUG << endl << info_cut.str(); 
      }
      logger << LOG_DEBUG_VERBOSE << "cut_M_leplep min cut applied" << endl; 
      return;
    }

    if (cut_max_M2_4lep != 0 && M2_4lep > cut_max_M2_4lep){
      osi_cut_ps[i_a] = -1; 
      if (osi_switch_output_cutinfo){
	info_cut << "[" << setw(2) << i_a << "]" << "   individual cut after cut_max_M_4lep" << endl; 
	logger << LOG_DEBUG << endl << info_cut.str(); 
      }
      logger << LOG_DEBUG_VERBOSE << "cut_M_leplep max cut applied" << endl; 
      return;
    }

    if (cut_min_deltaZ_M_4lep != 0.){
      if (abs(sqrt(M2_4lep) - osi_msi.M_Z) < cut_min_deltaZ_M_4lep){
	osi_cut_ps[i_a] = -1; 
	if (osi_switch_output_cutinfo){
	  info_cut << "[" << setw(2) << i_a << "]" << "   ppemxnmnex04-cut after cut_min_deltaZ_M_4lep" << endl; 
	  logger << LOG_DEBUG << endl << info_cut.str(); 
	}
	logger << LOG_DEBUG_VERBOSE << "cut_M_leplep delta cut applied" << endl; 
	return;
      }
    }

    if (cut_max_deltaZ_M_4lep != 0.){
      if (abs(sqrt(M2_4lep) - osi_msi.M_Z) > cut_max_deltaZ_M_4lep){
	osi_cut_ps[i_a] = -1; 
	if (osi_switch_output_cutinfo){
	  info_cut << "[" << setw(2) << i_a << "]" << "   ppemxnmnex04-cut after cut_max_deltaZ_M_4lep" << endl; 
	  logger << LOG_DEBUG << endl << info_cut.str(); 
	}
	logger << LOG_DEBUG_VERBOSE << "cut_M_leplep delta cut applied" << endl; 
	return;
      }
    }
  }

  // cut on axial ETmiss
  if (switch_axial_ETmiss == 1){
    
    double ET_miss = PARTICLE("missing")[0].pT;
    double phi_miss = PARTICLE("missing")[0].phi;
    double phi_Z    = (PARTICLE("lep")[0].momentum+PARTICLE("lep")[1].momentum).phi();
    double temp_dphi = abs(phi_miss - phi_Z);
    if (temp_dphi > pi){temp_dphi = f2pi - temp_dphi;}
    double axial_ETmiss = - ET_miss * cos(temp_dphi);
    if (axial_ETmiss < cut_min_axial_ETmiss){
      osi_cut_ps[i_a] = -1; 
    }
  }

  // cut on pT balance betwen Z bosons
  if (switch_pT_balance_Zs == 1){
    double pT_miss = PARTICLE("missing")[0].pT;
    double pT_Z    = (PARTICLE("lep")[0].momentum+PARTICLE("lep")[1].momentum).pT();
    double pT_balance_Zs = abs(pT_miss-pT_Z)/pT_Z;
    if (pT_balance_Zs > cut_max_pT_balance_Zs){
      osi_cut_ps[i_a] = -1; 
    }
  }

  if (osi_switch_output_cutinfo){info_cut << "ppemxnmnex04_cuts passed" << endl;}
}
