void ppenexa03_particles(int i_a, observable_set & oset);

void ppenexa03_cuts(int i_a, observable_set & oset);
void ppenexa03_cuts_test(int i_a, observable_set & oset);

void ppenexa03_moments(observable_set & oset);

void ppenexa03_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppenexa03_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppenexa03_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppenexa03_optimize_minv_born(phasespace_set & psi);
int ppenexa03_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppenexa03_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppenexa03_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_born(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ax_psp_030_dux_emvexa(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_030_dux_emvexa(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_030_dux_emvexa(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_phasespacepoint_born(observable_set & oset);

void ppenexa03_phasespacepoint_collinear(observable_set & oset);

void ppenexa03_optimize_minv_real(phasespace_set & psi);
int ppenexa03_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppenexa03_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppenexa03_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_real(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ax_psp_130_gd_emvexau(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_130_gd_emvexau(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_130_gd_emvexau(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_130_gux_emvexadx(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_130_gux_emvexadx(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_130_gux_emvexadx(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_130_dux_emvexag(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_130_dux_emvexag(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_130_dux_emvexag(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_phasespacepoint_real(observable_set & oset);

void ppenexa03_phasespacepoint_realcollinear(observable_set & oset);

void ppenexa03_optimize_minv_doublereal(phasespace_set & psi);
int ppenexa03_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppenexa03_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppenexa03_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ax_psp_230_gg_emvexaudx(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_gg_emvexaudx(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_gg_emvexaudx(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_gd_emvexagu(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_gd_emvexagu(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_gd_emvexagu(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_gux_emvexagdx(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_gux_emvexagdx(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_gux_emvexagdx(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_dd_emvexadu(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_dd_emvexadu(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_dd_emvexadu(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_du_emvexauu(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_du_emvexauu(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_du_emvexauu(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_ds_emvexadc(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_ds_emvexadc(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_ds_emvexadc(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_dc_emvexauc(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_dc_emvexauc(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_dc_emvexauc(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_ddx_emvexaudx(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_ddx_emvexaudx(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_ddx_emvexaudx(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_ddx_emvexacsx(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_ddx_emvexacsx(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_ddx_emvexacsx(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_dux_emvexagg(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_dux_emvexagg(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_dux_emvexagg(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_dux_emvexaddx(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_dux_emvexaddx(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_dux_emvexaddx(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_dux_emvexauux(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_dux_emvexauux(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_dux_emvexauux(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_dux_emvexassx(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_dux_emvexassx(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_dux_emvexassx(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_dux_emvexaccx(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_dux_emvexaccx(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_dux_emvexaccx(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_dsx_emvexausx(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_dsx_emvexausx(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_dsx_emvexausx(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_dcx_emvexadsx(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_dcx_emvexadsx(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_dcx_emvexadsx(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_dcx_emvexaucx(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_dcx_emvexaucx(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_dcx_emvexaucx(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_uux_emvexaudx(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_uux_emvexaudx(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_uux_emvexaudx(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_uux_emvexacsx(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_uux_emvexacsx(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_uux_emvexacsx(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_ucx_emvexausx(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_ucx_emvexausx(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_ucx_emvexausx(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_dxux_emvexadxdx(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_dxux_emvexadxdx(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_dxux_emvexadxdx(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_dxcx_emvexadxsx(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_dxcx_emvexadxsx(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_dxcx_emvexadxsx(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_uxux_emvexadxux(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_uxux_emvexadxux(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_uxux_emvexadxux(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_ax_psp_230_uxcx_emvexadxcx(int no_ps, phasespace_set & psi);
void ppenexa03_ac_psp_230_uxcx_emvexadxcx(int no_ps, int channel, phasespace_set & psi);
void ppenexa03_ag_psp_230_uxcx_emvexadxcx(int no_ps, int zero, phasespace_set & psi);
void ppenexa03_phasespacepoint_doublereal(observable_set & oset);

