void ppzz02_particles(int i_a, observable_set & oset);

void ppzz02_cuts(int i_a, observable_set & oset);
void ppzz02_cuts_test(int i_a, observable_set & oset);

void ppzz02_moments(observable_set & oset);

void ppzz02_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppzz02_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppzz02_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppzz02_optimize_minv_born(phasespace_set & psi);
int ppzz02_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppzz02_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppzz02_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_born(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ax_psp_020_ddx_zz(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_020_ddx_zz(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_020_ddx_zz(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_020_uux_zz(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_020_uux_zz(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_020_uux_zz(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_gg_zz(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_gg_zz(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_gg_zz(int no_ps, int zero, phasespace_set & psi);
void ppzz02_phasespacepoint_born(observable_set & oset);

void ppzz02_phasespacepoint_collinear(observable_set & oset);

void ppzz02_optimize_minv_real(phasespace_set & psi);
int ppzz02_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppzz02_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppzz02_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_real(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ax_psp_120_gd_zzd(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_120_gd_zzd(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_120_gd_zzd(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_120_gu_zzu(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_120_gu_zzu(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_120_gu_zzu(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_120_gdx_zzdx(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_120_gdx_zzdx(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_120_gdx_zzdx(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_120_gux_zzux(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_120_gux_zzux(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_120_gux_zzux(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_120_ddx_zzg(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_120_ddx_zzg(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_120_ddx_zzg(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_120_uux_zzg(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_120_uux_zzg(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_120_uux_zzg(int no_ps, int zero, phasespace_set & psi);
void ppzz02_phasespacepoint_real(observable_set & oset);

void ppzz02_phasespacepoint_realcollinear(observable_set & oset);

void ppzz02_optimize_minv_doublereal(phasespace_set & psi);
int ppzz02_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppzz02_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppzz02_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ax_psp_220_gg_zzddx(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_gg_zzddx(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_gg_zzddx(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_gg_zzuux(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_gg_zzuux(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_gg_zzuux(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_gd_zzgd(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_gd_zzgd(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_gd_zzgd(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_gu_zzgu(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_gu_zzgu(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_gu_zzgu(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_gdx_zzgdx(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_gdx_zzgdx(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_gdx_zzgdx(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_gux_zzgux(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_gux_zzgux(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_gux_zzgux(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_dd_zzdd(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_dd_zzdd(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_dd_zzdd(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_du_zzdu(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_du_zzdu(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_du_zzdu(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_ds_zzds(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_ds_zzds(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_ds_zzds(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_dc_zzdc(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_dc_zzdc(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_dc_zzdc(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_ddx_zzgg(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_ddx_zzgg(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_ddx_zzgg(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_ddx_zzddx(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_ddx_zzddx(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_ddx_zzddx(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_ddx_zzuux(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_ddx_zzuux(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_ddx_zzuux(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_ddx_zzssx(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_ddx_zzssx(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_ddx_zzssx(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_ddx_zzccx(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_ddx_zzccx(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_ddx_zzccx(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_dux_zzdux(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_dux_zzdux(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_dux_zzdux(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_dsx_zzdsx(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_dsx_zzdsx(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_dsx_zzdsx(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_dcx_zzdcx(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_dcx_zzdcx(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_dcx_zzdcx(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_uu_zzuu(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_uu_zzuu(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_uu_zzuu(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_uc_zzuc(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_uc_zzuc(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_uc_zzuc(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_udx_zzudx(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_udx_zzudx(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_udx_zzudx(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_uux_zzgg(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_uux_zzgg(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_uux_zzgg(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_uux_zzddx(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_uux_zzddx(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_uux_zzddx(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_uux_zzuux(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_uux_zzuux(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_uux_zzuux(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_uux_zzssx(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_uux_zzssx(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_uux_zzssx(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_uux_zzccx(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_uux_zzccx(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_uux_zzccx(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_usx_zzusx(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_usx_zzusx(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_usx_zzusx(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_ucx_zzucx(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_ucx_zzucx(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_ucx_zzucx(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_dxdx_zzdxdx(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_dxdx_zzdxdx(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_dxdx_zzdxdx(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_dxux_zzdxux(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_dxux_zzdxux(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_dxux_zzdxux(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_dxsx_zzdxsx(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_dxsx_zzdxsx(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_dxsx_zzdxsx(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_dxcx_zzdxcx(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_dxcx_zzdxcx(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_dxcx_zzdxcx(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_uxux_zzuxux(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_uxux_zzuxux(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_uxux_zzuxux(int no_ps, int zero, phasespace_set & psi);
void ppzz02_ax_psp_220_uxcx_zzuxcx(int no_ps, phasespace_set & psi);
void ppzz02_ac_psp_220_uxcx_zzuxcx(int no_ps, int channel, phasespace_set & psi);
void ppzz02_ag_psp_220_uxcx_zzuxcx(int no_ps, int zero, phasespace_set & psi);
void ppzz02_phasespacepoint_doublereal(observable_set & oset);

