#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeeexnex04/header/ppeeexnex04.phasespace.h"
void ppeeexnex04_ax_psp_240_dux_ememepvexuux(int no_ps, phasespace_set & psi){
  static Logger logger("ppeeexnex04_ax_psp_240_dux_ememepvexuux");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(37);
  psi_needed_v_smin[no_ps].resize(37);
  int needed_v_smin_0[] = {   0,    1,    2,    8,    9,   12,   13,   14,   20,   21,   24,   25,   30,   31,   32,   33,   38,   39,   40,   41,   46,   47,   48,   49,   50,   51,   52,   53,   54,   64,   65,   68,   69,   72,   73,   76,   77,   80,   81,   84,   85,   86,   96,   97,   98,   99,  100,  101,  104,  105,  106,  107,  108,  109,  122,  123,  124,  125,  126,  127}; //  60
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 60);
  int needed_v_smin_1[] = {   0,   12,   52,   84}; //   4
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 4);
  int needed_v_smin_2[] = {   0,    3,   12,   15,   52,   55,   84,   87}; //   8
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 8);
  int needed_v_smin_3[] = {   1,    2,   13,   14,   53,   54,   85,   86}; //   8
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 8);
  int needed_v_smin_4[] = {   1,    2,    5,    6,   13,   14,   17,   18,   53,   54,   61,   62,   85,   86,   93,   94}; //  16
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 16);
  int needed_v_smin_5[] = {   3,   10,   11,   15,   22,   23,   26,   27,   28,   29,   34,   35,   36,   37,   42,   43,   44,   45,   55,   56,   57,   58,   59,   66,   67,   70,   71,   74,   75,   78,   79,   82,   83,   87,   88,   89,   90,   91,  102,  103,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121}; //  52
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 52);
  int needed_v_smin_6[] = {   3,   15,   55,   87}; //   4
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 4);
  int needed_v_smin_7[] = {   4,    5,    6,   10,   11,   16,   17,   18,   22,   23,   26,   27,   28,   29,   34,   35,   36,   37,   42,   43,   44,   45,   56,   57,   58,   59,   60,   61,   62,   66,   67,   70,   71,   74,   75,   78,   79,   82,   83,   88,   89,   90,   91,   92,   93,   94,  102,  103,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121}; //  60
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 60);
  int needed_v_smin_8[] = {   4,   16,   60,   92}; //   4
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 4);
  int needed_v_smin_9[] = {   4,    7,   16,   19,   60,   63,   92,   95}; //   8
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 8);
  int needed_v_smin_10[] = {   5,    6,   17,   18,   61,   62,   93,   94}; //   8
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 8);
  int needed_v_smin_11[] = {   7,    8,    9,   19,   20,   21,   24,   25,   30,   31,   32,   33,   38,   39,   40,   41,   46,   47,   48,   49,   50,   51,   63,   64,   65,   68,   69,   72,   73,   76,   77,   80,   81,   95,   96,   97,   98,   99,  100,  101,  104,  105,  106,  107,  108,  109,  122,  123,  124,  125,  126,  127}; //  52
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 52);
  int needed_v_smin_12[] = {   7,   19,   63,   95}; //   4
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 4);
  int needed_v_smin_13[] = {   8,    9,   20,   21,   64,   65,  100,  101,  108,  109,  126,  127}; //  12
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 12);
  int needed_v_smin_14[] = {  10,   11,   22,   23,   66,   67,  102,  103,  114,  115,  120,  121}; //  12
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 12);
  int needed_v_smin_15[] = {  12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,    0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11}; //  24
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 24);
  int needed_v_smin_16[] = {  24,   25,   40,   41,   50,   51,   98,   99,   32,   33}; //  10
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 10);
  int needed_v_smin_17[] = {  24,   25,   32,   33,   40,   41}; //   6
  psi_needed_v_smin[no_ps][ 17] = get_vector_from_array_int(needed_v_smin_17, 6);
  int needed_v_smin_18[] = {  26,   27,   42,   43,   78,   79,   82,   83,   34,   35}; //  10
  psi_needed_v_smin[no_ps][ 18] = get_vector_from_array_int(needed_v_smin_18, 10);
  int needed_v_smin_19[] = {  26,   27,   34,   35,   42,   43}; //   6
  psi_needed_v_smin[no_ps][ 19] = get_vector_from_array_int(needed_v_smin_19, 6);
  int needed_v_smin_20[] = {  28,   29,   44,   45,   58,   59,   90,   91,   36,   37}; //  10
  psi_needed_v_smin[no_ps][ 20] = get_vector_from_array_int(needed_v_smin_20, 10);
  int needed_v_smin_21[] = {  28,   29,   36,   37,   44,   45}; //   6
  psi_needed_v_smin[no_ps][ 21] = get_vector_from_array_int(needed_v_smin_21, 6);
  int needed_v_smin_22[] = {  30,   31,   46,   47,   76,   77,   80,   81,   38,   39}; //  10
  psi_needed_v_smin[no_ps][ 22] = get_vector_from_array_int(needed_v_smin_22, 10);
  int needed_v_smin_23[] = {  30,   31,   38,   39,   46,   47}; //   6
  psi_needed_v_smin[no_ps][ 23] = get_vector_from_array_int(needed_v_smin_23, 6);
  int needed_v_smin_24[] = {  48,   49,   68,   69,   76,   77,   96,   97}; //   8
  psi_needed_v_smin[no_ps][ 24] = get_vector_from_array_int(needed_v_smin_24, 8);
  int needed_v_smin_25[] = {  48,   49,   96,   97,   68,   69}; //   6
  psi_needed_v_smin[no_ps][ 25] = get_vector_from_array_int(needed_v_smin_25, 6);
  int needed_v_smin_26[] = {  50,   51,   98,   99}; //   4
  psi_needed_v_smin[no_ps][ 26] = get_vector_from_array_int(needed_v_smin_26, 4);
  int needed_v_smin_27[] = {  52,   53,   54,   55,   60,   61,   62,   63,   64,   65,   66,   67,   84,   85,   86,   87,   92,   93,   94,   95,  100,  101,  102,  103,  104,  105,  106,  107,  108,  109,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127,   72,   73,   74,   75}; //  52
  psi_needed_v_smin[no_ps][ 27] = get_vector_from_array_int(needed_v_smin_27, 52);
  int needed_v_smin_28[] = {  56,   57,   70,   71,   78,   79,   88,   89}; //   8
  psi_needed_v_smin[no_ps][ 28] = get_vector_from_array_int(needed_v_smin_28, 8);
  int needed_v_smin_29[] = {  56,   57,   88,   89,   70,   71}; //   6
  psi_needed_v_smin[no_ps][ 29] = get_vector_from_array_int(needed_v_smin_29, 6);
  int needed_v_smin_30[] = {  58,   59,   90,   91}; //   4
  psi_needed_v_smin[no_ps][ 30] = get_vector_from_array_int(needed_v_smin_30, 4);
  int needed_v_smin_31[] = {  72,   73,  104,  105,  106,  107}; //   6
  psi_needed_v_smin[no_ps][ 31] = get_vector_from_array_int(needed_v_smin_31, 6);
  int needed_v_smin_32[] = {  74,   75,  116,  117,  118,  119}; //   6
  psi_needed_v_smin[no_ps][ 32] = get_vector_from_array_int(needed_v_smin_32, 6);
  int needed_v_smin_33[] = {  80,   81}; //   2
  psi_needed_v_smin[no_ps][ 33] = get_vector_from_array_int(needed_v_smin_33, 2);
  int needed_v_smin_34[] = {  82,   83}; //   2
  psi_needed_v_smin[no_ps][ 34] = get_vector_from_array_int(needed_v_smin_34, 2);
  int needed_v_smin_35[] = { 110,  111,  112,  113}; //   4
  psi_needed_v_smin[no_ps][ 35] = get_vector_from_array_int(needed_v_smin_35, 4);
  int needed_v_smin_36[] = { 122,  123,  124,  125}; //   4
  psi_needed_v_smin[no_ps][ 36] = get_vector_from_array_int(needed_v_smin_36, 4);

  psi_v_smax[no_ps].resize(61);
  psi_needed_v_smax[no_ps].resize(61);
  int needed_v_smax_0[] = {   0,    1,    2,    8,    9,   12,   13,   14,   20,   21,   24,   25,   32,   33,   40,   41,   48,   49,   50,   51,   52,   53,   54,   64,   65,   68,   69,   72,   73,   76,   77,   80,   81,  106,  107,  108,  109}; //  37
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 37);
  int needed_v_smax_1[] = {   0,    3,   12,   15,   52,   55}; //   6
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 6);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   52,   53,   54,   55,   60,   61,   62,   63,   64,   65,   66,   67}; //  36
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 36);
  int needed_v_smax_3[] = {   1,    2,    5,    6,   13,   14,   17,   18,   53,   54,   61,   62}; //  12
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 12);
  int needed_v_smax_4[] = {   3,   10,   11,   15,   22,   23,   26,   27,   34,   35,   42,   43,   55,   66,   67,   88,   89,   90,   91,  112,  113,  114,  115}; //  23
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 23);
  int needed_v_smax_5[] = {   4,    5,    6,   16,   17,   18,   28,   29,   36,   37,   44,   45,   56,   57,   58,   59,   60,   61,   62,   70,   71,   74,   75,   78,   79,   82,   83,  118,  119,  120,  121}; //  31
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 31);
  int needed_v_smax_6[] = {   4,    7,   16,   19,   60,   63}; //   6
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 6);
  int needed_v_smax_7[] = {   7,   19,   30,   31,   38,   39,   46,   47,   63,   96,   97,   98,   99,  124,  125,  126,  127}; //  17
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 17);
  int needed_v_smax_8[] = {   8,    9,   20,   21,   32,   33,   64,   65,   72,   73,   80,   81,  108,  109}; //  14
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 14);
  int needed_v_smax_9[] = {  10,   11,   22,   23,   34,   35,   66,   67,   88,   89,   90,   91,  114,  115}; //  14
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 14);
  int needed_v_smax_10[] = {  12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,    0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47}; //  48
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 48);
  int needed_v_smax_11[] = {  24,   25,   40,   41,   50,   51}; //   6
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 6);
  int needed_v_smax_12[] = {  24,   25,   40,   41}; //   4
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 4);
  int needed_v_smax_13[] = {  26,   27,   42,   43}; //   4
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 4);
  int needed_v_smax_14[] = {  26,   27,   42,   43}; //   4
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 4);
  int needed_v_smax_15[] = {  28,   29,   44,   45,   58,   59}; //   6
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 6);
  int needed_v_smax_16[] = {  28,   29,   44,   45}; //   4
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 4);
  int needed_v_smax_17[] = {  30,   31,   46,   47}; //   4
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 4);
  int needed_v_smax_18[] = {  30,   31,   46,   47}; //   4
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 4);
  int needed_v_smax_19[] = {  36,   37,   74,   75,   82,   83,  120,  121}; //   8
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 8);
  int needed_v_smax_20[] = {  38,   39,   96,   97,   98,   99,  126,  127}; //   8
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 8);
  int needed_v_smax_21[] = {  48,   49,   68,   69,   76,   77}; //   6
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 6);
  int needed_v_smax_22[] = {  48,   49,   50,   51}; //   4
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 4);
  int needed_v_smax_23[] = {  48,   49,   50,   51}; //   4
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 4);
  int needed_v_smax_24[] = {  52,   53,   54,   55,   60,   61,   62,   63,   64,   65,   66,   67}; //  12
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 12);
  int needed_v_smax_25[] = {  56,   57,   70,   71,   78,   79}; //   6
  psi_needed_v_smax[no_ps][ 25] = get_vector_from_array_int(needed_v_smax_25, 6);
  int needed_v_smax_26[] = {  56,   57,   58,   59}; //   4
  psi_needed_v_smax[no_ps][ 26] = get_vector_from_array_int(needed_v_smax_26, 4);
  int needed_v_smax_27[] = {  56,   57,   58,   59}; //   4
  psi_needed_v_smax[no_ps][ 27] = get_vector_from_array_int(needed_v_smax_27, 4);
  int needed_v_smax_28[] = {  68,   69,   76,   77}; //   4
  psi_needed_v_smax[no_ps][ 28] = get_vector_from_array_int(needed_v_smax_28, 4);
  int needed_v_smax_29[] = {  70,   71,   78,   79}; //   4
  psi_needed_v_smax[no_ps][ 29] = get_vector_from_array_int(needed_v_smax_29, 4);
  int needed_v_smax_30[] = {  76,   77}; //   2
  psi_needed_v_smax[no_ps][ 30] = get_vector_from_array_int(needed_v_smax_30, 2);
  int needed_v_smax_31[] = {  78,   79}; //   2
  psi_needed_v_smax[no_ps][ 31] = get_vector_from_array_int(needed_v_smax_31, 2);
  int needed_v_smax_32[] = {  80,   81,   38,   39}; //   4
  psi_needed_v_smax[no_ps][ 32] = get_vector_from_array_int(needed_v_smax_32, 4);
  int needed_v_smax_33[] = {  82,   83,   34,   35}; //   4
  psi_needed_v_smax[no_ps][ 33] = get_vector_from_array_int(needed_v_smax_33, 4);
  int needed_v_smax_34[] = {  84,   85,   86,   87,   92,   93,   94,   95,  100,  101,  102,  103,  104,  105,  110,  111,  116,  117,  122,  123}; //  20
  psi_needed_v_smax[no_ps][ 34] = get_vector_from_array_int(needed_v_smax_34, 20);
  int needed_v_smax_35[] = {  84,   85,   86,  100,  101,  104,  105}; //   7
  psi_needed_v_smax[no_ps][ 35] = get_vector_from_array_int(needed_v_smax_35, 7);
  int needed_v_smax_36[] = {  84,   87}; //   2
  psi_needed_v_smax[no_ps][ 36] = get_vector_from_array_int(needed_v_smax_36, 2);
  int needed_v_smax_37[] = {  84,   85,   86,   87,   92,   93,   94,   95,  100,  101,  102,  103,  108,  109,  114,  115,  120,  121,  126,  127}; //  20
  psi_needed_v_smax[no_ps][ 37] = get_vector_from_array_int(needed_v_smax_37, 20);
  int needed_v_smax_38[] = {  85,   86,   93,   94}; //   4
  psi_needed_v_smax[no_ps][ 38] = get_vector_from_array_int(needed_v_smax_38, 4);
  int needed_v_smax_39[] = {  87,  102,  103,  110,  111}; //   5
  psi_needed_v_smax[no_ps][ 39] = get_vector_from_array_int(needed_v_smax_39, 5);
  int needed_v_smax_40[] = {  88,   89}; //   2
  psi_needed_v_smax[no_ps][ 40] = get_vector_from_array_int(needed_v_smax_40, 2);
  int needed_v_smax_41[] = {  88,   89,   90,   91,   70,   71,   74,   75,  116,  117,  118,  119}; //  12
  psi_needed_v_smax[no_ps][ 41] = get_vector_from_array_int(needed_v_smax_41, 12);
  int needed_v_smax_42[] = {  90,   91,   36,   37}; //   4
  psi_needed_v_smax[no_ps][ 42] = get_vector_from_array_int(needed_v_smax_42, 4);
  int needed_v_smax_43[] = {  92,   93,   94,  116,  117}; //   5
  psi_needed_v_smax[no_ps][ 43] = get_vector_from_array_int(needed_v_smax_43, 5);
  int needed_v_smax_44[] = {  92,   95}; //   2
  psi_needed_v_smax[no_ps][ 44] = get_vector_from_array_int(needed_v_smax_44, 2);
  int needed_v_smax_45[] = {  95,  122,  123}; //   3
  psi_needed_v_smax[no_ps][ 45] = get_vector_from_array_int(needed_v_smax_45, 3);
  int needed_v_smax_46[] = {  96,   97}; //   2
  psi_needed_v_smax[no_ps][ 46] = get_vector_from_array_int(needed_v_smax_46, 2);
  int needed_v_smax_47[] = {  96,   97,   98,   99,   68,   69,   72,   73,  104,  105,  106,  107}; //  12
  psi_needed_v_smax[no_ps][ 47] = get_vector_from_array_int(needed_v_smax_47, 12);
  int needed_v_smax_48[] = {  98,   99,   32,   33}; //   4
  psi_needed_v_smax[no_ps][ 48] = get_vector_from_array_int(needed_v_smax_48, 4);
  int needed_v_smax_49[] = { 100,  101,  104,  105,  106,  107}; //   6
  psi_needed_v_smax[no_ps][ 49] = get_vector_from_array_int(needed_v_smax_49, 6);
  int needed_v_smax_50[] = { 102,  103,  110,  111,  112,  113}; //   6
  psi_needed_v_smax[no_ps][ 50] = get_vector_from_array_int(needed_v_smax_50, 6);
  int needed_v_smax_51[] = { 106,  107}; //   2
  psi_needed_v_smax[no_ps][ 51] = get_vector_from_array_int(needed_v_smax_51, 2);
  int needed_v_smax_52[] = { 108,  109,  126,  127,   72,   73}; //   6
  psi_needed_v_smax[no_ps][ 52] = get_vector_from_array_int(needed_v_smax_52, 6);
  int needed_v_smax_53[] = { 112,  113}; //   2
  psi_needed_v_smax[no_ps][ 53] = get_vector_from_array_int(needed_v_smax_53, 2);
  int needed_v_smax_54[] = { 114,  115,  120,  121,   74,   75}; //   6
  psi_needed_v_smax[no_ps][ 54] = get_vector_from_array_int(needed_v_smax_54, 6);
  int needed_v_smax_55[] = { 116,  117,  118,  119}; //   4
  psi_needed_v_smax[no_ps][ 55] = get_vector_from_array_int(needed_v_smax_55, 4);
  int needed_v_smax_56[] = { 118,  119}; //   2
  psi_needed_v_smax[no_ps][ 56] = get_vector_from_array_int(needed_v_smax_56, 2);
  int needed_v_smax_57[] = { 122,  123,  124,  125}; //   4
  psi_needed_v_smax[no_ps][ 57] = get_vector_from_array_int(needed_v_smax_57, 4);
  int needed_v_smax_58[] = { 124,  125}; //   2
  psi_needed_v_smax[no_ps][ 58] = get_vector_from_array_int(needed_v_smax_58, 2);
  int needed_v_smax_59[] = {  80,   81,  122,  123,  124,  125}; //   6
  psi_needed_v_smax[no_ps][ 59] = get_vector_from_array_int(needed_v_smax_59, 6);
  int needed_v_smax_60[] = {  82,   83,  110,  111,  112,  113}; //   6
  psi_needed_v_smax[no_ps][ 60] = get_vector_from_array_int(needed_v_smax_60, 6);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(91);
  psi_needed_g_p[no_ps].resize(91);
  int needed_g_p_0[] = {   0,    2,    9,   12,   14,   21,   25,   33,   41,   49,   51,   52,   54,   65,   69,   73,   77,   81,  107,  109}; //  20
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 20);
  psi_container_IS_name.push_back("propagator_23_smin0_smax0");
  int needed_g_p_1[] = {   0,   12,   52}; //   3
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 3);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,    3,   12,   15,   52,   55}; //   6
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 6);
  psi_container_IS_name.push_back("propagator_24_smin2_smax2");
  int needed_g_p_3[] = {   1,    8,   13,   20,   24,   32,   40,   48,   50,   53,   64,   68,   72,   76,   80,  106,  108}; //  17
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 17);
  psi_container_IS_name.push_back("propagator_0_smin0_smax0");
  int needed_g_p_4[] = {   1,    2,   13,   14,   53,   54}; //   6
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 6);
  psi_container_IS_name.push_back("propagator_0_smin3_smax3");
  int needed_g_p_5[] = {   1,    2,    5,    6,   13,   14,   17,   18,   53,   54,   61,   62}; //  12
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 12);
  psi_container_IS_name.push_back("propagator_24_smin4_smax2");
  int needed_g_p_6[] = {   3,   10,   11,   15,   22,   23,   26,   27,   34,   35,   42,   43,   55,   66,   67,   88,   89,   90,   91,  112,  113,  114,  115}; //  23
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 23);
  psi_container_IS_name.push_back("propagator_24_smin5_smax4");
  int needed_g_p_7[] = {   3,   15,   55}; //   3
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 3);
  psi_container_IS_name.push_back("propagator_0_smin6_smax1");
  int needed_g_p_8[] = {   4,    6,   16,   18,   29,   37,   45,   57,   59,   60,   62,   71,   75,   79,   83,  119,  121}; //  17
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 17);
  psi_container_IS_name.push_back("propagator_23_smin7_smax5");
  int needed_g_p_9[] = {   4,   16,   60}; //   3
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 3);
  psi_container_IS_name.push_back("propagator_0_smin8_smax6");
  int needed_g_p_10[] = {   4,    7,   16,   19,   60,   63}; //   6
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 6);
  psi_container_IS_name.push_back("propagator_24_smin9_smax2");
  int needed_g_p_11[] = {   5,   17,   28,   36,   44,   56,   58,   61,   70,   74,   78,   82,  118,  120}; //  14
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 14);
  psi_container_IS_name.push_back("propagator_0_smin7_smax5");
  int needed_g_p_12[] = {   5,    6,   17,   18,   61,   62}; //   6
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 6);
  psi_container_IS_name.push_back("propagator_0_smin10_smax3");
  int needed_g_p_13[] = {   7,   19,   30,   31,   38,   39,   46,   47,   63,   96,   97,   98,   99,  124,  125,  126,  127}; //  17
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 17);
  psi_container_IS_name.push_back("propagator_24_smin11_smax7");
  int needed_g_p_14[] = {   7,   19,   63}; //   3
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 3);
  psi_container_IS_name.push_back("propagator_0_smin12_smax6");
  int needed_g_p_15[] = {   8,    9,   20,   21,   32,   33,   64,   65,   72,   73,   80,   81,  108,  109}; //  14
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 14);
  psi_container_IS_name.push_back("propagator_24_smin11_smax8");
  int needed_g_p_16[] = {   8,    9,   20,   21,   64,   65}; //   6
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 6);
  psi_container_IS_name.push_back("propagator_24_smin13_smax2");
  int needed_g_p_17[] = {  10,   22,   34,   66,   88,   90,  114}; //   7
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 7);
  psi_container_IS_name.push_back("propagator_0_smin7_smax9");
  int needed_g_p_18[] = {  10,   11,   22,   23,   66,   67}; //   6
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 6);
  psi_container_IS_name.push_back("propagator_24_smin14_smax2");
  int needed_g_p_19[] = {  11,   23,   35,   67,   89,   91,  115}; //   7
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 7);
  psi_container_IS_name.push_back("propagator_23_smin7_smax9");
  int needed_g_p_20[] = {  12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23}; //  12
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 12);
  psi_container_IS_name.push_back("propagator_0_smin15_smax10");
  int needed_g_p_21[] = {  24,   25,   40,   41,   50,   51}; //   6
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 6);
  psi_container_IS_name.push_back("propagator_0_smin16_smax11");
  int needed_g_p_22[] = {  24,   25,   40,   41}; //   4
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 4);
  psi_container_IS_name.push_back("propagator_24_smin11_smax12");
  int needed_g_p_23[] = {  24,   25}; //   2
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 2);
  psi_container_IS_name.push_back("propagator_0_smin17_smax10");
  int needed_g_p_24[] = {  26,   27,   42,   43}; //   4
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 4);
  psi_container_IS_name.push_back("propagator_0_smin18_smax13");
  int needed_g_p_25[] = {  26,   42}; //   2
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 2);
  psi_container_IS_name.push_back("propagator_0_smin7_smax14");
  int needed_g_p_26[] = {  26,   27}; //   2
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 2);
  psi_container_IS_name.push_back("propagator_0_smin19_smax10");
  int needed_g_p_27[] = {  27,   43}; //   2
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 2);
  psi_container_IS_name.push_back("propagator_23_smin7_smax14");
  int needed_g_p_28[] = {  28,   29,   44,   45,   58,   59}; //   6
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 6);
  psi_container_IS_name.push_back("propagator_0_smin20_smax15");
  int needed_g_p_29[] = {  28,   29,   44,   45}; //   4
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 4);
  psi_container_IS_name.push_back("propagator_24_smin5_smax16");
  int needed_g_p_30[] = {  28,   29}; //   2
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 2);
  psi_container_IS_name.push_back("propagator_0_smin21_smax10");
  int needed_g_p_31[] = {  30,   31,   46,   47}; //   4
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 4);
  psi_container_IS_name.push_back("propagator_0_smin22_smax17");
  int needed_g_p_32[] = {  30,   46}; //   2
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 2);
  psi_container_IS_name.push_back("propagator_0_smin0_smax18");
  int needed_g_p_33[] = {  30,   31}; //   2
  psi_needed_g_p[no_ps][33] = get_vector_from_array_int(needed_g_p_33, 2);
  psi_container_IS_name.push_back("propagator_0_smin23_smax10");
  int needed_g_p_34[] = {  31,   47}; //   2
  psi_needed_g_p[no_ps][34] = get_vector_from_array_int(needed_g_p_34, 2);
  psi_container_IS_name.push_back("propagator_23_smin0_smax18");
  int needed_g_p_35[] = {  36,   37,   74,   75,   82,   83,  120,  121}; //   8
  psi_needed_g_p[no_ps][35] = get_vector_from_array_int(needed_g_p_35, 8);
  psi_container_IS_name.push_back("propagator_24_smin5_smax19");
  int needed_g_p_36[] = {  38,   96,   98,  126}; //   4
  psi_needed_g_p[no_ps][36] = get_vector_from_array_int(needed_g_p_36, 4);
  psi_container_IS_name.push_back("propagator_0_smin0_smax20");
  int needed_g_p_37[] = {  39,   97,   99,  127}; //   4
  psi_needed_g_p[no_ps][37] = get_vector_from_array_int(needed_g_p_37, 4);
  psi_container_IS_name.push_back("propagator_23_smin0_smax20");
  int needed_g_p_38[] = {  48,   49,   68,   69,   76,   77}; //   6
  psi_needed_g_p[no_ps][38] = get_vector_from_array_int(needed_g_p_38, 6);
  psi_container_IS_name.push_back("propagator_0_smin24_smax21");
  int needed_g_p_39[] = {  48,   49}; //   2
  psi_needed_g_p[no_ps][39] = get_vector_from_array_int(needed_g_p_39, 2);
  psi_container_IS_name.push_back("propagator_0_smin25_smax22");
  int needed_g_p_40[] = {  48,   49,   50,   51}; //   4
  psi_needed_g_p[no_ps][40] = get_vector_from_array_int(needed_g_p_40, 4);
  psi_container_IS_name.push_back("propagator_24_smin11_smax23");
  int needed_g_p_41[] = {  50,   51}; //   2
  psi_needed_g_p[no_ps][41] = get_vector_from_array_int(needed_g_p_41, 2);
  psi_container_IS_name.push_back("propagator_0_smin26_smax22");
  int needed_g_p_42[] = {  52,   53,   54,   55,   60,   61,   62,   63,   64,   65,   66,   67}; //  12
  psi_needed_g_p[no_ps][42] = get_vector_from_array_int(needed_g_p_42, 12);
  psi_container_IS_name.push_back("propagator_0_smin27_smax24");
  int needed_g_p_43[] = {  56,   57,   70,   71,   78,   79}; //   6
  psi_needed_g_p[no_ps][43] = get_vector_from_array_int(needed_g_p_43, 6);
  psi_container_IS_name.push_back("propagator_0_smin28_smax25");
  int needed_g_p_44[] = {  56,   57}; //   2
  psi_needed_g_p[no_ps][44] = get_vector_from_array_int(needed_g_p_44, 2);
  psi_container_IS_name.push_back("propagator_0_smin29_smax26");
  int needed_g_p_45[] = {  56,   57,   58,   59}; //   4
  psi_needed_g_p[no_ps][45] = get_vector_from_array_int(needed_g_p_45, 4);
  psi_container_IS_name.push_back("propagator_24_smin5_smax27");
  int needed_g_p_46[] = {  58,   59}; //   2
  psi_needed_g_p[no_ps][46] = get_vector_from_array_int(needed_g_p_46, 2);
  psi_container_IS_name.push_back("propagator_0_smin30_smax26");
  int needed_g_p_47[] = {  68,   69,   76,   77}; //   4
  psi_needed_g_p[no_ps][47] = get_vector_from_array_int(needed_g_p_47, 4);
  psi_container_IS_name.push_back("propagator_24_smin11_smax28");
  int needed_g_p_48[] = {  70,   71,   78,   79}; //   4
  psi_needed_g_p[no_ps][48] = get_vector_from_array_int(needed_g_p_48, 4);
  psi_container_IS_name.push_back("propagator_24_smin5_smax29");
  int needed_g_p_49[] = {  76,   77}; //   2
  psi_needed_g_p[no_ps][49] = get_vector_from_array_int(needed_g_p_49, 2);
  psi_container_IS_name.push_back("propagator_0_smin22_smax30");
  int needed_g_p_50[] = {  78,   79}; //   2
  psi_needed_g_p[no_ps][50] = get_vector_from_array_int(needed_g_p_50, 2);
  psi_container_IS_name.push_back("propagator_0_smin18_smax31");
  int needed_g_p_51[] = {  80,   81}; //   2
  psi_needed_g_p[no_ps][51] = get_vector_from_array_int(needed_g_p_51, 2);
  psi_container_IS_name.push_back("propagator_0_smin22_smax32");
  int needed_g_p_52[] = {  82,   83}; //   2
  psi_needed_g_p[no_ps][52] = get_vector_from_array_int(needed_g_p_52, 2);
  psi_container_IS_name.push_back("propagator_0_smin18_smax33");
  int needed_g_p_53[] = {  84,   85,   86,   87,   92,   93,   94,   95,  100,  101,  102,  103,  104,  105,  110,  111,  116,  117,  122,  123}; //  20
  psi_needed_g_p[no_ps][53] = get_vector_from_array_int(needed_g_p_53, 20);
  psi_container_IS_name.push_back("propagator_0_smin27_smax34");
  int needed_g_p_54[] = {  84,   86,  101,  105}; //   4
  psi_needed_g_p[no_ps][54] = get_vector_from_array_int(needed_g_p_54, 4);
  psi_container_IS_name.push_back("propagator_23_smin0_smax35");
  int needed_g_p_55[] = {  84}; //   1
  psi_needed_g_p[no_ps][55] = get_vector_from_array_int(needed_g_p_55, 1);
  psi_container_IS_name.push_back("propagator_0_smin1_smax36");
  int needed_g_p_56[] = {  84,   87}; //   2
  psi_needed_g_p[no_ps][56] = get_vector_from_array_int(needed_g_p_56, 2);
  psi_container_IS_name.push_back("propagator_24_smin2_smax37");
  int needed_g_p_57[] = {  85,  100,  104}; //   3
  psi_needed_g_p[no_ps][57] = get_vector_from_array_int(needed_g_p_57, 3);
  psi_container_IS_name.push_back("propagator_0_smin0_smax35");
  int needed_g_p_58[] = {  85,   86}; //   2
  psi_needed_g_p[no_ps][58] = get_vector_from_array_int(needed_g_p_58, 2);
  psi_container_IS_name.push_back("propagator_0_smin3_smax38");
  int needed_g_p_59[] = {  85,   86,   93,   94}; //   4
  psi_needed_g_p[no_ps][59] = get_vector_from_array_int(needed_g_p_59, 4);
  psi_container_IS_name.push_back("propagator_24_smin4_smax37");
  int needed_g_p_60[] = {  87,  102,  103,  110,  111}; //   5
  psi_needed_g_p[no_ps][60] = get_vector_from_array_int(needed_g_p_60, 5);
  psi_container_IS_name.push_back("propagator_24_smin5_smax39");
  int needed_g_p_61[] = {  87}; //   1
  psi_needed_g_p[no_ps][61] = get_vector_from_array_int(needed_g_p_61, 1);
  psi_container_IS_name.push_back("propagator_0_smin6_smax36");
  int needed_g_p_62[] = {  88,   89}; //   2
  psi_needed_g_p[no_ps][62] = get_vector_from_array_int(needed_g_p_62, 2);
  psi_container_IS_name.push_back("propagator_0_smin28_smax40");
  int needed_g_p_63[] = {  88,   89}; //   2
  psi_needed_g_p[no_ps][63] = get_vector_from_array_int(needed_g_p_63, 2);
  psi_container_IS_name.push_back("propagator_0_smin29_smax41");
  int needed_g_p_64[] = {  90,   91}; //   2
  psi_needed_g_p[no_ps][64] = get_vector_from_array_int(needed_g_p_64, 2);
  psi_container_IS_name.push_back("propagator_0_smin20_smax42");
  int needed_g_p_65[] = {  90,   91}; //   2
  psi_needed_g_p[no_ps][65] = get_vector_from_array_int(needed_g_p_65, 2);
  psi_container_IS_name.push_back("propagator_0_smin30_smax41");
  int needed_g_p_66[] = {  92,   94,  117}; //   3
  psi_needed_g_p[no_ps][66] = get_vector_from_array_int(needed_g_p_66, 3);
  psi_container_IS_name.push_back("propagator_23_smin7_smax43");
  int needed_g_p_67[] = {  92}; //   1
  psi_needed_g_p[no_ps][67] = get_vector_from_array_int(needed_g_p_67, 1);
  psi_container_IS_name.push_back("propagator_0_smin8_smax44");
  int needed_g_p_68[] = {  92,   95}; //   2
  psi_needed_g_p[no_ps][68] = get_vector_from_array_int(needed_g_p_68, 2);
  psi_container_IS_name.push_back("propagator_24_smin9_smax37");
  int needed_g_p_69[] = {  93,  116}; //   2
  psi_needed_g_p[no_ps][69] = get_vector_from_array_int(needed_g_p_69, 2);
  psi_container_IS_name.push_back("propagator_0_smin7_smax43");
  int needed_g_p_70[] = {  93,   94}; //   2
  psi_needed_g_p[no_ps][70] = get_vector_from_array_int(needed_g_p_70, 2);
  psi_container_IS_name.push_back("propagator_0_smin10_smax38");
  int needed_g_p_71[] = {  95,  122,  123}; //   3
  psi_needed_g_p[no_ps][71] = get_vector_from_array_int(needed_g_p_71, 3);
  psi_container_IS_name.push_back("propagator_24_smin11_smax45");
  int needed_g_p_72[] = {  95}; //   1
  psi_needed_g_p[no_ps][72] = get_vector_from_array_int(needed_g_p_72, 1);
  psi_container_IS_name.push_back("propagator_0_smin12_smax44");
  int needed_g_p_73[] = {  96,   97}; //   2
  psi_needed_g_p[no_ps][73] = get_vector_from_array_int(needed_g_p_73, 2);
  psi_container_IS_name.push_back("propagator_0_smin24_smax46");
  int needed_g_p_74[] = {  96,   97}; //   2
  psi_needed_g_p[no_ps][74] = get_vector_from_array_int(needed_g_p_74, 2);
  psi_container_IS_name.push_back("propagator_0_smin25_smax47");
  int needed_g_p_75[] = {  98,   99}; //   2
  psi_needed_g_p[no_ps][75] = get_vector_from_array_int(needed_g_p_75, 2);
  psi_container_IS_name.push_back("propagator_0_smin16_smax48");
  int needed_g_p_76[] = {  98,   99}; //   2
  psi_needed_g_p[no_ps][76] = get_vector_from_array_int(needed_g_p_76, 2);
  psi_container_IS_name.push_back("propagator_0_smin26_smax47");
  int needed_g_p_77[] = { 100,  101,  104,  105,  106,  107}; //   6
  psi_needed_g_p[no_ps][77] = get_vector_from_array_int(needed_g_p_77, 6);
  psi_container_IS_name.push_back("propagator_24_smin11_smax49");
  int needed_g_p_78[] = { 100,  101}; //   2
  psi_needed_g_p[no_ps][78] = get_vector_from_array_int(needed_g_p_78, 2);
  psi_container_IS_name.push_back("propagator_24_smin13_smax37");
  int needed_g_p_79[] = { 102,  110,  112}; //   3
  psi_needed_g_p[no_ps][79] = get_vector_from_array_int(needed_g_p_79, 3);
  psi_container_IS_name.push_back("propagator_0_smin7_smax50");
  int needed_g_p_80[] = { 102,  103}; //   2
  psi_needed_g_p[no_ps][80] = get_vector_from_array_int(needed_g_p_80, 2);
  psi_container_IS_name.push_back("propagator_24_smin14_smax37");
  int needed_g_p_81[] = { 103,  111,  113}; //   3
  psi_needed_g_p[no_ps][81] = get_vector_from_array_int(needed_g_p_81, 3);
  psi_container_IS_name.push_back("propagator_23_smin7_smax50");
  int needed_g_p_82[] = { 106,  107}; //   2
  psi_needed_g_p[no_ps][82] = get_vector_from_array_int(needed_g_p_82, 2);
  psi_container_IS_name.push_back("propagator_0_smin27_smax51");
  int needed_g_p_83[] = { 108,  109,  126,  127}; //   4
  psi_needed_g_p[no_ps][83] = get_vector_from_array_int(needed_g_p_83, 4);
  psi_container_IS_name.push_back("propagator_0_smin27_smax52");
  int needed_g_p_84[] = { 112,  113}; //   2
  psi_needed_g_p[no_ps][84] = get_vector_from_array_int(needed_g_p_84, 2);
  psi_container_IS_name.push_back("propagator_0_smin27_smax53");
  int needed_g_p_85[] = { 114,  115,  120,  121}; //   4
  psi_needed_g_p[no_ps][85] = get_vector_from_array_int(needed_g_p_85, 4);
  psi_container_IS_name.push_back("propagator_0_smin27_smax54");
  int needed_g_p_86[] = { 116,  117,  118,  119}; //   4
  psi_needed_g_p[no_ps][86] = get_vector_from_array_int(needed_g_p_86, 4);
  psi_container_IS_name.push_back("propagator_24_smin5_smax55");
  int needed_g_p_87[] = { 118,  119}; //   2
  psi_needed_g_p[no_ps][87] = get_vector_from_array_int(needed_g_p_87, 2);
  psi_container_IS_name.push_back("propagator_0_smin27_smax56");
  int needed_g_p_88[] = { 122,  124}; //   2
  psi_needed_g_p[no_ps][88] = get_vector_from_array_int(needed_g_p_88, 2);
  psi_container_IS_name.push_back("propagator_0_smin0_smax57");
  int needed_g_p_89[] = { 123,  125}; //   2
  psi_needed_g_p[no_ps][89] = get_vector_from_array_int(needed_g_p_89, 2);
  psi_container_IS_name.push_back("propagator_23_smin0_smax57");
  int needed_g_p_90[] = { 124,  125}; //   2
  psi_needed_g_p[no_ps][90] = get_vector_from_array_int(needed_g_p_90, 2);
  psi_container_IS_name.push_back("propagator_0_smin27_smax58");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(21);
  psi_needed_g_f[no_ps].resize(21);
  int needed_g_f_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11}; //  12
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 12);
  psi_container_IS_name.push_back("timelikeinvariant_smin15_smax10");
  int needed_g_f_1[] = {  32,   33}; //   2
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin16_smax48");
  int needed_g_f_2[] = {  32,   33,   40,   41}; //   4
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin17_smax10");
  int needed_g_f_3[] = {  34,   35}; //   2
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin18_smax33");
  int needed_g_f_4[] = {  34,   35,   42,   43}; //   4
  psi_needed_g_f[no_ps][4] = get_vector_from_array_int(needed_g_f_4, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin19_smax10");
  int needed_g_f_5[] = {  36,   37}; //   2
  psi_needed_g_f[no_ps][5] = get_vector_from_array_int(needed_g_f_5, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin20_smax42");
  int needed_g_f_6[] = {  36,   37,   44,   45}; //   4
  psi_needed_g_f[no_ps][6] = get_vector_from_array_int(needed_g_f_6, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin21_smax10");
  int needed_g_f_7[] = {  38,   39}; //   2
  psi_needed_g_f[no_ps][7] = get_vector_from_array_int(needed_g_f_7, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin22_smax32");
  int needed_g_f_8[] = {  38,   39,   46,   47}; //   4
  psi_needed_g_f[no_ps][8] = get_vector_from_array_int(needed_g_f_8, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin23_smax10");
  int needed_g_f_9[] = {  68,   69}; //   2
  psi_needed_g_f[no_ps][9] = get_vector_from_array_int(needed_g_f_9, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin25_smax47");
  int needed_g_f_10[] = {  70,   71}; //   2
  psi_needed_g_f[no_ps][10] = get_vector_from_array_int(needed_g_f_10, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin29_smax41");
  int needed_g_f_11[] = {  72,   73}; //   2
  psi_needed_g_f[no_ps][11] = get_vector_from_array_int(needed_g_f_11, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin27_smax52");
  int needed_g_f_12[] = {  72,   73,  104,  105,  106,  107}; //   6
  psi_needed_g_f[no_ps][12] = get_vector_from_array_int(needed_g_f_12, 6);
  psi_container_IS_name.push_back("timelikeinvariant_smin31_smax47");
  int needed_g_f_13[] = {  74,   75}; //   2
  psi_needed_g_f[no_ps][13] = get_vector_from_array_int(needed_g_f_13, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin27_smax54");
  int needed_g_f_14[] = {  74,   75,  116,  117,  118,  119}; //   6
  psi_needed_g_f[no_ps][14] = get_vector_from_array_int(needed_g_f_14, 6);
  psi_container_IS_name.push_back("timelikeinvariant_smin32_smax41");
  int needed_g_f_15[] = {  80,   81}; //   2
  psi_needed_g_f[no_ps][15] = get_vector_from_array_int(needed_g_f_15, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin33_smax59");
  int needed_g_f_16[] = {  82,   83}; //   2
  psi_needed_g_f[no_ps][16] = get_vector_from_array_int(needed_g_f_16, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin34_smax60");
  int needed_g_f_17[] = { 108,  109,  126,  127}; //   4
  psi_needed_g_f[no_ps][17] = get_vector_from_array_int(needed_g_f_17, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin13_smax37");
  int needed_g_f_18[] = { 110,  111,  112,  113}; //   4
  psi_needed_g_f[no_ps][18] = get_vector_from_array_int(needed_g_f_18, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin35_smax60");
  int needed_g_f_19[] = { 114,  115,  120,  121}; //   4
  psi_needed_g_f[no_ps][19] = get_vector_from_array_int(needed_g_f_19, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin14_smax37");
  int needed_g_f_20[] = { 122,  123,  124,  125}; //   4
  psi_needed_g_f[no_ps][20] = get_vector_from_array_int(needed_g_f_20, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin36_smax59");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(40);
  psi_needed_g_t[no_ps].resize(40);
  int needed_g_t_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47}; //  48
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 48);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__128_124");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__128_124");
  int needed_g_t_1[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11}; //  12
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 12);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__130_1__64_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__130_1__64_60");
  int needed_g_t_2[] = {  32,   33,   40,   41}; //   4
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_130__36_88");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_130__36_88");
  int needed_g_t_3[] = {  32,   33}; //   2
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__130_37__64_24");
  psi_container_IS_name.push_back("phi_of_tchannel_0__130_37__64_24");
  int needed_g_t_4[] = {  34,   35,   42,   43}; //   4
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_130__20_104");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_130__20_104");
  int needed_g_t_5[] = {  34,   35}; //   2
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__130_21__64_40");
  psi_container_IS_name.push_back("phi_of_tchannel_0__130_21__64_40");
  int needed_g_t_6[] = {  36,   37,   44,   45}; //   4
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_130__40_84");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_130__40_84");
  int needed_g_t_7[] = {  36,   37}; //   2
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__130_41__64_20");
  psi_container_IS_name.push_back("phi_of_tchannel_0__130_41__64_20");
  int needed_g_t_8[] = {  38,   39,   46,   47}; //   4
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_130__24_100");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_130__24_100");
  int needed_g_t_9[] = {  38,   39}; //   2
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__130_25__64_36");
  psi_container_IS_name.push_back("phi_of_tchannel_0__130_25__64_36");
  int needed_g_t_10[] = {  48,   49,   50,   51,   68,   69,   72,   73,  104,  105,  106,  107}; //  12
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 12);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__36_216");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__36_216");
  int needed_g_t_11[] = {  52,   53,   54,   55,   60,   61,   62,   63,   64,   65,   66,   67,  108,  109,  114,  115,  120,  121,  126,  127}; //  20
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 20);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__192_60");
  int needed_g_t_12[] = {  56,   57,   58,   59,   70,   71,   74,   75,  116,  117,  118,  119}; //  12
  psi_needed_g_t[no_ps][12] = get_vector_from_array_int(needed_g_t_12, 12);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__40_212");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__40_212");
  int needed_g_t_13[] = {  68,   69}; //   2
  psi_needed_g_t[no_ps][13] = get_vector_from_array_int(needed_g_t_13, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_37__152_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_37__152_64");
  int needed_g_t_14[] = {  70,   71}; //   2
  psi_needed_g_t[no_ps][14] = get_vector_from_array_int(needed_g_t_14, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_41__148_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_41__148_64");
  int needed_g_t_15[] = {  72,   73,  106,  107}; //   4
  psi_needed_g_t[no_ps][15] = get_vector_from_array_int(needed_g_t_15, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_37__24_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_37__24_192");
  int needed_g_t_16[] = {  72,   73}; //   2
  psi_needed_g_t[no_ps][16] = get_vector_from_array_int(needed_g_t_16, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__37_26__64_128");
  psi_container_IS_name.push_back("phi_of_tchannel_0__37_26__64_128");
  int needed_g_t_17[] = {  74,   75,  118,  119}; //   4
  psi_needed_g_t[no_ps][17] = get_vector_from_array_int(needed_g_t_17, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_41__20_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_41__20_192");
  int needed_g_t_18[] = {  74,   75}; //   2
  psi_needed_g_t[no_ps][18] = get_vector_from_array_int(needed_g_t_18, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__41_22__64_128");
  psi_container_IS_name.push_back("phi_of_tchannel_0__41_22__64_128");
  int needed_g_t_19[] = {  76,   77}; //   2
  psi_needed_g_t[no_ps][19] = get_vector_from_array_int(needed_g_t_19, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__100_152");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__100_152");
  int needed_g_t_20[] = {  78,   79}; //   2
  psi_needed_g_t[no_ps][20] = get_vector_from_array_int(needed_g_t_20, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__104_148");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__104_148");
  int needed_g_t_21[] = {  80,   81}; //   2
  psi_needed_g_t[no_ps][21] = get_vector_from_array_int(needed_g_t_21, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__24_228");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__24_228");
  int needed_g_t_22[] = {  80,   81}; //   2
  psi_needed_g_t[no_ps][22] = get_vector_from_array_int(needed_g_t_22, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_26__100_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_26__100_128");
  int needed_g_t_23[] = {  82,   83}; //   2
  psi_needed_g_t[no_ps][23] = get_vector_from_array_int(needed_g_t_23, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__20_232");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__20_232");
  int needed_g_t_24[] = {  82,   83}; //   2
  psi_needed_g_t[no_ps][24] = get_vector_from_array_int(needed_g_t_24, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_22__104_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_22__104_128");
  int needed_g_t_25[] = {  84,   85,   86,   87,   92,   93,   94,   95,  100,  101,  102,  103}; //  12
  psi_needed_g_t[no_ps][25] = get_vector_from_array_int(needed_g_t_25, 12);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__192_60");
  int needed_g_t_26[] = {  88,   89,   90,   91}; //   4
  psi_needed_g_t[no_ps][26] = get_vector_from_array_int(needed_g_t_26, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__40_212");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__40_212");
  int needed_g_t_27[] = {  96,   97,   98,   99}; //   4
  psi_needed_g_t[no_ps][27] = get_vector_from_array_int(needed_g_t_27, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__36_216");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__36_216");
  int needed_g_t_28[] = { 104,  105}; //   2
  psi_needed_g_t[no_ps][28] = get_vector_from_array_int(needed_g_t_28, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_37__192_24");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_37__192_24");
  int needed_g_t_29[] = { 108,  109}; //   2
  psi_needed_g_t[no_ps][29] = get_vector_from_array_int(needed_g_t_29, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__24_36");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__24_36");
  int needed_g_t_30[] = { 110,  111,  112,  113}; //   4
  psi_needed_g_t[no_ps][30] = get_vector_from_array_int(needed_g_t_30, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__20_232");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__20_232");
  int needed_g_t_31[] = { 110,  111}; //   2
  psi_needed_g_t[no_ps][31] = get_vector_from_array_int(needed_g_t_31, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_21__192_40");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_21__192_40");
  int needed_g_t_32[] = { 112,  113}; //   2
  psi_needed_g_t[no_ps][32] = get_vector_from_array_int(needed_g_t_32, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_21__40_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_21__40_192");
  int needed_g_t_33[] = { 114,  115}; //   2
  psi_needed_g_t[no_ps][33] = get_vector_from_array_int(needed_g_t_33, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__40_20");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__40_20");
  int needed_g_t_34[] = { 116,  117}; //   2
  psi_needed_g_t[no_ps][34] = get_vector_from_array_int(needed_g_t_34, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_41__192_20");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_41__192_20");
  int needed_g_t_35[] = { 120,  121}; //   2
  psi_needed_g_t[no_ps][35] = get_vector_from_array_int(needed_g_t_35, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__20_40");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__20_40");
  int needed_g_t_36[] = { 122,  123,  124,  125}; //   4
  psi_needed_g_t[no_ps][36] = get_vector_from_array_int(needed_g_t_36, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__24_228");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__24_228");
  int needed_g_t_37[] = { 122,  123}; //   2
  psi_needed_g_t[no_ps][37] = get_vector_from_array_int(needed_g_t_37, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_25__192_36");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_25__192_36");
  int needed_g_t_38[] = { 124,  125}; //   2
  psi_needed_g_t[no_ps][38] = get_vector_from_array_int(needed_g_t_38, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_25__36_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_25__36_192");
  int needed_g_t_39[] = { 126,  127}; //   2
  psi_needed_g_t[no_ps][39] = get_vector_from_array_int(needed_g_t_39, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__36_24");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__36_24");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(31);
  psi_needed_g_d[no_ps].resize(31);
  int needed_g_d_0[] = {   0,    3,   12,   15,   52,   55,   84,   87}; //   8
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__4_56");
  psi_container_IS_name.push_back("phi_of_decay_60__4_56");
  int needed_g_d_1[] = {   0,   12,   52,   84}; //   4
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 4);
  psi_container_IS_name.push_back("costheta_of_decay_56__32_24");
  psi_container_IS_name.push_back("phi_of_decay_56__32_24");
  int needed_g_d_2[] = {   0,    1,    2,    8,    9,   12,   13,   14,   20,   21,   24,   25,   30,   31,   32,   33,   38,   39,   40,   41,   46,   47,   48,   49,   50,   51,   52,   53,   54,   64,   65,   68,   69,   72,   73,   76,   77,   80,   81,   84,   85,   86,   96,   97,   98,   99,  100,  101,  104,  105,  106,  107,  108,  109,  122,  123,  124,  125,  126,  127}; //  60
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 60);
  psi_container_IS_name.push_back("costheta_of_decay_24__8_16");
  psi_container_IS_name.push_back("phi_of_decay_24__8_16");
  int needed_g_d_3[] = {   1,    2,    5,    6,   13,   14,   17,   18,   53,   54,   61,   62,   85,   86,   93,   94}; //  16
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_4[] = {   1,    2,   13,   14,   53,   54,   85,   86}; //   8
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 8);
  psi_container_IS_name.push_back("costheta_of_decay_28__4_24");
  psi_container_IS_name.push_back("phi_of_decay_28__4_24");
  int needed_g_d_5[] = {   3,   15,   55,   87}; //   4
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 4);
  psi_container_IS_name.push_back("costheta_of_decay_56__16_40");
  psi_container_IS_name.push_back("phi_of_decay_56__16_40");
  int needed_g_d_6[] = {   3,   10,   11,   15,   22,   23,   26,   27,   28,   29,   34,   35,   36,   37,   42,   43,   44,   45,   55,   56,   57,   58,   59,   66,   67,   70,   71,   74,   75,   78,   79,   82,   83,   87,   88,   89,   90,   91,  102,  103,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121}; //  52
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 52);
  psi_container_IS_name.push_back("costheta_of_decay_40__8_32");
  psi_container_IS_name.push_back("phi_of_decay_40__8_32");
  int needed_g_d_7[] = {   4,    7,   16,   19,   60,   63,   92,   95}; //   8
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_8[] = {   4,   16,   60,   92}; //   4
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 4);
  psi_container_IS_name.push_back("costheta_of_decay_52__32_20");
  psi_container_IS_name.push_back("phi_of_decay_52__32_20");
  int needed_g_d_9[] = {   4,    5,    6,   10,   11,   16,   17,   18,   22,   23,   26,   27,   28,   29,   34,   35,   36,   37,   42,   43,   44,   45,   56,   57,   58,   59,   60,   61,   62,   66,   67,   70,   71,   74,   75,   78,   79,   82,   83,   88,   89,   90,   91,   92,   93,   94,  102,  103,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121}; //  60
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 60);
  psi_container_IS_name.push_back("costheta_of_decay_20__4_16");
  psi_container_IS_name.push_back("phi_of_decay_20__4_16");
  int needed_g_d_10[] = {   5,    6,   17,   18,   61,   62,   93,   94}; //   8
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 8);
  psi_container_IS_name.push_back("costheta_of_decay_28__8_20");
  psi_container_IS_name.push_back("phi_of_decay_28__8_20");
  int needed_g_d_11[] = {   7,   19,   63,   95}; //   4
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 4);
  psi_container_IS_name.push_back("costheta_of_decay_52__16_36");
  psi_container_IS_name.push_back("phi_of_decay_52__16_36");
  int needed_g_d_12[] = {   7,    8,    9,   19,   20,   21,   24,   25,   30,   31,   32,   33,   38,   39,   40,   41,   46,   47,   48,   49,   50,   51,   63,   64,   65,   68,   69,   72,   73,   76,   77,   80,   81,   95,   96,   97,   98,   99,  100,  101,  104,  105,  106,  107,  108,  109,  122,  123,  124,  125,  126,  127}; //  52
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 52);
  psi_container_IS_name.push_back("costheta_of_decay_36__4_32");
  psi_container_IS_name.push_back("phi_of_decay_36__4_32");
  int needed_g_d_13[] = {   8,    9,   20,   21,   64,   65,  100,  101}; //   8
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__36_24");
  psi_container_IS_name.push_back("phi_of_decay_60__36_24");
  int needed_g_d_14[] = {  10,   11,   22,   23,   66,   67,  102,  103}; //   8
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__20_40");
  psi_container_IS_name.push_back("phi_of_decay_60__20_40");
  int needed_g_d_15[] = {  12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23}; //  12
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 12);
  psi_container_IS_name.push_back("costheta_of_decay_124__64_60");
  psi_container_IS_name.push_back("phi_of_decay_124__64_60");
  int needed_g_d_16[] = {  24,   25}; //   2
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 2);
  psi_container_IS_name.push_back("costheta_of_decay_124__36_88");
  psi_container_IS_name.push_back("phi_of_decay_124__36_88");
  int needed_g_d_17[] = {  24,   25,   40,   41,   50,   51,   98,   99}; //   8
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 8);
  psi_container_IS_name.push_back("costheta_of_decay_88__64_24");
  psi_container_IS_name.push_back("phi_of_decay_88__64_24");
  int needed_g_d_18[] = {  26,   27}; //   2
  psi_needed_g_d[no_ps][18] = get_vector_from_array_int(needed_g_d_18, 2);
  psi_container_IS_name.push_back("costheta_of_decay_124__20_104");
  psi_container_IS_name.push_back("phi_of_decay_124__20_104");
  int needed_g_d_19[] = {  26,   27,   42,   43,   78,   79,   82,   83}; //   8
  psi_needed_g_d[no_ps][19] = get_vector_from_array_int(needed_g_d_19, 8);
  psi_container_IS_name.push_back("costheta_of_decay_104__64_40");
  psi_container_IS_name.push_back("phi_of_decay_104__64_40");
  int needed_g_d_20[] = {  28,   29}; //   2
  psi_needed_g_d[no_ps][20] = get_vector_from_array_int(needed_g_d_20, 2);
  psi_container_IS_name.push_back("costheta_of_decay_124__40_84");
  psi_container_IS_name.push_back("phi_of_decay_124__40_84");
  int needed_g_d_21[] = {  28,   29,   44,   45,   58,   59,   90,   91}; //   8
  psi_needed_g_d[no_ps][21] = get_vector_from_array_int(needed_g_d_21, 8);
  psi_container_IS_name.push_back("costheta_of_decay_84__64_20");
  psi_container_IS_name.push_back("phi_of_decay_84__64_20");
  int needed_g_d_22[] = {  30,   31}; //   2
  psi_needed_g_d[no_ps][22] = get_vector_from_array_int(needed_g_d_22, 2);
  psi_container_IS_name.push_back("costheta_of_decay_124__24_100");
  psi_container_IS_name.push_back("phi_of_decay_124__24_100");
  int needed_g_d_23[] = {  30,   31,   46,   47,   76,   77,   80,   81}; //   8
  psi_needed_g_d[no_ps][23] = get_vector_from_array_int(needed_g_d_23, 8);
  psi_container_IS_name.push_back("costheta_of_decay_100__64_36");
  psi_container_IS_name.push_back("phi_of_decay_100__64_36");
  int needed_g_d_24[] = {  48,   49,   96,   97}; //   4
  psi_needed_g_d[no_ps][24] = get_vector_from_array_int(needed_g_d_24, 4);
  psi_container_IS_name.push_back("costheta_of_decay_216__64_152");
  psi_container_IS_name.push_back("phi_of_decay_216__64_152");
  int needed_g_d_25[] = {  48,   49,   68,   69,   76,   77,   96,   97}; //   8
  psi_needed_g_d[no_ps][25] = get_vector_from_array_int(needed_g_d_25, 8);
  psi_container_IS_name.push_back("costheta_of_decay_152__128_24");
  psi_container_IS_name.push_back("phi_of_decay_152__128_24");
  int needed_g_d_26[] = {  50,   51,   98,   99}; //   4
  psi_needed_g_d[no_ps][26] = get_vector_from_array_int(needed_g_d_26, 4);
  psi_container_IS_name.push_back("costheta_of_decay_216__128_88");
  psi_container_IS_name.push_back("phi_of_decay_216__128_88");
  int needed_g_d_27[] = {  52,   53,   54,   55,   60,   61,   62,   63,   64,   65,   66,   67,   84,   85,   86,   87,   92,   93,   94,   95,  100,  101,  102,  103,  104,  105,  106,  107,  108,  109,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127}; //  48
  psi_needed_g_d[no_ps][27] = get_vector_from_array_int(needed_g_d_27, 48);
  psi_container_IS_name.push_back("costheta_of_decay_192__64_128");
  psi_container_IS_name.push_back("phi_of_decay_192__64_128");
  int needed_g_d_28[] = {  56,   57,   88,   89}; //   4
  psi_needed_g_d[no_ps][28] = get_vector_from_array_int(needed_g_d_28, 4);
  psi_container_IS_name.push_back("costheta_of_decay_212__64_148");
  psi_container_IS_name.push_back("phi_of_decay_212__64_148");
  int needed_g_d_29[] = {  56,   57,   70,   71,   78,   79,   88,   89}; //   8
  psi_needed_g_d[no_ps][29] = get_vector_from_array_int(needed_g_d_29, 8);
  psi_container_IS_name.push_back("costheta_of_decay_148__128_20");
  psi_container_IS_name.push_back("phi_of_decay_148__128_20");
  int needed_g_d_30[] = {  58,   59,   90,   91}; //   4
  psi_needed_g_d[no_ps][30] = get_vector_from_array_int(needed_g_d_30, 4);
  psi_container_IS_name.push_back("costheta_of_decay_212__128_84");
  psi_container_IS_name.push_back("phi_of_decay_212__128_84");

  psi_c_p[no_ps].resize(128);
  psi_c_f[no_ps].resize(128);
  psi_c_t[no_ps].resize(128);
  psi_c_d[no_ps].resize(128);

  int c_p_0[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 3);
  int c_f_0[] = {  0}; //   1
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 1);
  int c_t_0[] = {  0,   1}; //   2
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 2);
  int c_d_0[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 3);

  int c_p_1[] = {  3,   4,   5}; //   3
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 3);
  int c_f_1[] = {  0}; //   1
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 1);
  int c_t_1[] = {  0,   1}; //   2
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 2);
  int c_d_1[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 3);

  int c_p_2[] = {  0,   4,   5}; //   3
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 3);
  int c_f_2[] = {  0}; //   1
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 1);
  int c_t_2[] = {  0,   1}; //   2
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 2);
  int c_d_2[] = {  3,   4,   2}; //   3
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 3);

  int c_p_3[] = {  6,   7,   2}; //   3
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 3);
  int c_f_3[] = {  0}; //   1
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 1);
  int c_t_3[] = {  0,   1}; //   2
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 2);
  int c_d_3[] = {  0,   5,   6}; //   3
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 3);

  int c_p_4[] = {  8,   9,  10}; //   3
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 3);
  int c_f_4[] = {  0}; //   1
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 1);
  int c_t_4[] = {  0,   1}; //   2
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 2);
  int c_d_4[] = {  7,   8,   9}; //   3
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 3);

  int c_p_5[] = { 11,  12,   5}; //   3
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 3);
  int c_f_5[] = {  0}; //   1
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 1);
  int c_t_5[] = {  0,   1}; //   2
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 2);
  int c_d_5[] = {  3,  10,   9}; //   3
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 3);

  int c_p_6[] = {  8,  12,   5}; //   3
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 3);
  int c_f_6[] = {  0}; //   1
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 1);
  int c_t_6[] = {  0,   1}; //   2
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 2);
  int c_d_6[] = {  3,  10,   9}; //   3
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 3);

  int c_p_7[] = { 13,  14,  10}; //   3
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 3);
  int c_f_7[] = {  0}; //   1
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 1);
  int c_t_7[] = {  0,   1}; //   2
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 2);
  int c_d_7[] = {  7,  11,  12}; //   3
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 3);

  int c_p_8[] = {  3,  15,  16}; //   3
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 3);
  int c_f_8[] = {  0}; //   1
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 1);
  int c_t_8[] = {  0,   1}; //   2
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 2);
  int c_d_8[] = { 13,  12,   2}; //   3
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 3);

  int c_p_9[] = {  0,  15,  16}; //   3
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 3);
  int c_f_9[] = {  0}; //   1
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 1);
  int c_t_9[] = {  0,   1}; //   2
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 2);
  int c_d_9[] = { 13,  12,   2}; //   3
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 3);

  int c_p_10[] = {  6,  17,  18}; //   3
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 3);
  int c_f_10[] = {  0}; //   1
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 1);
  int c_t_10[] = {  0,   1}; //   2
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 2);
  int c_d_10[] = { 14,   9,   6}; //   3
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 3);

  int c_p_11[] = {  6,  19,  18}; //   3
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 3);
  int c_f_11[] = {  0}; //   1
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 1);
  int c_t_11[] = {  0,   1}; //   2
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 2);
  int c_d_11[] = { 14,   9,   6}; //   3
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 3);

  int c_p_12[] = {  0,   1,   2,  20}; //   4
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 4);
  int c_f_12[] = {}; //   0
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 0);
  int c_t_12[] = {  0}; //   1
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 1);
  int c_d_12[] = { 15,   0,   1,   2}; //   4
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 4);

  int c_p_13[] = {  3,   4,   5,  20}; //   4
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 4);
  int c_f_13[] = {}; //   0
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 0);
  int c_t_13[] = {  0}; //   1
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 1);
  int c_d_13[] = { 15,   3,   4,   2}; //   4
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 4);

  int c_p_14[] = {  0,   4,   5,  20}; //   4
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 4);
  int c_f_14[] = {}; //   0
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 0);
  int c_t_14[] = {  0}; //   1
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 1);
  int c_d_14[] = { 15,   3,   4,   2}; //   4
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 4);

  int c_p_15[] = {  6,   7,   2,  20}; //   4
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 4);
  int c_f_15[] = {}; //   0
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 0);
  int c_t_15[] = {  0}; //   1
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 1);
  int c_d_15[] = { 15,   0,   5,   6}; //   4
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 4);

  int c_p_16[] = {  8,   9,  10,  20}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {  0}; //   1
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 1);
  int c_d_16[] = { 15,   7,   8,   9}; //   4
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 4);

  int c_p_17[] = { 11,  12,   5,  20}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {  0}; //   1
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 1);
  int c_d_17[] = { 15,   3,  10,   9}; //   4
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 4);

  int c_p_18[] = {  8,  12,   5,  20}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {  0}; //   1
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 1);
  int c_d_18[] = { 15,   3,  10,   9}; //   4
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 4);

  int c_p_19[] = { 13,  14,  10,  20}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {  0}; //   1
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 1);
  int c_d_19[] = { 15,   7,  11,  12}; //   4
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 4);

  int c_p_20[] = {  3,  15,  16,  20}; //   4
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 4);
  int c_f_20[] = {}; //   0
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 0);
  int c_t_20[] = {  0}; //   1
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 1);
  int c_d_20[] = { 15,  13,  12,   2}; //   4
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 4);

  int c_p_21[] = {  0,  15,  16,  20}; //   4
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 4);
  int c_f_21[] = {}; //   0
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 0);
  int c_t_21[] = {  0}; //   1
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 1);
  int c_d_21[] = { 15,  13,  12,   2}; //   4
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 4);

  int c_p_22[] = {  6,  17,  18,  20}; //   4
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 4);
  int c_f_22[] = {}; //   0
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 0);
  int c_t_22[] = {  0}; //   1
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 1);
  int c_d_22[] = { 15,  14,   9,   6}; //   4
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 4);

  int c_p_23[] = {  6,  19,  18,  20}; //   4
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 4);
  int c_f_23[] = {}; //   0
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 0);
  int c_t_23[] = {  0}; //   1
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 1);
  int c_d_23[] = { 15,  14,   9,   6}; //   4
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 4);

  int c_p_24[] = {  3,  21,  22,  23}; //   4
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 4);
  int c_f_24[] = {}; //   0
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 0);
  int c_t_24[] = {  0}; //   1
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 1);
  int c_d_24[] = { 16,  12,  17,   2}; //   4
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 4);

  int c_p_25[] = {  0,  21,  22,  23}; //   4
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 4);
  int c_f_25[] = {}; //   0
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 0);
  int c_t_25[] = {  0}; //   1
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 1);
  int c_d_25[] = { 16,  12,  17,   2}; //   4
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 4);

  int c_p_26[] = {  6,  24,  25,  26}; //   4
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 4);
  int c_f_26[] = {}; //   0
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 0);
  int c_t_26[] = {  0}; //   1
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 1);
  int c_d_26[] = { 18,   9,  19,   6}; //   4
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 4);

  int c_p_27[] = {  6,  24,  27,  26}; //   4
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 4);
  int c_f_27[] = {}; //   0
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 0);
  int c_t_27[] = {  0}; //   1
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 1);
  int c_d_27[] = { 18,   9,  19,   6}; //   4
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 4);

  int c_p_28[] = { 11,  28,  29,  30}; //   4
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 4);
  int c_f_28[] = {}; //   0
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 0);
  int c_t_28[] = {  0}; //   1
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 1);
  int c_d_28[] = { 20,   6,  21,   9}; //   4
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 4);

  int c_p_29[] = {  8,  28,  29,  30}; //   4
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 4);
  int c_f_29[] = {}; //   0
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 0);
  int c_t_29[] = {  0}; //   1
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 1);
  int c_d_29[] = { 20,   6,  21,   9}; //   4
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 4);

  int c_p_30[] = { 13,  31,  32,  33}; //   4
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 4);
  int c_f_30[] = {}; //   0
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 0);
  int c_t_30[] = {  0}; //   1
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 1);
  int c_d_30[] = { 22,   2,  23,  12}; //   4
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 4);

  int c_p_31[] = { 13,  31,  34,  33}; //   4
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 4);
  int c_f_31[] = {}; //   0
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 0);
  int c_t_31[] = {  0}; //   1
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 1);
  int c_d_31[] = { 22,   2,  23,  12}; //   4
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 4);

  int c_p_32[] = {  3,  15}; //   2
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 2);
  int c_f_32[] = {  1,   2}; //   2
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 2);
  int c_t_32[] = {  0,   2,   3}; //   3
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 3);
  int c_d_32[] = { 12,   2}; //   2
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 2);

  int c_p_33[] = {  0,  15}; //   2
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 2);
  int c_f_33[] = {  1,   2}; //   2
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 2);
  int c_t_33[] = {  0,   2,   3}; //   3
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 3);
  int c_d_33[] = { 12,   2}; //   2
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 2);

  int c_p_34[] = {  6,  17}; //   2
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 2);
  int c_f_34[] = {  3,   4}; //   2
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 2);
  int c_t_34[] = {  0,   4,   5}; //   3
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 3);
  int c_d_34[] = {  9,   6}; //   2
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 2);

  int c_p_35[] = {  6,  19}; //   2
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 2);
  int c_f_35[] = {  3,   4}; //   2
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 2);
  int c_t_35[] = {  0,   4,   5}; //   3
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 3);
  int c_d_35[] = {  9,   6}; //   2
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 2);

  int c_p_36[] = { 11,  35}; //   2
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 2);
  int c_f_36[] = {  5,   6}; //   2
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 2);
  int c_t_36[] = {  0,   6,   7}; //   3
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 3);
  int c_d_36[] = {  6,   9}; //   2
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 2);

  int c_p_37[] = {  8,  35}; //   2
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 2);
  int c_f_37[] = {  5,   6}; //   2
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 2);
  int c_t_37[] = {  0,   6,   7}; //   3
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 3);
  int c_d_37[] = {  6,   9}; //   2
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 2);

  int c_p_38[] = { 13,  36}; //   2
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 2);
  int c_f_38[] = {  7,   8}; //   2
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 2);
  int c_t_38[] = {  0,   8,   9}; //   3
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 3);
  int c_d_38[] = {  2,  12}; //   2
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 2);

  int c_p_39[] = { 13,  37}; //   2
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 2);
  int c_f_39[] = {  7,   8}; //   2
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 2);
  int c_t_39[] = {  0,   8,   9}; //   3
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 3);
  int c_d_39[] = {  2,  12}; //   2
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 2);

  int c_p_40[] = {  3,  21,  22}; //   3
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 3);
  int c_f_40[] = {  2}; //   1
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 1);
  int c_t_40[] = {  0,   2}; //   2
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 2);
  int c_d_40[] = { 12,  17,   2}; //   3
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 3);

  int c_p_41[] = {  0,  21,  22}; //   3
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 3);
  int c_f_41[] = {  2}; //   1
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 1);
  int c_t_41[] = {  0,   2}; //   2
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 2);
  int c_d_41[] = { 12,  17,   2}; //   3
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 3);

  int c_p_42[] = {  6,  24,  25}; //   3
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 3);
  int c_f_42[] = {  4}; //   1
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 1);
  int c_t_42[] = {  0,   4}; //   2
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 2);
  int c_d_42[] = {  9,  19,   6}; //   3
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 3);

  int c_p_43[] = {  6,  24,  27}; //   3
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 3);
  int c_f_43[] = {  4}; //   1
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 1);
  int c_t_43[] = {  0,   4}; //   2
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 2);
  int c_d_43[] = {  9,  19,   6}; //   3
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 3);

  int c_p_44[] = { 11,  28,  29}; //   3
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 3);
  int c_f_44[] = {  6}; //   1
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 1);
  int c_t_44[] = {  0,   6}; //   2
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 2);
  int c_d_44[] = {  6,  21,   9}; //   3
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 3);

  int c_p_45[] = {  8,  28,  29}; //   3
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 3);
  int c_f_45[] = {  6}; //   1
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 1);
  int c_t_45[] = {  0,   6}; //   2
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 2);
  int c_d_45[] = {  6,  21,   9}; //   3
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 3);

  int c_p_46[] = { 13,  31,  32}; //   3
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 3);
  int c_f_46[] = {  8}; //   1
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 1);
  int c_t_46[] = {  0,   8}; //   2
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 2);
  int c_d_46[] = {  2,  23,  12}; //   3
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 3);

  int c_p_47[] = { 13,  31,  34}; //   3
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 3);
  int c_f_47[] = {  8}; //   1
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 1);
  int c_t_47[] = {  0,   8}; //   2
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 2);
  int c_d_47[] = {  2,  23,  12}; //   3
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 3);

  int c_p_48[] = {  3,  38,  39,  40}; //   4
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 4);
  int c_f_48[] = {}; //   0
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 0);
  int c_t_48[] = { 10}; //   1
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 1);
  int c_d_48[] = { 12,  24,  25,   2}; //   4
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 4);

  int c_p_49[] = {  0,  38,  39,  40}; //   4
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 4);
  int c_f_49[] = {}; //   0
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 0);
  int c_t_49[] = { 10}; //   1
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 1);
  int c_d_49[] = { 12,  24,  25,   2}; //   4
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 4);

  int c_p_50[] = {  3,  21,  41,  40}; //   4
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 4);
  int c_f_50[] = {}; //   0
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 0);
  int c_t_50[] = { 10}; //   1
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 1);
  int c_d_50[] = { 12,  26,  17,   2}; //   4
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 4);

  int c_p_51[] = {  0,  21,  41,  40}; //   4
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 4);
  int c_f_51[] = {}; //   0
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 0);
  int c_t_51[] = { 10}; //   1
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 1);
  int c_d_51[] = { 12,  26,  17,   2}; //   4
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 4);

  int c_p_52[] = {  0,   1,   2,  42}; //   4
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 4);
  int c_f_52[] = {}; //   0
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 0);
  int c_t_52[] = { 11}; //   1
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 1);
  int c_d_52[] = { 27,   0,   1,   2}; //   4
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 4);

  int c_p_53[] = {  3,   4,   5,  42}; //   4
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 4);
  int c_f_53[] = {}; //   0
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 0);
  int c_t_53[] = { 11}; //   1
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 1);
  int c_d_53[] = { 27,   3,   4,   2}; //   4
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 4);

  int c_p_54[] = {  0,   4,   5,  42}; //   4
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 4);
  int c_f_54[] = {}; //   0
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 0);
  int c_t_54[] = { 11}; //   1
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 1);
  int c_d_54[] = { 27,   3,   4,   2}; //   4
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 4);

  int c_p_55[] = {  6,   7,   2,  42}; //   4
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 4);
  int c_f_55[] = {}; //   0
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 0);
  int c_t_55[] = { 11}; //   1
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 1);
  int c_d_55[] = { 27,   0,   5,   6}; //   4
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 4);

  int c_p_56[] = { 11,  43,  44,  45}; //   4
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 4);
  int c_f_56[] = {}; //   0
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 0);
  int c_t_56[] = { 12}; //   1
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 1);
  int c_d_56[] = {  6,  28,  29,   9}; //   4
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 4);

  int c_p_57[] = {  8,  43,  44,  45}; //   4
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 4);
  int c_f_57[] = {}; //   0
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 0);
  int c_t_57[] = { 12}; //   1
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 1);
  int c_d_57[] = {  6,  28,  29,   9}; //   4
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 4);

  int c_p_58[] = { 11,  28,  46,  45}; //   4
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 4);
  int c_f_58[] = {}; //   0
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 0);
  int c_t_58[] = { 12}; //   1
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 1);
  int c_d_58[] = {  6,  30,  21,   9}; //   4
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 4);

  int c_p_59[] = {  8,  28,  46,  45}; //   4
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 4);
  int c_f_59[] = {}; //   0
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 0);
  int c_t_59[] = { 12}; //   1
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 1);
  int c_d_59[] = {  6,  30,  21,   9}; //   4
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 4);

  int c_p_60[] = {  8,   9,  10,  42}; //   4
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 4);
  int c_f_60[] = {}; //   0
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 0);
  int c_t_60[] = { 11}; //   1
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 1);
  int c_d_60[] = { 27,   7,   8,   9}; //   4
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 4);

  int c_p_61[] = { 11,  12,   5,  42}; //   4
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 4);
  int c_f_61[] = {}; //   0
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 0);
  int c_t_61[] = { 11}; //   1
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 1);
  int c_d_61[] = { 27,   3,  10,   9}; //   4
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 4);

  int c_p_62[] = {  8,  12,   5,  42}; //   4
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 4);
  int c_f_62[] = {}; //   0
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 0);
  int c_t_62[] = { 11}; //   1
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 1);
  int c_d_62[] = { 27,   3,  10,   9}; //   4
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 4);

  int c_p_63[] = { 13,  14,  10,  42}; //   4
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 4);
  int c_f_63[] = {}; //   0
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 0);
  int c_t_63[] = { 11}; //   1
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 1);
  int c_d_63[] = { 27,   7,  11,  12}; //   4
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 4);

  int c_p_64[] = {  3,  15,  16,  42}; //   4
  psi_c_p[no_ps][64] = get_vector_from_array_int(c_p_64, 4);
  int c_f_64[] = {}; //   0
  psi_c_f[no_ps][64] = get_vector_from_array_int(c_f_64, 0);
  int c_t_64[] = { 11}; //   1
  psi_c_t[no_ps][64] = get_vector_from_array_int(c_t_64, 1);
  int c_d_64[] = { 27,  13,  12,   2}; //   4
  psi_c_d[no_ps][64] = get_vector_from_array_int(c_d_64, 4);

  int c_p_65[] = {  0,  15,  16,  42}; //   4
  psi_c_p[no_ps][65] = get_vector_from_array_int(c_p_65, 4);
  int c_f_65[] = {}; //   0
  psi_c_f[no_ps][65] = get_vector_from_array_int(c_f_65, 0);
  int c_t_65[] = { 11}; //   1
  psi_c_t[no_ps][65] = get_vector_from_array_int(c_t_65, 1);
  int c_d_65[] = { 27,  13,  12,   2}; //   4
  psi_c_d[no_ps][65] = get_vector_from_array_int(c_d_65, 4);

  int c_p_66[] = {  6,  17,  18,  42}; //   4
  psi_c_p[no_ps][66] = get_vector_from_array_int(c_p_66, 4);
  int c_f_66[] = {}; //   0
  psi_c_f[no_ps][66] = get_vector_from_array_int(c_f_66, 0);
  int c_t_66[] = { 11}; //   1
  psi_c_t[no_ps][66] = get_vector_from_array_int(c_t_66, 1);
  int c_d_66[] = { 27,  14,   9,   6}; //   4
  psi_c_d[no_ps][66] = get_vector_from_array_int(c_d_66, 4);

  int c_p_67[] = {  6,  19,  18,  42}; //   4
  psi_c_p[no_ps][67] = get_vector_from_array_int(c_p_67, 4);
  int c_f_67[] = {}; //   0
  psi_c_f[no_ps][67] = get_vector_from_array_int(c_f_67, 0);
  int c_t_67[] = { 11}; //   1
  psi_c_t[no_ps][67] = get_vector_from_array_int(c_t_67, 1);
  int c_d_67[] = { 27,  14,   9,   6}; //   4
  psi_c_d[no_ps][67] = get_vector_from_array_int(c_d_67, 4);

  int c_p_68[] = {  3,  38,  47}; //   3
  psi_c_p[no_ps][68] = get_vector_from_array_int(c_p_68, 3);
  int c_f_68[] = {  9}; //   1
  psi_c_f[no_ps][68] = get_vector_from_array_int(c_f_68, 1);
  int c_t_68[] = { 10,  13}; //   2
  psi_c_t[no_ps][68] = get_vector_from_array_int(c_t_68, 2);
  int c_d_68[] = { 12,  25,   2}; //   3
  psi_c_d[no_ps][68] = get_vector_from_array_int(c_d_68, 3);

  int c_p_69[] = {  0,  38,  47}; //   3
  psi_c_p[no_ps][69] = get_vector_from_array_int(c_p_69, 3);
  int c_f_69[] = {  9}; //   1
  psi_c_f[no_ps][69] = get_vector_from_array_int(c_f_69, 1);
  int c_t_69[] = { 10,  13}; //   2
  psi_c_t[no_ps][69] = get_vector_from_array_int(c_t_69, 2);
  int c_d_69[] = { 12,  25,   2}; //   3
  psi_c_d[no_ps][69] = get_vector_from_array_int(c_d_69, 3);

  int c_p_70[] = { 11,  43,  48}; //   3
  psi_c_p[no_ps][70] = get_vector_from_array_int(c_p_70, 3);
  int c_f_70[] = { 10}; //   1
  psi_c_f[no_ps][70] = get_vector_from_array_int(c_f_70, 1);
  int c_t_70[] = { 12,  14}; //   2
  psi_c_t[no_ps][70] = get_vector_from_array_int(c_t_70, 2);
  int c_d_70[] = {  6,  29,   9}; //   3
  psi_c_d[no_ps][70] = get_vector_from_array_int(c_d_70, 3);

  int c_p_71[] = {  8,  43,  48}; //   3
  psi_c_p[no_ps][71] = get_vector_from_array_int(c_p_71, 3);
  int c_f_71[] = { 10}; //   1
  psi_c_f[no_ps][71] = get_vector_from_array_int(c_f_71, 1);
  int c_t_71[] = { 12,  14}; //   2
  psi_c_t[no_ps][71] = get_vector_from_array_int(c_t_71, 2);
  int c_d_71[] = {  6,  29,   9}; //   3
  psi_c_d[no_ps][71] = get_vector_from_array_int(c_d_71, 3);

  int c_p_72[] = {  3,  15}; //   2
  psi_c_p[no_ps][72] = get_vector_from_array_int(c_p_72, 2);
  int c_f_72[] = { 11,  12}; //   2
  psi_c_f[no_ps][72] = get_vector_from_array_int(c_f_72, 2);
  int c_t_72[] = { 10,  15,  16}; //   3
  psi_c_t[no_ps][72] = get_vector_from_array_int(c_t_72, 3);
  int c_d_72[] = { 12,   2}; //   2
  psi_c_d[no_ps][72] = get_vector_from_array_int(c_d_72, 2);

  int c_p_73[] = {  0,  15}; //   2
  psi_c_p[no_ps][73] = get_vector_from_array_int(c_p_73, 2);
  int c_f_73[] = { 11,  12}; //   2
  psi_c_f[no_ps][73] = get_vector_from_array_int(c_f_73, 2);
  int c_t_73[] = { 10,  15,  16}; //   3
  psi_c_t[no_ps][73] = get_vector_from_array_int(c_t_73, 3);
  int c_d_73[] = { 12,   2}; //   2
  psi_c_d[no_ps][73] = get_vector_from_array_int(c_d_73, 2);

  int c_p_74[] = { 11,  35}; //   2
  psi_c_p[no_ps][74] = get_vector_from_array_int(c_p_74, 2);
  int c_f_74[] = { 13,  14}; //   2
  psi_c_f[no_ps][74] = get_vector_from_array_int(c_f_74, 2);
  int c_t_74[] = { 12,  17,  18}; //   3
  psi_c_t[no_ps][74] = get_vector_from_array_int(c_t_74, 3);
  int c_d_74[] = {  6,   9}; //   2
  psi_c_d[no_ps][74] = get_vector_from_array_int(c_d_74, 2);

  int c_p_75[] = {  8,  35}; //   2
  psi_c_p[no_ps][75] = get_vector_from_array_int(c_p_75, 2);
  int c_f_75[] = { 13,  14}; //   2
  psi_c_f[no_ps][75] = get_vector_from_array_int(c_f_75, 2);
  int c_t_75[] = { 12,  17,  18}; //   3
  psi_c_t[no_ps][75] = get_vector_from_array_int(c_t_75, 3);
  int c_d_75[] = {  6,   9}; //   2
  psi_c_d[no_ps][75] = get_vector_from_array_int(c_d_75, 2);

  int c_p_76[] = {  3,  38,  47,  49}; //   4
  psi_c_p[no_ps][76] = get_vector_from_array_int(c_p_76, 4);
  int c_f_76[] = {}; //   0
  psi_c_f[no_ps][76] = get_vector_from_array_int(c_f_76, 0);
  int c_t_76[] = { 19}; //   1
  psi_c_t[no_ps][76] = get_vector_from_array_int(c_t_76, 1);
  int c_d_76[] = { 23,  12,  25,   2}; //   4
  psi_c_d[no_ps][76] = get_vector_from_array_int(c_d_76, 4);

  int c_p_77[] = {  0,  38,  47,  49}; //   4
  psi_c_p[no_ps][77] = get_vector_from_array_int(c_p_77, 4);
  int c_f_77[] = {}; //   0
  psi_c_f[no_ps][77] = get_vector_from_array_int(c_f_77, 0);
  int c_t_77[] = { 19}; //   1
  psi_c_t[no_ps][77] = get_vector_from_array_int(c_t_77, 1);
  int c_d_77[] = { 23,  12,  25,   2}; //   4
  psi_c_d[no_ps][77] = get_vector_from_array_int(c_d_77, 4);

  int c_p_78[] = { 11,  43,  48,  50}; //   4
  psi_c_p[no_ps][78] = get_vector_from_array_int(c_p_78, 4);
  int c_f_78[] = {}; //   0
  psi_c_f[no_ps][78] = get_vector_from_array_int(c_f_78, 0);
  int c_t_78[] = { 20}; //   1
  psi_c_t[no_ps][78] = get_vector_from_array_int(c_t_78, 1);
  int c_d_78[] = { 19,   6,  29,   9}; //   4
  psi_c_d[no_ps][78] = get_vector_from_array_int(c_d_78, 4);

  int c_p_79[] = {  8,  43,  48,  50}; //   4
  psi_c_p[no_ps][79] = get_vector_from_array_int(c_p_79, 4);
  int c_f_79[] = {}; //   0
  psi_c_f[no_ps][79] = get_vector_from_array_int(c_f_79, 0);
  int c_t_79[] = { 20}; //   1
  psi_c_t[no_ps][79] = get_vector_from_array_int(c_t_79, 1);
  int c_d_79[] = { 19,   6,  29,   9}; //   4
  psi_c_d[no_ps][79] = get_vector_from_array_int(c_d_79, 4);

  int c_p_80[] = {  3,  15,  51}; //   3
  psi_c_p[no_ps][80] = get_vector_from_array_int(c_p_80, 3);
  int c_f_80[] = { 15}; //   1
  psi_c_f[no_ps][80] = get_vector_from_array_int(c_f_80, 1);
  int c_t_80[] = { 21,  22}; //   2
  psi_c_t[no_ps][80] = get_vector_from_array_int(c_t_80, 2);
  int c_d_80[] = { 23,  12,   2}; //   3
  psi_c_d[no_ps][80] = get_vector_from_array_int(c_d_80, 3);

  int c_p_81[] = {  0,  15,  51}; //   3
  psi_c_p[no_ps][81] = get_vector_from_array_int(c_p_81, 3);
  int c_f_81[] = { 15}; //   1
  psi_c_f[no_ps][81] = get_vector_from_array_int(c_f_81, 1);
  int c_t_81[] = { 21,  22}; //   2
  psi_c_t[no_ps][81] = get_vector_from_array_int(c_t_81, 2);
  int c_d_81[] = { 23,  12,   2}; //   3
  psi_c_d[no_ps][81] = get_vector_from_array_int(c_d_81, 3);

  int c_p_82[] = { 11,  35,  52}; //   3
  psi_c_p[no_ps][82] = get_vector_from_array_int(c_p_82, 3);
  int c_f_82[] = { 16}; //   1
  psi_c_f[no_ps][82] = get_vector_from_array_int(c_f_82, 1);
  int c_t_82[] = { 23,  24}; //   2
  psi_c_t[no_ps][82] = get_vector_from_array_int(c_t_82, 2);
  int c_d_82[] = { 19,   6,   9}; //   3
  psi_c_d[no_ps][82] = get_vector_from_array_int(c_d_82, 3);

  int c_p_83[] = {  8,  35,  52}; //   3
  psi_c_p[no_ps][83] = get_vector_from_array_int(c_p_83, 3);
  int c_f_83[] = { 16}; //   1
  psi_c_f[no_ps][83] = get_vector_from_array_int(c_f_83, 1);
  int c_t_83[] = { 23,  24}; //   2
  psi_c_t[no_ps][83] = get_vector_from_array_int(c_t_83, 2);
  int c_d_83[] = { 19,   6,   9}; //   3
  psi_c_d[no_ps][83] = get_vector_from_array_int(c_d_83, 3);

  int c_p_84[] = { 53,  54,  55,  56}; //   4
  psi_c_p[no_ps][84] = get_vector_from_array_int(c_p_84, 4);
  int c_f_84[] = {}; //   0
  psi_c_f[no_ps][84] = get_vector_from_array_int(c_f_84, 0);
  int c_t_84[] = { 25}; //   1
  psi_c_t[no_ps][84] = get_vector_from_array_int(c_t_84, 1);
  int c_d_84[] = {  0,   1,   2,  27}; //   4
  psi_c_d[no_ps][84] = get_vector_from_array_int(c_d_84, 4);

  int c_p_85[] = { 53,  57,  58,  59}; //   4
  psi_c_p[no_ps][85] = get_vector_from_array_int(c_p_85, 4);
  int c_f_85[] = {}; //   0
  psi_c_f[no_ps][85] = get_vector_from_array_int(c_f_85, 0);
  int c_t_85[] = { 25}; //   1
  psi_c_t[no_ps][85] = get_vector_from_array_int(c_t_85, 1);
  int c_d_85[] = {  3,   4,   2,  27}; //   4
  psi_c_d[no_ps][85] = get_vector_from_array_int(c_d_85, 4);

  int c_p_86[] = { 53,  54,  58,  59}; //   4
  psi_c_p[no_ps][86] = get_vector_from_array_int(c_p_86, 4);
  int c_f_86[] = {}; //   0
  psi_c_f[no_ps][86] = get_vector_from_array_int(c_f_86, 0);
  int c_t_86[] = { 25}; //   1
  psi_c_t[no_ps][86] = get_vector_from_array_int(c_t_86, 1);
  int c_d_86[] = {  3,   4,   2,  27}; //   4
  psi_c_d[no_ps][86] = get_vector_from_array_int(c_d_86, 4);

  int c_p_87[] = { 53,  60,  61,  56}; //   4
  psi_c_p[no_ps][87] = get_vector_from_array_int(c_p_87, 4);
  int c_f_87[] = {}; //   0
  psi_c_f[no_ps][87] = get_vector_from_array_int(c_f_87, 0);
  int c_t_87[] = { 25}; //   1
  psi_c_t[no_ps][87] = get_vector_from_array_int(c_t_87, 1);
  int c_d_87[] = {  0,   5,   6,  27}; //   4
  psi_c_d[no_ps][87] = get_vector_from_array_int(c_d_87, 4);

  int c_p_88[] = {  6,  17,  62,  63}; //   4
  psi_c_p[no_ps][88] = get_vector_from_array_int(c_p_88, 4);
  int c_f_88[] = {}; //   0
  psi_c_f[no_ps][88] = get_vector_from_array_int(c_f_88, 0);
  int c_t_88[] = { 26}; //   1
  psi_c_t[no_ps][88] = get_vector_from_array_int(c_t_88, 1);
  int c_d_88[] = { 28,  29,   9,   6}; //   4
  psi_c_d[no_ps][88] = get_vector_from_array_int(c_d_88, 4);

  int c_p_89[] = {  6,  19,  62,  63}; //   4
  psi_c_p[no_ps][89] = get_vector_from_array_int(c_p_89, 4);
  int c_f_89[] = {}; //   0
  psi_c_f[no_ps][89] = get_vector_from_array_int(c_f_89, 0);
  int c_t_89[] = { 26}; //   1
  psi_c_t[no_ps][89] = get_vector_from_array_int(c_t_89, 1);
  int c_d_89[] = { 28,  29,   9,   6}; //   4
  psi_c_d[no_ps][89] = get_vector_from_array_int(c_d_89, 4);

  int c_p_90[] = {  6,  17,  64,  65}; //   4
  psi_c_p[no_ps][90] = get_vector_from_array_int(c_p_90, 4);
  int c_f_90[] = {}; //   0
  psi_c_f[no_ps][90] = get_vector_from_array_int(c_f_90, 0);
  int c_t_90[] = { 26}; //   1
  psi_c_t[no_ps][90] = get_vector_from_array_int(c_t_90, 1);
  int c_d_90[] = { 30,  21,   9,   6}; //   4
  psi_c_d[no_ps][90] = get_vector_from_array_int(c_d_90, 4);

  int c_p_91[] = {  6,  19,  64,  65}; //   4
  psi_c_p[no_ps][91] = get_vector_from_array_int(c_p_91, 4);
  int c_f_91[] = {}; //   0
  psi_c_f[no_ps][91] = get_vector_from_array_int(c_f_91, 0);
  int c_t_91[] = { 26}; //   1
  psi_c_t[no_ps][91] = get_vector_from_array_int(c_t_91, 1);
  int c_d_91[] = { 30,  21,   9,   6}; //   4
  psi_c_d[no_ps][91] = get_vector_from_array_int(c_d_91, 4);

  int c_p_92[] = { 53,  66,  67,  68}; //   4
  psi_c_p[no_ps][92] = get_vector_from_array_int(c_p_92, 4);
  int c_f_92[] = {}; //   0
  psi_c_f[no_ps][92] = get_vector_from_array_int(c_f_92, 0);
  int c_t_92[] = { 25}; //   1
  psi_c_t[no_ps][92] = get_vector_from_array_int(c_t_92, 1);
  int c_d_92[] = {  7,   8,   9,  27}; //   4
  psi_c_d[no_ps][92] = get_vector_from_array_int(c_d_92, 4);

  int c_p_93[] = { 53,  69,  70,  59}; //   4
  psi_c_p[no_ps][93] = get_vector_from_array_int(c_p_93, 4);
  int c_f_93[] = {}; //   0
  psi_c_f[no_ps][93] = get_vector_from_array_int(c_f_93, 0);
  int c_t_93[] = { 25}; //   1
  psi_c_t[no_ps][93] = get_vector_from_array_int(c_t_93, 1);
  int c_d_93[] = {  3,  10,   9,  27}; //   4
  psi_c_d[no_ps][93] = get_vector_from_array_int(c_d_93, 4);

  int c_p_94[] = { 53,  66,  70,  59}; //   4
  psi_c_p[no_ps][94] = get_vector_from_array_int(c_p_94, 4);
  int c_f_94[] = {}; //   0
  psi_c_f[no_ps][94] = get_vector_from_array_int(c_f_94, 0);
  int c_t_94[] = { 25}; //   1
  psi_c_t[no_ps][94] = get_vector_from_array_int(c_t_94, 1);
  int c_d_94[] = {  3,  10,   9,  27}; //   4
  psi_c_d[no_ps][94] = get_vector_from_array_int(c_d_94, 4);

  int c_p_95[] = { 53,  71,  72,  68}; //   4
  psi_c_p[no_ps][95] = get_vector_from_array_int(c_p_95, 4);
  int c_f_95[] = {}; //   0
  psi_c_f[no_ps][95] = get_vector_from_array_int(c_f_95, 0);
  int c_t_95[] = { 25}; //   1
  psi_c_t[no_ps][95] = get_vector_from_array_int(c_t_95, 1);
  int c_d_95[] = {  7,  11,  12,  27}; //   4
  psi_c_d[no_ps][95] = get_vector_from_array_int(c_d_95, 4);

  int c_p_96[] = { 13,  36,  73,  74}; //   4
  psi_c_p[no_ps][96] = get_vector_from_array_int(c_p_96, 4);
  int c_f_96[] = {}; //   0
  psi_c_f[no_ps][96] = get_vector_from_array_int(c_f_96, 0);
  int c_t_96[] = { 27}; //   1
  psi_c_t[no_ps][96] = get_vector_from_array_int(c_t_96, 1);
  int c_d_96[] = { 24,  25,   2,  12}; //   4
  psi_c_d[no_ps][96] = get_vector_from_array_int(c_d_96, 4);

  int c_p_97[] = { 13,  37,  73,  74}; //   4
  psi_c_p[no_ps][97] = get_vector_from_array_int(c_p_97, 4);
  int c_f_97[] = {}; //   0
  psi_c_f[no_ps][97] = get_vector_from_array_int(c_f_97, 0);
  int c_t_97[] = { 27}; //   1
  psi_c_t[no_ps][97] = get_vector_from_array_int(c_t_97, 1);
  int c_d_97[] = { 24,  25,   2,  12}; //   4
  psi_c_d[no_ps][97] = get_vector_from_array_int(c_d_97, 4);

  int c_p_98[] = { 13,  36,  75,  76}; //   4
  psi_c_p[no_ps][98] = get_vector_from_array_int(c_p_98, 4);
  int c_f_98[] = {}; //   0
  psi_c_f[no_ps][98] = get_vector_from_array_int(c_f_98, 0);
  int c_t_98[] = { 27}; //   1
  psi_c_t[no_ps][98] = get_vector_from_array_int(c_t_98, 1);
  int c_d_98[] = { 26,  17,   2,  12}; //   4
  psi_c_d[no_ps][98] = get_vector_from_array_int(c_d_98, 4);

  int c_p_99[] = { 13,  37,  75,  76}; //   4
  psi_c_p[no_ps][99] = get_vector_from_array_int(c_p_99, 4);
  int c_f_99[] = {}; //   0
  psi_c_f[no_ps][99] = get_vector_from_array_int(c_f_99, 0);
  int c_t_99[] = { 27}; //   1
  psi_c_t[no_ps][99] = get_vector_from_array_int(c_t_99, 1);
  int c_d_99[] = { 26,  17,   2,  12}; //   4
  psi_c_d[no_ps][99] = get_vector_from_array_int(c_d_99, 4);

  int c_p_100[] = { 53,  57,  77,  78}; //   4
  psi_c_p[no_ps][100] = get_vector_from_array_int(c_p_100, 4);
  int c_f_100[] = {}; //   0
  psi_c_f[no_ps][100] = get_vector_from_array_int(c_f_100, 0);
  int c_t_100[] = { 25}; //   1
  psi_c_t[no_ps][100] = get_vector_from_array_int(c_t_100, 1);
  int c_d_100[] = { 13,  12,   2,  27}; //   4
  psi_c_d[no_ps][100] = get_vector_from_array_int(c_d_100, 4);

  int c_p_101[] = { 53,  54,  77,  78}; //   4
  psi_c_p[no_ps][101] = get_vector_from_array_int(c_p_101, 4);
  int c_f_101[] = {}; //   0
  psi_c_f[no_ps][101] = get_vector_from_array_int(c_f_101, 0);
  int c_t_101[] = { 25}; //   1
  psi_c_t[no_ps][101] = get_vector_from_array_int(c_t_101, 1);
  int c_d_101[] = { 13,  12,   2,  27}; //   4
  psi_c_d[no_ps][101] = get_vector_from_array_int(c_d_101, 4);

  int c_p_102[] = { 53,  60,  79,  80}; //   4
  psi_c_p[no_ps][102] = get_vector_from_array_int(c_p_102, 4);
  int c_f_102[] = {}; //   0
  psi_c_f[no_ps][102] = get_vector_from_array_int(c_f_102, 0);
  int c_t_102[] = { 25}; //   1
  psi_c_t[no_ps][102] = get_vector_from_array_int(c_t_102, 1);
  int c_d_102[] = { 14,   9,   6,  27}; //   4
  psi_c_d[no_ps][102] = get_vector_from_array_int(c_d_102, 4);

  int c_p_103[] = { 53,  60,  81,  80}; //   4
  psi_c_p[no_ps][103] = get_vector_from_array_int(c_p_103, 4);
  int c_f_103[] = {}; //   0
  psi_c_f[no_ps][103] = get_vector_from_array_int(c_f_103, 0);
  int c_t_103[] = { 25}; //   1
  psi_c_t[no_ps][103] = get_vector_from_array_int(c_t_103, 1);
  int c_d_103[] = { 14,   9,   6,  27}; //   4
  psi_c_d[no_ps][103] = get_vector_from_array_int(c_d_103, 4);

  int c_p_104[] = { 53,  57,  77}; //   3
  psi_c_p[no_ps][104] = get_vector_from_array_int(c_p_104, 3);
  int c_f_104[] = { 12}; //   1
  psi_c_f[no_ps][104] = get_vector_from_array_int(c_f_104, 1);
  int c_t_104[] = { 10,  28}; //   2
  psi_c_t[no_ps][104] = get_vector_from_array_int(c_t_104, 2);
  int c_d_104[] = { 12,   2,  27}; //   3
  psi_c_d[no_ps][104] = get_vector_from_array_int(c_d_104, 3);

  int c_p_105[] = { 53,  54,  77}; //   3
  psi_c_p[no_ps][105] = get_vector_from_array_int(c_p_105, 3);
  int c_f_105[] = { 12}; //   1
  psi_c_f[no_ps][105] = get_vector_from_array_int(c_f_105, 1);
  int c_t_105[] = { 10,  28}; //   2
  psi_c_t[no_ps][105] = get_vector_from_array_int(c_t_105, 2);
  int c_d_105[] = { 12,   2,  27}; //   3
  psi_c_d[no_ps][105] = get_vector_from_array_int(c_d_105, 3);

  int c_p_106[] = {  3,  82,  77}; //   3
  psi_c_p[no_ps][106] = get_vector_from_array_int(c_p_106, 3);
  int c_f_106[] = { 12}; //   1
  psi_c_f[no_ps][106] = get_vector_from_array_int(c_f_106, 1);
  int c_t_106[] = { 10,  15}; //   2
  psi_c_t[no_ps][106] = get_vector_from_array_int(c_t_106, 2);
  int c_d_106[] = { 12,  27,   2}; //   3
  psi_c_d[no_ps][106] = get_vector_from_array_int(c_d_106, 3);

  int c_p_107[] = {  0,  82,  77}; //   3
  psi_c_p[no_ps][107] = get_vector_from_array_int(c_p_107, 3);
  int c_f_107[] = { 12}; //   1
  psi_c_f[no_ps][107] = get_vector_from_array_int(c_f_107, 1);
  int c_t_107[] = { 10,  15}; //   2
  psi_c_t[no_ps][107] = get_vector_from_array_int(c_t_107, 2);
  int c_d_107[] = { 12,  27,   2}; //   3
  psi_c_d[no_ps][107] = get_vector_from_array_int(c_d_107, 3);

  int c_p_108[] = {  3,  15,  83}; //   3
  psi_c_p[no_ps][108] = get_vector_from_array_int(c_p_108, 3);
  int c_f_108[] = { 17}; //   1
  psi_c_f[no_ps][108] = get_vector_from_array_int(c_f_108, 1);
  int c_t_108[] = { 11,  29}; //   2
  psi_c_t[no_ps][108] = get_vector_from_array_int(c_t_108, 2);
  int c_d_108[] = { 27,  12,   2}; //   3
  psi_c_d[no_ps][108] = get_vector_from_array_int(c_d_108, 3);

  int c_p_109[] = {  0,  15,  83}; //   3
  psi_c_p[no_ps][109] = get_vector_from_array_int(c_p_109, 3);
  int c_f_109[] = { 17}; //   1
  psi_c_f[no_ps][109] = get_vector_from_array_int(c_f_109, 1);
  int c_t_109[] = { 11,  29}; //   2
  psi_c_t[no_ps][109] = get_vector_from_array_int(c_t_109, 2);
  int c_d_109[] = { 27,  12,   2}; //   3
  psi_c_d[no_ps][109] = get_vector_from_array_int(c_d_109, 3);

  int c_p_110[] = { 53,  60,  79}; //   3
  psi_c_p[no_ps][110] = get_vector_from_array_int(c_p_110, 3);
  int c_f_110[] = { 18}; //   1
  psi_c_f[no_ps][110] = get_vector_from_array_int(c_f_110, 1);
  int c_t_110[] = { 30,  31}; //   2
  psi_c_t[no_ps][110] = get_vector_from_array_int(c_t_110, 2);
  int c_d_110[] = {  9,   6,  27}; //   3
  psi_c_d[no_ps][110] = get_vector_from_array_int(c_d_110, 3);

  int c_p_111[] = { 53,  60,  81}; //   3
  psi_c_p[no_ps][111] = get_vector_from_array_int(c_p_111, 3);
  int c_f_111[] = { 18}; //   1
  psi_c_f[no_ps][111] = get_vector_from_array_int(c_f_111, 1);
  int c_t_111[] = { 30,  31}; //   2
  psi_c_t[no_ps][111] = get_vector_from_array_int(c_t_111, 2);
  int c_d_111[] = {  9,   6,  27}; //   3
  psi_c_d[no_ps][111] = get_vector_from_array_int(c_d_111, 3);

  int c_p_112[] = {  6,  84,  79}; //   3
  psi_c_p[no_ps][112] = get_vector_from_array_int(c_p_112, 3);
  int c_f_112[] = { 18}; //   1
  psi_c_f[no_ps][112] = get_vector_from_array_int(c_f_112, 1);
  int c_t_112[] = { 30,  32}; //   2
  psi_c_t[no_ps][112] = get_vector_from_array_int(c_t_112, 2);
  int c_d_112[] = {  9,  27,   6}; //   3
  psi_c_d[no_ps][112] = get_vector_from_array_int(c_d_112, 3);

  int c_p_113[] = {  6,  84,  81}; //   3
  psi_c_p[no_ps][113] = get_vector_from_array_int(c_p_113, 3);
  int c_f_113[] = { 18}; //   1
  psi_c_f[no_ps][113] = get_vector_from_array_int(c_f_113, 1);
  int c_t_113[] = { 30,  32}; //   2
  psi_c_t[no_ps][113] = get_vector_from_array_int(c_t_113, 2);
  int c_d_113[] = {  9,  27,   6}; //   3
  psi_c_d[no_ps][113] = get_vector_from_array_int(c_d_113, 3);

  int c_p_114[] = {  6,  17,  85}; //   3
  psi_c_p[no_ps][114] = get_vector_from_array_int(c_p_114, 3);
  int c_f_114[] = { 19}; //   1
  psi_c_f[no_ps][114] = get_vector_from_array_int(c_f_114, 1);
  int c_t_114[] = { 11,  33}; //   2
  psi_c_t[no_ps][114] = get_vector_from_array_int(c_t_114, 2);
  int c_d_114[] = { 27,   9,   6}; //   3
  psi_c_d[no_ps][114] = get_vector_from_array_int(c_d_114, 3);

  int c_p_115[] = {  6,  19,  85}; //   3
  psi_c_p[no_ps][115] = get_vector_from_array_int(c_p_115, 3);
  int c_f_115[] = { 19}; //   1
  psi_c_f[no_ps][115] = get_vector_from_array_int(c_f_115, 1);
  int c_t_115[] = { 11,  33}; //   2
  psi_c_t[no_ps][115] = get_vector_from_array_int(c_t_115, 2);
  int c_d_115[] = { 27,   9,   6}; //   3
  psi_c_d[no_ps][115] = get_vector_from_array_int(c_d_115, 3);

  int c_p_116[] = { 53,  69,  86}; //   3
  psi_c_p[no_ps][116] = get_vector_from_array_int(c_p_116, 3);
  int c_f_116[] = { 14}; //   1
  psi_c_f[no_ps][116] = get_vector_from_array_int(c_f_116, 1);
  int c_t_116[] = { 12,  34}; //   2
  psi_c_t[no_ps][116] = get_vector_from_array_int(c_t_116, 2);
  int c_d_116[] = {  6,   9,  27}; //   3
  psi_c_d[no_ps][116] = get_vector_from_array_int(c_d_116, 3);

  int c_p_117[] = { 53,  66,  86}; //   3
  psi_c_p[no_ps][117] = get_vector_from_array_int(c_p_117, 3);
  int c_f_117[] = { 14}; //   1
  psi_c_f[no_ps][117] = get_vector_from_array_int(c_f_117, 1);
  int c_t_117[] = { 12,  34}; //   2
  psi_c_t[no_ps][117] = get_vector_from_array_int(c_t_117, 2);
  int c_d_117[] = {  6,   9,  27}; //   3
  psi_c_d[no_ps][117] = get_vector_from_array_int(c_d_117, 3);

  int c_p_118[] = { 11,  87,  86}; //   3
  psi_c_p[no_ps][118] = get_vector_from_array_int(c_p_118, 3);
  int c_f_118[] = { 14}; //   1
  psi_c_f[no_ps][118] = get_vector_from_array_int(c_f_118, 1);
  int c_t_118[] = { 12,  17}; //   2
  psi_c_t[no_ps][118] = get_vector_from_array_int(c_t_118, 2);
  int c_d_118[] = {  6,  27,   9}; //   3
  psi_c_d[no_ps][118] = get_vector_from_array_int(c_d_118, 3);

  int c_p_119[] = {  8,  87,  86}; //   3
  psi_c_p[no_ps][119] = get_vector_from_array_int(c_p_119, 3);
  int c_f_119[] = { 14}; //   1
  psi_c_f[no_ps][119] = get_vector_from_array_int(c_f_119, 1);
  int c_t_119[] = { 12,  17}; //   2
  psi_c_t[no_ps][119] = get_vector_from_array_int(c_t_119, 2);
  int c_d_119[] = {  6,  27,   9}; //   3
  psi_c_d[no_ps][119] = get_vector_from_array_int(c_d_119, 3);

  int c_p_120[] = { 11,  35,  85}; //   3
  psi_c_p[no_ps][120] = get_vector_from_array_int(c_p_120, 3);
  int c_f_120[] = { 19}; //   1
  psi_c_f[no_ps][120] = get_vector_from_array_int(c_f_120, 1);
  int c_t_120[] = { 11,  35}; //   2
  psi_c_t[no_ps][120] = get_vector_from_array_int(c_t_120, 2);
  int c_d_120[] = { 27,   6,   9}; //   3
  psi_c_d[no_ps][120] = get_vector_from_array_int(c_d_120, 3);

  int c_p_121[] = {  8,  35,  85}; //   3
  psi_c_p[no_ps][121] = get_vector_from_array_int(c_p_121, 3);
  int c_f_121[] = { 19}; //   1
  psi_c_f[no_ps][121] = get_vector_from_array_int(c_f_121, 1);
  int c_t_121[] = { 11,  35}; //   2
  psi_c_t[no_ps][121] = get_vector_from_array_int(c_t_121, 2);
  int c_d_121[] = { 27,   6,   9}; //   3
  psi_c_d[no_ps][121] = get_vector_from_array_int(c_d_121, 3);

  int c_p_122[] = { 53,  71,  88}; //   3
  psi_c_p[no_ps][122] = get_vector_from_array_int(c_p_122, 3);
  int c_f_122[] = { 20}; //   1
  psi_c_f[no_ps][122] = get_vector_from_array_int(c_f_122, 1);
  int c_t_122[] = { 36,  37}; //   2
  psi_c_t[no_ps][122] = get_vector_from_array_int(c_t_122, 2);
  int c_d_122[] = {  2,  12,  27}; //   3
  psi_c_d[no_ps][122] = get_vector_from_array_int(c_d_122, 3);

  int c_p_123[] = { 53,  71,  89}; //   3
  psi_c_p[no_ps][123] = get_vector_from_array_int(c_p_123, 3);
  int c_f_123[] = { 20}; //   1
  psi_c_f[no_ps][123] = get_vector_from_array_int(c_f_123, 1);
  int c_t_123[] = { 36,  37}; //   2
  psi_c_t[no_ps][123] = get_vector_from_array_int(c_t_123, 2);
  int c_d_123[] = {  2,  12,  27}; //   3
  psi_c_d[no_ps][123] = get_vector_from_array_int(c_d_123, 3);

  int c_p_124[] = { 13,  90,  88}; //   3
  psi_c_p[no_ps][124] = get_vector_from_array_int(c_p_124, 3);
  int c_f_124[] = { 20}; //   1
  psi_c_f[no_ps][124] = get_vector_from_array_int(c_f_124, 1);
  int c_t_124[] = { 36,  38}; //   2
  psi_c_t[no_ps][124] = get_vector_from_array_int(c_t_124, 2);
  int c_d_124[] = {  2,  27,  12}; //   3
  psi_c_d[no_ps][124] = get_vector_from_array_int(c_d_124, 3);

  int c_p_125[] = { 13,  90,  89}; //   3
  psi_c_p[no_ps][125] = get_vector_from_array_int(c_p_125, 3);
  int c_f_125[] = { 20}; //   1
  psi_c_f[no_ps][125] = get_vector_from_array_int(c_f_125, 1);
  int c_t_125[] = { 36,  38}; //   2
  psi_c_t[no_ps][125] = get_vector_from_array_int(c_t_125, 2);
  int c_d_125[] = {  2,  27,  12}; //   3
  psi_c_d[no_ps][125] = get_vector_from_array_int(c_d_125, 3);

  int c_p_126[] = { 13,  36,  83}; //   3
  psi_c_p[no_ps][126] = get_vector_from_array_int(c_p_126, 3);
  int c_f_126[] = { 17}; //   1
  psi_c_f[no_ps][126] = get_vector_from_array_int(c_f_126, 1);
  int c_t_126[] = { 11,  39}; //   2
  psi_c_t[no_ps][126] = get_vector_from_array_int(c_t_126, 2);
  int c_d_126[] = { 27,   2,  12}; //   3
  psi_c_d[no_ps][126] = get_vector_from_array_int(c_d_126, 3);

  int c_p_127[] = { 13,  37,  83}; //   3
  psi_c_p[no_ps][127] = get_vector_from_array_int(c_p_127, 3);
  int c_f_127[] = { 17}; //   1
  psi_c_f[no_ps][127] = get_vector_from_array_int(c_f_127, 1);
  int c_t_127[] = { 11,  39}; //   2
  psi_c_t[no_ps][127] = get_vector_from_array_int(c_t_127, 2);
  int c_d_127[] = { 27,   2,  12}; //   3
  psi_c_d[no_ps][127] = get_vector_from_array_int(c_d_127, 3);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
