#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeexnmnmx04/header/ppeexnmnmx04.phasespace.h"
void ppeexnmnmx04_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppeexnmnmx04_ag_psp_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] ==  2){ppeexnmnmx04_ag_psp_240_gg_emepvmvmxddx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  3){ppeexnmnmx04_ag_psp_240_gg_emepvmvmxuux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  4){ppeexnmnmx04_ag_psp_240_gd_emepvmvmxgd(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  5){ppeexnmnmx04_ag_psp_240_gu_emepvmvmxgu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  6){ppeexnmnmx04_ag_psp_240_gdx_emepvmvmxgdx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  7){ppeexnmnmx04_ag_psp_240_gux_emepvmvmxgux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  8){ppeexnmnmx04_ag_psp_240_dd_emepvmvmxdd(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  9){ppeexnmnmx04_ag_psp_240_du_emepvmvmxdu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 10){ppeexnmnmx04_ag_psp_240_ds_emepvmvmxds(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 11){ppeexnmnmx04_ag_psp_240_dc_emepvmvmxdc(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 13){ppeexnmnmx04_ag_psp_240_ddx_emepvmvmxgg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 14){ppeexnmnmx04_ag_psp_240_ddx_emepvmvmxddx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 15){ppeexnmnmx04_ag_psp_240_ddx_emepvmvmxuux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 16){ppeexnmnmx04_ag_psp_240_ddx_emepvmvmxssx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 17){ppeexnmnmx04_ag_psp_240_ddx_emepvmvmxccx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 18){ppeexnmnmx04_ag_psp_240_dux_emepvmvmxdux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 20){ppeexnmnmx04_ag_psp_240_dsx_emepvmvmxdsx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 22){ppeexnmnmx04_ag_psp_240_dcx_emepvmvmxdcx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 23){ppeexnmnmx04_ag_psp_240_uu_emepvmvmxuu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 24){ppeexnmnmx04_ag_psp_240_uc_emepvmvmxuc(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 25){ppeexnmnmx04_ag_psp_240_udx_emepvmvmxudx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 27){ppeexnmnmx04_ag_psp_240_uux_emepvmvmxgg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 28){ppeexnmnmx04_ag_psp_240_uux_emepvmvmxddx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 29){ppeexnmnmx04_ag_psp_240_uux_emepvmvmxuux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 30){ppeexnmnmx04_ag_psp_240_uux_emepvmvmxssx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 31){ppeexnmnmx04_ag_psp_240_uux_emepvmvmxccx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 32){ppeexnmnmx04_ag_psp_240_usx_emepvmvmxusx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 34){ppeexnmnmx04_ag_psp_240_ucx_emepvmvmxucx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 35){ppeexnmnmx04_ag_psp_240_dxdx_emepvmvmxdxdx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 36){ppeexnmnmx04_ag_psp_240_dxux_emepvmvmxdxux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 37){ppeexnmnmx04_ag_psp_240_dxsx_emepvmvmxdxsx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 38){ppeexnmnmx04_ag_psp_240_dxcx_emepvmvmxdxcx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 40){ppeexnmnmx04_ag_psp_240_uxux_emepvmvmxuxux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 41){ppeexnmnmx04_ag_psp_240_uxcx_emepvmvmxuxcx(no_ps, zero, psi);}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
