#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemexmx04/header/ppemexmx04.phasespace.h"
void ppemexmx04_ag_psp_140_gux_emmumepmupux(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppemexmx04_ag_psp_140_gux_emmumepmupux");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_xbp[no_ps][20] == nullvector){psi_xbp[no_ps][20] = psi_xbp[no_ps][4] + psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][20] == 0.){psi_xbs[no_ps][20] = psi_xbp[no_ps][20].m2();}
  if (psi_xbsqrts[no_ps][20] == 0.){psi_xbsqrts[no_ps][20] = sqrt(psi_xbs[no_ps][20]);}
  if (psi_xbp[no_ps][40] == nullvector){psi_xbp[no_ps][40] = psi_xbp[no_ps][8] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][40] == 0.){psi_xbs[no_ps][40] = psi_xbp[no_ps][40].m2();}
  if (psi_xbsqrts[no_ps][40] == 0.){psi_xbsqrts[no_ps][40] = sqrt(psi_xbs[no_ps][40]);}
  if (psi_xbp[no_ps][65] == nullvector){psi_xbp[no_ps][65] = psi_xbp[no_ps][1] - psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][65] == 0.){psi_xbs[no_ps][65] = psi_xbp[no_ps][65].m2();}
  if (psi_xbp[no_ps][22] == nullvector){psi_xbp[no_ps][22] = psi_xbp[no_ps][2] - psi_xbp[no_ps][4] - psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][22] == 0.){psi_xbs[no_ps][22] = psi_xbp[no_ps][22].m2();}
  if (psi_xbp[no_ps][28] == nullvector){psi_xbp[no_ps][28] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][28] == 0.){psi_xbs[no_ps][28] = psi_xbp[no_ps][28].m2();}
  if (psi_xbsqrts[no_ps][28] == 0.){psi_xbsqrts[no_ps][28] = sqrt(psi_xbs[no_ps][28]);}
  if (psi_xbp[no_ps][42] == nullvector){psi_xbp[no_ps][42] = psi_xbp[no_ps][2] - psi_xbp[no_ps][8] - psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][42] == 0.){psi_xbs[no_ps][42] = psi_xbp[no_ps][42].m2();}
  if (psi_xbp[no_ps][44] == nullvector){psi_xbp[no_ps][44] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][44] == 0.){psi_xbs[no_ps][44] = psi_xbp[no_ps][44].m2();}
  if (psi_xbsqrts[no_ps][44] == 0.){psi_xbsqrts[no_ps][44] = sqrt(psi_xbs[no_ps][44]);}
  if (psi_xbp[no_ps][52] == nullvector){psi_xbp[no_ps][52] = psi_xbp[no_ps][4] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][52] == 0.){psi_xbs[no_ps][52] = psi_xbp[no_ps][52].m2();}
  if (psi_xbsqrts[no_ps][52] == 0.){psi_xbsqrts[no_ps][52] = sqrt(psi_xbs[no_ps][52]);}
  if (psi_xbp[no_ps][56] == nullvector){psi_xbp[no_ps][56] = psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][56] == 0.){psi_xbs[no_ps][56] = psi_xbp[no_ps][56].m2();}
  if (psi_xbsqrts[no_ps][56] == 0.){psi_xbsqrts[no_ps][56] = sqrt(psi_xbs[no_ps][56]);}
  if (psi_xbp[no_ps][84] == nullvector){psi_xbp[no_ps][84] = psi_xbp[no_ps][4] + psi_xbp[no_ps][16] + psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][84] == 0.){psi_xbs[no_ps][84] = psi_xbp[no_ps][84].m2();}
  if (psi_xbsqrts[no_ps][84] == 0.){psi_xbsqrts[no_ps][84] = sqrt(psi_xbs[no_ps][84]);}
  if (psi_xbp[no_ps][104] == nullvector){psi_xbp[no_ps][104] = psi_xbp[no_ps][8] + psi_xbp[no_ps][32] + psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][104] == 0.){psi_xbs[no_ps][104] = psi_xbp[no_ps][104].m2();}
  if (psi_xbsqrts[no_ps][104] == 0.){psi_xbsqrts[no_ps][104] = sqrt(psi_xbs[no_ps][104]);}
  if (psi_xbp[no_ps][60] == nullvector){psi_xbp[no_ps][60] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][60] == 0.){psi_xbs[no_ps][60] = psi_xbp[no_ps][60].m2();}
  if (psi_xbp[no_ps][124] == nullvector){psi_xbp[no_ps][124] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32] + psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][124] == 0.){psi_xbs[no_ps][124] = psi_xbp[no_ps][124].m2();}

  psi_v_smin[no_ps][  0] = psi_smin_opt[no_ps][40]; // 40 times
  psi_v_smin[no_ps][  1] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][40], 2), psi_smin_opt[no_ps][56]); // 8 times
  psi_v_smin[no_ps][  2] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][56], 2), psi_smin_opt[no_ps][60]); // 8 times
  psi_v_smin[no_ps][  3] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][4] + psi_xbsqrts[no_ps][40], 2), psi_smin_opt[no_ps][44]); // 8 times
  psi_v_smin[no_ps][  4] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][44], 2), psi_smin_opt[no_ps][60]); // 8 times
  psi_v_smin[no_ps][  5] = psi_smin_opt[no_ps][20]; // 40 times
  psi_v_smin[no_ps][  6] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][20], 2), psi_smin_opt[no_ps][52]); // 8 times
  psi_v_smin[no_ps][  7] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][52], 2), psi_smin_opt[no_ps][60]); // 8 times
  psi_v_smin[no_ps][  8] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][20], 2), psi_smin_opt[no_ps][28]); // 8 times
  psi_v_smin[no_ps][  9] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][28], 2), psi_smin_opt[no_ps][60]); // 8 times
  psi_v_smin[no_ps][ 10] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][40], 2), psi_smin_opt[no_ps][104]); // 8 times
  psi_v_smin[no_ps][ 11] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][20], 2), psi_smin_opt[no_ps][84]); // 8 times
  psi_v_smin[no_ps][ 12] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][20] + psi_xbsqrts[no_ps][40], 2), psi_smin_opt[no_ps][60]); // 8 times

  psi_v_smax[no_ps][  0] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][84], 2); // 28 times
  psi_v_smax[no_ps][  1] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][68], 2); // 8 times
  psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][64], 2); // 40 times
  psi_v_smax[no_ps][  3] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][80], 2); // 8 times
  psi_v_smax[no_ps][  4] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][104], 2); // 28 times
  psi_v_smax[no_ps][  5] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][72], 2); // 8 times
  psi_v_smax[no_ps][  6] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][96], 2); // 8 times
  psi_v_smax[no_ps][  7] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][20], 2); // 4 times
  psi_v_smax[no_ps][  8] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][104], 2); // 4 times
  psi_v_smax[no_ps][  9] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][40], 2); // 4 times
  psi_v_smax[no_ps][ 10] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][84], 2); // 4 times
  psi_v_smax[no_ps][ 11] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][40], psi_sqrtsmin_opt[no_ps][104]), 2); // 8 times
  psi_v_smax[no_ps][ 12] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][40], 2); // 4 times
  psi_v_smax[no_ps][ 13] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][20], psi_sqrtsmin_opt[no_ps][84]), 2); // 8 times
  psi_v_smax[no_ps][ 14] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][20], 2); // 4 times

  //  vector<double> g_p(28);
  {psi_g_p[no_ps][  0] = psi.g_propagator(no_ps,   0,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  0]); /* npp 2 */} // 14 times
  {psi_g_p[no_ps][  1] = psi.g_propagator(no_ps,   0,  56, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  1]); /* npp 3 */} // 8 times
  {psi_g_p[no_ps][  2] = psi.g_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2]); /* npp 4 */} // 4 times
  {psi_g_p[no_ps][  3] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2]); /* npp 4 */} // 4 times
  {psi_g_p[no_ps][  4] = psi.g_propagator(no_ps,  23,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  0]); /* npp 2 */} // 14 times
  {psi_g_p[no_ps][  5] = psi.g_propagator(no_ps,   0,  44, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  3]); /* npp 3 */} // 8 times
  {psi_g_p[no_ps][  6] = psi.g_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  2]); /* npp 4 */} // 4 times
  {psi_g_p[no_ps][  7] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  2]); /* npp 4 */} // 4 times
  {psi_g_p[no_ps][  8] = psi.g_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  4]); /* npp 2 */} // 14 times
  {psi_g_p[no_ps][  9] = psi.g_propagator(no_ps,   0,  52, psi_v_smin[no_ps][  6], psi_v_smax[no_ps][  5]); /* npp 3 */} // 8 times
  {psi_g_p[no_ps][ 10] = psi.g_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][  2]); /* npp 4 */} // 4 times
  {psi_g_p[no_ps][ 11] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][  2]); /* npp 4 */} // 4 times
  {psi_g_p[no_ps][ 12] = psi.g_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  4]); /* npp 2 */} // 14 times
  {psi_g_p[no_ps][ 13] = psi.g_propagator(no_ps,   0,  28, psi_v_smin[no_ps][  8], psi_v_smax[no_ps][  6]); /* npp 3 */} // 8 times
  {psi_g_p[no_ps][ 14] = psi.g_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][  2]); /* npp 4 */} // 4 times
  {psi_g_p[no_ps][ 15] = psi.g_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][  2]); /* npp 4 */} // 4 times
  {psi_g_p[no_ps][ 16] = psi.g_propagator(no_ps,   0, 104, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][  7]); /* npp 3 */} // 4 times
  {psi_g_p[no_ps][ 17] = psi.g_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  8]); /* npp 2 */} // 2 times
  {psi_g_p[no_ps][ 18] = psi.g_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  8]); /* npp 2 */} // 2 times
  {psi_g_p[no_ps][ 19] = psi.g_propagator(no_ps,   0,  84, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][  9]); /* npp 3 */} // 4 times
  {psi_g_p[no_ps][ 20] = psi.g_propagator(no_ps,   0,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 10]); /* npp 2 */} // 2 times
  {psi_g_p[no_ps][ 21] = psi.g_propagator(no_ps,  23,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 10]); /* npp 2 */} // 2 times
  {psi_g_p[no_ps][ 22] = psi.g_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][ 11]); /* npp 2 */} // 4 times
  {psi_g_p[no_ps][ 23] = psi.g_propagator(no_ps,   0,  84, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][ 12]); /* npp 3 */} // 4 times
  {psi_g_p[no_ps][ 24] = psi.g_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][ 11]); /* npp 2 */} // 4 times
  {psi_g_p[no_ps][ 25] = psi.g_propagator(no_ps,   0,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 13]); /* npp 2 */} // 4 times
  {psi_g_p[no_ps][ 26] = psi.g_propagator(no_ps,   0, 104, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][ 14]); /* npp 3 */} // 4 times
  {psi_g_p[no_ps][ 27] = psi.g_propagator(no_ps,  23,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 13]); /* npp 2 */} // 4 times

  //  vector<double> g_f(1);
  {psi_g_f[no_ps][  0] = psi.g_timelikeinvariant(psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][  2]); /* nfp 4 */} // 8 times

  //  vector<double> g_t(5);
  {psi_g_t[no_ps][  0] = psi.g_tchannel_opt(no_ps,   0, 124,   1,   2,  64,  60); /* ntp 0 */} // 24 times
  {psi_g_t[no_ps][  1] = psi.g_tchannel_opt(no_ps,   0, 124,   2,   1,  40,  84); /* ntp 0 */} // 4 times
  {psi_g_t[no_ps][  2] = psi.g_tchannel_opt(no_ps,   0, 124,   2,   1,  20, 104); /* ntp 0 */} // 4 times
  {psi_g_t[no_ps][  3] = psi.g_tchannel_opt(no_ps,   0,  60,   2,  65,  40,  20); /* ntp 1 */} // 4 times
  {psi_g_t[no_ps][  4] = psi.g_tchannel_opt(no_ps,   0,  60,   2,  65,  20,  40); /* ntp 1 */} // 4 times

  //  vector<double> g_d(15);
  {psi_g_d[no_ps][  0] = psi.g_decay(no_ps, 124,  64,  60); /* ndp 5 */} // 16 times
  {psi_g_d[no_ps][  1] = psi.g_decay(no_ps,  60,   4,  56); /* ndp 4 */} // 8 times
  {psi_g_d[no_ps][  2] = psi.g_decay(no_ps,  56,  16,  40); /* ndp 3 */} // 8 times
  {psi_g_d[no_ps][  3] = psi.g_decay(no_ps,  40,   8,  32); /* ndp 2 */} // 40 times
  {psi_g_d[no_ps][  4] = psi.g_decay(no_ps,  60,  16,  44); /* ndp 4 */} // 8 times
  {psi_g_d[no_ps][  5] = psi.g_decay(no_ps,  44,   4,  40); /* ndp 3 */} // 8 times
  {psi_g_d[no_ps][  6] = psi.g_decay(no_ps,  60,   8,  52); /* ndp 4 */} // 8 times
  {psi_g_d[no_ps][  7] = psi.g_decay(no_ps,  52,  32,  20); /* ndp 3 */} // 8 times
  {psi_g_d[no_ps][  8] = psi.g_decay(no_ps,  20,   4,  16); /* ndp 2 */} // 40 times
  {psi_g_d[no_ps][  9] = psi.g_decay(no_ps,  60,  32,  28); /* ndp 4 */} // 8 times
  {psi_g_d[no_ps][ 10] = psi.g_decay(no_ps,  28,   8,  20); /* ndp 3 */} // 8 times
  {psi_g_d[no_ps][ 11] = psi.g_decay(no_ps, 124,  20, 104); /* ndp 5 */} // 4 times
  {psi_g_d[no_ps][ 12] = psi.g_decay(no_ps, 104,  64,  40); /* ndp 3 */} // 8 times
  {psi_g_d[no_ps][ 13] = psi.g_decay(no_ps, 124,  40,  84); /* ndp 5 */} // 4 times
  {psi_g_d[no_ps][ 14] = psi.g_decay(no_ps,  84,  64,  20); /* ndp 3 */} // 8 times


  if (psi_weight_IS == 2 || psi_weight_IS == 4){
    double g_IS_temp;
    vector<vector<double> > inv_r(4);
    inv_r[0].resize(28);
    inv_r[1].resize(1);
    inv_r[2].resize(10);
    inv_r[3].resize(30);

    {psi.inv_propagator(no_ps,   0,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  0], inv_r[0][0]);} // 14 times
    {psi.inv_propagator(no_ps,   0,  56, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  1], inv_r[0][1]);} // 8 times
    {psi.inv_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2], inv_r[0][2]);} // 4 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2], inv_r[0][3]);} // 4 times
    {psi.inv_propagator(no_ps,  23,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  0], inv_r[0][4]);} // 14 times
    {psi.inv_propagator(no_ps,   0,  44, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  3], inv_r[0][5]);} // 8 times
    {psi.inv_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  2], inv_r[0][6]);} // 4 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  2], inv_r[0][7]);} // 4 times
    {psi.inv_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  4], inv_r[0][8]);} // 14 times
    {psi.inv_propagator(no_ps,   0,  52, psi_v_smin[no_ps][  6], psi_v_smax[no_ps][  5], inv_r[0][9]);} // 8 times
    {psi.inv_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][  2], inv_r[0][10]);} // 4 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][  2], inv_r[0][11]);} // 4 times
    {psi.inv_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  4], inv_r[0][12]);} // 14 times
    {psi.inv_propagator(no_ps,   0,  28, psi_v_smin[no_ps][  8], psi_v_smax[no_ps][  6], inv_r[0][13]);} // 8 times
    {psi.inv_propagator(no_ps,   0,  60, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][  2], inv_r[0][14]);} // 4 times
    {psi.inv_propagator(no_ps,  23,  60, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][  2], inv_r[0][15]);} // 4 times
    {psi.inv_propagator(no_ps,   0, 104, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][  7], inv_r[0][16]);} // 4 times
    {psi.inv_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  8], inv_r[0][17]);} // 2 times
    {psi.inv_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  8], inv_r[0][18]);} // 2 times
    {psi.inv_propagator(no_ps,   0,  84, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][  9], inv_r[0][19]);} // 4 times
    {psi.inv_propagator(no_ps,   0,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 10], inv_r[0][20]);} // 2 times
    {psi.inv_propagator(no_ps,  23,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 10], inv_r[0][21]);} // 2 times
    {psi.inv_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][ 11], inv_r[0][22]);} // 4 times
    {psi.inv_propagator(no_ps,   0,  84, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][ 12], inv_r[0][23]);} // 4 times
    {psi.inv_propagator(no_ps,  23,  20, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][ 11], inv_r[0][24]);} // 4 times
    {psi.inv_propagator(no_ps,   0,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 13], inv_r[0][25]);} // 4 times
    {psi.inv_propagator(no_ps,   0, 104, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][ 14], inv_r[0][26]);} // 4 times
    {psi.inv_propagator(no_ps,  23,  40, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][ 13], inv_r[0][27]);} // 4 times

    {psi.inv_timelikeinvariant(no_ps,  60, psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][  2], inv_r[1][0]);} // 8 times

    {psi.inv_tchannel_opt(no_ps,   0, 124,   1,   2,  64,  60, inv_r[2][0], inv_r[2][1]);} // 24 times
    {psi.inv_tchannel_opt(no_ps,   0, 124,   2,   1,  40,  84, inv_r[2][2], inv_r[2][3]);} // 4 times
    {psi.inv_tchannel_opt(no_ps,   0, 124,   2,   1,  20, 104, inv_r[2][4], inv_r[2][5]);} // 4 times
    {psi.inv_tchannel_opt(no_ps,   0,  60,   2,  65,  40,  20, inv_r[2][6], inv_r[2][7]);} // 4 times
    {psi.inv_tchannel_opt(no_ps,   0,  60,   2,  65,  20,  40, inv_r[2][8], inv_r[2][9]);} // 4 times

    {psi.inv_decay(no_ps, 124,  64,  60, inv_r[3][0], inv_r[3][1]);} // 16 times
    {psi.inv_decay(no_ps,  60,   4,  56, inv_r[3][2], inv_r[3][3]);} // 8 times
    {psi.inv_decay(no_ps,  56,  16,  40, inv_r[3][4], inv_r[3][5]);} // 8 times
    {psi.inv_decay(no_ps,  40,   8,  32, inv_r[3][6], inv_r[3][7]);} // 40 times
    {psi.inv_decay(no_ps,  60,  16,  44, inv_r[3][8], inv_r[3][9]);} // 8 times
    {psi.inv_decay(no_ps,  44,   4,  40, inv_r[3][10], inv_r[3][11]);} // 8 times
    {psi.inv_decay(no_ps,  60,   8,  52, inv_r[3][12], inv_r[3][13]);} // 8 times
    {psi.inv_decay(no_ps,  52,  32,  20, inv_r[3][14], inv_r[3][15]);} // 8 times
    {psi.inv_decay(no_ps,  20,   4,  16, inv_r[3][16], inv_r[3][17]);} // 40 times
    {psi.inv_decay(no_ps,  60,  32,  28, inv_r[3][18], inv_r[3][19]);} // 8 times
    {psi.inv_decay(no_ps,  28,   8,  20, inv_r[3][20], inv_r[3][21]);} // 8 times
    {psi.inv_decay(no_ps, 124,  20, 104, inv_r[3][22], inv_r[3][23]);} // 4 times
    {psi.inv_decay(no_ps, 104,  64,  40, inv_r[3][24], inv_r[3][25]);} // 8 times
    {psi.inv_decay(no_ps, 124,  40,  84, inv_r[3][26], inv_r[3][27]);} // 4 times
    {psi.inv_decay(no_ps,  84,  64,  20, inv_r[3][28], inv_r[3][29]);} // 8 times

    if (psi_weight_IS == 2){
      int n_random = 3 * psi_n_particle - 4;;
      vector<vector<double> > inv_channel_r(56, vector<double> (11));
      vector<double> g_IS(56, 1.);
      for (int i_c = 0; i_c < 56; i_c++){
        int ran = 0;
        if (psi_MC_alpha[zero + i_c] != 0.){
          for (int i_p = 0; i_p < psi_c_p[no_ps][i_c].size(); i_p++){
            inv_channel_r[i_c][i_p] = inv_r[0][psi_c_p[no_ps][i_c][i_p]];
          }
          ran += psi_c_p[no_ps][i_c].size();
          for (int i_f = 0; i_f < psi_c_f[no_ps][i_c].size(); i_f++){
            inv_channel_r[i_c][ran + i_f] = inv_r[1][psi_c_f[no_ps][i_c][i_f]];
          }
          ran += psi_c_f[no_ps][i_c].size();
          for (int i_t = 0; i_t < psi_c_t[no_ps][i_c].size(); i_t++){
            inv_channel_r[i_c][ran + 2 * i_t] = inv_r[2][2 * psi_c_t[no_ps][i_c][i_t]];
            inv_channel_r[i_c][ran + 2 * i_t + 1] = inv_r[2][2 * psi_c_t[no_ps][i_c][i_t] + 1];
          }
          ran += 2 * psi_c_t[no_ps][i_c].size();
          for (int i_d = 0; i_d < psi_c_d[no_ps][i_c].size(); i_d++){
            inv_channel_r[i_c][ran + 2 * i_d] = inv_r[3][2 * psi_c_d[no_ps][i_c][i_d]];
            inv_channel_r[i_c][ran + 2 * i_d + 1] = inv_r[3][2 * psi_c_d[no_ps][i_c][i_d] + 1];
          }
          ran += 2 * psi_c_d[no_ps][i_c].size();
          for (int i_r = 0; i_r < 11; i_r++){
            psi_phasespace_randoms[(zero + i_c) * n_random + i_r]->get_g_IS(inv_channel_r[i_c][i_r], g_IS_temp);
            g_IS[i_c] *= g_IS_temp;
          }
        }
      }
      if (psi_MC_alpha[zero +   0] != 0.){psi_MC_g_channel[zero +   0] = g_IS[  0] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +   1] != 0.){psi_MC_g_channel[zero +   1] = g_IS[  1] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +   2] != 0.){psi_MC_g_channel[zero +   2] = g_IS[  2] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +   3] != 0.){psi_MC_g_channel[zero +   3] = g_IS[  3] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +   4] != 0.){psi_MC_g_channel[zero +   4] = g_IS[  4] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  6] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +   5] != 0.){psi_MC_g_channel[zero +   5] = g_IS[  5] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  7] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +   6] != 0.){psi_MC_g_channel[zero +   6] = g_IS[  6] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  6] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +   7] != 0.){psi_MC_g_channel[zero +   7] = g_IS[  7] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  7] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +   8] != 0.){psi_MC_g_channel[zero +   8] = g_IS[  8] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +   9] != 0.){psi_MC_g_channel[zero +   9] = g_IS[  9] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 11] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  10] != 0.){psi_MC_g_channel[zero +  10] = g_IS[ 10] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  11] != 0.){psi_MC_g_channel[zero +  11] = g_IS[ 11] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 11] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  12] != 0.){psi_MC_g_channel[zero +  12] = g_IS[ 12] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 14] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  13] != 0.){psi_MC_g_channel[zero +  13] = g_IS[ 13] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 15] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  14] != 0.){psi_MC_g_channel[zero +  14] = g_IS[ 14] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 14] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  15] != 0.){psi_MC_g_channel[zero +  15] = g_IS[ 15] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 15] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  16] != 0.){psi_MC_g_channel[zero +  16] = g_IS[ 16] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 16] * psi_g_p[no_ps][ 17] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  17] != 0.){psi_MC_g_channel[zero +  17] = g_IS[ 17] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 16] * psi_g_p[no_ps][ 18] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  18] != 0.){psi_MC_g_channel[zero +  18] = g_IS[ 18] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 16] * psi_g_p[no_ps][ 17] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  19] != 0.){psi_MC_g_channel[zero +  19] = g_IS[ 19] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 16] * psi_g_p[no_ps][ 18] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  20] != 0.){psi_MC_g_channel[zero +  20] = g_IS[ 20] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 19] * psi_g_p[no_ps][ 20] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  21] != 0.){psi_MC_g_channel[zero +  21] = g_IS[ 21] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 19] * psi_g_p[no_ps][ 21] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  22] != 0.){psi_MC_g_channel[zero +  22] = g_IS[ 22] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 19] * psi_g_p[no_ps][ 20] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  23] != 0.){psi_MC_g_channel[zero +  23] = g_IS[ 23] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 19] * psi_g_p[no_ps][ 21] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  24] != 0.){psi_MC_g_channel[zero +  24] = g_IS[ 24] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  25] != 0.){psi_MC_g_channel[zero +  25] = g_IS[ 25] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  26] != 0.){psi_MC_g_channel[zero +  26] = g_IS[ 26] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  27] != 0.){psi_MC_g_channel[zero +  27] = g_IS[ 27] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  28] != 0.){psi_MC_g_channel[zero +  28] = g_IS[ 28] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  6] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  29] != 0.){psi_MC_g_channel[zero +  29] = g_IS[ 29] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  7] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  30] != 0.){psi_MC_g_channel[zero +  30] = g_IS[ 30] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  6] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  31] != 0.){psi_MC_g_channel[zero +  31] = g_IS[ 31] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  7] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  32] != 0.){psi_MC_g_channel[zero +  32] = g_IS[ 32] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  33] != 0.){psi_MC_g_channel[zero +  33] = g_IS[ 33] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 11] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  34] != 0.){psi_MC_g_channel[zero +  34] = g_IS[ 34] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  35] != 0.){psi_MC_g_channel[zero +  35] = g_IS[ 35] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 11] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  36] != 0.){psi_MC_g_channel[zero +  36] = g_IS[ 36] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 14] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  37] != 0.){psi_MC_g_channel[zero +  37] = g_IS[ 37] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 15] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  38] != 0.){psi_MC_g_channel[zero +  38] = g_IS[ 38] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 14] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  39] != 0.){psi_MC_g_channel[zero +  39] = g_IS[ 39] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 15] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  40] != 0.){psi_MC_g_channel[zero +  40] = g_IS[ 40] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 22] * psi_g_p[no_ps][ 23] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  41] != 0.){psi_MC_g_channel[zero +  41] = g_IS[ 41] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 24] * psi_g_p[no_ps][ 23] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  42] != 0.){psi_MC_g_channel[zero +  42] = g_IS[ 42] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 22] * psi_g_p[no_ps][ 23] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  43] != 0.){psi_MC_g_channel[zero +  43] = g_IS[ 43] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 24] * psi_g_p[no_ps][ 23] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  44] != 0.){psi_MC_g_channel[zero +  44] = g_IS[ 44] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 25] * psi_g_p[no_ps][ 26] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  45] != 0.){psi_MC_g_channel[zero +  45] = g_IS[ 45] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 27] * psi_g_p[no_ps][ 26] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  46] != 0.){psi_MC_g_channel[zero +  46] = g_IS[ 46] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 25] * psi_g_p[no_ps][ 26] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  47] != 0.){psi_MC_g_channel[zero +  47] = g_IS[ 47] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 27] * psi_g_p[no_ps][ 26] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  48] != 0.){psi_MC_g_channel[zero +  48] = g_IS[ 48] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 22] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  3] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  49] != 0.){psi_MC_g_channel[zero +  49] = g_IS[ 49] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 24] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  3] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  50] != 0.){psi_MC_g_channel[zero +  50] = g_IS[ 50] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 22] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  3] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  51] != 0.){psi_MC_g_channel[zero +  51] = g_IS[ 51] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 24] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  3] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  52] != 0.){psi_MC_g_channel[zero +  52] = g_IS[ 52] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 25] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  4] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  53] != 0.){psi_MC_g_channel[zero +  53] = g_IS[ 53] * psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 27] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  4] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  54] != 0.){psi_MC_g_channel[zero +  54] = g_IS[ 54] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 25] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  4] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  8];}
      if (psi_MC_alpha[zero +  55] != 0.){psi_MC_g_channel[zero +  55] = g_IS[ 55] * psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 27] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  4] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  8];}

    }
    else if (psi_weight_IS == 4){
      vector<vector<double> > g_IS(4);
      g_IS[0].resize(28, 1.);
      g_IS[1].resize(1, 1.);
      g_IS[2].resize(5, 1.);
      g_IS[3].resize(15, 1.);

      for (int i_m = 0; i_m < 4; i_m++){
        for (int i_r = 0; i_r < inv_r[i_m].size(); i_r++){
          psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][i_m] + i_r]->get_g_IS(inv_r[i_m][i_r], g_IS_temp);
          int i_g = i_r;
          if (i_m > 1){i_g = i_r / 2;}
          g_IS[i_m][i_g] *= g_IS_temp;
        }
      }
      if (psi_MC_alpha[zero +   0] != 0.){psi_MC_g_channel[zero +   0] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  2] * g_IS[0][  2] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +   1] != 0.){psi_MC_g_channel[zero +   1] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +   2] != 0.){psi_MC_g_channel[zero +   2] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  2] * g_IS[0][  2] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +   3] != 0.){psi_MC_g_channel[zero +   3] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +   4] != 0.){psi_MC_g_channel[zero +   4] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +   5] != 0.){psi_MC_g_channel[zero +   5] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +   6] != 0.){psi_MC_g_channel[zero +   6] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +   7] != 0.){psi_MC_g_channel[zero +   7] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +   8] != 0.){psi_MC_g_channel[zero +   8] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_p[no_ps][ 10] * g_IS[0][ 10] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +   9] != 0.){psi_MC_g_channel[zero +   9] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_p[no_ps][ 11] * g_IS[0][ 11] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  10] != 0.){psi_MC_g_channel[zero +  10] = psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_p[no_ps][ 10] * g_IS[0][ 10] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  11] != 0.){psi_MC_g_channel[zero +  11] = psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_p[no_ps][ 11] * g_IS[0][ 11] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  12] != 0.){psi_MC_g_channel[zero +  12] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][ 13] * g_IS[0][ 13] * psi_g_p[no_ps][ 14] * g_IS[0][ 14] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  13] != 0.){psi_MC_g_channel[zero +  13] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][ 13] * g_IS[0][ 13] * psi_g_p[no_ps][ 15] * g_IS[0][ 15] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  14] != 0.){psi_MC_g_channel[zero +  14] = psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][ 13] * g_IS[0][ 13] * psi_g_p[no_ps][ 14] * g_IS[0][ 14] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  15] != 0.){psi_MC_g_channel[zero +  15] = psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][ 13] * g_IS[0][ 13] * psi_g_p[no_ps][ 15] * g_IS[0][ 15] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  16] != 0.){psi_MC_g_channel[zero +  16] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 16] * g_IS[0][ 16] * psi_g_p[no_ps][ 17] * g_IS[0][ 17] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][ 12] * g_IS[3][ 12] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  17] != 0.){psi_MC_g_channel[zero +  17] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 16] * g_IS[0][ 16] * psi_g_p[no_ps][ 18] * g_IS[0][ 18] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][ 12] * g_IS[3][ 12] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  18] != 0.){psi_MC_g_channel[zero +  18] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][ 16] * g_IS[0][ 16] * psi_g_p[no_ps][ 17] * g_IS[0][ 17] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][ 12] * g_IS[3][ 12] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  19] != 0.){psi_MC_g_channel[zero +  19] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][ 16] * g_IS[0][ 16] * psi_g_p[no_ps][ 18] * g_IS[0][ 18] * psi_g_d[no_ps][ 11] * g_IS[3][ 11] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][ 12] * g_IS[3][ 12] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  20] != 0.){psi_MC_g_channel[zero +  20] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][ 19] * g_IS[0][ 19] * psi_g_p[no_ps][ 20] * g_IS[0][ 20] * psi_g_d[no_ps][ 13] * g_IS[3][ 13] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][ 14] * g_IS[3][ 14] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  21] != 0.){psi_MC_g_channel[zero +  21] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][ 19] * g_IS[0][ 19] * psi_g_p[no_ps][ 21] * g_IS[0][ 21] * psi_g_d[no_ps][ 13] * g_IS[3][ 13] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][ 14] * g_IS[3][ 14] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  22] != 0.){psi_MC_g_channel[zero +  22] = psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][ 19] * g_IS[0][ 19] * psi_g_p[no_ps][ 20] * g_IS[0][ 20] * psi_g_d[no_ps][ 13] * g_IS[3][ 13] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][ 14] * g_IS[3][ 14] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  23] != 0.){psi_MC_g_channel[zero +  23] = psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][ 19] * g_IS[0][ 19] * psi_g_p[no_ps][ 21] * g_IS[0][ 21] * psi_g_d[no_ps][ 13] * g_IS[3][ 13] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][ 14] * g_IS[3][ 14] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  24] != 0.){psi_MC_g_channel[zero +  24] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  2] * g_IS[0][  2] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  25] != 0.){psi_MC_g_channel[zero +  25] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  26] != 0.){psi_MC_g_channel[zero +  26] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  2] * g_IS[0][  2] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  27] != 0.){psi_MC_g_channel[zero +  27] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  28] != 0.){psi_MC_g_channel[zero +  28] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  29] != 0.){psi_MC_g_channel[zero +  29] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  30] != 0.){psi_MC_g_channel[zero +  30] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  31] != 0.){psi_MC_g_channel[zero +  31] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  5] * g_IS[3][  5] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  32] != 0.){psi_MC_g_channel[zero +  32] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_p[no_ps][ 10] * g_IS[0][ 10] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  33] != 0.){psi_MC_g_channel[zero +  33] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_p[no_ps][ 11] * g_IS[0][ 11] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  34] != 0.){psi_MC_g_channel[zero +  34] = psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_p[no_ps][ 10] * g_IS[0][ 10] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  35] != 0.){psi_MC_g_channel[zero +  35] = psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_p[no_ps][ 11] * g_IS[0][ 11] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  6] * g_IS[3][  6] * psi_g_d[no_ps][  7] * g_IS[3][  7] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  36] != 0.){psi_MC_g_channel[zero +  36] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][ 13] * g_IS[0][ 13] * psi_g_p[no_ps][ 14] * g_IS[0][ 14] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  37] != 0.){psi_MC_g_channel[zero +  37] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][ 13] * g_IS[0][ 13] * psi_g_p[no_ps][ 15] * g_IS[0][ 15] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  38] != 0.){psi_MC_g_channel[zero +  38] = psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][ 13] * g_IS[0][ 13] * psi_g_p[no_ps][ 14] * g_IS[0][ 14] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  39] != 0.){psi_MC_g_channel[zero +  39] = psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][ 13] * g_IS[0][ 13] * psi_g_p[no_ps][ 15] * g_IS[0][ 15] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_d[no_ps][  9] * g_IS[3][  9] * psi_g_d[no_ps][ 10] * g_IS[3][ 10] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  40] != 0.){psi_MC_g_channel[zero +  40] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 22] * g_IS[0][ 22] * psi_g_p[no_ps][ 23] * g_IS[0][ 23] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][ 14] * g_IS[3][ 14] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  41] != 0.){psi_MC_g_channel[zero +  41] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 24] * g_IS[0][ 24] * psi_g_p[no_ps][ 23] * g_IS[0][ 23] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][ 14] * g_IS[3][ 14] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  42] != 0.){psi_MC_g_channel[zero +  42] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][ 22] * g_IS[0][ 22] * psi_g_p[no_ps][ 23] * g_IS[0][ 23] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][ 14] * g_IS[3][ 14] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  43] != 0.){psi_MC_g_channel[zero +  43] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][ 24] * g_IS[0][ 24] * psi_g_p[no_ps][ 23] * g_IS[0][ 23] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_d[no_ps][ 14] * g_IS[3][ 14] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  44] != 0.){psi_MC_g_channel[zero +  44] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][ 25] * g_IS[0][ 25] * psi_g_p[no_ps][ 26] * g_IS[0][ 26] * psi_g_t[no_ps][  2] * g_IS[2][  2] * psi_g_d[no_ps][ 12] * g_IS[3][ 12] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  45] != 0.){psi_MC_g_channel[zero +  45] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][ 27] * g_IS[0][ 27] * psi_g_p[no_ps][ 26] * g_IS[0][ 26] * psi_g_t[no_ps][  2] * g_IS[2][  2] * psi_g_d[no_ps][ 12] * g_IS[3][ 12] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  46] != 0.){psi_MC_g_channel[zero +  46] = psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][ 25] * g_IS[0][ 25] * psi_g_p[no_ps][ 26] * g_IS[0][ 26] * psi_g_t[no_ps][  2] * g_IS[2][  2] * psi_g_d[no_ps][ 12] * g_IS[3][ 12] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  47] != 0.){psi_MC_g_channel[zero +  47] = psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][ 27] * g_IS[0][ 27] * psi_g_p[no_ps][ 26] * g_IS[0][ 26] * psi_g_t[no_ps][  2] * g_IS[2][  2] * psi_g_d[no_ps][ 12] * g_IS[3][ 12] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  48] != 0.){psi_MC_g_channel[zero +  48] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 22] * g_IS[0][ 22] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_t[no_ps][  3] * g_IS[2][  3] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  49] != 0.){psi_MC_g_channel[zero +  49] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][ 24] * g_IS[0][ 24] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_t[no_ps][  3] * g_IS[2][  3] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  50] != 0.){psi_MC_g_channel[zero +  50] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][ 22] * g_IS[0][ 22] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_t[no_ps][  3] * g_IS[2][  3] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  51] != 0.){psi_MC_g_channel[zero +  51] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][ 24] * g_IS[0][ 24] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_t[no_ps][  3] * g_IS[2][  3] * psi_g_d[no_ps][  8] * g_IS[3][  8] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  52] != 0.){psi_MC_g_channel[zero +  52] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][ 25] * g_IS[0][ 25] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_t[no_ps][  4] * g_IS[2][  4] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  53] != 0.){psi_MC_g_channel[zero +  53] = psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_p[no_ps][ 27] * g_IS[0][ 27] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_t[no_ps][  4] * g_IS[2][  4] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  54] != 0.){psi_MC_g_channel[zero +  54] = psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][ 25] * g_IS[0][ 25] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_t[no_ps][  4] * g_IS[2][  4] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
      if (psi_MC_alpha[zero +  55] != 0.){psi_MC_g_channel[zero +  55] = psi_g_p[no_ps][ 12] * g_IS[0][ 12] * psi_g_p[no_ps][ 27] * g_IS[0][ 27] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_t[no_ps][  4] * g_IS[2][  4] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  8] * g_IS[3][  8];}
    }
  }

  else {
    if (psi_MC_alpha[zero +   0] != 0.){psi_MC_g_channel[zero +   0] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +   1] != 0.){psi_MC_g_channel[zero +   1] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +   2] != 0.){psi_MC_g_channel[zero +   2] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +   3] != 0.){psi_MC_g_channel[zero +   3] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  3] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +   4] != 0.){psi_MC_g_channel[zero +   4] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  6] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +   5] != 0.){psi_MC_g_channel[zero +   5] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  7] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +   6] != 0.){psi_MC_g_channel[zero +   6] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  6] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +   7] != 0.){psi_MC_g_channel[zero +   7] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  7] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +   8] != 0.){psi_MC_g_channel[zero +   8] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +   9] != 0.){psi_MC_g_channel[zero +   9] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 11] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  10] != 0.){psi_MC_g_channel[zero +  10] = psi_g_p[no_ps][ 12] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  11] != 0.){psi_MC_g_channel[zero +  11] = psi_g_p[no_ps][ 12] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 11] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  12] != 0.){psi_MC_g_channel[zero +  12] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 14] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  13] != 0.){psi_MC_g_channel[zero +  13] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 15] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  14] != 0.){psi_MC_g_channel[zero +  14] = psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 14] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  15] != 0.){psi_MC_g_channel[zero +  15] = psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 15] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  16] != 0.){psi_MC_g_channel[zero +  16] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 16] * psi_g_p[no_ps][ 17] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  17] != 0.){psi_MC_g_channel[zero +  17] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 16] * psi_g_p[no_ps][ 18] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  18] != 0.){psi_MC_g_channel[zero +  18] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 16] * psi_g_p[no_ps][ 17] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  19] != 0.){psi_MC_g_channel[zero +  19] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 16] * psi_g_p[no_ps][ 18] * psi_g_d[no_ps][ 11] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  20] != 0.){psi_MC_g_channel[zero +  20] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 19] * psi_g_p[no_ps][ 20] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  21] != 0.){psi_MC_g_channel[zero +  21] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 19] * psi_g_p[no_ps][ 21] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  22] != 0.){psi_MC_g_channel[zero +  22] = psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 19] * psi_g_p[no_ps][ 20] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  23] != 0.){psi_MC_g_channel[zero +  23] = psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 19] * psi_g_p[no_ps][ 21] * psi_g_d[no_ps][ 13] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  24] != 0.){psi_MC_g_channel[zero +  24] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  25] != 0.){psi_MC_g_channel[zero +  25] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  26] != 0.){psi_MC_g_channel[zero +  26] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  2] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  27] != 0.){psi_MC_g_channel[zero +  27] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  3] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  28] != 0.){psi_MC_g_channel[zero +  28] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  6] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  29] != 0.){psi_MC_g_channel[zero +  29] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  7] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  30] != 0.){psi_MC_g_channel[zero +  30] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  6] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  31] != 0.){psi_MC_g_channel[zero +  31] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  7] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  5] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  32] != 0.){psi_MC_g_channel[zero +  32] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  33] != 0.){psi_MC_g_channel[zero +  33] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 11] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  34] != 0.){psi_MC_g_channel[zero +  34] = psi_g_p[no_ps][ 12] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  35] != 0.){psi_MC_g_channel[zero +  35] = psi_g_p[no_ps][ 12] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 11] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  6] * psi_g_d[no_ps][  7] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  36] != 0.){psi_MC_g_channel[zero +  36] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 14] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  37] != 0.){psi_MC_g_channel[zero +  37] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 15] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  38] != 0.){psi_MC_g_channel[zero +  38] = psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 14] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  39] != 0.){psi_MC_g_channel[zero +  39] = psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 13] * psi_g_p[no_ps][ 15] * psi_g_t[no_ps][  0] * psi_g_d[no_ps][  9] * psi_g_d[no_ps][ 10] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  40] != 0.){psi_MC_g_channel[zero +  40] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 22] * psi_g_p[no_ps][ 23] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  41] != 0.){psi_MC_g_channel[zero +  41] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 24] * psi_g_p[no_ps][ 23] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  42] != 0.){psi_MC_g_channel[zero +  42] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 22] * psi_g_p[no_ps][ 23] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  43] != 0.){psi_MC_g_channel[zero +  43] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 24] * psi_g_p[no_ps][ 23] * psi_g_t[no_ps][  1] * psi_g_d[no_ps][ 14] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  44] != 0.){psi_MC_g_channel[zero +  44] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 25] * psi_g_p[no_ps][ 26] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  45] != 0.){psi_MC_g_channel[zero +  45] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 27] * psi_g_p[no_ps][ 26] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  46] != 0.){psi_MC_g_channel[zero +  46] = psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 25] * psi_g_p[no_ps][ 26] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  47] != 0.){psi_MC_g_channel[zero +  47] = psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 27] * psi_g_p[no_ps][ 26] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][ 12] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  48] != 0.){psi_MC_g_channel[zero +  48] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 22] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  3] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  49] != 0.){psi_MC_g_channel[zero +  49] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][ 24] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  3] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  50] != 0.){psi_MC_g_channel[zero +  50] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 22] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  3] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  51] != 0.){psi_MC_g_channel[zero +  51] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][ 24] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  3] * psi_g_d[no_ps][  8] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  52] != 0.){psi_MC_g_channel[zero +  52] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 25] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  4] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  53] != 0.){psi_MC_g_channel[zero +  53] = psi_g_p[no_ps][  8] * psi_g_p[no_ps][ 27] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  4] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  54] != 0.){psi_MC_g_channel[zero +  54] = psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 25] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  4] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  8];}
    if (psi_MC_alpha[zero +  55] != 0.){psi_MC_g_channel[zero +  55] = psi_g_p[no_ps][ 12] * psi_g_p[no_ps][ 27] * psi_g_f[no_ps][  0] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  4] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  8];}
  }

/*
  if (psi_MC_alpha[   0] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[   1] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  23,   0, psi);}
  if (psi_MC_alpha[   2] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0, psi);}
  if (psi_MC_alpha[   3] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0, psi);}
  if (psi_MC_alpha[   4] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 16, 4, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[   5] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 16, 4, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  23,   0, psi);}
  if (psi_MC_alpha[   6] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 16, 4, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0, psi);}
  if (psi_MC_alpha[   7] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 16, 4, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0, psi);}
  if (psi_MC_alpha[   8] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[   9] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  23,   0, psi);}
  if (psi_MC_alpha[  10] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0, psi);}
  if (psi_MC_alpha[  11] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0, psi);}
  if (psi_MC_alpha[  12] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 32, 8, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[  13] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 32, 8, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  23,   0, psi);}
  if (psi_MC_alpha[  14] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 32, 8, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0, psi);}
  if (psi_MC_alpha[  15] != 0.){ag_channel_5yyyv(g, 1, 2, 64, 32, 8, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0, psi);}
  if (psi_MC_alpha[  16] != 0.){ag_channel_52vyv(g, 1, 2, 4, 16, 64, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[  17] != 0.){ag_channel_52vyv(g, 1, 2, 4, 16, 64, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  23,   0, psi);}
  if (psi_MC_alpha[  18] != 0.){ag_channel_52vyv(g, 1, 2, 4, 16, 64, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0, psi);}
  if (psi_MC_alpha[  19] != 0.){ag_channel_52vyv(g, 1, 2, 4, 16, 64, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0, psi);}
  if (psi_MC_alpha[  20] != 0.){ag_channel_52vyv(g, 1, 2, 8, 32, 64, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[  21] != 0.){ag_channel_52vyv(g, 1, 2, 8, 32, 64, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  23,   0, psi);}
  if (psi_MC_alpha[  22] != 0.){ag_channel_52vyv(g, 1, 2, 8, 32, 64, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0, psi);}
  if (psi_MC_alpha[  23] != 0.){ag_channel_52vyv(g, 1, 2, 8, 32, 64, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0, psi);}
  if (psi_MC_alpha[  24] != 0.){ag_channel_14yyv(g, 1, 2, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[  25] != 0.){ag_channel_14yyv(g, 1, 2, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  23,   0, psi);}
  if (psi_MC_alpha[  26] != 0.){ag_channel_14yyv(g, 1, 2, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0, psi);}
  if (psi_MC_alpha[  27] != 0.){ag_channel_14yyv(g, 1, 2, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0, psi);}
  if (psi_MC_alpha[  28] != 0.){ag_channel_14yyv(g, 1, 2, 64, 16, 4, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[  29] != 0.){ag_channel_14yyv(g, 1, 2, 64, 16, 4, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  23,   0, psi);}
  if (psi_MC_alpha[  30] != 0.){ag_channel_14yyv(g, 1, 2, 64, 16, 4, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0, psi);}
  if (psi_MC_alpha[  31] != 0.){ag_channel_14yyv(g, 1, 2, 64, 16, 4, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0, psi);}
  if (psi_MC_alpha[  32] != 0.){ag_channel_14yyv(g, 1, 2, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[  33] != 0.){ag_channel_14yyv(g, 1, 2, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  23,   0, psi);}
  if (psi_MC_alpha[  34] != 0.){ag_channel_14yyv(g, 1, 2, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0, psi);}
  if (psi_MC_alpha[  35] != 0.){ag_channel_14yyv(g, 1, 2, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0, psi);}
  if (psi_MC_alpha[  36] != 0.){ag_channel_14yyv(g, 1, 2, 64, 32, 8, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[  37] != 0.){ag_channel_14yyv(g, 1, 2, 64, 32, 8, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  23,   0, psi);}
  if (psi_MC_alpha[  38] != 0.){ag_channel_14yyv(g, 1, 2, 64, 32, 8, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0, psi);}
  if (psi_MC_alpha[  39] != 0.){ag_channel_14yyv(g, 1, 2, 64, 32, 8, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,  23,   0, psi);}
  if (psi_MC_alpha[  40] != 0.){ag_channel_3yv2v(g, 1, 2, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[  41] != 0.){ag_channel_3yv2v(g, 1, 2, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,   0,   0, psi);}
  if (psi_MC_alpha[  42] != 0.){ag_channel_3yv2v(g, 1, 2, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0, psi);}
  if (psi_MC_alpha[  43] != 0.){ag_channel_3yv2v(g, 1, 2, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,  23,   0,   0, psi);}
  if (psi_MC_alpha[  44] != 0.){ag_channel_3yv2v(g, 1, 2, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[  45] != 0.){ag_channel_3yv2v(g, 1, 2, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,   0,   0, psi);}
  if (psi_MC_alpha[  46] != 0.){ag_channel_3yv2v(g, 1, 2, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0, psi);}
  if (psi_MC_alpha[  47] != 0.){ag_channel_3yv2v(g, 1, 2, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,  23,   0,   0, psi);}
  if (psi_MC_alpha[  48] != 0.){ag_channel_12v2v(g, 1, 2, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[  49] != 0.){ag_channel_12v2v(g, 1, 2, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,   0,   0, psi);}
  if (psi_MC_alpha[  50] != 0.){ag_channel_12v2v(g, 1, 2, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0, psi);}
  if (psi_MC_alpha[  51] != 0.){ag_channel_12v2v(g, 1, 2, 64, 4, 16, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,  23,   0,   0, psi);}
  if (psi_MC_alpha[  52] != 0.){ag_channel_12v2v(g, 1, 2, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,   0,   0, psi);}
  if (psi_MC_alpha[  53] != 0.){ag_channel_12v2v(g, 1, 2, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  23,   0,   0, psi);}
  if (psi_MC_alpha[  54] != 0.){ag_channel_12v2v(g, 1, 2, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,   0,   0,   0, psi);}
  if (psi_MC_alpha[  55] != 0.){ag_channel_12v2v(g, 1, 2, 64, 8, 32, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  23,  23,   0,   0, psi);}
  // channel    0: 5yyyv(1, 2, 64, 4, 16, 8, 32;   0,   0,   0,   0)
  // channel    1: 5yyyv(1, 2, 64, 4, 16, 8, 32;   0,   0,  23,   0)
  // channel    2: 5yyyv(1, 2, 64, 4, 16, 8, 32;  23,   0,   0,   0)
  // channel    3: 5yyyv(1, 2, 64, 4, 16, 8, 32;  23,   0,  23,   0)
  // channel    4: 5yyyv(1, 2, 64, 16, 4, 8, 32;   0,   0,   0,   0)
  // channel    5: 5yyyv(1, 2, 64, 16, 4, 8, 32;   0,   0,  23,   0)
  // channel    6: 5yyyv(1, 2, 64, 16, 4, 8, 32;  23,   0,   0,   0)
  // channel    7: 5yyyv(1, 2, 64, 16, 4, 8, 32;  23,   0,  23,   0)
  // channel    8: 5yyyv(1, 2, 64, 8, 32, 4, 16;   0,   0,   0,   0)
  // channel    9: 5yyyv(1, 2, 64, 8, 32, 4, 16;   0,   0,  23,   0)
  // channel   10: 5yyyv(1, 2, 64, 8, 32, 4, 16;  23,   0,   0,   0)
  // channel   11: 5yyyv(1, 2, 64, 8, 32, 4, 16;  23,   0,  23,   0)
  // channel   12: 5yyyv(1, 2, 64, 32, 8, 4, 16;   0,   0,   0,   0)
  // channel   13: 5yyyv(1, 2, 64, 32, 8, 4, 16;   0,   0,  23,   0)
  // channel   14: 5yyyv(1, 2, 64, 32, 8, 4, 16;  23,   0,   0,   0)
  // channel   15: 5yyyv(1, 2, 64, 32, 8, 4, 16;  23,   0,  23,   0)
  // channel   16: 52vyv(1, 2, 4, 16, 64, 8, 32;   0,   0,   0,   0)
  // channel   17: 52vyv(1, 2, 4, 16, 64, 8, 32;   0,   0,  23,   0)
  // channel   18: 52vyv(1, 2, 4, 16, 64, 8, 32;  23,   0,   0,   0)
  // channel   19: 52vyv(1, 2, 4, 16, 64, 8, 32;  23,   0,  23,   0)
  // channel   20: 52vyv(1, 2, 8, 32, 64, 4, 16;   0,   0,   0,   0)
  // channel   21: 52vyv(1, 2, 8, 32, 64, 4, 16;   0,   0,  23,   0)
  // channel   22: 52vyv(1, 2, 8, 32, 64, 4, 16;  23,   0,   0,   0)
  // channel   23: 52vyv(1, 2, 8, 32, 64, 4, 16;  23,   0,  23,   0)
  // channel   24: 14yyv(1, 2, 64, 4, 16, 8, 32;   0,   0,   0,   0)
  // channel   25: 14yyv(1, 2, 64, 4, 16, 8, 32;   0,   0,  23,   0)
  // channel   26: 14yyv(1, 2, 64, 4, 16, 8, 32;  23,   0,   0,   0)
  // channel   27: 14yyv(1, 2, 64, 4, 16, 8, 32;  23,   0,  23,   0)
  // channel   28: 14yyv(1, 2, 64, 16, 4, 8, 32;   0,   0,   0,   0)
  // channel   29: 14yyv(1, 2, 64, 16, 4, 8, 32;   0,   0,  23,   0)
  // channel   30: 14yyv(1, 2, 64, 16, 4, 8, 32;  23,   0,   0,   0)
  // channel   31: 14yyv(1, 2, 64, 16, 4, 8, 32;  23,   0,  23,   0)
  // channel   32: 14yyv(1, 2, 64, 8, 32, 4, 16;   0,   0,   0,   0)
  // channel   33: 14yyv(1, 2, 64, 8, 32, 4, 16;   0,   0,  23,   0)
  // channel   34: 14yyv(1, 2, 64, 8, 32, 4, 16;  23,   0,   0,   0)
  // channel   35: 14yyv(1, 2, 64, 8, 32, 4, 16;  23,   0,  23,   0)
  // channel   36: 14yyv(1, 2, 64, 32, 8, 4, 16;   0,   0,   0,   0)
  // channel   37: 14yyv(1, 2, 64, 32, 8, 4, 16;   0,   0,  23,   0)
  // channel   38: 14yyv(1, 2, 64, 32, 8, 4, 16;  23,   0,   0,   0)
  // channel   39: 14yyv(1, 2, 64, 32, 8, 4, 16;  23,   0,  23,   0)
  // channel   40: 3yv2v(1, 2, 64, 4, 16, 8, 32;   0,   0,   0,   0)
  // channel   41: 3yv2v(1, 2, 64, 4, 16, 8, 32;   0,  23,   0,   0)
  // channel   42: 3yv2v(1, 2, 64, 4, 16, 8, 32;  23,   0,   0,   0)
  // channel   43: 3yv2v(1, 2, 64, 4, 16, 8, 32;  23,  23,   0,   0)
  // channel   44: 3yv2v(1, 2, 64, 8, 32, 4, 16;   0,   0,   0,   0)
  // channel   45: 3yv2v(1, 2, 64, 8, 32, 4, 16;   0,  23,   0,   0)
  // channel   46: 3yv2v(1, 2, 64, 8, 32, 4, 16;  23,   0,   0,   0)
  // channel   47: 3yv2v(1, 2, 64, 8, 32, 4, 16;  23,  23,   0,   0)
  // channel   48: 12v2v(1, 2, 64, 4, 16, 8, 32;   0,   0,   0,   0)
  // channel   49: 12v2v(1, 2, 64, 4, 16, 8, 32;   0,  23,   0,   0)
  // channel   50: 12v2v(1, 2, 64, 4, 16, 8, 32;  23,   0,   0,   0)
  // channel   51: 12v2v(1, 2, 64, 4, 16, 8, 32;  23,  23,   0,   0)
  // channel   52: 12v2v(1, 2, 64, 8, 32, 4, 16;   0,   0,   0,   0)
  // channel   53: 12v2v(1, 2, 64, 8, 32, 4, 16;   0,  23,   0,   0)
  // channel   54: 12v2v(1, 2, 64, 8, 32, 4, 16;  23,   0,   0,   0)
  // channel   55: 12v2v(1, 2, 64, 8, 32, 4, 16;  23,  23,   0,   0)
*/

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
