#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppnenexa03/header/ppnenexa03.phasespace.h"
void ppnenexa03_optimize_minv_real(phasespace_set & psi){
  static Logger logger("ppnenexa03_optimize_minv_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

#include "user/specify.optimize.phasespace.minv.real.cxx"

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}

int ppnenexa03_determination_MCchannels_real(int no_ps, phasespace_set & psi){
  static Logger logger("ppnenexa03_determination_MCchannels_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  int n_channel = 0;
  if      (psi_no_map[no_ps] == 0){n_channel = 10;}
  else if (psi_no_map[no_ps] == 2){n_channel = 6;}
  else if (psi_no_map[no_ps] == 3){n_channel = 6;}
  else if (psi_no_map[no_ps] == 4){n_channel = 6;}
  else if (psi_no_map[no_ps] == 5){n_channel = 6;}
  else if (psi_no_map[no_ps] == 6){n_channel = 6;}
  else if (psi_no_map[no_ps] == 7){n_channel = 6;}
  return n_channel;

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}

void ppnenexa03_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi){
  static Logger logger("ppnenexa03_ac_tau_psp_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  if      (psi.no_map[no_ps] == 0){}
  else if (psi.no_map[no_ps] == 2){
    tau_MC_map.push_back(0);
  }
  else if (psi.no_map[no_ps] == 3){
    tau_MC_map.push_back(0);
  }
  else if (psi.no_map[no_ps] == 4){
    tau_MC_map.push_back(0);
  }
  else if (psi.no_map[no_ps] == 5){
    tau_MC_map.push_back(0);
  }
  else if (psi.no_map[no_ps] == 6){
    tau_MC_map.push_back(0);
  }
  else if (psi.no_map[no_ps] == 7){
    tau_MC_map.push_back(0);
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}

void ppnenexa03_ax_psp_real(int no_ps, phasespace_set & psi){
  static Logger logger("ppnenexa03_ax_psp_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] == 2){ppnenexa03_ax_psp_130_gd_vevexad(no_ps, psi);}
  else if (psi_no_map[no_ps] == 3){ppnenexa03_ax_psp_130_gu_vevexau(no_ps, psi);}
  else if (psi_no_map[no_ps] == 4){ppnenexa03_ax_psp_130_gdx_vevexadx(no_ps, psi);}
  else if (psi_no_map[no_ps] == 5){ppnenexa03_ax_psp_130_gux_vevexaux(no_ps, psi);}
  else if (psi_no_map[no_ps] == 6){ppnenexa03_ax_psp_130_ddx_vevexag(no_ps, psi);}
  else if (psi_no_map[no_ps] == 7){ppnenexa03_ax_psp_130_uux_vevexag(no_ps, psi);}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
