#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppwx01/header/ppwx01.phasespace.h"
void ppwx01_ag_psp_born(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppwx01_ag_psp_born");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] == 1){ppwx01_ag_psp_010_udx_wp(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 2){ppwx01_ag_psp_010_usx_wp(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 3){ppwx01_ag_psp_010_ubx_wp(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 4){ppwx01_ag_psp_010_cdx_wp(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 5){ppwx01_ag_psp_010_csx_wp(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 6){ppwx01_ag_psp_010_cbx_wp(no_ps, zero, psi);}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
