#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppz01/header/ppz01.phasespace.h"
void ppz01_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppz01_ag_psp_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] ==  2){ppz01_ag_psp_210_gg_zddx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  3){ppz01_ag_psp_210_gg_zuux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  4){ppz01_ag_psp_210_gd_zgd(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  5){ppz01_ag_psp_210_gu_zgu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  6){ppz01_ag_psp_210_gdx_zgdx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  7){ppz01_ag_psp_210_gux_zgux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  8){ppz01_ag_psp_210_dd_zdd(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  9){ppz01_ag_psp_210_du_zdu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 10){ppz01_ag_psp_210_ds_zds(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 11){ppz01_ag_psp_210_dc_zdc(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 13){ppz01_ag_psp_210_ddx_zgg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 14){ppz01_ag_psp_210_ddx_zddx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 15){ppz01_ag_psp_210_ddx_zuux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 16){ppz01_ag_psp_210_ddx_zssx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 17){ppz01_ag_psp_210_ddx_zccx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 18){ppz01_ag_psp_210_dux_zdux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 20){ppz01_ag_psp_210_dsx_zdsx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 22){ppz01_ag_psp_210_dcx_zdcx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 23){ppz01_ag_psp_210_uu_zuu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 24){ppz01_ag_psp_210_uc_zuc(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 25){ppz01_ag_psp_210_udx_zudx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 27){ppz01_ag_psp_210_uux_zgg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 28){ppz01_ag_psp_210_uux_zddx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 29){ppz01_ag_psp_210_uux_zuux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 30){ppz01_ag_psp_210_uux_zssx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 31){ppz01_ag_psp_210_uux_zccx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 32){ppz01_ag_psp_210_usx_zusx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 34){ppz01_ag_psp_210_ucx_zucx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 35){ppz01_ag_psp_210_dxdx_zdxdx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 36){ppz01_ag_psp_210_dxux_zdxux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 37){ppz01_ag_psp_210_dxsx_zdxsx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 38){ppz01_ag_psp_210_dxcx_zdxcx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 40){ppz01_ag_psp_210_uxux_zuxux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 41){ppz01_ag_psp_210_uxcx_zuxcx(no_ps, zero, psi);}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
